/*
  filename: integralui.base.grid.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import IntegralUIDragDropService from"../services/integralui.dragdrop.service.js";import IntegralUIFilterService from"../services/integralui.filter.service.js";import{IntegralUIEditMode,IntegralUIGridLines,IntegralUIContentVisibility,IntegralUISpeedMode,IntegralUISortOrder,IntegralUISelectionMode,IntegralUIVisibility,IntegralUICheckState,IntegralUIEditorType,IntegralUIDateFormat,IntegralUIFilterType,IntegralUIObjectState,IntegralUIMoveDirection}from"./integralui.enums.js";import IntegralUIDragWindow from"./integralui.dragwin.js";import"./integralui.dropdown.js";import"./integralui.button.js";import"./integralui.list.js";class IntegralUIBaseGrid extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService();this._dragDropService=IntegralUIDragDropService.getInstance();this._filterService=new IntegralUIFilterService();this._headerData=[];this._rowData=[];this._rowHoverData=[];this._rowSelectData=[];this._cellData=[];this._footerData=[];this._completeColumnList={left:[],normal:[],right:[]};this._currentColumnList={left:[],normal:[],right:[]};this._currentRowList=[];this._dataColumns=[];this._dataRows=[];this._flatCompleteColumnList={left:[],normal:[],right:[]};this._flatCurrentColumnList={left:[],normal:[],right:[]};this._fullList=[];this._maxColumnLevels=0;this._scrollColumnList={left:[],normal:[],right:[]};this._scrollFilterList={left:[],normal:[],right:[]};this._scrollFooterList={left:[],normal:[],right:[]};this._scrollRowList={left:[],normal:[],right:[]};this._columnDataKey="columns";this._columnFields={};this._rowDataKey="rows";this._rowFields={};this._isCellValueChangeAllowed=!0;this._cloneElem=null;this._cloneElemStartPos={x:0,y:0};this._dragCmp=null;this._dragEndPos={x:0,y:0};this._dragStartPos={x:0,y:0};this._dropMarkElem=null;this._isCtrlDragEntered=!1;this._isDragActive=!1;this._isFirstDragEnter=!1;this._prevTargetDropPos=-1;this._targetDropRow=null;this._targetDropPos=-1;this._dragGhost=null;this._dragObj=null;this._dragObjIndex=-1;this._isCtrlDragAllowed=!1;this._isCtrlDropAllowed=!0;this._isColumnReorderAllowed=!0;this._originalScrollColumnList=[];this._reorderColumnObj=null;this._reorderColumnObjPos={top:0,left:0};this._reorderColumnStartPos={top:0,left:0};this._reorderColumnCurrentPos={top:0,left:0};this._reorderColIndex=-1;this._reorderNewColIndex=-1;this._startColumnReorder=!1;this._currentEditData=[];this._currentEditingCell=null;this._currentEditingRow=null;this._currentEditMode=IntegralUIEditMode.None;this._editingFields={};this._formEditorRect={x:0,y:0,width:300,height:0};this._formData=null;this._isEditorFocused=!1;this._isFormActive=!1;this._filterColumn=null;this._filterFields={};this._filteringColumns=[];this._isFilterAllowed=!1;this._currentExpandColumnID=void 0;this._expandColIndex=0;this._hoverCell=null;this._hoverColumn=null;this._hoverRow=null;this._isGridHovered=!1;this._currentIndex=0;this._prevIndex=0;this._tabIndexCount=0;this._ctrlCursor="default";this._suppressCallback=!1;this._blockHoverRect={height:30,left:0,top:-9999999,width:880};this._blockSelectRect=[];this._blockSelectHeight=0;this._hoverRowObj={data:{}};this._columnStartPos={x:0,y:0};this._resizeColumn=null;this._resizeColumnIndex=-1;this._reorderColumn=null;this._columnReorderActive=!1;this._ctrlLostFocus=!1;this._currentFocusCell=null;this._currentFocusCellObj=null;this._isKeyboardActive=!1;this._isKeyPressed=!1;this._keepActive=!1;this._loadRows=[];this._avgRowHeight=0;this._blockMarginTop=0;this._blockSize={width:0,height:0};this._leftBlockSize={width:0,height:0};this._rightBlockSize={width:0,height:0};this._columnPadding={top:0,right:0,bottom:0,left:0};this._currentGridLines=IntegralUIGridLines.Both;this._currentHeaderHeight=0;this._currentFixedColWidth=0;this._currentFilterHeight=0;this._currentFooterHeight=0;this._currentIndent=15;this._currentRowHeight=0;this._hiddenLeftHeaderElem=null;this._hiddenLeftHeaderElemSize={width:0,height:0};this._isExpandBoxVisible=!0;this._isLayoutUpdating=!1;this._isHoverTemplatePresent=!1;this._isSelectedTemplatePresent=!1;this._numVisibleCells=0;this._providedHeaderHeight=0;this._providedFooterHeight=0;this._viewIndexRange={left:0,middle:999,right:999};this._fixedLeftViewIndexRange=0;this._fixedRightViewIndexRange=0;this._visibleRange=1;this._updateTimer=null;this._isAutoSizeColumnsActive=!1;this._isHeaderVisible=!0;this._isInlineEditorVisible=!1;this._isInlineFilterVisible=!1;this._isFooterVisible=!0;this._isUpdateActive=!1;this._scrollSize={width:0,height:0};this._contentLeftPos=0;this._initialContentLeftPos=0;this._allColWidth=0;this._horScrollElemPos={bottom:0};this._cornerScrollElemPos={bottom:0};this._paginatorPos={top:0,left:0};this._currentContentVisibility=IntegralUIContentVisibility.Both;this._headerElem={left:null,normal:null,right:null};this._columnElems={left:[],normal:[],right:[]};this._filterElem={left:null,normal:null,right:null};this._filterElems={left:[],normal:[],right:[]};this._footerElem={left:null,normal:null,right:null};this._footerElems={left:[],normal:[],right:[]};this._bodyElem={left:[],normal:[],right:[]};this._rowElems={left:[],normal:[],right:[]};this._cellElems={left:[],normal:[],right:[]};this._formElem=null;this._isLoading=!1;this._isLoadingEnd=!1;this._loadingEndTimeout=null;this._loadIconPos={top:0,left:0};this._currentPageNumber=1;this._onlyCurrentPage=!1;this._currentPageList=[];this._currentPaging={enabled:!1,panel:!0,pageSize:100};this._pageNumber=0;this._pageList=[];this._pageRowCount=0;this._paginatorHeight=0;this._isColumnResizing=!1;this._isFormResizing=!1;this._startFormPos={x:0,y:0};this._currentMouseWheelSpeed=IntegralUISpeedMode.Normal;this._currentScrollPos={x:0,y:0};this._maxScrollPos={x:0,y:0};this._accelerator=.5;this._scrollTimerID=null;this._isScrollTimerActive=!1;this._scrollCount=0;this._isScrollActive=!1;this._prevScrollPos={x:0,y:0};this._scrollBarSize={width:0,height:0};this._scrollLargeChange={x:0,y:0};this._scrollVisibility={horizontal:!0,vertical:!0};this._currentSorting=IntegralUISortOrder.None;this._sortComparer=null;this._sortColumn=null;this._currentSelectedColumn=null;this._currentSelectedRow=null;this._currentSelectionMode=IntegralUISelectionMode.One;this._isRowClicked=!1;this._shiftFirstSelectedRow=null;this._removeIndex=-1;this._currentSelectedRows=[];this._updateDataFields();this._initStyle();this._createScrollRowList();this._isExpandBoxTouched=!1;this._touchStartPos={x:0,y:0};this._touchEndPos={x:0,y:0}}connectedCallback(){}disconnectedCallback(){this._removeDropMark()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{allowColumnReorder:{type:Boolean,attribute:"allow-column-reorder",reflect:!0},allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},allowFilter:{type:Boolean,attribute:"allow-filter",reflect:!0},allowFocus:{type:Boolean,attribute:"allow-focus",reflect:!0},columns:{type:Array},contentVisibility:{attribute:"content-visibility",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUIContentVisibility.None;case"hover":return IntegralUIContentVisibility.Hover;case"select":return IntegralUIContentVisibility.Select;default:return IntegralUIContentVisibility.Both}},toAttribute:e=>{switch(e){case IntegralUIContentVisibility.None:return"None";case IntegralUIContentVisibility.Hover:return"Hover";case IntegralUIContentVisibility.Select:return"Select";default:return"Both"}}},reflect:!0},dataFields:{type:Object,attribute:"data-fields"},editMode:{attribute:"edit-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"batch":return IntegralUIEditMode.Batch;case"custom":return IntegralUIEditMode.Custom;case"dialog":return IntegralUIEditMode.Dialog;case"form":return IntegralUIEditMode.Form;case"inline":return IntegralUIEditMode.Inline;default:return IntegralUIEditMode.None}},toAttribute:e=>{switch(e){case IntegralUIEditMode.Batch:return"Batch";case IntegralUIEditMode.Custom:return"Custom";case IntegralUIEditMode.Dialog:return"Dialog";case IntegralUIEditMode.Form:return"Form";case IntegralUIEditMode.Inline:return"Inline";default:return"None"}}},reflect:!0},expandColumnIndex:{type:Number,attribute:"expand-column-index",reflect:!0},gridLines:{attribute:"grid-lines",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUIGridLines.None;case"horizontal":return IntegralUIGridLines.Horizontal;case"vertical":return IntegralUIGridLines.Vertical;default:return IntegralUIGridLines.Both}},toAttribute:e=>{switch(e){case IntegralUIGridLines.None:return"None";case IntegralUIGridLines.Horizontal:return"Horizontal";case IntegralUIGridLines.Vertical:return"Vertical";default:return"Both"}}},reflect:!0},paging:{type:Object},rowHeight:{type:Number,attribute:"row-height",reflect:!0},rows:{type:Array},selectionMode:{attribute:"selection-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUISelectionMode.None;case"multisimple":return IntegralUISelectionMode.MultiSimple;case"multiextended":return IntegralUISelectionMode.MultiExtended;default:return IntegralUISelectionMode.One}},toAttribute:e=>{switch(e){case IntegralUISelectionMode.None:return"None";case IntegralUISelectionMode.MultiSimple:return"MultiSimple";case IntegralUISelectionMode.MultiExtended:return"MultiExtended";default:return"One"}}},reflect:!0},inlineEditor:{type:Boolean,attribute:"inline-editor",reflect:!0},inlineFilter:{type:Boolean,attribute:"inline-filter",reflect:!0},showFooter:{type:Boolean,attribute:"show-footer",reflect:!0},showHeader:{type:Boolean,attribute:"show-header",reflect:!0},sorting:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"ascending":return IntegralUISortOrder.Ascending;case"descending":return IntegralUISortOrder.Descending;default:return IntegralUISortOrder.None}},toAttribute:e=>{switch(e){case IntegralUISortOrder.Ascending:return"Ascending";case IntegralUISortOrder.Descending:return"Descending";default:return"None"}}},reflect:!0}}}get allowColumnReorder(){return this._isColumnReorderAllowed}set allowColumnReorder(e){if(this._isColumnReorderAllowed!==e){const t=this._isColumnReorderAllowed;this._isColumnReorderAllowed=e;this.requestUpdate("allowColumnReorder",t)}}set allowDrag(e){if(this._isCtrlDragAllowed!==e){const t=this._isCtrlDragAllowed;this._isCtrlDragAllowed=e;this.requestUpdate("allowDrag",t);this.updateLayout()}}set allowDrop(e){if(this._isCtrlDropAllowed!==e){const t=this._isCtrlDropAllowed;this._isCtrlDropAllowed=e;this.requestUpdate("allowDrop",t);this.updateLayout()}}set allowFilter(e){if(this._isFilterAllowed!==e){const t=this._isFilterAllowed;this._isFilterAllowed=e;this.requestUpdate("allowFilter",t)}}get allowFocus(){return this._isKeyboardFocusAllowed}set allowFocus(e){if(this._isKeyboardFocusAllowed!==e){const t=this._isKeyboardFocusAllowed;this._isKeyboardFocusAllowed=e;if(!e)this._setCurrentFocusCell(null);this.refresh();this.requestUpdate("allowFocus",t)}}get columns(){return this._dataColumns}set columns(e){const t=this._dataColumns;this._dataColumns=e;this._updateData();this.requestUpdate("columns",t)}get contentVisibility(){return this._currentContentVisibility}set contentVisibility(e){const t=this._currentContentVisibility;this._currentContentVisibility=e;this.requestUpdate("contentVisibility",t)}set dataFields(e){this._updateDataFields(e)}get editMode(){return this._currentEditMode}set editMode(e){if(this._currentEditMode!==e){const t=this._currentEditMode;this._currentEditMode=e;this.updateLayout();this.requestUpdate("editMode",t)}}get expandColumnIndex(){return this._expandColIndex}set expandColumnIndex(e){const t=this._expandColIndex;this._expandColIndex=e;this.updateLayout();this.requestUpdate("expandColumnIndex",t)}get footerHeight(){return this._providedFooterHeight}set footerHeight(e){const t=this._providedFooterHeight;this._providedFooterHeight=e;this.requestUpdate("footerHeight",t)}get gridLines(){return this._currentGridLines}set gridLines(e){const t=this._currentGridLines;this._currentGridLines=e;this.refresh();this.requestUpdate("gridLines",t)}get headerHeight(){return this._providedHeaderHeight}set headerHeight(e){const t=this._providedHeaderHeight;this._providedHeaderHeight=e;this.requestUpdate("headerHeight",t)}get inlineEditor(){return this._isInlineEditorVisible}set inlineEditor(e){const t=this._isInlineEditorVisible;this._isInlineEditorVisible=e;this.updateLayout();this.requestUpdate("inlineEditor",t)}get inlineFilter(){return this._isInlineFilterVisible}set inlineFilter(e){const t=this._isInlineFilterVisible;this._isInlineFilterVisible=e;this.updateLayout();this.requestUpdate("inlineFilter",t)}get paging(){return this._currentPaging}set paging(e){if(e){let t=!1;const i=this._currentPaging;if(void 0!==e.enabled&&this._currentPaging.enabled!==e.enabled)t=!0;if(void 0!==e.maxPages&&this._currentPaging.maxPages!==e.maxPages)t=!0;if(void 0!==e.panel&&this._currentPaging.panel!==e.panel)t=!0;if(void 0!==e.pageSize&&this._currentPaging.pageSize!==e.pageSize)t=!0;if(t){this._updatePaging(e);this.requestUpdate("paging",i)}}}get rowHeight(){return this._currentRowHeight}set rowHeight(e){const t=this._currentRowHeight;this._currentRowHeight=e;this.requestUpdate("rowHeight",t)}get rows(){return this._dataRows}set rows(e){const t=this._dataRows;this._dataRows=e;this._updateData();this.requestUpdate("rows",t)}get selectedColumn(){return this._currentSelectedColumn}set selectedColumn(e){if(this._currentSelectedColumn!==e){const t=this._currentSelectedColumn;this._processColumnSelection(null,e);this.requestUpdate("selectedColumn",t)}}get selectedRow(){return this._currentSelectedRow}set selectedRow(e){if(this._currentSelectedRow!==e){const t=this._currentSelectedRow;this._processRowSelection(null,e);this.requestUpdate("selectedRow",t)}}get selectionMode(){return this._currentSelectionMode}set selectionMode(e){if(this._currentSelectionMode!==e){const t=this._currentSelectionMode;this._currentSelectionMode=e;this._clearPrevSelection(this._currentSelectionMode!==IntegralUISelectionMode.None?this._currentSelectedRow:null);this.refresh();if(this._currentSelectionMode===IntegralUISelectionMode.None){this._currentSelectedRow=null;this._invokeEvent("selectionChanged",{obj:this._currentSelectedRow})}this.requestUpdate("selectionMode",t)}}get showFooter(){return this._isFooterVisible}set showFooter(e){const t=this._isFooterVisible;this._isFooterVisible=e;this.updateLayout();this.requestUpdate("showFooter",t)}get showHeader(){return this._isHeaderVisible}set showHeader(e){const t=this._isHeaderVisible;this._isHeaderVisible=e;this.updateLayout();this.requestUpdate("showHeader",t)}get sorting(){return this._currentSorting}set sorting(e){const t=this._currentSorting;this._currentSorting=e;this.requestUpdate("sorting",t)}addColumn(e){this._callEventAddColumn("add",e)}clearColumns(){this._dataService.clear(null,this._columnDataKey);this._invokeEvent("columnsCleared");this._currentScrollPos.x=0}insertColumnAfter(e,t){this._callEventAddColumn("ref",e,-1,t,!0)}insertColumnAt(e,t){this._callEventAddColumn("at",e,t)}insertColumnBefore(e,t){this._callEventAddColumn("ref",e,-1,t)}removeColumn(e){return this._callEventRemoveColumn(e)}removeColumnAt(e){return this._callEventRemoveColumn(null,e)}_callEventAddColumn(e,t,i,l,s){let r={cancel:!1,column:t};this._invokeEvent("columnAdding",r);if(!0!==r.cancel){switch(e){case"at":this._dataService.insert(t,i,null,null,!1,this._columnDataKey);break;case"ref":this._dataService.insertByRef(t,l,s,this._columnDataKey);break;default:this._dataService.insert(t,-1,null,null,!1,this._columnDataKey)}this._invokeEvent("columnAdded",{column:t})}}_callEventRemoveColumn(e,t){let i={cancel:!1,column:e};this._invokeEvent("columnRemoving",i);if(!0!==i.cancel){this._removeIndex=this._dataColumns?this._dataColumns.indexOf(e):-1;let i=this._dataService.removeAt(e,t,null,this._columnDataKey);if(i.result){this._invokeEvent("columnRemoved",{column:i.obj});return!0}}return!1}addRow(e,t){this._callEventAddRow("add",e,-1,t)}clearRows(e){this._dataService.clear(e,this._rowDataKey);this._invokeEvent("rowsCleared",{parent:e});this.clearSelection();this._currentScrollPos.y=0}insertRowAfter(e,t){this._callEventAddRow("ref",e,-1,null,t,!0)}insertRowAt(e,t,i){this._callEventAddRow("at",e,t,i)}insertRowBefore(e,t){this._callEventAddRow("ref",e,-1,null,t)}removeRow(e){return this._callEventRemoveRow(e)}removeRowAt(e,t){return this._callEventRemoveRow(null,e,t)}_callEventAddRow(e,t,i,l,s,r){let o={cancel:!1,row:t};this._invokeEvent("rowAdding",o);if(!0!==o.cancel){switch(e){case"at":this._dataService.insert(t,i,l,null,!1,this._rowDataKey);break;case"ref":this._dataService.insertByRef(t,s,r,this._rowDataKey);break;default:this._dataService.insert(t,-1,l,null,!1,this._rowDataKey)}this._invokeEvent("rowAdded",{row:t})}}_callEventRemoveRow(e,t,i){let l={cancel:!1,row:e};this._invokeEvent("rowRemoving",l);if(!0!==l.cancel){this.removeIndex=this._dataRows?this._dataRows.indexOf(e):-1;let l=this._dataService.removeAt(e,t,i,this._rowDataKey);if(l.result){if(e&&e[this._rowFields.selected]){e[this._rowFields.selected]=!1;this._currentSelectedRows=this._currentSelectedRows.filter(function(t){return t!==e});if(this._currentSelectedRow&&this._commonService.isEqual(this._currentSelectedRow[this._rowFields.id],e[this._rowFields.id]))this._currentSelectedRow=null;this._invokeEvent("selectionChanged",{obj:this._currentSelectedRow})}this._invokeEvent("rowRemoved",{row:l.obj});return!0}}return!1}_cellClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("cellClick",{cell:t.data,event:e})}_cellDblClickEvent(e,t){if(this._isEnabled&&1===e.which)if(t.isEditorColumn){t.data[this._rowFields.editorVisible]=!1;this._formData=null;switch(this._currentEditMode){case IntegralUIEditMode.Form:this._isFormActive=!1;this._updateEditorFormClass();break;default:this._defaultFunc()}this._updateScrollRowList();this.update();e.stopPropagation()}else this._invokeEvent("cellDblClick",{cell:t.data,event:e})}_cellRightClickEvent(e,t){if(this._isEnabled)this._invokeEvent("cellRightClick",{cell:t.data,event:e})}_columnClickEvent(e,t){if(this._isEnabled&&1===e.which&&!this._isColumnResizing)this._invokeEvent("columnClick",{column:t.data,event:e})}_columnDblClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("columnDblClick",{column:t.data,event:e})}_columnRightClickEvent(e,t){if(this._isEnabled)this._invokeEvent("columnRightClick",{column:t.data,event:e})}_rowClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("rowClick",{event:e,row:t.data})}_rowDblClickEvent(e,t){if(this._isEnabled&&1===e.which){let i={cancel:!1,event:e,row:t.data};this._invokeEvent("rowDblClick",i);if(!0!==i.cancel)this.toggle(t.data)}}_rowRightClickEvent(e,t){if(this._isEnabled)this._invokeEvent("rowRightClick",{event:e,row:t.data})}_addColumnToCurrentList(e){if(this.isColumnVisible(e)){e.type="column";if(!e[this._columnFields.id])e[this._columnFields.id]=this._commonService.getUniqueId();if(this.isColumnVisible(e)){let t=e[this._columnFields.filterParams],i=t?this._filterService.createTree(t.conditions,t.formula):null,l=this._getSideName(e[this._columnFields.fixed]);this._currentColumnList[l].push({data:e,filter:i})}}}_createColumnLevel(e,t,i,l){if(!e||t>=this._maxColumnLevels)return;let s=0;for(;s<e.length;){let r=e[s];if(!r[this._columnFields.id])r[this._columnFields.id]=this._commonService.getUniqueId();if(l)r[this._columnFields.pid]=l;let o=r[this._columnFields.columns],n={colSpan:o?this._getColumnSpan(r):0,data:r,isRoot:0===t?!0:!1,isVisible:!o||0===o.length?!0:!1,rowSpan:!o||0===o.length?this._maxColumnLevels-t:0};this._completeColumnList[i][t].push(n);if(this._isColumnWithChildrenVisible(r))this._createColumnLevel(r[this._columnFields.columns],t+1,i,r[this._columnFields.id]);s++}}_createColumnListInRange(e,t){if(e)e.forEach(e=>{let i={colIndex:this._getColumnIndexFromList(e),data:e,isVisible:!e[this._columnFields.columns]||0===e[this._columnFields.columns].length?!0:!1};t.push(i);this._createColumnListInRange(e[this._columnFields.columns],t)})}_getColumnData(){return this._dataService.getList(null,this._columnDataKey)}_getColumnListInRange(e){let t=[];if(this._completeColumnList[e].length>0){let i=this._completeColumnList[e][0],l="normal"!==e?0:this._viewIndexRange.left,s="normal"!==e?i.length-1:this._viewIndexRange.right,r=i.filter((e,t)=>t>=l&&t<=s).map(e=>e.data);this._createColumnListInRange(r,t)}return t}_getColumnSpan(e){let t=0;if(!e[this._columnFields.columns]||0===e[this._columnFields.columns].length)return 1;for(let i=0;i<e[this._columnFields.columns].length;i++)t+=this._getColumnSpan(e[this._columnFields.columns][i]);return t}_getAllColumnWidth(){let e=0;for(let t=0;t<3;t++){let i="";switch(t){case 1:i="left";break;case 2:i="right";break;default:i="normal"}e+=this._getAllColumnWidthBySide(i)}if(this.isVerScrollVisible())e+=16;return e}_getAllColumnWidthBySide(e){let t=0;this._currentColumnList[e].forEach(e=>{let i=this._getColumnWidth(e.data);t+=i+this._columnPadding.left+this._columnPadding.right+6});return t}_getEditorSaveColumn(){let e=null;for(let t=0;t<3;t++){let i="";switch(t){case 1:i="left";break;case 2:i="right";break;default:i="normal"}let l=this._currentColumnList[i].filter(e=>e.data.isEditorSaveColumn);if(l.length>0){e=l[0].data;break}}return e}_updateCurrentColumnList(e){this._currentColumnList={left:[],normal:[],right:[]};this._flatCurrentColumnList={left:[],normal:[],right:[]};this._maxColumnLevels=0;this._completeColumnList={left:[],normal:[],right:[]};this._flatCompleteColumnList={left:[],normal:[],right:[]};let t=this._getColumnData();if(t){if(this._isCtrlDragAllowed)this._addColumnToCurrentList({fixed:"left",fixedWidth:!0,isDragDropColumn:!0,width:16});if(this._currentEditMode===IntegralUIEditMode.Form||this._isInlineEditorVisible||this._currentEditMode===IntegralUIEditMode.Inline)this._addColumnToCurrentList({[this._columnFields.footerText]:".",[this._columnFields.fixed]:"left",[this._columnFields.fixedWidth]:!0,[this._columnFields.width]:16,isEditorColumn:!0});t.forEach(e=>this._addColumnToCurrentList(e));let e=this._getAllColumnWidth(),i=this._currentEditMode===IntegralUIEditMode.Batch?140:120;e+=i+this._columnPadding.left+this._columnPadding.right+6;if(this._currentEditMode===IntegralUIEditMode.Batch||this._isInlineEditorVisible||this._currentEditMode===IntegralUIEditMode.Inline)this._addColumnToCurrentList({[this._columnFields.headerText]:".",[this._columnFields.footerText]:".",[this._columnFields.contentAlignment]:"center",[this._columnFields.fixed]:e<this._clientRect.width?"none":"right",[this._columnFields.width]:i,isEditorSaveColumn:!0});for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._createFlatList(this._currentColumnList[t].map(e=>e.data),this._columnFields.columns,this._flatCurrentColumnList[t])}this._updateColumnCompleteList()}this._createColumnsWithFilter()}_updateColumnCompleteList(){for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._updateColumnCompleteListBySide(t)}}_updateColumnCompleteListBySide(e){let t=this._currentColumnList[e].map(e=>e.data);this._calcMaxColumnLevels(t,1);for(let t=1;t<=this._maxColumnLevels;t++)this._completeColumnList[e].push([]);this._createColumnLevel(t,0,e);this._flatCompleteColumnList[e]=this._createFlatColumnList(this._completeColumnList[e])}_updateScrollColumnList(){for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._refreshScrollColumnList(t)}}_isColumnParentInRange(e,t,i){let l=!1;if(t>=0&&t<this._completeColumnList[e].length){let s=[];if(t>0)l=(s=this._completeColumnList[e][t].filter(e=>e.data[this._columnFields.id]===i)).length>0?this._isColumnParentInRange(e,t-1,s[0].data[this._columnFields.pid]):!1;else l=(s=this._completeColumnList[e][t].filter((e,t)=>t>=this._viewIndexRange.left&&t<=this._viewIndexRange.right).filter(e=>e.data[this._columnFields.id]===i)).length>0?!0:!1}return l}_refreshScrollColumnList(e){this._scrollColumnList[e].length=0;this._completeColumnList[e].forEach((t,i)=>{let l={columns:[]};t.forEach((t,s)=>{let r=!0;if("normal"===e)if(0===i&&s>=this._viewIndexRange.left&&s<=this._viewIndexRange.right)r=!0;else r=this._isColumnParentInRange(e,i-1,t.data[this._columnFields.pid]);if(r){let e={clickPos:{x:0,y:0},colSpan:t.colSpan>0?t.colSpan:1,data:t.data,footerHeight:this._providedFooterHeight>0?this._providedFooterHeight+"px":"auto",headerHeight:this._providedHeaderHeight>0?this._providedHeaderHeight+"px":"auto",inlineStyle:this._getColumnInlineStyle(t.data[this._columnFields.style]),location:{top:0,left:0},position:"relative",rowSpan:t.rowSpan>0?t.rowSpan:1,style:{}};this._updateColumnStyle(e);l.columns.push(e)}});this._scrollColumnList[e].push(l)});this._scrollFooterList[e].length=0;let t=this._getColumnListInRange(e);t.forEach(t=>{if(t.isVisible){let i={clickPos:{x:0,y:0},data:t.data,footerHeight:this._providedFooterHeight>0?this._providedFooterHeight+"px":"auto",headerHeight:this._providedHeaderHeight>0?this._providedHeaderHeight+"px":"auto",inlineStyle:this._getColumnInlineStyle(t.data[this._columnFields.style]),location:{top:0,left:0},position:"relative",style:{}};i.displayValue=this._getFooterDisplayValue(i);this._updateColumnStyle(i);this._scrollFooterList[e].push(i)}});this._scrollFilterList[e].length=0;t.forEach(t=>{if(t.isVisible){let i={clickPos:{x:0,y:0},data:t.data,filterAdjustment:this._getFilterAdjustment(t.data,{top:4}),filterDropDownSize:{width:225},filterFormat:this._getColumnFormat(t.data),filterOperation:this._getFilterOperation(t.data),filterSettings:this._getFilterSettings(t.data),filterType:this._getFilterType(t.data),filterValue:this._getFilterValue(t.data),location:{top:0,left:0},position:"relative",style:{}};i.filterCalendarSize=i.filterSettings.calendarSize;i.isFilterAllowed=!1!==i.filterSettings.visible;this._updateColumnStyle(i);this._scrollFilterList[e].push(i)}})}_processLoadData(e,t,i,l){let s=this;s.clearRows(t);s._updateRowFields(i);let r=[];if(e)if(l||void 0===l){let t=[];e.forEach(function(e,i){if(!e[s._rowFields.id])e[s._rowFields.id]=s._commonService.getUniqueId();let l=e[s._rowFields.pid];if(t[l]){if(!t[l][s._rowFields.rows])t[l][s._rowFields.rows]=[];t[e[s._rowFields.id]]=e;t[l][s._rowFields.rows].push(e)}else{t[e[s._rowFields.id]]=e;r.push(e)}});t.length=0}else r=e;if(t){t[s._rowFields.rows]=r;for(let e=0;e<t[s._rowFields.rows].length;e++)t[s._rowFields.rows][e][s._rowFields.pid]=t[s._rowFields.id]}else if(s._dataRows){s._dataRows.length=0;for(let e=0;e<r.length;e++)s._dataRows.push(r[e])}s._invokeEvent("loadComplete");s.updateLayout()}_updateColumnFields(e){let t=e||{};this._columnFields={aggregation:t.aggregation?t.aggregation:"aggregation",allowDrag:t.allowDrag?t.allowDrag:"allowDrag",allowDrop:t.allowDrop?t.allowDrop:"allowDrop",allowFilter:t.allowFilter?t.allowFilter:"allowFilter",allowGrouping:t.allowGrouping?t.allowGrouping:"allowGrouping",allowResize:t.allowResize?t.allowResize:"allowResize",canSelect:t.canSelect?t.canSelect:"canSelect",cellTemplateUrl:t.cellTemplateUrl?t.cellTemplateUrl:"cellTemplateUrl",columns:t.columns?t.columns:"columns",comparer:t.comparer?t.comparer:"comparer",contentAlignment:t.contentAlignment?t.contentAlignment:"contentAlignment",contextMenu:t.contextMenu?t.contextMenu:"contextMenu",editorType:t.editorType?t.editorType:"editorType",editorSettings:t.editorSettings?t.editorSettings:"editorSettings",editorTemplate:t.editorTemplate?t.editorTemplate:"editorTemplate",expanded:t.expanded?t.expanded:"expanded",filterOperation:t.filterOperation?t.filterOperation:"filterOperation",filterParams:t.filterParams?t.filterParams:"filterParams",filterSettings:t.filterSettings?t.filterSettings:"filterSettings",filterTemplate:t.filterTemplate?t.filterTemplate:"filterTemplate",filterType:t.filterType?t.filterType:"filterType",filterValue:t.filterValue?t.filterValue:"filterValue",fixed:t.fixed?t.fixed:"fixed",fixedWidth:t.fixedWidth?t.fixedWidth:"fixedWidth",format:t.format?t.format:"format",footerAlignment:t.footerAlignment?t.footerAlignment:"footerAlignment",footerContent:t.footerContent?t.footerContent:"footerContent",footerTemplate:t.footerTemplate?t.footerTemplate:"footerTemplate",footerTemplateModel:t.footerTemplateModel?t.footerTemplateModel:"footerTemplateModel",footerText:t.footerText?t.footerText:"footerText",footerTooltip:t.footerTooltip?t.footerTooltip:"footerTooltip",footerValue:t.footerValue?t.footerValue:"footerValue",groupText:t.groupText?t.groupText:"groupText",headerAlignment:t.headerAlignment?t.headerAlignment:"headerAlignment",headerContent:t.headerContent?t.headerContent:"headerContent",headerTemplate:t.headerTemplate?t.headerTemplate:"headerTemplate",headerTemplateModel:t.headerTemplateModel?t.headerTemplateModel:"headerTemplateModel",headerText:t.headerText?t.headerText:"headerText",headerTooltip:t.headerTooltip?t.headerTooltip:"headerTooltip",headerValue:t.headerValue?t.headerValue:"headerValue",icon:t.icon?t.icon:"icon",id:t.id?t.id:"id",isEnd:t.isEnd?t.isEnd:"isEnd",key:t.key?t.key:"key",maxWidth:t.maxWidth?t.maxWidth:"maxWidth",minWidth:t.minWidth?t.minWidth:"minWidth",name:t.name?t.name:"name",objects:t.columns?t.columns:"columns",pid:t.pid?t.pid:"pid",selected:t.selected?t.selected:"selected",sorting:t.sorting?t.sorting:"sorting",style:t.style?t.style:"style",templateSettings:t.templateSettings?t.templateSettings:"templateSettings",visible:t.visible?t.visible:"visible",width:t.width?t.width:"width"};if(this._dataService)this._dataService.updateDataFields(this._columnFields,this._columnDataKey)}_updateCellFields(e){let t=e||{};this._cellFields={allowDrag:t.allowDrag?t.allowDrag:"allowDrag",allowEdit:t.allowEdit?t.allowEdit:"allowEdit",cid:t.cid?t.cid:"cid",colName:t.colName?t.colName:"colName",content:t.content?t.content:"content",contextMenu:t.contextMenu?t.contextMenu:"contextMenu",dataChanged:t.dataChanged?t.dataChanged:"dataChanged",editorSettings:t.editorSettings?t.editorSettings:"editorSettings",enabled:t.enabled?t.enabled:"enabled",expanded:t.expanded?t.expanded:"expanded",id:t.id?t.id:"id",isGroup:t.isGroup?t.isGroup:"isGroup",labelEdit:t.labelEdit?t.labelEdit:"labelEdit",rid:t.rid?t.rid:"rid",selected:t.selected?t.selected:"selected",style:t.style?t.style:"style",tag:t.tag?t.tag:"tag",templateObj:t.templateObj?t.templateObj:"templateObj",text:t.text?t.text:"text",tooltip:t.tooltip?t.tooltip:"tooltip",value:t.value?t.value:"value",valueID:t.valueID?t.valueID:"valueID",valueType:t.valueType?t.valueType:"valueType"}}_updateData(){this._dataService.init([{data:this._dataColumns,fields:this._columnFields,key:this._columnDataKey},{data:this._dataRows,fields:this._rowFields,key:this._rowDataKey}])}_updateDataFields(e){let t=e||{};this._updateColumnFields(t.column);this._updateRowFields(t.row);this._updateCellFields(t.cell);this._updateEditingFields(t.editing);this._updateFilterFields(t.filter)}_updateEditingFields(e){let t=e||{};this._editingFields={cancel:t.cancel?t.cancel:"Cancel",edit:t.edit?t.edit:"Edit",remove:t.remove?t.remove:"Remove",save:t.save?t.save:"Save"}}_updateFilterFields(e){this._filterFields=e}_updateRowFields(e){let t=e||{};this._rowFields={allowDrag:t.allowDrag?t.allowDrag:"allowDrag",allowDrop:t.allowDrop?t.allowDrop:"allowDrop",allowEdit:t.allowEdit?t.allowEdit:"allowEdit",allowFocus:t.allowFocus?t.allowFocus:"allowFocus",autoCheck:t.autoCheck?t.autoCheck:"autoCheck",canSelect:t.canSelect?t.canSelect:"canSelect",cells:t.cells?t.cells:"cells",checkBoxSettings:t.checkBoxSettings?t.checkBoxSettings:"checkBoxSettings",checked:t.checked?t.checked:"checked",checkState:t.checkState?t.checkState:"checkState",content:t.content?t.content:"content",contentVisibility:t.contentVisibility?t.contentVisibility:"contentVisibility",contextMenu:t.contextMenu?t.contextMenu:"contextMenu",deleted:t.deleted?t.deleted:"deleted",gid:t.gid?t.gid:"gid",editorVisible:t.editorVisible?t.editorVisible:"editorVisible",enabled:t.enabled?t.enabled:"enabled",expanded:t.expanded?t.expanded:"expanded",fixed:t.fixed?t.fixed:"fixed",hasChildren:t.hasChildren?t.hasChildren:"hasChildren",icon:t.icon?t.icon:"icon",id:t.id?t.id:"id",name:t.name?t.name:"name",objects:t.rows?t.rows:"rows",pid:t.pid?t.pid:"pid",rows:t.rows?t.rows:"rows",selected:t.selected?t.selected:"selected",sorting:t.sorting?t.sorting:"sorting",statusIcon:t.statusIcon?t.statusIcon:"statusIcon",style:t.style?t.style:"style",subobjects:t.cells?t.cells:"cells",templateObj:t.templateObj?t.templateObj:"templateObj",text:t.text?t.text:"text",tooltip:t.tooltip?t.tooltip:"tooltip",value:t.value?t.value:"value",visible:t.visible?t.visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._rowFields,this._rowDataKey)}_addChildRows(e,t,i,l){let s=!0;if(!e[this._rowFields.rows])return s=this._addRowToCurrentList(e,t,i,l);if((s=this._addRowToCurrentList(e,t,i,l))){let i=0;if(l||this._isRowExpanded(e)){let s=e[this._rowFields.rows];if(s){this._applySorting(s);for(let r=0;r<s.length;r++)if(this._addChildRows(s[r],t+this._currentIndent,e[this._rowFields.id],l))i++}}if(!l&&!this._isThereChildRows&&(i>0||this._isThereRows(e)))this._isThereChildRows=!0}return s}_addRowToCurrentList(e,t,i,l){let s=this;if(!e.type)e.type="row";if(!e[s._rowFields.id])e[s._rowFields.id]=s._commonService.getUniqueId();if(i)e[s._rowFields.pid]=i;let r=!0,o=e[s._rowFields.cells];if(o&&o.length>0){r=s._isRowAllowed(e,l);for(let t=0;t<o.length;t++){if(!o[t][s._cellFields.id])o[t][s._cellFields.id]=s._commonService.getUniqueId();o[t].type="cell";o[t][s._cellFields.rid]=e[s._rowFields.id]}}if(r)if(l)s._fullList.push(e);else if(s._currentPaging.enabled)if(s._onlyCurrentPage)s._currentPageList.push({data:e,indent:t});else{if(!e[s._rowFields.pid])s._pageRowCount++;if(s._pageRowCount>s._currentPaging.pageSize){s._pageRowCount=1;s._pageNumber++;s._pageList.push([])}s._pageList[s._pageNumber].push({data:e,indent:t})}else s._currentRowList.push({data:e,indent:t});return r}_createEmptyRowObj(){let e={allowEdit:!1,clickPos:{x:0,y:0},cells:[],data:{},draggable:!1,indent:0,inlineStyle:{},isDragAllowed:!0,isEditAllowed:!0,isEditorActive:!1,isEmpty:!0,isGroup:!1,original:{},style:{}};for(let t=0;t<1;t++)e.cells.push(this._createEmptyCellObj());return e}_createEmptyCellObj(){return{align:"",allowEdit:!1,colIndex:-1,data:{},display:"none",displayValue:null,editorClass:"",editorList:[],editorSettings:{},editorStyle:"",editorType:null,editorValue:null,editorValueObject:{},editorVisibility:IntegralUIVisibility.Hover,expandBoxAllowed:!1,format:{},indent:0,inlineStyle:{},isDataEmpty:!0,isDragDropColumn:!1,isEditorColumn:!1,isEditorSaveColumn:!1,isEditorEnabled:!0,isEmpty:!0,rowIndex:-1,side:"normal",style:{content:{[this._generalClassName+"-row-cell-content"]:!0}},tabIndex:-1,width:100,height:"auto"}}_createScrollObjFromRow(e,t,i,l,s){let r=null,o=i?i:this._getObjFromRow(t);if(o){let n=(r={allowEdit:!0===o.data[this._rowFields.allowEdit],clickPos:{x:0,y:0},cells:[],data:o.data,draggable:this._isEnabled&&"group"!==o.data.type?!0:!1,isDragAllowed:this._isDragAllowed(t),isEditAllowed:this._isEditAllowed(t),isEditorActive:i.data===this._currentEditingRow,indent:o.indent,inlineStyle:o.data[this._rowFields.style],original:o.original,style:{}}).data[this._rowFields.cells];for(let i=0;i<e.length;i++){let o=e[i].data;if("normal"===s?e[i].isVisible:!0){let a=i,d=o[this._columnFields.id];if(d)a=this._getCellIndexById(n,i,d);this._tabIndexCount++;let h=a>=0&&a<n.length?n[a]:{},c={align:this._getCellAlignment(o),colID:d,colIndex:e[i].colIndex,data:h,display:"block",displayValue:null,editorClass:"",editorList:this._getCellEditorList(o),editorSettings:this._getCellEditorSettings(o),editorStyle:"",editorType:this._getCellEditorType(o),editorValue:null,editorValueObject:{},editorVisibility:this._getCellEditorVisibility(t,o),expandBoxAllowed:this._isExpandBoxAllowed(o,i),format:this._getColumnFormat(o),indent:this._getRowIndent(r,o),inlineStyle:h&&h[this._cellFields.style]?h[this._cellFields.style]:"",isDataEmpty:this._commonService.isEmpty(h)||!1===h[this._cellFields.allowEdit],isDragDropColumn:!0===o.isDragDropColumn?!0:!1,isEditorColumn:!0===o.isEditorColumn?!0:!1,isEditorSaveColumn:!0===o.isEditorSaveColumn?!0:!1,isEditorEnabled:this._isCellEditorEnabled(o,h),rowIndex:void 0!==l?l-this._currentIndex:0,side:s,style:{content:{[this._generalClassName+"-row-cell-content"]:!0}},width:this._getCellWidth(r,o),height:this._currentRowHeight>0?this._currentRowHeight+"px":"auto"};c.allowEdit=void 0!==h[this._cellFields.allowEdit]?h[this._cellFields.allowEdit]:r.allowEdit||!0===c.editorSettings.editOnFocus;c.displayValue=this._getCellDisplayValue(c);c.editorValue=this._getCellValue(c);c.editorValueObject=this._getCellValueObject(c);c.editorClass=this._getCellEditorClass(c);c.tabIndex=c.isDragDropColumn||c.isEditorColumn||c.isEditorSaveColumn?-1:this._tabIndexCount;r.cells.push(c)}}this._updateRowStyle(r)}return r}_createScrollRowList(){for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._createScrollRowListBySide(t)}}_createScrollRowListBySide(e){this._scrollRowList[e].length=0;for(let t=0;t<100;t++){let t=this._createEmptyRowObj();this._scrollRowList[e].push(t)}}_getRowData(){return this._dataService.getList(null,this._rowDataKey)}_isThereRows(e){return!this._isRowExpanded(e)&&e[this._rowFields.rows]&&e[this._rowFields.rows].length>0&&this._isThereVisibleChildren(e)}_refreshScrollRowList(e,t){let i=this;this._isLayoutUpdating=!0;this._tabIndexCount=0;let l=0,s=this._getColumnListInRange(e);for(let i=this._currentIndex;i<this._currentRowList.length&&i<this._currentIndex+this._visibleRange;i++){let r=this._currentRowList[i],o=this._createScrollObjFromRow(s,r.data,r,i,e),n=this._scrollRowList[e][l];n.allowEdit=o.allowEdit;n.isEmpty=!1;n.data=o.data;n.isDragAllowed=o.isDragAllowed;n.isEditAllowed=o.isEditAllowed;n.isEditorActive=o.isEditorActive;n.inlineStyle=o.inlineStyle;n.original=o.original;n.style=o.style;if(!t){n.draggable=o.draggable;n.indent=o.indent}let a=0;for(let e=0;e<o.cells.length;e++,a++){let i=o.cells[e],l=n.cells[e];l.allowEdit=i.allowEdit;l.isEmpty=!1;l.data=i.data;l.display=this._getRowCellDisplay(i);l.inlineStyle=i.inlineStyle;l.isDataEmpty=i.isDataEmpty;l.isDragDropColumn=i.isDragDropColumn;l.isEditorColumn=i.isEditorColumn;l.isEditorSaveColumn=i.isEditorSaveColumn;l.side=i.side;l.style=i.style;if(!t){l.align=i.align;l.colID=i.colID;l.colIndex=i.colIndex;l.displayValue=i.displayValue;l.editorClass=i.editorClass;l.editorList=i.editorList;l.editorSettings=i.editorSettings;l.editorStyle=i.editorStyle;l.editorType=i.editorType;l.editorValue=i.editorValue;l.editorValueObject=i.editorValueObject;l.editorVisibility=i.editorVisibility;l.expandBoxAllowed=i.expandBoxAllowed;l.indent=i.indent;l.isEditorEnabled=i.isEditorEnabled;l.rowIndex=i.rowIndex;l.tabIndex=i.tabIndex;l.width=i.width;l.height=i.height}}for(let e=a;e<n.cells.length;e++)this._resetCellObj(n.cells[e]);l++}for(let t=l;t<this._scrollRowList[e].length&&t<this._visibleRange;t++){let i=this._scrollRowList[e][t];this._resetRowObj(i);i.cells.forEach(e=>this._resetCellObj(e))}let r=setTimeout(function(){i._isLayoutUpdating=!1;clearTimeout(r)},100)}_resetRowObj(e){if(e){e.clickPos={x:0,y:0};e.data={};e.draggable=!1;e.allowEdit=!1;e.indent=0;e.inlineStyle={};e.isEmpty=!0;e.isGroup=!1;e.original={};e.style={}}}_resetCellObj(e){if(e){e.align="";e.allowEdit=!1;e.colIndex=-1;e.data={};e.display="none";e.displayValue=null;e.editorClass="";e.editorList=[];e.editorSettings={};e.editorStyle="";e.editorType=null;e.editorValue=null;e.editorValueObject={};e.editorVisibility=IntegralUIVisibility.Hover;e.expandBoxAllowed=!1;e.format={};e.indent=0;e.inlineStyle={};e.isEditorEnabled=!0;e.isEmpty=!0;e.rowIndex=-1;e.side="normal";e.style={content:{[this._generalClassName+"-row-cell-content"]:!0}};e.tabIndex=-1;e.width=0;e.height="auto"}}_updateCurrentRowList(e){this._currentRowList.length=0;if(this._currentPaging.enabled){if(this._currentPageNumber>=1&&this._currentPageNumber<=this._pageList.length)for(let e=0;e<this._pageList[this._currentPageNumber-1].length;e++)this._currentRowList.push(this._pageList[this._currentPageNumber-1][e])}else{this._isThereChildRows=!1;let e=this._getRowData();if(e){this._applySorting(e);for(let t=0;t<e.length;t++)this._addChildRows(e[t],0,null,!1)}}}updateFullList(){this._fullList.length=0;let e=this._getRowData();if(e)for(let t=0;t<e.length;t++)this._addChildRows(e[t],0,null,!0);return this._fullList}_updatePageList(){this._pageNumber=0;this._pageList.length=0;this._pageRowCount=0;this._isThereChildRows=!1;let e=this._getRowData();if(e&&e.length>0){this._applySorting(e);this._pageList.push([]);for(let t=0;t<e.length;t++)this._addChildRows(e[t],0,null,!1);if(this._pageList.length>0&&0===this._pageList[this._pageList.length-1].length)this._pageList.splice(this._pageList.length-1,1)}}_updateScrollRowList(e){for(let t=0;t<3;t++){let i="";switch(t){case 1:i="left";break;case 2:i="right";break;default:i="normal"}this._refreshScrollRowList(i,e)}}_updateScrollRowListLimit(e,t){for(let i=0;i<this._scrollRowList[e].length;i++)for(let l=0;l<t;l++)this._scrollRowList[e][i].cells.push(this._createEmptyCellObj())}_addDropMark(e){this._removeDropMark();this._dragCmp=document.createElement("iui-dragwin",{is:IntegralUIDragWindow});if(this._dragCmp){this._dragCmp.colorScheme=this._currentColorScheme;this._dragCmp.customStyle=this.customStyle;this._dragCmp.resourcePath=this.resourcePath;this._dragCmp.theme=this._currentTheme;document.body.appendChild(this._dragCmp);this._dragCmp.refresh()}}_removeDropMark(){if(this._dragCmp)this._dragCmp.parentNode.removeChild(this._dragCmp);this._dragCmp=null}_callDragDropEvent(e,t,i){let l=this,s={action:t.action,cancel:!1,dragObj:t.source,dropPos:t.dropPos,event:e,isDropAllowed:t.allow,mousePos:l._commonService.getMousePos(e),resume:function(){l.drop(e,l._dragDropService.getData());l._dragDropService.clearData()},sourceCtrl:t.sourceCtrl,targetCtrl:t.targetCtrl,targetObj:t.target};if(i)this._invokeEvent("dragDrop",s);else this._invokeEvent("dragOver",s);return s}_checkEmptySpace(e){let t=this._commonService.getPageRect(this._elemRef),i=t.top,l=t.bottom,s=this._commonService.getMousePos(e),r=this._commonService.getShiftPos();s.x-=r.x;s.y-=r.y;return s.y>=i&&s.y<=l}_clearDragDropSettings(e){if(e)this._dragDropService.clearData();this._isDragActive=!1;this._dragStartPos={x:0,y:0};this._dragEndPos={x:0,y:0};this._removeDropMark();this._removeDragHost();this._changeCursor()}_ctrlDragEnter(e){if(this._isEnabled)this._processDragEnter(e)}_ctrlDragDrop(e){if(this._isEnabled)this._processDragDrop(e);this._removeDropMark();e.stopPropagation()}_ctrlDragLeave(e){if(this._isEnabled)this._processDragLeave(e)}_ctrlDragOver(e){if(this._isEnabled)this._processDragOver(e);e.stopPropagation()}_ctrlDragEnd(e){this._removeDropMark();let t=this._dragDropService.getData();if(t.targetCtrl&&t.targetCtrl.removeDropMark)t.targetCtrl.removeDropMark();this._rowDragEnd(e,null)}_removeDragHandle(){this._isDragHandleVisible=!1;this._targetDropRow=null;this._targetDropPos=-1}_dropMark(e,t){if(!this._dragCmp&&!this._isScrollTimerActive)this._addDropMark({x:e.pageX,y:e.pageY});if(this._dragCmp){let e="none";if(this._isCtrlDropAllowed)e=t?"block":"none";this._dragCmp.display=e;this._dragCmp.refresh()}}_updateDragComponent(e){if(this._dragCmp)this._dragCmp.updatePos(e)}_isDragAllowed(e){return this._isCtrlDragAllowed?e&&(e[this._rowFields.allowDrag]||void 0===e[this._rowFields.allowDrag])?!0:!1:!1}_isDropAllowed(e,t,i){let l=this._isCtrlDropAllowed;if(l&&e&&t)if((l=t[this._rowFields.allowDrop]||void 0===t[this._rowFields.allowDrop]?!0:!1))if(Array.isArray(e))for(let s=0;s<e.length&&(l=this._isDropAllowedForObject(e[s],t,i));s++);else l=this._isDropAllowedForObject(e,t,i);return l}_isDropAllowedForObject(e,t,i){let l=!0;if(this._commonService.isEqual(e[this._rowFields.id],t[this._rowFields.id]))l=!1;else if(0===i&&this._isParentOf(t,e))l=!1;else if(this._isChildOf(t,e))l=!1;return l}_processDragStart(e,t){this._dragDropService.clearData();if(this._isDragAllowed(t)){if(t)if(!this._isDragAllowed(t)){if(e.dataTransfer)e.dataTransfer.effectAllowed="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.effectAllowed="none"}else{let i={clone:this.cloneRow(t),source:t,sourceCtrl:this,sourceData:this.rows};switch(this._currentSelectionMode){case IntegralUISelectionMode.MultiSimple:case IntegralUISelectionMode.MultiExtended:i.clone=this._createCloneList(this._currentSelectedRows);i.source=this._currentSelectedRows;break;default:this._defaultFunc()}let l={action:e.shiftKey?"copy":"move",cancel:!1,dragObj:i.source,dropPos:-1,event:e,isDropAllowed:this._isCtrlDropAllowed,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragStart",l);if(!0===l.cancel){e.preventDefault();return}else{this._isDragActive=!0;this._isFirstDragEnter=!0;this._addDropMark({x:e.pageX,y:e.pageY});this._dropMark(e);if(this._dragGhost)e.dataTransfer.setDragImage(this._dragGhost,12,this._avgRowHeight/2);if(e.dataTransfer){e.dataTransfer.effectAllowed="move";e.dataTransfer.setData("text",t[this._rowFields.id]?t[this._rowFields.id].toString():"")}else if(e.originalEvent&&e.originalEvent.dataTransfer){e.originalEvent.dataTransfer.effectAllowed="move";e.originalEvent.dataTransfer.setData("text",t[this._rowFields.id]?t[this._rowFields.id].toString():"")}this._dragDropService.setData(i)}}}else e.preventDefault()}_processDragEnter(e){e.preventDefault();if(!this._isCtrlDragEntered){this._isCtrlDragEntered=!0;let t=this._dragDropService.getData();this._isFirstDragEnter=!1;let i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:this._isCtrlDropAllowed,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragEnter",i)}}_processDragLeave(e){e.preventDefault();if(this._isCtrlDragEntered){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getMousePos(e),l=this._commonService.getShiftPos();i.x-=l.x;i.y-=l.y;if(i.x<=t.left||i.x>=t.right||i.y<=t.top||i.y>=t.bottom){this._isCtrlDragEntered=!1;this._stopScrollTimer();let t=this._dragDropService.getData(),i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:!1,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:null,targetObj:null};this._invokeEvent("dragLeave",i)}this._dropMark(e)}}_processDragOver(e,t,i,l,s){e.preventDefault();this._processDragEnter(e);let r=!0;if(e.dataTransfer)r="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)r="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;if(r){let s=this._dragDropService.getData(),o=this._commonService.getShiftPos();if(t&&!t.isEmpty){let n=this._commonService.getMousePos(e);n.x-=o.x;n.y-=o.y;let a=t.data,d="group"===t.data.type?"full":null,h=this._dragDropService.getDropPos(n,i,l,d);r=this._isDropAllowed(s.source,a,h);let c={action:e.shiftKey?"copy":"move",source:s.source,dropPos:h,allow:r,sourceCtrl:s.sourceCtrl,target:a,targetCtrl:this},u=this._callDragDropEvent(e,c);if(!r||!0===u.cancel){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{let i=this._commonService.getMousePos(e),l=i.y+16,o=i.x+20,n={"iui-dragwin-icon":!0},d="";switch(u.dropPos){case 0:d="iui-dragwin-move-in";break;case 1:d="iui-dragwin-move-up";break;case 2:d="iui-dragwin-move-down";break;default:d=""}if("copy"===u.action)d+="-copy";n[d]=!0;this._updateDragComponent({class:n,top:l,left:o,text:t.data[this._rowFields.text]});this._dropMark(e,r);this._dragDropService.setData({action:u.action,clone:s.clone,dropPos:u.dropPos,source:s.source,sourceCtrl:s.sourceCtrl,sourceData:s.sourceData,target:a,targetCtrl:this})}}else if(!this._isCtrlDropAllowed){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{r=this._checkEmptySpace(e);let t={action:e.shiftKey?"copy":"move",allow:r,dropPos:-1,source:s.source,sourceCtrl:s.sourceCtrl,target:null,targetCtrl:this},i=this._callDragDropEvent(e,t);if(!r||!0===i.cancel){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{let t=this._commonService.getMousePos(e),l=t.y+16,o=t.x+20,n={"iui-dragwin-icon":!0,"iui-dragwin-move-end":!0};if("copy"===i.action)n["iui-dragwin-move-end-copy"]=!0;this._updateDragComponent({class:n,top:l,left:o,text:this.name?this.name:"Component"});this._dropMark(e,r&&!this._isScrollTimerActive);this._dragDropService.setData({action:i.action,clone:s.clone,source:s.source,sourceCtrl:s.sourceCtrl,sourceData:s.sourceData,target:null,targetCtrl:this,dropPos:-1})}}}}_processDragDrop(e,t){e.preventDefault();let i=!0;if(e.dataTransfer)i="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)i="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;let l=this._dragDropService.getData();if(i){let s=t?t.data:null;if(t&&!t.isEmpty)i=this._isDropAllowed(l.source,s,l.dropPos);else i=this._checkEmptySpace(e);if(i&&l.source){let t={action:l.action,source:l.source,dropPos:l.dropPos,allow:i,sourceCtrl:l.sourceCtrl,target:l.target,targetCtrl:this},s=this._callDragDropEvent(e,t,!0);this._dragDropService.setData({action:s.action,clone:l.clone,dropPos:s.dropPos,source:l.source,sourceCtrl:l.sourceCtrl,sourceData:l.sourceData,target:l.target,targetCtrl:this});if(!s.cancel&&this._isProcessAllowed)this._drop(this._dragDropService.getData())}else this._dragDropService.clearData();if(l.sourceCtrl&&l.sourceCtrl._clearDragDropSettings)l.sourceCtrl._clearDragDropSettings()}else this._dragDropService.clearData();this._isDragActive=!1;this._clearDragDropSettings()}_drop(e){if(e&&e.sourceCtrl){let t="copy"===e.action&&e.clone?e.clone:e.source;if(Array.isArray(t)){let i=[];for(let e=0;e<t.length;e++)i.push(t[e]);if(i.length>0){for(let t=0;t<i.length;t++)this._processDataDrop(i[t],e);this._clearPrevSelection()}}else{this._processDataDrop(t,e);this._clearPrevSelection()}if(e.sourceCtrl!==e.targetCtrl&&e.sourceCtrl.updateLayout)e.sourceCtrl.updateLayout();this.updateLayout()}this._isCtrlDragEntered=!1;this._dragDropService.clearData()}_processDataDrop(e,t){let i="copy"===t.action;if("copy"!==t.action&&t.sourceCtrl&&t.sourceCtrl.removeRow)i=t.sourceCtrl.removeRow(e);if(i)switch(t.dropPos){case 0:this.insertRowAt(e,-1,t.target);break;case 1:this.insertRowBefore(e,t.target);break;case 2:this.insertRowAfter(e,t.target);break;default:this.addRow(e)}}_callAfterSelectEvent(e){let t={obj:e};this._invokeEvent("afterSelect",t);this._invokeEvent("selectionChanged",t)}_removeDragHost(){this._dragObjIndex=-1;this._dragObj=null;this._dragGhost=null}_rowDragEnd(e,t){let i=this._dragDropService.getData(),l={action:e.shiftKey?"copy":"move",dragObj:i.source,dropPos:i.dropPos,event:e,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:i.target};this._removeDropMark();this._removeDragHost();this._invokeEvent("dragEnd",l)}_resetReorderColumnSettings(){this._reorderColumnObj=null;this._reorderColumn=null;this._columnReorderActive=!1;this._startColumnReorder=!1}_batchEditorCancel(e){e.data[this._rowFields.deleted]=!1;let t=-1,i=null;for(let l=0;l<this._currentEditData.length;l++){let s=this._currentEditData[l];if(s[this._rowFields.id]===e.data[this._rowFields.id]){t=l;i=s;break}}if(t>=0){this._currentEditData.splice(t,1);let e=this.findRowById(i[this._rowFields.id]);if(e){e[this._rowFields.cells]=i[this._rowFields.cells];e[this._rowFields.cells].forEach(e=>delete e[this._cellFields.dataChanged])}}this._updateScrollRowList()}_batchEditorKeyDown(e,t,i){switch(i){case"cancel":if(e.keyCode===13)this._batchEditorCancel(t);e.stopPropagation();break;case"remove":if(e.keyCode===13)this._batchEditorRemove(t);e.stopPropagation();break;default:this._defaultFunc()}}_batchEditorRemove(e){e.data[this._rowFields.deleted]=!0;this._updateEditData(e);this.update()}beginEdit(e,t){if(this._currentEditMode!==IntegralUIEditMode.Form)this.endEdit();if(e){e[this._rowFields.editorVisible]=!0;this._currentEditingRow=e;this.selectedRow=e;let i=t;switch(this._currentEditMode){case IntegralUIEditMode.Batch:this.endEdit();this._currentEditingRow=e;i=t?t:this._getFirstEditingCell(this._currentEditingRow);this._setCurrentFocusCell(this._getObjFromCell(i));this._updateFocusCell(this._currentFocusCellObj,!0);break;case IntegralUIEditMode.Form:this._formData=this._cloneRowObject(e);this._isFormActive=!0;this._updateEditorFormClass();this._formSetFocus();break;case IntegralUIEditMode.Inline:this._formData=this._cloneRowObject(e);i=t?t:this._getFirstEditingCell(this._currentEditingRow);this._setCurrentFocusCell(this._getObjFromCell(i));this._updateFocusCell(this._currentFocusCellObj,!0);break;default:this._defaultFunc()}this._updateScrollRowList();this.update()}}_callCellValueChanging(e,t,i){let l={cancel:!1,row:e.data,cell:t.data,text:t.data[this._cellFields.text],value:void 0!==i?i:t.data[this._cellFields.value]};this._invokeEvent("valueChanging",l);return l.cancel}_callCellValueChanged(e,t){let i={row:e.data,cell:t.data,text:t.data[this._cellFields.text],value:t.data[this._cellFields.value]};this._invokeEvent("valueChanged",i)}_clearEditing(){if(this._isEditorFocused){this._currentEditingCell=null;this._isEditorFocused=!1;this._setCurrentFocusCell(null)}}_clearEditingRow(e){let t=this;if(t._currentEditingRow)t._currentEditingRow[t._rowFields.editorVisible]=!1;let i=e;switch(this._currentEditMode){case IntegralUIEditMode.Batch:i=e?e:t._getFirstEditingCell(t._currentEditingRow);t._setCurrentFocusCell(t._getObjFromCell(i));t._currentEditingRow=null;t._isEditorFocused=!0;t._closeEditor();break;case IntegralUIEditMode.Form:t._isFormActive=!1;t._updateEditorFormClass();t._updateScrollRowList();setTimeout(function(){t._formData=null;t._currentEditingRow=null;t._updateScrollRowList();t.update()},250);break;case IntegralUIEditMode.Inline:i=e?e:t._getFirstEditingCell(t._currentEditingRow);t._setCurrentFocusCell(t._getObjFromCell(i));t._formData=null;t._currentEditingRow=null;t._updateScrollRowList();t._isEditorFocused=!0;t._closeEditor();break;default:t._defaultFunc()}}_cloneRowObject(e){let t=this.cloneRow(e,!0);t[this._rowFields.cells]=[];e[this._rowFields.cells].forEach(e=>{let i=JSON.parse(JSON.stringify(e));i.value=e.value;t[this._rowFields.cells].push(i)});return t}_closeEditor(e){let t=this;if(t._isEditorFocused)setTimeout(function(){t._currentEditingCell=null;t._isEditorFocused=!1;if(!e&&t._currentFocusCellObj)t._updateFocusCell(t._currentFocusCellObj,!0);t.update()},1)}_convertCheckBoxValue(e){switch(e){case"checked":return IntegralUICheckState.Checked;case"indeterminate":return IntegralUICheckState.Indeterminate;case"unchecked":return IntegralUICheckState.Unchecked;default:return e}}_editorChangeValue(e,t,i){let l="number"===i.editorSettings.type?parseFloat(e):e;if(i.data[this._cellFields.value]!==l){this._updateEditData(t);i.data[this._cellFields.value]=l;i.data[this._cellFields.dataChanged]=!0;this._updateScrollRowList();this._callCellValueChanged(t,i)}}_editCheckBoxValue(e,t){if(t.isEditorEnabled){let i=void 0!==t.data[this._cellFields.value]?this._convertCheckBoxValue(t.data[this._cellFields.value]):IntegralUICheckState.Unchecked;if(i===IntegralUICheckState.Checked||!0===i)i=IntegralUICheckState.Checked;else if(t.editorSettings&&t.editorSettings.threeState&&i===IntegralUICheckState.Indeterminate)i=IntegralUICheckState.Indeterminate;else i=IntegralUICheckState.Unchecked;let l=IntegralUICheckState.Unchecked;if(t.editorSettings&&t.editorSettings.threeState)switch(i){case IntegralUICheckState.Checked:l=IntegralUICheckState.Unchecked;break;case IntegralUICheckState.Indeterminate:l=IntegralUICheckState.Checked;break;default:l=IntegralUICheckState.Indeterminate}else l=i===IntegralUICheckState.Unchecked?!0:!1;if(!0!==this._callCellValueChanging(e,t,l)){t.data[this._cellFields.value]=l;this._updateScrollRowList();this._callCellValueChanged(e,t)}}}_editorColumnMouseUp(e,t){if(this._isEnabled&&1===e.which){if(this._currentEditingRow&&this._currentEditingRow!==t.data){this._currentEditingRow[this._rowFields.editorVisible]=!1;if(this._currentEditMode===IntegralUIEditMode.Inline)if(this._formData)this._currentEditingRow[this._rowFields.cells]=this._formData[this._rowFields.cells]}t.data[this._rowFields.editorVisible]=void 0===t.data[this._rowFields.editorVisible]?!0:!t.data[this._rowFields.editorVisible];if(t.data[this._rowFields.editorVisible]){this._currentEditingRow=t.data;switch(this._currentEditMode){case IntegralUIEditMode.Form:this._formData=this._cloneRowObject(t.data);this._isFormActive=!0;this._updateEditorFormClass();this._formSetFocus();break;case IntegralUIEditMode.Inline:this._formData=this._cloneRowObject(t.data);this._inlineEditorStart(this._currentEditingRow);break;default:this._defaultFunc()}this._updateScrollRowList()}else if(this._currentEditMode===IntegralUIEditMode.Inline)this._inlineEditorCancel(t);else this._clearEditingRow()}}_editorGotFocus(e){if(e.editorType===IntegralUIEditorType.Text){let t=e.editorSettings&&(void 0===e.editorSettings.type||"text"===e.editorSettings.type),i=this.shadowRoot.querySelector("#iui-editor-text");if(i&&t){i.selectionStart=i.selectionEnd=1e4;setTimeout(function(){i.setSelectionRange(i.selectionStart,i.selectionEnd);i.scrollLeft=i.scrollWidth;if(e.editorSettings.selected)i.select()},1)}}}_editorKeyDown(e,t,i,l){let s={cancel:!1,row:t.data,cell:i.data,event:e};switch(e.keyCode){case 13:if(!l)this._moveFocusToNextCell(e,t,i);e.stopPropagation();break;case 27:this._invokeEvent("keyDown",s);if(!s.cancel){this._closeEditor();if(this._currentEditMode===IntegralUIEditMode.Inline)this._inlineEditorCancel(t,i);else this.endEdit()}e.stopPropagation();break;default:this._defaultFunc()}}_textEditorKeyDown(e,t,i){let l={cancel:!1,row:t.data,cell:i.data,event:e};switch(e.keyCode){case 9:this._isKeyPressed=!0;this._invokeEvent("keyDown",l);if(!l.cancel&&this._isKeyboardFocusAllowed){this._isKeyboardActive=!0;if(e.shiftKey)if(i.rowIndex+this._currentIndex===0&&this._isFirstCell(i))this._ctrlLostFocus=!0}break;case 13:this._isKeyPressed=!0;this._invokeEvent("keyDown",l);if(!l.cancel&&this._isKeyboardFocusAllowed){this._editorChangeValue(e.target.value,t,i);this._closeEditor();if(this._currentEditMode===IntegralUIEditMode.Batch||this._currentEditMode===IntegralUIEditMode.Inline)this._moveFocusToNextCell(e,t,i)}e.stopPropagation();break;case 27:this._isKeyPressed=!0;this._invokeEvent("keyDown",l);if(!l.cancel&&this._isKeyboardFocusAllowed){this._closeEditor();if(this._currentEditMode===IntegralUIEditMode.Inline)this._inlineEditorCancel(t,i)}e.stopPropagation();break;case 37:this._isKeyPressed=!0;this._invokeEvent("keyDown",l);e.stopPropagation();break;case 38:break;case 39:this._isKeyPressed=!0;this._invokeEvent("keyDown",l);e.stopPropagation();break;case 40:break;default:this._defaultFunc()}}_editorLostFocus(e,t,i){if(this._isEditorFocused){let l=i.editorSettings;switch(i.editorType){case IntegralUIEditorType.Text:if(this._currentEditMode===IntegralUIEditMode.Batch)this._editorChangeValue(e.target.value,t,i);else if(l&&"lost-focus"===l.allowChange)if(this._currentEditMode===IntegralUIEditMode.Custom)this._editorChangeValue(e.target.value,t,i);else if(this._currentEditingRow)this._editorChangeValue(e.target.value,t,i);this._currentEditingCell=null;this._isEditorFocused=!1;break;default:this._currentEditingCell=null;this._isEditorFocused=!1}}}_editorValueChanging(e,t,i){let l=null;switch(i.editorType){case IntegralUIEditorType.DropList:let s=e.detail.item;if(this._commonService.isObject(i.data[this._cellFields.value]))l=s;else l=s?void 0!==s.value?s.value:s.text:null;this._isCellValueChangeAllowed=!0!==this._callCellValueChanging(t,i,l);break;default:this._defaultFunc()}}_editorValueChanged(e,t,i){let l=this,s=null;switch(i.editorType){case IntegralUIEditorType.Date:s=e.detail.date;if(i.data[this._cellFields.value]!==s&&!0!==this._callCellValueChanging(t,i,s)){this._updateEditData(t);i.data[this._cellFields.value]=s;i.data[this._cellFields.dataChanged]=!0;this._updateScrollRowList();this._callCellValueChanged(t,i);this.update()}break;case IntegralUIEditorType.DropList:let r=e.detail.item;if(this._commonService.isObject(i.data[this._cellFields.value]))s=r;else s=r?void 0!==r.value?r.value:r.text:null;if(i.data[this._cellFields.value]!==s&&!0!==this._callCellValueChanging(t,i,s)){this._updateEditData(t);i.data[this._cellFields.value]=s;i.data[this._cellFields.dataChanged]=!0;this._updateScrollRowList();this._callCellValueChanged(t,i);this.update()}break;case IntegralUIEditorType.Numeric:s=e.detail.value;if(i.data[this._cellFields.value]!==s&&!0!==this._callCellValueChanging(t,i,s)){this._updateEditData(t);i.data[this._cellFields.value]=s;i.data[this._cellFields.dataChanged]=!0;this._updateScrollRowList();setTimeout(function(){l.update();l._callCellValueChanged(t,i)},1)}break;default:s=e.detail.value;if(i.data[this._cellFields.value]!==s&&!0!==this._callCellValueChanging(t,i,s)){this._updateEditData(t);i.data[this._cellFields.value]=s;i.data[this._cellFields.dataChanged]=!0;this._updateScrollRowList();this._callCellValueChanged(t,i)}}this._isCellValueChangeAllowed=!0}endEdit(e){switch(this._currentEditMode){case IntegralUIEditMode.Batch:let t=[],i=!1;this._currentEditData.forEach(l=>{let s=this.findRowById(l[this._rowFields.id]);if(s){if(e){t.push(s);if(s[this._rowFields.deleted]){i=!0;this.removeRow(s)}}else{s[this._rowFields.cells]=l[this._rowFields.cells];delete s[this._rowFields.deleted]}s[this._rowFields.cells].forEach(e=>delete e[this._cellFields.dataChanged])}});if(e)this._invokeEvent("dataChanged",{original:[...this._currentEditData],data:t});this._updateScrollRowList();this._currentEditData.length=0;this._clearEditingRow();if(i)this.updateLayout();else this.update();break;case IntegralUIEditMode.Form:if(e)this._formSave();else this._formCancel();break;case IntegralUIEditMode.Inline:this._inlineEditorCancel();break;default:this._defaultFunc()}}_findObjectByValue(e,t){let i={obj:null,value:null};if(void 0!==e&&Array.isArray(t))for(let l=0;l<t.length;l++){let s=t[l];if(void 0!==s.value&&s.value===e){i={obj:s,value:s.value};break}else if(void 0!==s.text&&s.text===e){i={obj:s,value:s.text};break}}return i}_formButtonKeyDown(e,t){switch(t){case"cancel":if(e.keyCode===13)this._formCancel();e.stopPropagation();break;case"save":if(e.keyCode===13)this._formSave();e.stopPropagation();break;default:this._defaultFunc()}}_formCancel(){this._clearEditingRow();this.update()}_formEditorLostFocus(e,t){if(this._formData){let i=this._getCellEditorSettings(t);switch(this._getCellEditorType(t)){case IntegralUIEditorType.Text:let l=this._formData[this._rowFields.cells].filter(e=>e[this._cellFields.cid]===t[this._columnFields.id]);if(l.length>0)l[0][this._cellFields.value]="number"===i.type?parseFloat(e.target.value):e.target.value;break;default:this._defaultFunc()}}}_formEditorValueChanged(e,t){let i=this._getCellEditorSettings(t),l=this._formData[this._rowFields.cells].filter(e=>e[this._cellFields.cid]===t[this._columnFields.id]),s=l.length>0?l[0]:null;if(s)switch(this._getCellEditorType(t)){case IntegralUIEditorType.CheckBox:if(i.threeState)s[this._cellFields.value]=e.detail.checkState;else s[this._cellFields.value]=e.detail.checked;break;case IntegralUIEditorType.Date:s[this._cellFields.value]=e.detail.date;break;case IntegralUIEditorType.DropList:let l=e.detail.item;if(this._commonService.isObject(s[this._cellFields.value]))s[this._cellFields.value]=l;else s[this._cellFields.value]=l?void 0!==l.value?l.value:l.text:null;break;default:s[this._cellFields.value]=e.detail.value}}_formMouseWheel(e){e.stopPropagation()}_formSave(){if(this._currentEditingRow){let e=this._cloneRowObject(this._currentEditingRow),t={cancel:!1,original:[e],data:[this._formData]};this._invokeEvent("dataChanging",t);if(!0!==t.cancel){this._currentEditingRow[this._rowFields.cells]=this._formData[this._rowFields.cells];this._invokeEvent("dataChanged",{original:[e],data:[this._currentEditingRow]})}this._clearEditingRow();this.update()}}_formSetFocus(){let e=this,t=this._getColumnData();if(t.length>0){let i=t[0],l=null,s=!0;setTimeout(function(){switch(e._getCellEditorType(i)){case IntegralUIEditorType.CheckBox:l=e._formElem.querySelector("iui-checkbox");break;case IntegralUIEditorType.Date:l=e._formElem.querySelector("iui-datepicker");break;case IntegralUIEditorType.DropList:l=e._formElem.querySelector("iui-select");break;case IntegralUIEditorType.Progress:l=e._formElem.querySelector("iui-slider");break;case IntegralUIEditorType.Rating:l=e._formElem.querySelector("iui-rating");break;case IntegralUIEditorType.Slider:l=e._formElem.querySelector("iui-slider");break;default:l=e._formElem.querySelector("."+e._generalClassName+"-form-editor-text");s=!1}if(l)if(s)l.setFocus();else l.focus()},250)}}_formTouchEnd(e){e.stopPropagation()}_getCellDisplayValue(e){let t=void 0!==e.data[this._cellFields.value]?e.data[this._cellFields.value]:null,i=e.editorSettings,l=!this._commonService.isEmpty(i)?i.format:e.format;if(l)if(this._commonService.isNumber(t)||this._commonService.isDate(t))t=this._commonService.convertValue(t,l);else t=this._getCellDisplayValueAsString(e);else t=this._getCellDisplayValueAsString(e);return t}_getCellDisplayValueAsString(e){let t=null;if(e.editorType!==IntegralUIEditorType.None)t=void 0!==e.data[this._cellFields.value]?e.data[this._cellFields.value]:null;else t=void 0!==e.data[this._cellFields.text]?e.data[this._cellFields.text]:"";return t}_getCellEditorClass(e){let t={};switch(e.editorType){case IntegralUIEditorType.CheckBox:t["iui-editor-checkbox"]=!0;switch(e.editorValue){case IntegralUICheckState.Checked:t["iui-editor-checkbox-checked"]=!0;break;case IntegralUICheckState.Indeterminate:t["iui-editor-checkbox-indeterminate"]=!0;break;default:t["iui-editor-checkbox-unchecked"]=!0}if(!e.isEditorEnabled)t["iui-editor-checkbox-disabled"]=!0;break;default:this._defaultFunc()}return t}_getCellEditorList(e){return this._getCellEditorSettings(e).items||[]}_getCellEditorSettings(e){return void 0!==e[this._columnFields.editorSettings]?e[this._columnFields.editorSettings]:{}}_getCellEditorType(e){return void 0!==e[this._columnFields.editorType]?e[this._columnFields.editorType]:IntegralUIEditorType.None}_getCellEditorVisibility(e,t){let i=IntegralUIVisibility.None;switch(this._currentEditMode){case IntegralUIEditMode.Batch:i=IntegralUIVisibility.Click;break;case IntegralUIEditMode.Custom:i=this._getCellEditorSettings(t).visible;break;case IntegralUIEditMode.Inline:i=!0===e[this._rowFields.editorVisible]?IntegralUIVisibility.Always:IntegralUIVisibility.None;break;default:i=IntegralUIVisibility.None}return i}_getColumnFormat(e){return void 0!==e[this._columnFields.format]?e[this._columnFields.format]:{}}_getCellValue(e){let t=void 0!==e.data[this._cellFields.value]?e.data[this._cellFields.value]:null,i="en-US";switch(e.editorType){case IntegralUIEditorType.CheckBox:t=this._convertCheckBoxValue(t);if(e.editorSettings)if(t===IntegralUICheckState.Checked||!0===t)t=IntegralUICheckState.Checked;else if(e.editorSettings.threeState&&t===IntegralUICheckState.Indeterminate)t=IntegralUICheckState.Indeterminate;else t=IntegralUICheckState.Unchecked;break;case IntegralUIEditorType.Date:let l={year:"numeric",month:"numeric",day:"numeric"};if(e.editorSettings){i=e.editorSettings.locales?e.editorSettings.locales:"en-US";switch(e.editorSettings.format){case IntegralUIDateFormat.Long:l.weekday="long";break;case IntegralUIDateFormat.Custom:l=e.editorSettings.formatOptions;break;default:this._defaultFunc()}}t=this._commonService.isDate(t)?t.toLocaleString(i,l):"";break;case IntegralUIEditorType.DropList:if(this._commonService.isObject(t))t=t?void 0!==t.value?t.value:t.text:"";else t=this._findObjectByValue(t,e.editorList).value;break;case IntegralUIEditorType.Progress:t=this._getEditorProgressValue(e);break;case IntegralUIEditorType.Text:t=this._getCellDisplayValueAsString(e);break;default:this._defaultFunc()}return t}_getCellValueObject(e){let t=void 0!==e.data[this._cellFields.value]?e.data[this._cellFields.value]:null;switch(e.editorType){case IntegralUIEditorType.Date:return this._commonService.isDate(t)?t:null;default:return this._commonService.isObject(t)?t:this._findObjectByValue(t,e.editorList).obj}}_getEditorAdjustment(e,t){let i=e.editorSettings&&e.editorSettings.dropDownAdjustment?e.editorSettings.dropDownAdjustment:{};return{top:void 0!==i.top?i.top:t.top,left:void 0!==i.left?i.left:t.left,width:void 0!==i.width?i.width:t.width,height:void 0!==i.height?i.height:t.height}}_getEditorProgressStyle(e){return{width:e.editorValue+"%","z-index":2}}_getEditorProgressValue(e){let t=e.editorSettings&&void 0!==e.editorSettings.min?e.editorSettings.min:0,i=e.editorSettings&&void 0!==e.editorSettings.max?e.editorSettings.max:100,l=e.data[this._cellFields.value];if(l&&!isNaN(l)&&!isNaN(i)&&i>0){return 100*Math.min(Math.max(l,t),i)/i}return 0}_getFirstEditingCell(e){if(e){let t=e[this._rowFields.cells].filter(e=>{let t=this.getColumnById(e[this._cellFields.cid]);return t&&void 0!==t[this._columnFields.editorType]});return t.length>0?t[0]:null}return null}_getFooterDisplayValue(e){return this._commonService.convertValue(e.data[this._columnFields.footerValue],e.data[this._columnFields.format])}_inlineEditorStart(e){this._currentEditingRow=e;let t=this._getFirstEditingCell(e);this._setCurrentFocusCell(this._getObjFromCell(t));this._updateFocusCell(this._currentFocusCellObj,!0)}_inlineEditorCancel(e,t){let i=e?e.data:this._currentEditingRow,l=t?t.data:null;if(this._formData)i[this._rowFields.cells]=this._formData[this._rowFields.cells];this._clearEditingRow(l)}_inlineEditorEdit(e,t){let i=t?t.data:null;this.beginEdit(e.data,i)}_inlineEditorKeyDown(e,t,i){switch(i){case"cancel":if(e.keyCode===13)this._inlineEditorCancel(t);e.stopPropagation();break;case"edit":if(e.keyCode===13)this._inlineEditorEdit(t);e.stopPropagation();break;case"remove":if(e.keyCode===13)this._inlineEditorRemove(t);e.stopPropagation();break;case"save":if(e.keyCode===13)this._inlineEditorSave(t);e.stopPropagation();break;default:this._defaultFunc()}}_inlineEditorRemove(e){this.removeRow(e.data);this.updateLayout()}_inlineEditorSave(e){if(this._formData){let t=this._formData,i={cancel:!1,original:[this._cloneRowObject(t)],data:[e.data]};this._invokeEvent("dataChanging",i);if(!0===i.cancel)e.data[this._rowFields.cells]=t[this._rowFields.cells];this._invokeEvent("dataChanged",{original:[t],data:[e.data]});this._clearEditingRow();this.update()}}_isCellEditorEnabled(e,t){let i=void 0!==t[this._cellFields.editorSettings]?t[this._cellFields.editorSettings]:{};return!1!==(void 0!==i.enabled?i.enabled:this._getCellEditorSettings(e).enabled)?!0:!1}_isDataChanged(e){return e[this._rowFields.cells].filter(e=>e[this._cellFields.dataChanged]).length>0}_isEditAllowed(e){return this._currentEditMode===IntegralUIEditMode.Form||this._currentEditMode===IntegralUIEditMode.Inline?e&&(e[this._rowFields.allowEdit]||void 0===e[this._rowFields.allowEdit])?!0:!1:!1}_openEditor(e){this._currentEditingCell=e.data;this._isEditorFocused=!0;this._keepActive=!0;this.update()}_updateEditData(e){if(0===this._currentEditData.filter(t=>t[this._rowFields.id]===e.data[this._rowFields.id]).length){let t=this._cloneRowObject(e.data);this._currentEditData.push(t)}}collapse(e){this.toggle(e,!1)}expand(e){this.toggle(e,!0)}_expandBoxMouseDown(e,t){if(this._isEnabled){if(1===e.which&&!this._isExpandBoxTouched)this.toggle(t.data);this._isExpandBoxTouched=!1}e.stopPropagation()}_expandBoxMouseUp(e,t){this._isExpandBoxTouched=!1;e.stopPropagation()}_expandBoxTouchStart(e,t){if(this._isEnabled){this._isExpandBoxTouched=!0;this.toggle(t.data)}e.stopPropagation()}toggle(e,t){if(this._isEnabled)if(e){if(!e[this._rowFields.hasChildren]&&(!e[this._rowFields.rows]||0===e[this._rowFields.rows].length))return;else if(t&&!1!==e[this._rowFields.expanded])return;else if(!1===t&&!1===e[this._rowFields.expanded])return;let i=void 0!==t?t:!1!==e[this._rowFields.expanded]?!0:!1,l={cancel:!1,row:e};if(void 0!==t)if(t)this._invokeEvent("beforeExpand",l);else this._invokeEvent("beforeCollapse",l);else if(i)this._invokeEvent("beforeCollapse",l);else this._invokeEvent("beforeExpand",l);if(!0!==l.cancel){let l=e[this._rowFields.expanded],s=void 0!==t?t:!i;if(s!==l){e[this._rowFields.expanded]=s;this._updateRowExpandValue(e[this._rowFields.id],s);this._updateCurrentLayout(!1,!0)}if(this._isRowExpanded(e))this._invokeEvent("afterExpand",{row:e});else this._invokeEvent("afterCollapse",{row:e})}}else{this.getFullList().forEach(e=>{e[this._rowFields.expanded]=t;this._updateRowExpandValue(e[this._rowFields.id],t)});this._updateCurrentLayout(!1,!0)}}_updateExpandingCell(e,t){let i=0,l=this._getExpandingColumn();if(l)i=l[this._columnFields.id];let s=this.getCellByColumnId(e[this._rowFields.cells],i);if(s)s[this._cellFields.expanded]=t}_updateRowExpandValue(e,t){}_convertToCSV(e){let t="";for(let i=0;i<e.length;i++){let l="",s=e[i];if(s.length>0){for(let e=0;e<s.length;e++)l+=s[e].text+",";l=l.slice(0,-1);l+="\r\n"}t+=l}return t}exportToCSV(){let e=[],t=[];for(let e=0;e<this._currentColumnList.normal.length;e++){let i=this._currentColumnList.normal[e].data,l={text:void 0!==i[this._columnFields.headerText]?i[this._columnFields.headerText].toString():""};t.push(l)}e.push(t);let i=this.getFullList();for(let l=0;l<i.length;l++){let s=i[l];t=[];for(let e=0;e<this._currentColumnList.normal.length;e++){let i=this._currentColumnList.normal[e].data[this._columnFields.id],l=this.getCellByColumnId(s[this._rowFields.cells],i),r={};if(l)if(l.value)if(l.value instanceof Date)r.text=l.value.toLocaleDateString();else r.text=JSON.stringify(l.value);else if(l.text)r.text=l.text.indexOf(",")>=0?JSON.stringify(l.text):l.text;else r.text="";else r.text="";t.push(r)}e.push(t)}return this._convertToCSV(e)}exportToJSON(e,t,i,l,s){let r=e?e.columns:this._dataColumns,o=r&&r.length>0?this._exportColumnsToJSON(r,t,l):"",n=e?e.rows:!1===s?this._dataRows:this.getFullList(),a=n&&n.length>0?this._exportRowsToJSON(n,i,l,s):"";if(""!==o)if(""!==a)return'[\n{ "columns": '+o+' },\n{ "rows": '+a+" }\n]";else return'[\n{ "columns": '+o+" }\n]";else if(""!==a)return'[\n{ "rows": '+a+" }\n]";else return"[]"}_exportColumnsToJSON(e,t,i){i=i?i:null;let l=t?t:[this._columnFields.allowDrag,this._columnFields.allowDrop,this._columnFields.allowFilter,this._columnFields.allowGrouping,this._columnFields.allowResize,this._columnFields.canSelect,this._columnFields.cellTemplateUrl,this._columnFields.columns,this._columnFields.contentAlignment,this._columnFields.contextMenu,this._columnFields.editorType,this._columnFields.editorSettings,this._columnFields.editorTemplate,this._columnFields.filterOperation,this._columnFields.filterParams,this._columnFields.filterSettings,this._columnFields.filterType,this._columnFields.fixed,this._columnFields.fixedWidth,this._columnFields.footerAlignment,this._columnFields.footerContent,this._columnFields.footerText,this._columnFields.footerValue,this._columnFields.footerTooltip,this._columnFields.groupText,this._columnFields.headerAlignment,this._columnFields.headerContent,this._columnFields.headerText,this._columnFields.headerTooltip,this._columnFields.headerValue,this._columnFields.icon,this._columnFields.id,this._columnFields.minWidth,this._columnFields.maxWidth,this._columnFields.pid,this._columnFields.selected,this._columnFields.sorting,this._columnFields.style,this._columnFields.visible,this._columnFields.width];return JSON.stringify(e,l,i)}_exportRowsToJSON(e,t,i,l){i=i?i:null;let s=t?t:[this._rowFields.allowCellFocus,this._rowFields.allowDrag,this._rowFields.allowDrop,this._rowFields.allowEdit,this._rowFields.allowFocus,this._rowFields.autoCheck,this._rowFields.canSelect,this._rowFields.cells,this._rowFields.checked,this._rowFields.checkState,this._rowFields.content,this._rowFields.contentVisibility,this._rowFields.contextMenu,this._rowFields.gid,this._rowFields.editorVisible,this._rowFields.enabled,this._rowFields.expanded,this._rowFields.fixed,this._rowFields.hasChildren,this._rowFields.icon,this._rowFields.id,this._rowFields.pid,this._rowFields.selected,this._rowFields.sorting,this._rowFields.statusIcon,this._rowFields.style,this._rowFields.text,this._rowFields.tooltip,this._rowFields.value,this._rowFields.visible,this._cellFields.allowDrag,this._cellFields.allowEdit,this._cellFields.cid,this._cellFields.colName,this._cellFields.content,this._cellFields.contextMenu,this._cellFields.editorSettings,this._cellFields.enabled,this._cellFields.isGroup,this._cellFields.rid,this._cellFields.selected,this._cellFields.style,this._cellFields.tag,this._cellFields.text,this._cellFields.tooltip,this._cellFields.value,this._cellFields.valueID,this._cellFields.valueType];if(!1===l)s.push(this._rowFields.rows);return JSON.stringify(e,s,i)}_filterOperationChanged(e,t){if(!this._isScrollActive)t.data[this._columnFields.filterOperation]=e.detail.operation}_filterValueChanged(e,t){if(!this._isScrollActive){if(e.detail.filter&&e.detail.filter.operation){let i=e.detail.value?t.filterType===IntegralUIFilterType.Date?this._getDateNum(e.detail.value):e.detail.value:null,l=null!==i,s={allowParent:t.filterSettings.allowParent||!0,caseSensitive:t.filterSettings.caseSensitive||!1,conditions:{value:e.detail.value,operation:e.detail.filter.operation}};if("<>"===e.detail.filter.operation){if(t.filterType===IntegralUIFilterType.Date)l=this._commonService.isDate(e.detail.value)&&this._commonService.isDate(e.detail.value2);let r=e.detail.value2?t.filterType===IntegralUIFilterType.Date?this._getDateNum(e.detail.value2):e.detail.value2:null;s.conditions=[{value:i,operation:">="},{value:r,operation:"<="}];s.formula="(a & b)"}if(l)this.filter(t.data,s);else this.filter(t.data)}else this.filter(t.data);t.data[this._columnFields.filterOperation]=e.detail.filter.operation;t.data[this._columnFields.filterValue]={value:e.detail.value,value2:e.detail.value2};t.filterOperation=t.data[this._columnFields.filterOperation];t.filterValue=t.data[this._columnFields.filterValue]}}_getDateNum(e){if(this._commonService.isDate(e)){let t=e.getFullYear(),i=e.getMonth(),l=e.getDate();return new Date(t,i,l,0,0,0,0).valueOf()}return 0}_getFilterAdjustment(e,t){let i=this._getFilterSettings(e),l=i.dropDownAdjustment?i.dropDownAdjustment:{};return{top:void 0!==l.top?l.top:t.top,left:void 0!==l.left?l.left:t.left,width:void 0!==l.width?l.width:t.width,height:void 0!==l.height?l.height:t.height}}_getFilterOperation(e){return void 0!==e[this._columnFields.filterOperation]?e[this._columnFields.filterOperation]:null}_getFilterSettings(e){return void 0!==e[this._columnFields.filterSettings]?e[this._columnFields.filterSettings]:{}}_getFilterType(e){return void 0!==e[this._columnFields.filterType]?e[this._columnFields.filterType]:IntegralUIFilterType.String}_getFilterValue(e){return void 0!==e[this._columnFields.filterValue]?e[this._columnFields.filterValue]:{value:null,value2:null}}_createColumnsWithFilter(){this._filteringColumns.length=0;let e=[];this._createFlatList(this._dataService.getList(null,this._columnDataKey),this._columnFields.columns,e);this._filteringColumns=e.filter(e=>void 0!==e[this._columnFields.filterParams])}filter(e,t){if(e)e[this._columnFields.filterParams]=t;else for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._getCurrentColumnList(t).forEach(e=>delete e[this._columnFields.filterParams])}this.updateLayout();this._invokeEvent("filterChanged",{column:e,filter:t})}_filterIsThereChildren(e,t){let i=!1,l=e[this._rowFields.rows];if(l)for(let e=0;e<l.length&&!(i=this._isRowAllowed(l[e],t));e++);return i}_getColumnWithFilter(e){let t=this._filteringColumns.filter(t=>t[this._columnFields.id]===e);return t.length>0?t[0]:null}_getFilterTree(e){let t=null,i=this._getSideName(e[this._columnFields.fixed]),l=this._getCurrentColumnList(i);for(let i=0;i<l.length;i++)if(l[i]===e){t=l[i].filterTree;break}return t}_isRowAllowed(e,t){if(!1===e[this._rowFields.visible])return!1;else if(!1===this._isFilterAllowed)return!0;let i=!0;if(e&&this._filteringColumns.length>0){let l=-1,s=null,r=null;for(let o=0;o<e[this._rowFields.cells].length;o++){i=!0;l=(r=e[this._rowFields.cells][o])[this._cellFields.cid];if((s=this._getColumnWithFilter(l))&&s[this._columnFields.filterParams]){let l=s[this._columnFields.filterParams],o=void 0!==r[this._cellFields.value]?r[this._cellFields.value]:r[this._cellFields.text];if(this._commonService.isDate(o)){let e=o.getFullYear(),t=o.getMonth(),i=o.getDate();o=new Date(e,t,i,0,0,0,0).valueOf()}if(l)if(l.callback)i=l.callback(o,r,e);else if(!(i=this._filterService.match(o,l.conditions,l.formula,null,l.caseSensitive))&&l.allowParent)i=this._filterIsThereChildren(e,t)}if(!i)break}}return i}_calcMaxColumnLevels(e,t){if(e&&0!==e.length)e.forEach(e=>{if(this._maxColumnLevels<t)this._maxColumnLevels=t;if(this._isColumnWithChildrenVisible(e))this._calcMaxColumnLevels(e[this._columnFields.columns],t+1)})}_changeCursor(){let e="default";if(this._isEnabled)if(this._resizeColumnIndex>=0||this._isColumnResizing)e="ew-resize";if(this._ctrlCursor!==e){this._ctrlCursor=e;this.update()}}cloneRow(e,t){return this._dataService.clone(e,this._rowDataKey,t)}_createCloneList(e){let t=[];e.forEach(e=>t.push(this.cloneRow(e)));return t}_createFlatColumnList(e){let t=[];e.map(e=>e.map(e=>t.push(e)));return t}_createFlatList(e,t,i){if(e)e.forEach(e=>{i.push(e);this._createFlatList(e[t],t,i)})}getCellByColumnId(e,t){let i=null;if(e)for(let l=0;l<e.length;l++)if(e[l][this._cellFields.cid]===t){i=e[l];break}return i}_getCellElems(e){return this._cellElems[e]}_getCellIndexById(e,t,i){let l=-1;if(e){let s=this._getColumnRealIndex(t);for(let t=0;t<e.length;t++)if(void 0===e[t][this._cellFields.cid]){l=s;break}else if(e[t][this._cellFields.cid]===i){l=t;break}}return l}_getColumnAllowResize(e){let t=e[this._columnFields.allowResize];if(t)return{left:this._commonService.isFieldAvailable(t.left,!0),right:this._commonService.isFieldAvailable(t.right,!0)};else return{left:!0,right:!0}}getColumnById(e){let t=null,i=[];this._createFlatList(this._dataService.getList(null,this._columnDataKey),this._columnFields.columns,i);if(i)for(let l=0;l<i.length;l++)if(i[l][this._columnFields.id]===e){t=i[l];break}return t}_getColumnCurrentIndex(e){return e?this._getColumnIndexFromList(e):-1}_getCurrentColumnList(e){return this._flatCurrentColumnList[e]}_getColumnElems(e){return this._columnElems[e]}_getColumnIndex(e,t){let i=t?t:this._dataService.getList(null,this._columnDataKey);return i?i.indexOf(e):-1}_getColumnIndexFromList(e){let t=-1,i=this._flatCompleteColumnList[this._getSideName(e[this._columnFields.fixed])];for(let l=0;l<i.length;l++)if(i[l].data[this._columnFields.id]===e[this._columnFields.id]){t=l;break}return t}_getColumnList(e){return this._flatCompleteColumnList[e]}_getColumnRealIndex(e){let t=this._dataService.getList(null,this._columnDataKey);return e>=0&&e<t.length&&e<this._currentColumnList.normal.length?t.indexOf(this._currentColumnList.normal[e].data):-1}_getExpandingColumn(){let e=this._dataService.getList(null,this._columnDataKey);return this._expandColIndex>=0&&this._expandColIndex<e.length?e[this._expandColIndex]:null}_updateExpandingColumnID(){let e=this._getExpandingColumn();if(e)this._currentExpandColumnID=e[this._columnFields.id]}getFullList(){return this._fullList}_getCurrentList(){let e=[];this._currentRowList.forEach(t=>e.push(t.data));return e}getList(e,t){switch(e){case"current":return this._getCurrentList();case"selected":return this._currentSelectedRows;default:return this._dataService.getList(t,this._rowDataKey)}}_getObjFromCell(e){let t=null;if(e)for(let i=0;i<this._scrollRowList.normal.length;i++){let l=this._scrollRowList.normal[i];for(let i=0;i<l.cells.length;i++){let s=l.cells[i];if(s.data[this._cellFields.id]===e[this._cellFields.id]){t=s;break}}}return t}_getObjFromCellById(e){let t=null;if(e)for(let i=0;i<this._scrollRowList.normal.length;i++){let l=this._scrollRowList.normal[i];for(let i=0;i<l.cells.length;i++){let s=l.cells[i];if(s.data[this._cellFields.id]===e){t=s;break}}}return t}_getObjFromRow(e){let t=this._currentRowList.filter(t=>t.data===e);return t.length>0?t[0]:null}_getRowCellDisplay(e){return e.colID===this._currentExpandColumnID?"inline-block":"block"}_getRowCurrentIndex(e){if(e){let t=this._getObjFromRow(e);return t&&this._currentRowList?this._currentRowList.indexOf(t):-1}return-1}_getRowElems(e){return this._rowElems[e]}getRowLevel(e){let t=0,i=this.getRowParent(e);for(;i;){t++;i=this.getRowParent(i)}return t}getRowParent(e){return e?this._dataService.findObjectById(e[this._rowFields.pid],this._rowDataKey):null}_getRowScrollIndex(e,t){let i=-1;if(e)for(let l=0;l<this._scrollRowList[t].length;l++)if(this._commonService.isEqual(this._scrollRowList[t][l].data[this._rowFields.id],e[this._rowFields.id])){i=l;break}return i}_getSideName(e){if("left"===e||"normal"===e||"right"===e)return e;else return"normal"}_isChildOf(e,t){let i=!1;if(e&&t){let l=t[this._rowFields.rows];if(l&&l.length>0)for(let t=0;t<l.length;t++){if(this._commonService.isEqual(e[this._rowFields.id],l[t][this._rowFields.id])){i=!0;break}else i=this._isChildOf(e,l[t]);if(i)break}}return i}isColumnVisible(e){return e&&!1!==e[this._columnFields.visible]}_isColumnExpanded(e){return e?e[this._columnFields.expanded]||void 0===e[this._columnFields.expanded]:!0}_isColumnFixed(e,t){if(t)return e[this._columnFields.fixed]===t;else return e&&("left"===e[this._columnFields.fixed]||"right"===e[this._columnFields.fixed])?!0:!1}_isColumnWidthFixed(e){return!0===e[this._columnFields.fixedWidth]?!0:e[this._columnFields.columns]&&e[this._columnFields.columns].length>0?this._areChildColumnsFixed(e[this._columnFields.columns]):!1}_isColumnWithChildrenVisible(e){let t=!1;if(e)if((t=this.isColumnVisible(e))){let i=e[this._columnFields.columns]||[],l=0;if(i.length>0){i.forEach(e=>{if(this._isColumnWithChildrenVisible(e))l++});t=l>0}}return t}_isThereNoSelectTemplate(e){return this._currentContentVisibility===IntegralUIContentVisibility.Both&&(!this._isSelectedTemplatePresent||!e[this._rowFields.selected])}_isThereHoverTemplate(e){return this._isThereNoSelectTemplate(e)||this._currentContentVisibility===IntegralUIContentVisibility.Hover}_checkRowHoverVisibility(e){return void 0===e[this._rowFields.contentVisibility]||e[this._rowFields.contentVisibility]===IntegralUIContentVisibility.Hover||e[this._rowFields.contentVisibility]===IntegralUIContentVisibility.Both}_isContentAllowed(e,t){let i=this._currentContentVisibility===IntegralUIContentVisibility.Both;switch(t){case"hover":i=this._isThereHoverTemplate(e)&&this._checkRowHoverVisibility(e);break;case"select":let l=i||this._currentContentVisibility===IntegralUIContentVisibility.Select,s=void 0===e[this._rowFields.contentVisibility]||e[this._rowFields.contentVisibility]===IntegralUIContentVisibility.Select||e[this._rowFields.contentVisibility]===IntegralUIContentVisibility.Both;i=l&&s;break;default:i=this._currentContentVisibility===IntegralUIContentVisibility.Both}return i}_isParentOf(e,t){let i=this._dataService.getParent(t);if(e&&t&&i&&this._commonService.isEqual(e[this._rowFields.id],i[this._rowFields.id]))return!0;else return!1}isRowEnabled(e){return this._isEnabled&&e&&this._commonService.isTrue(e[this._rowFields.enabled])}_isRowExpanded(e){return e?e[this._rowFields.expanded]||void 0===e[this._rowFields.expanded]:!0}_isRowFixed(e){return!1}isRowHovered(e){return!this._isDragActive&&!this._isScrollTimerActive&&e&&e===this._hoverRow}_isRowLoading(e){return this._loadRows.indexOf(e)>=0}isRowSelected(e){return e&&!0===e[this._rowFields.selected]}_isThereFixedColumns(e){return this._currentColumnList[e].length>0}_isThereNoRows(e){return e[this._rowFields.rows]&&0===e[this._rowFields.rows].length}_isThereVisibleChildren(e){let t=!1;if(e){let i=e[this._rowFields.rows]||[];if(i&&i.length>0)for(let e=0;e<i.length;e++)if(this._isRowAllowed(i[e])&&!this._isRowFixed(i[e])){t=!0;break}}return t}_onGridScroll(e){e.srcElement.scrollTop=0;e.srcElement.scrollLeft=0;e.target.scrollTop=0;e.target.scrollLeft=0}_rowHasChildren(e){return e[this._rowFields.hasChildren]&&(this._isThereVisibleChildren(e)||!e[this._rowFields.rows]||this._isThereNoRows(e))}_updateResizeColumnIndex(e,t){if(t>=0){let i=this._getColumnList(e);if(t>=0&&t<i.length)if(this._isColumnWidthFixed(i[t].data))this._resizeColumnIndex=-1}}_columnMouseDown(e,t){if(this._isEnabled){let i=this._getSideName(t.data[this._columnFields.fixed]),l=this._getColumnList(i),s=this._isColumnFixed(t.data);switch(e.which){case 1:if(this._resizeColumnIndex>=0&&this._resizeColumnIndex<l.length){let t=this._commonService.getShiftPos(),i={x:e.pageX-t.x,y:e.pageY-t.y};this._columnStartPos=i;this._isColumnResizing=!0;this._resizeColumn=l[this._resizeColumnIndex].data}else{this._processColumnSelection(e,t.data);if(!s&&!0===this._isColumnReorderAllowed&&!1!==t.data[this._columnFields.allowDrag])this._startColumnReorder=!0}break;case 2:this._processColumnSelection(e,t.data);break;default:this._defaultFunc()}if(this._prevClickedObj)this._prevClickedObj.isClicked=!1;let r=this._getColumnElems(this._getSideName(t.data[this._columnFields.fixed])),o=this._getColumnCurrentIndex(t.data),n=s?o:o-this._viewIndexRange.left;if(n>=0&&n<r.length){let i=r[n];t.isClicked=!0;t.clickPos=this._commonService.getClientPos(e,i)}this._prevClickedObj=t}}_columnMouseUp(e,t){}_columnMouseMove(e,t){if(this._isEnabled&&!this._isScrollActive){this._resizeColumnIndex=-1;let i=this._isColumnFixed(t.data);if(this._startColumnReorder&&!this._columnReorderActive&&!i){this._columnReorderActive=!0;this._reorderColumn=t.data;this._reorderColumnObj=t;this._reorderColumnStartPos.left=e.pageX;this._reorderColumnCurrentPos.left=e.pageX}else if(!this._columnReorderActive){let l=this._getSideName(t.data[this._columnFields.fixed]),s=this._getColumnElems(l),r=this._getColumnCurrentIndex(t.data),o=-1;for(let e=0;e<s.length;e++)if(s[e].dataset&&this._commonService.isEqual(s[e].dataset.cid,t.data[this._columnFields.id])){o=e;break}if(o>=0&&o<s.length){let n=s[o],a=this._commonService.getShiftPos(),d=this._commonService.getPageRect(n),h={x:e.pageX-a.x,y:e.pageY-a.y},c={top:d.top,right:d.right,bottom:d.bottom,left:d.right-10},u={top:d.top,right:d.left+10,bottom:d.bottom,left:d.left},_=this._getColumnAllowResize(t.data),g=this._isColumnFixed(t.data,"right");if(_.right&&this._commonService.checkHit(h.x,h.y,c))if(!i&&this._isAutoSizeColumnsActive)this._resizeColumnIndex=this._getNextFlatColumnIndex(t.data,t.data[this._columnFields.fixed],!0);else if(g){this._resizeColumnIndex=r+1;this._updateResizeColumnIndex(l,this._resizeColumnIndex)}else this._resizeColumnIndex=r;else if(_.left&&this._commonService.checkHit(h.x,h.y,u))if(!i&&this._isAutoSizeColumnsActive)this._resizeColumnIndex=this._getColumnIndexFromList(t.data)>0&&(!t.data[this._columnFields.pid]||this._getPrevFlatColumnIndex(t.data,t.data[this._columnFields.fixed],!0)>=0)?this._getColumnIndexFromList(t.data):-1;else if(g)this._resizeColumnIndex=r;else{this._resizeColumnIndex=r-1;this._updateResizeColumnIndex(l,this._resizeColumnIndex)}if(this._isColumnWidthFixed(t.data))this._resizeColumnIndex=-1;else if(g){let e=this._getColumnList("right");if(this._resizeColumnIndex>=e.length)this._resizeColumnIndex=-1}this._changeCursor()}}else this._ctrlCursor="default"}else this._ctrlCursor="default"}_columnMouseEnter(e,t){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._startColumnReorder){this._blockHoverRect.top=-9999999;this._hoverColumn=t.data;this._resizeColumnIndex=-1;this._updateColumnStyle(t);this.update();this._invokeEvent("columnHover",{column:this._hoverColumn})}}_columnMouseLeave(e,t){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._startColumnReorder){this._hoverColumn=null;this._resizeColumnIndex=-1;this._changeCursor();this._updateColumnStyle(t);this.update()}}_footerMouseEnter(e,t){this._blockHoverRect.top=-9999999}_gridMouseMove(e){this._isGridHovered=!1;if(!this._hoverRow)this._blockHoverRect.top=-9999999;if(this._isEnabled)if(1===e.which&&this._columnReorderActive&&this._reorderColumn){this._isGridHovered=!0;this._reorderColumnCurrentPos.left=e.pageX;e.stopPropagation()}}_gridMouseUp(e){if(this._isEnabled&&this._isFormResizing){this._isFormResizing=!1;this.update()}if(1===e.which&&this._reorderColumn&&this._reorderNewColIndex>=0&&this._reorderNewColIndex<this._originalScrollColumnList.length){let e=this._dataColumns.indexOf(this._reorderColumn),t=this._dataColumns.indexOf(this._originalScrollColumnList[this._reorderNewColIndex].data);if(t!==e){this.moveObject(e,t,this._dataColumns);this._invokeEvent("columnOrderChanged",{column:this.reorderColumn});this.updateLayout()}}this._resetReorderColumnSettings()}_gridMouseEnter(e){if(this._isEnabled)this.state|=IntegralUIObjectState.hovered}_gridMouseLeave(e){this._hoverRow=null;this._hoverColumn=null;this._isGridHovered=!1;this._blockHoverRect.top=-9999999;this.state&=~IntegralUIObjectState.hovered}_rowMouseEnter(e,t,i){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._columnReorderActive){if(this._hoverRow){let e=this._getRowScrollIndex(this._hoverRow,i);this._hoverRow=null;this._updateRowStyleByIndex(e)}this._hoverRow=t.data;this._hoverRowObj=t;let e=this._getRowScrollIndex(t.data,i);this._updateRowStyleByIndex(e);let l=this._rowElems.normal;if(l&&l.length>0&&this._commonService.isIndexInRange(e,l)){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getPageRect(l[e]);this._blockHoverRect.top=i.top-t.top-1}this.update();this._invokeEvent("rowHover",{row:this._hoverRow})}}_rowMouseLeave(e,t,i){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._columnReorderActive)this._clearHoverRow(t.data,i)}_clearHoverRow(e,t){let i=e?e:this._hoverRow,l=this._getRowScrollIndex(i,t);this._hoverRow=null;this._hoverRowObj=null;this._updateRowStyleByIndex(l);this.update()}_getSelectBlockRect(e){let t={left:0,top:"-9999999px",height:0,width:0};if(e<this._blockSelectRect.length)t={left:this._blockSelectRect[e].left+"px",top:this._blockSelectRect[e].top+"px",height:this._blockSelectRect[e].height+"px",width:this._blockSelectRect[e].width+"px"};return t}_hoverBlockMouseMove(e){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._columnReorderActive&&!this._hoverRow)this._rowMouseEnter(e,this._hoverRowObj)}_hoverBlockMouseLeave(e){if(this._isEnabled&&!this._isScrollActive&&!this._isColumnResizing&&!this._columnReorderActive)this._rowMouseLeave(e,this._hoverRowObj)}_cellGotFocus(e,t){if(this._isEnabled&&!this._ctrlLostFocus){this._keepActive=!0;this._updateFocusCell(t);this.refresh();this._invokeEvent("gotFocus",{row:e.data,cell:t.data})}this._ctrlLostFocus=!1}_cellKeyDown(e,t,i){if(this._isEnabled){let l={cancel:!1,row:t.data,cell:i.data,event:e};this._invokeEvent("keyDown",l);switch(e.keyCode){case 9:if(!l.cancel&&this._isKeyboardFocusAllowed){this._isKeyboardActive=!0;if(e.shiftKey){if(i.rowIndex+this._currentIndex===0&&this._isFirstCell(i)){this._setCurrentFocusCell(null);this.refresh()}else if(0!==i.colIndex||0!==i.rowIndex){e.preventDefault();let l=this._processLeftArrowKey(t,i);if(0===i.colIndex){this.scrollPos({x:this._maxScrollPos.x,y:0===i.rowIndex?this._currentScrollPos.y-this._avgRowHeight:this._currentScrollPos.y});this._updateRange();this.update();this._updateReferences();if((l=this._getLastCell(i,!0))&&!l.isEmpty){this._updateFocusCell(l);this.refresh()}}}}else this._moveFocusToNextCell(e,t,i)}break;case 13:if(this._currentEditMode===IntegralUIEditMode.Inline)this._inlineEditorEdit(t,i);else{this._invokeEvent("beforeEdit",l);if(i.editorType===IntegralUIEditorType.CheckBox){this._editCheckBoxValue(t,i);this.update()}}break;case 27:break;case 33:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processPageUpKey(i,e)}break;case 34:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processPageDownKey(i,e)}break;case 35:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processEndKey(i)}break;case 36:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processHomeKey(i)}break;case 37:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processLeftArrowKey(t,i)}break;case 32:if(i.editorType===IntegralUIEditorType.CheckBox){this._editCheckBoxValue(t,i);this.update()}break;case 38:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processUpArrowKey(i)}break;case 39:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processRightArrowKey(t,i)}break;case 40:if(!l.cancel&&this._isKeyboardFocusAllowed){e.preventDefault();this._isKeyboardActive=!0;this._processDownArrowKey(i)}break;default:this._defaultFunc()}}this._isKeyPressed=!0}_cellKeyPress(e,t,i){let l={cancel:!1,row:t.data,cell:i.data,event:e};if(this._isEnabled)this._invokeEvent("keyPress",l)}_cellKeyUp(e,t,i){let l={cancel:!1,row:t.data,cell:i.data,event:e};if(this._isEnabled)this._invokeEvent("keyUp",l);this._isKeyPressed=!1}_cellLostFocus(e,t){if(this._isEnabled&&this.isCellFocused(t.data)&&!this._isEditorFocused){this._setCurrentFocusCell(null);this.refresh();this._invokeEvent("lostFocus",{row:e.data,cell:t.data})}}_getRowFromCell(e){return e.rowIndex>=0&&e.rowIndex<this._scrollRowList[e.side].length?this._scrollRowList[e.side][e.rowIndex]:null}isCellFocused(e){return this._currentFocusCellObj?e===this._currentFocusCellObj.data:!1}_isFirstCell(e){return e.colIndex<=this._viewIndexRange.left?!0:!1}_isFirstRow(e){return 1===e.rowIndex?!0:!1}_isLastCell(e){return e.colIndex>=this._viewIndexRange.middle?!0:!1}_isLastRow(e){return e.rowIndex===this._visibleRange-1?!0:!1}moveFocus(e,t){switch(e){case IntegralUIMoveDirection.Down:if(t)this._processPageDownKey(this._currentFocusCellObj,null,t);else this._processDownArrowKey(this._currentFocusCellObj);break;case IntegralUIMoveDirection.First:this._processHomeKey(this._currentFocusCellObj);break;case IntegralUIMoveDirection.Last:this._processEndKey(this._currentFocusCellObj);break;case IntegralUIMoveDirection.Left:this._processLeftArrowKey(null,this._currentFocusCellObj);break;case IntegralUIMoveDirection.Right:this._processRightArrowKey(null,this._currentFocusCellObj);break;case IntegralUIMoveDirection.Up:if(t)this._processPageUpKey(this._currentFocusCellObj,null,t);else this._processUpArrowKey(this._currentFocusCellObj);break;default:this._defaultFunc()}}_moveFocusToNextCell(e,t,i){if(i.rowIndex+this._currentIndex===this._currentRowList.length-1&&this._isLastCell(i)){this._setCurrentFocusCell(null);this.refresh()}else{if(i!==this._getLastCell(i)){e.preventDefault();let l=this._processRightArrowKey(t,i);if(!l||this._commonService.isEmpty(l)){this.scrollPos({x:0,y:this._currentScrollPos.y});this._updateRange();this.update();this._updateReferences();if((l=this._getFirstCell(i))&&!l.isEmpty){if(this._isLastRow(l)){let e=l?l.data[this._cellFields.id]:null;this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this._avgRowHeight});this.updateView();l=e?this._getObjFromCellById(e):null}this._updateFocusCell(l);this.refresh()}}}}}_onContentScroll(e){e.srcElement.scrollTop=0;e.srcElement.scrollLeft=0;e.target.scrollTop=0;e.target.scrollLeft=0}_processDownArrowKey(e,t){let i=this._isKeyPressed?this._currentFocusCellObj:e,l=this._getDownCell(i);if(l&&!l.isEmpty){this._updateFocusCell(l);let e=Object.assign({},l),i=this._getRowFromCell(l);if(i){let s=i.data;this._processRowSelection(t,s);if(this._isLastRow(l)){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this._avgRowHeight});this.updateView();if(this._currentScrollPos.y<this._maxScrollPos.y){e.rowIndex-=1;this._updateFocusCell(e)}}this.refresh()}}return l&&!l.isEmpty?l:null}_processEndKey(e,t){this._clearEditing();let i=null,l=e.side;if(this._scrollRowList[l].length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._maxScrollPos.y});this.updateView();let s=this;setTimeout(function(){if(s._visibleRange<=s._scrollRowList[l].length){let r=s._getLastScrollIndex(e.side);if(r>=0){let o=s._scrollRowList[l][r],n="normal"!==l?e.colIndex:e.colIndex-s._viewIndexRange.left;if(o&&o.cells&&s._commonService.isIndexInRange(n,o.cells)){i=o.cells[n];s._updateFocusCell(i);s._processRowSelection(t,o.data)}}}},1)}return i}_processHomeKey(e,t){this._clearEditing();let i=null,l=e.side;if(this._scrollRowList[l].length>0){this.scrollPos({x:this._currentScrollPos.x,y:0});this.updateView();let s=this;setTimeout(function(){let r=s._scrollRowList[l][0];if(r){let o="normal"!==l?e.colIndex:e.colIndex-s._viewIndexRange.left;if(r.cells&&s._commonService.isIndexInRange(o,r.cells)){i=r.cells[o];s._updateFocusCell(i);s._processRowSelection(t,r.data)}}},1)}return i}_processLeftArrowKey(e,t){let i=this.getColumnById(t.data[this._cellFields.cid]);if(i&&this._getColumnIndex(i)===this._expandColIndex){let i=e.data;if(this._isRowExpanded(i)&&this._isThereVisibleChildren(i)){this.collapse(i);return t}}let l=this._isKeyPressed?this._currentFocusCellObj:t,s=this._getPrevCell(l),r=s,o=s?s.data[this._cellFields.id]:null;if(s&&!s.isEmpty){this._updateFocusCell(s);if(this._isFirstCell(s)){let e=2*s.width,t=this._getElemFromCell(s);if(t){let i=this._commonService.getPageRect(t);e=this._commonService.getPageRect(this._elemRef).left-i.left;if(Math.abs(e)<5)e=s.width}this.scrollPos({x:this._currentScrollPos.x-2*e,y:this._currentScrollPos.y});this._updateRange();this.update();this._updateReferences();r=o?this._getObjFromCellById(o):null;this._updateFocusCell(r)}this.refresh()}return r&&!r.isEmpty?r:null}_processPageDownKey(e,t,i){this._clearEditing();let l=null,s=this,r=e.side;if(this._scrollRowList[r].length>0){s.scrollPos({x:s._currentScrollPos.x,y:i?s._currentScrollPos.y+s._avgRowHeight*i:s._currentScrollPos.y+s._avgRowHeight*(s._visibleRange-1)});s.updateView();setTimeout(function(){let i=e.rowIndex>=0&&e.rowIndex<s._visibleRange?e.rowIndex:s._visibleRange-1;if(s._currentScrollPos.y===s._maxScrollPos.y)i=s._getLastScrollIndex(e.side);if(i>=0){let o=s._scrollRowList[r][i],n="normal"!==r?e.colIndex:e.colIndex-s._viewIndexRange.left;if(o&&o.cells&&s._commonService.isIndexInRange(n,o.cells)){l=o.cells[n];s._updateFocusCell(l);s._processRowSelection(t,o.data)}}},1)}return l}_processPageUpKey(e,t,i){this._clearEditing();let l=null,s=this,r=e.side;if(s._scrollRowList[r].length>0){s.scrollPos({x:s._currentScrollPos.x,y:i?s._currentScrollPos.y-s._avgRowHeight*i:s._currentScrollPos.y-s._avgRowHeight*(s._visibleRange-1)});s.updateView();setTimeout(function(){let i=e.rowIndex>=0&&e.rowIndex<s._visibleRange?e.rowIndex:0;if(0===s._currentScrollPos.y)i=0;let o=s._scrollRowList[r][i],n="normal"!==r?e.colIndex:e.colIndex-s._viewIndexRange.left;if(o&&o.cells&&s._commonService.isIndexInRange(n,o.cells)){l=o.cells[n];s._updateFocusCell(l);s._processRowSelection(t,o.data)}},1)}return l}_processRightArrowKey(e,t){let i=this.getColumnById(t.data[this._cellFields.cid]);if(i&&this._getColumnIndex(i)===this._expandColIndex){let i=e.data;if(!this._isRowExpanded(i)&&this._isThereVisibleChildren(i)){this.expand(i);return t}}let l=this._isKeyPressed?this._currentFocusCellObj:t,s=this._getNextCell(l),r=s,o=s?s.data[this._cellFields.id]:null;if(s&&!s.isEmpty){this._updateFocusCell(s);if(this._isLastCell(s)){this.scrollPos({x:this._currentScrollPos.x+2*s.width,y:this._currentScrollPos.y});this._updateRange();this.update();this._updateReferences();r=o?this._getObjFromCellById(o):null;this._updateFocusCell(r)}this.refresh()}return r&&!r.isEmpty?r:null}_processUpArrowKey(e,t){let i=this._getUpCell(e);if(i&&!i.isEmpty){this._updateFocusCell(i);let l=Object.assign({},i),s=this._getRowFromCell(i);if(s){let r=s.data;this._processRowSelection(t,r);if(this._isFirstRow(e)){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this._avgRowHeight});this.updateView();if(this._currentScrollPos.y>0||l.data!==i.data){l.rowIndex++;this._updateFocusCell(l)}else if(0===this._currentScrollPos.y)this.refresh()}}}return i&&!i.isEmpty?i:null}_getDownCell(e){if(e){let t=e.side;if(e.rowIndex>=0&&e.rowIndex<this._scrollRowList[t].length){let i=e.rowIndex<this._scrollRowList[t].length-1?e.rowIndex+1:-1,l=i>=0?this._scrollRowList[t][i]:null,s="normal"!==t?e.colIndex:e.colIndex-this._viewIndexRange.left;return l&&this._commonService.isIndexInRange(s,l.cells)?l.cells[s]:null}}return null}_getFirstCell(e,t){let i=e.side,l=t?e.rowIndex-1:e.rowIndex+1;if(e&&l>=0&&l<this._scrollRowList[i].length){let e=this._scrollRowList[i][l],t="normal"!==i?0:Math.max(this._viewIndexRange.left,0);return t>=0?e.cells[t]:null}return null}_getLastCell(e,t){let i=null;if(e){let l=e.side,s=t?e.rowIndex-1:this._currentRowList.length<this._visibleRange?this._currentRowList.length-1:this._visibleRange;if(e&&s>=0&&s<this._scrollRowList[l].length){let e=this._scrollRowList[l][s];for(let t=e.cells.length-1;t>=0;t--)if(!e.cells[t].isEmpty){i=e.cells[t];break}}}return i}_getNextCell(e){if(e){let t=e.side;if(e&&e.rowIndex>=0&&e.rowIndex<this._scrollRowList[t].length){let i=this._scrollRowList[t][e.rowIndex],l=e.colIndex+1,s="normal"!==t?l:l-this._viewIndexRange.left;return s>=0?i.cells[s]:null}}return null}_getLastScrollIndex(e){let t=0;for(let i=0;i<this._scrollRowList[e].length;i++)if(this._scrollRowList[e][i].isEmpty){t=i-1;break}return t}_getPrevCell(e){if(e){let t=e.side;if(e.rowIndex>=0&&e.rowIndex<this._scrollRowList[t].length){let i=this._scrollRowList[t][e.rowIndex],l=e.colIndex-1,s="normal"!==t?l:l-this._viewIndexRange.left;return(s=Math.max(s,0))>=0?i.cells[s]:null}}return null}_getUpCell(e){if(e){let t=e.side;if(e.rowIndex>=0&&e.rowIndex<this._scrollRowList[t].length){let i=e.rowIndex>0?e.rowIndex-1:-1,l=i>=0?this._scrollRowList[t][i]:null,s="normal"!==t?e.colIndex:e.colIndex-this._viewIndexRange.left;return l&&this._commonService.isIndexInRange(s,l.cells)?l.cells[s]:null}}return null}_setCurrentFocusCell(e){this._currentFocusCell=e?e.data:null;this._currentFocusCellObj=e}_updateFocusCell(e,t){if(e){this._setCurrentFocusCell(e);this._currentFocusCellObj.isEmpty=!1;this._setFocusToCell(e,t)}else this._setCurrentFocusCell(null)}_getElemFromCell(e,t){let i=this,l=null,s=e.rowIndex,r=e.colIndex-i._viewIndexRange.left;if(i._commonService.isIndexInRange(s,i._rowElems[e.side])){let t=i._rowElems[e.side][s].children;if(i._commonService.isIndexInRange(r,t)){l=t[r].firstElementChild;switch(e.editorType){case IntegralUIEditorType.Custom:case IntegralUIEditorType.Date:case IntegralUIEditorType.DropList:i._isEditorFocused=!0;setTimeout(function(){if(l.firstElementChild&&l.firstElementChild.setFocus)l.firstElementChild.setFocus()},10);break;case IntegralUIEditorType.Text:if(i._currentFocusCellObj)i._openEditor(e);setTimeout(function(){let e=i.shadowRoot.querySelector("#iui-editor-text");if(e)e.focus();i._keepActive=!1},10);break;case IntegralUIEditorType.Rating:case IntegralUIEditorType.Slider:i._isEditorFocused=!0;setTimeout(function(){if(l.firstElementChild&&l.firstElementChild.firstElementChild&&l.firstElementChild.firstElementChild.setFocus)l.firstElementChild.firstElementChild.setFocus()},10);break;default:i._defaultFunc()}}}return l}setFocus(e){let t=this._getObjFromCell(e);this._updateFocusCell(t)}_setFocusToCell(e,t){let i=this._getElemFromCell(e,t);if(i)i.focus()}beginLoad(){this._isLoading=!0;this.update();let e=this.shadowRoot.querySelector(".iui-loading-icon");if(e){this._loadIconPos={top:(this._clientRect.height-e.offsetHeight)/2,left:(this._clientRect.width-e.offsetWidth)/2};this.update()}}endLoad(){let e=this;e._isLoading=!1;e._isLoadingEnd=!0;e.update();e._loadingEndTimeout=setTimeout(function(){e._isLoadingEnd=!1;e.update();clearTimeout(e._loadingEndTimeout)},400)}_getParentColumnList(e){let t=[];if(e&&e[this._columnFields.pid]){let i=this._getSideName(e[this._columnFields.fixed]),l=this._getCurrentColumnList(i).filter(t=>t[this._columnFields.id]===e[this._columnFields.pid]),s=l.length>0?l[0]:null;if(s&&s[this._columnFields.columns]&&s[this._columnFields.columns].length>0)t=s[this._columnFields.columns]}else t=this._dataService.getList(null,this._columnDataKey);return t}moveColumn(e,t,i,l){if(e){if(t!==IntegralUIMoveDirection.Left&&t!==IntegralUIMoveDirection.Right){let t=this._getParentColumnList(e);if(t){let i=t.indexOf(e);if(i>=0)t.splice(i,1)}}let s=-1,r=this._getParentColumnList(i);switch(t){case IntegralUIMoveDirection.After:s=i?this._getNextColumnIndex(i,r):-1;break;case IntegralUIMoveDirection.At:s=l;break;case IntegralUIMoveDirection.Before:s=i?this._getColumnIndex(i,r):-1;break;case IntegralUIMoveDirection.First:s=0;break;case IntegralUIMoveDirection.Last:s=this._getLastColumnIndex(r)+1;break;case IntegralUIMoveDirection.Left:s=this._getPrevColumnIndex(e,r);break;case IntegralUIMoveDirection.Right:s=this._getNextColumnIndex(e,r);break;default:s=-1}if(r&&s>=0){this._isUpdateAllowed=!1;if(t!==IntegralUIMoveDirection.Left&&t!==IntegralUIMoveDirection.Right)r.splice(s,0,e);else if(s<r.length){let t=r.indexOf(e);this._commonService.moveObject(t,s,r)}this._isUpdateAllowed=!0;this._invokeEvent("columnOrderChanged",{column:e});this.updateLayout()}}}_paginatorMouseEnter(e){this._blockHoverRect.top=-9999999}_scrollMouseEnter(e){this._blockHoverRect.top=-9999999}_cellMouseEnter(e,t){if(this._isEnabled){this._invokeEvent("cellHover",{cell:t.data});this._hoverCell=t}}_cellMouseLeave(e){this._hoverCell=null}_cellMouseDown(e,t,i){if(this._isEnabled&&1===e.which){this._clickedCell=i;this._setCurrentFocusCell(i);if(i.editorType)switch(i.editorType){case IntegralUIEditorType.CheckBox:this._editCheckBoxValue(t,i);break;case IntegralUIEditorType.Date:case IntegralUIEditorType.DropList:this._processRowSelection(e,t.data);break;default:this._defaultFunc()}}}_cellMouseUp(e,t,i){if(1===e.which)if(i.isEditorColumn)this._editorColumnMouseUp(e,t);else if(i.isEditorEnabled&&this._clickedCell===i)switch(i.editorType){case IntegralUIEditorType.Color:break;case IntegralUIEditorType.Date:case IntegralUIEditorType.DropList:case IntegralUIEditorType.Numeric:this._updateFocusCell(this._currentFocusCellObj);break;case IntegralUIEditorType.Text:this._openEditor(i);break;default:this._defaultFunc()}this._clickedCell=null}_cellTouchStart(e,t,i){this._invokeEvent("cellTouched ",{event:e,row:t.data,cell:i.data})}_cellTouchEnd(e,t,i){if(i.isEditorEnabled&&i._isEditorVisible)switch(i.editorType){case IntegralUIEditorType.CheckBox:this._editCheckBoxValue(t,i);break;case IntegralUIEditorType.Color:case IntegralUIEditorType.Date:break;case IntegralUIEditorType.DropList:this._processRowSelection(e,t.data);break;case IntegralUIEditorType.Numeric:break;case IntegralUIEditorType.Text:this._openEditor(i);break;default:this._defaultFunc()}}_getCellAlignment(e){return e&&void 0!==e[this._columnFields.contentAlignment]?e[this._columnFields.contentAlignment]:"left"}_getCellWidth(e,t,i){let l=this._getColumnWidth(t);if(t&&this._getColumnIndex(t)===this._expandColIndex)l-=e.indent;return l=l>0?l:0}_areChildColumnsFixed(e){if(e&&e.length>0){let t=0;for(let i=0;i<e.length;i++)if(!0===e[i][this._columnFields.fixedWidth]||this._areChildColumnsFixed(e[i][this._columnFields.columns]))t++;return t===e.length?!0:!1}return!1}_calcColumnWidthFromChildren(e){let t=0,i=0,l=0,s=e[this._columnFields.columns];for(let e=0;e<s.length;e++){t=this._getColumnWidth(s[e]);if((i=this._isThereChildColumns(s[e])?this._calcColumnWidthFromChildren(s[e]):t)!==t){this._setColumnWidth(s[e],i);this._updateCellWidth(s[e])}l+=i+10}return l-=10}_changeColumnWidth(e){let t=this._getColumnWidth(e),i=this._isThereChildColumns(e)?this._calcColumnWidthFromChildren(e):t;if(i!==t){this._setColumnWidth(e,i);this._updateCellWidth(e)}}_getColumnAlignment(e,t){let i="left";if(e)i=t?e[this._columnFields.footerAlignment]:e[this._columnFields.headerAlignment];return i?i:"left"}_getColumnFooterTemplate(e){let t=null;if(!e.data.isDragDropColumn&&!e.data.isEditorColumn&&!e.data.isEditorSaveColumn){let i=this.footerTemplate;if(i){let l=i(e.data);if(l)t=new TemplateResult(l.strings,l.values,"html",defaultTemplateProcessor)}}if(!t)t=html`                 <span class="iui-listitem-label" >${e.data[this._columnFields.footerText]}</span>             `;return t}_getColumnHeaderTemplate(e){let t=null;if(!e.data.isDragDropColumn&&!e.data.isEditorColumn&&!e.data.isEditorSaveColumn){let i=this.headerTemplate;if(i){let l=i(e.data);if(l)t=new TemplateResult(l.strings,l.values,"html",defaultTemplateProcessor)}}if(!t){let i=this._commonService.isString(e.data[this._columnFields.icon])?e.data[this._columnFields.icon].split(" "):[],l={};i.map(e=>l[e]=!0);t=html`                 <span class=${classMap(l)}></span>                 <span class="iui-listitem-label">${e.data[this._columnFields.headerText]}</span>             `}return t}_getColumnWidth(e,t){let i=this._columnFields.width,l=100;switch(t){case"min":i=this._columnFields.minWidth;l=e&&void 0!==e[i]?e[i]:0;return this._isThereChildColumns(e,!0)?this._getColumnWidthFromChildren(e):l;case"max":i=this._columnFields.maxWidth;l=e&&void 0!==e[i]?e[i]:9999999;return this._isThereChildColumns(e,!0)?this._getColumnWidthFromChildren(e):l;default:return e&&void 0!==e[i]?e[i]:100}}_getColumnWidthFromChildren(e){let t=100;if(e){let i=0,l=0,s=this._columnFields.width,r=0;if(this._isThereChildColumns(e)){let o=e[this._columnFields.columns];for(let e=0;e<o.length;e++){i=void 0!==o[e][s]?o[e][s]:100;r+=(l=this._isThereChildColumns(o[e])?this._getColumnWidthFromChildren(o[e]):i)+10}t=r-10}else t=void 0!==e[s]?e[s]:100}return t}_getCurrentColumnWidth(e){let t=null;for(let i=0;i<3&&!t;i++){let l="";switch(i){case 1:l="left";break;case 2:l="right";break;default:l="normal"}let s=this._currentColumnList[l].filter(t=>t.data[this._columnFields.headerText]===e);t=s.length>0?s[0].data:null}return this._getColumnWidth(t)}_getFilterHeight(){if(this._filterElem.normal)return this._filterElem.normal.offsetHeight;else if(this._filterElem.left)return this._filterElem.left.offsetHeight;else if(this._filterElem.right)return this._filterElem.right.offsetHeight;return 0}_getFooterHeight(){if(this._footerElem.normal)return this._footerElem.normal.offsetHeight;else if(this._footerElem.left)return this._footerElem.left.offsetHeight;else if(this._footerElem.right)return this._footerElem.right.offsetHeight;return 0}_getHeaderHeight(){if(this._headerElem.normal)return this._headerElem.normal.offsetHeight;else if(this._headerElem.left)return this._headerElem.left.offsetHeight;else if(this._headerElem.right)return this._headerElem.right.offsetHeight;return 0}_getNextFlatColumn(e,t,i){let l=null,s=this._getSideName(t),r=this._getCurrentColumnList(s),o=r.filter(t=>t[this._columnFields.pid]===e[this._columnFields.pid]),n=o?o.indexOf(e):-1;n=o&&n<o.length-1?n+1:-1;if(i&&n>=0)l=this._isColumnWidthFixed(r[n])?this._getNextFlatColumn(r[n],t,i):r[n];else if(n>=0)l=r[n];return l}_getNextFlatColumnIndex(e,t,i){let l=this._getNextFlatColumn(e,t,i);return l?this._getColumnIndexFromList(l):-1}_getNumScrollColumns(e){return this._scrollRowList[e].length>0?this._scrollRowList[e][0].cells.length:0}_getNumVisibleColumns(e){return this._flatCompleteColumnList[e].filter(e=>e.isVisible).length}_getPrevFlatColumn(e,t,i){let l=null,s=this._getCurrentColumnList(t),r=s.filter(t=>t[this._columnFields.pid]===e[this._columnFields.pid]),o=r?r.indexOf(e):-1;o=o>0?o-1:-1;if(i&&o>=0)l=this._isColumnWidthFixed(s[o])?this._getPrevFlatColumn(s[o],t,i):s[o];else if(o>=0)l=s[o];return l}_getPrevFlatColumnIndex(e,t,i){let l=this._getPrevFlatColumn(e,t,i);return l?this._getColumnIndexFromList(l):-1}_isThereChildColumns(e,t){let i=this._columnFields.columns;return t?this._areChildColumnsFixed(e[i]):e[i]&&e[i].length>0?!0:!1}_updateAllColumnWidth(){for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._updateColumnWidth(t)}}_updateColumnWidth(e,t){let i=this._currentColumnList[e];if(this._isAutoSizeColumnsActive){let e=0,t=0,l=0,s=0,r=[],o=!1;for(let n=0;n<i.length;n++){o=this._isThereChildColumns(i[n].data);e=o?this._calcColumnWidthFromChildren(i[n].data):this._getColumnWidth(i[n].data);if(e>=(t=this._getColumnWidth(i[n].data,"min"))){l+=e+this._columnPadding.left+this._columnPadding.right+6;if(!0!==this._isColumnWidthFixed(i[n].data)){s++;r.push(i[n])}else if(o){this._setColumnWidth(i[n].data,e,!0);this._updateCellWidth(i[n].data)}}if(s>0){let e=this.isVerScrollVisible()?20:0,t=(this._clientRect.width-e-l)/s;this._updateColumnWidthByFactor(r,t)}}}else if(t)this._changeColumnWidth(t);else for(let e=0;e<i.length;e++){t=i[e].data;this._changeColumnWidth(t)}}_getBlockBottomPos(){let e=this.isHorScrollVisible()?16:0;if(this._isPaginationEnabled())e+=this._paginatorHeight-2;return e}_getBlockRightPos(){return this.isVerScrollVisible()?16:0}_getBounds(){return this._commonService.getPageRect(this._elemRef)}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}_updateBlockSize(){if(this._bodyElem.normal)this._blockSize={width:this._bodyElem.normal.offsetWidth,height:this._bodyElem.normal.offsetHeight};else this._blockSize={width:0,height:0}}_updateEditorFormRect(){let e=this._commonService.getPadding(this._formElem);this._formEditorRect.height=this._clientRect.height-(e.top+e.bottom);if(this.isHorScrollVisible())this._formEditorRect.height-=16}_updateLeftBlockSize(){let e=this._headerElem.left?this._headerElem.left:this._bodyElem.left,t={width:e?e.offsetWidth-this._hiddenLeftHeaderElemSize.width:0,height:this._clientRect.height-this._currentHeaderHeight-this._currentFilterHeight-this._currentFooterHeight};if(this.isHorScrollVisible())t.height-=16;this._leftBlockSize=t}_updateRightBlockSize(){let e=this._headerElem.right?this._headerElem.right:this._bodyElem.right,t={width:e?e.offsetWidth:0,height:this._clientRect.height-this._currentHeaderHeight-this._currentFilterHeight-this._currentFooterHeight};if(this.isHorScrollVisible())t.height-=16;this._rightBlockSize=t}_updateSelectContentPos(){let e=this;e._blockSelectRect.length=0;if(e._isSelectedTemplatePresent){let t=e._commonService.getPageRect(e._elemRef),i=e._getRowElems();e._blockSelectHeight=e._avgRowHeight-2;e._currentSelectedRows.forEach(l=>{let s=e._getRowScrollIndex(l,"normal"),r={height:e._blockSelectHeight,left:0,top:-9999999,width:e._clientRect.width-2};if(0===e._scrollSize.width&&!e._isThereFixedColumns("right"))r.width=e._allColWidth+e._leftBlockSize.width-2;else if(e.isVerScrollVisible())r.width-=17;if(i&&s>=0&&s<i.length){let l=e._commonService.getPageRect(i[s]);r.top=l.top-t.top-1}else r.top=-9999999;e._blockSelectRect.push(r)})}}_updateVisibleRange(){this._visibleRange=1;if(this._elemRef)this._clientRect={width:this._elemRef.clientWidth,height:this._elemRef.clientHeight-this._paginatorHeight};let e=this._rowElems.normal;if(e&&e.length>0){let t=0,i=0;for(let l=0;l<e.length&&l<this._currentRowList.length;l++){i+=e[l].offsetHeight;t++}if(t>0){let e=Math.floor(i/t);if(e>0)this._visibleRange=Math.floor((this._clientRect.height-(this._currentHeaderHeight+this._currentFilterHeight+this._currentFooterHeight))/e)+1}}}_formMouseDown(e){if(this._isEnabled&&1===e.which){let t=this._commonService.getPadding(this._formElem);if(e.offsetX<=t.left){let t=this._commonService.getShiftPos();this._startFormPos={x:e.pageX-t.x,y:e.pageY-t.y};this._isFormResizing=!0}}}_getMinColumnWidthFromChildren(e){let t=e[this._columnFields.columns];return t&&t.length>0?10*(t.length-1):0}_resizeChildColumns(e,t){let i=e[this._columnFields.columns];if(i&&i.length>0){let e=i.filter(e=>{let i=this._getColumnWidth(e);if(this._isColumnWidthFixed(e))return!0;else return t<0&&0===i?!0:!1}).length;t=i.length>e?t/(i.length-e):0;i.filter(e=>!this._isColumnWidthFixed(e)).forEach(e=>{this._updateWidthByFactor(e,t);this._resizeChildColumns(e,t)})}}_resizeParentColumn(e,t){if(e[this._columnFields.pid]){let i=this._getSideName(e[this._columnFields.fixed]),l=this._flatCurrentColumnList[i].filter(t=>t[this._columnFields.id]===e[this._columnFields.pid]),s=l.length>0?l[0]:null;if(s){this._updateWidthByFactor(s,t);this._resizeParentColumn(s,t)}}}_setColumnWidth(e,t,i){if(e&&(i||!0!==e[this._columnFields.fixedWidth])){let i=Math.max(this._getColumnWidth(e,"min"),this._getMinColumnWidthFromChildren(e)),l=this._getColumnWidth(e,"max"),s=Math.min(l,Math.max(i,t));e[this._columnFields.width]=s>0?s:0}}_updateCellWidth(e){if(e){let t=this._getSideName(e[this._columnFields.fixed]),i=this._scrollRowList[t];for(let t=0;t<i.length;t++){let l=i[t],s=this._getColumnCurrentIndex(e);for(let t=0;t<l.cells.length;t++)if(l.cells[t].colIndex===s){let i=this._getCellWidth(l,e);if(this._getColumnIndex(e)===this._expandColIndex){let s=this._getColumnWidth(e);s=s>0?s:this._columnPadding.left;if(0===i)l.cells[t].indent=s;else l.cells[t].indent=this._getRowIndent(l,e)}l.cells[t].width=i;break}}}}_updateChildColumnsWidth(e,t,i){if(t>Math.max(this._getColumnWidth(e,"min"),this._getMinColumnWidthFromChildren(e))){this._resizeChildColumns(e,i);this._resizeParentColumn(e,i)}}_updateColumnWidthByFactor(e,t){let i=0,l=0,s=0,r=0,o=0;l=0;let n=[];for(let o=0;o<e.length;o++){i=this._isThereChildColumns(e[o].data)?this._calcColumnWidthFromChildren(e[o].data):this._getColumnWidth(e[o].data);r=this._getColumnWidth(e[o].data,"min");if(!0===this._isColumnWidthFixed(e[o].data))r=i;if(i>=r)if(i+t<=r){s+=i+t-r;this._setColumnWidth(e[o].data,r);this._updateCellWidth(e[o].data)}else{n.push(e[o]);l++}}if(l>0){let e=s/l;if(0!==e)this._updateColumnWidthByFactor(n,t+e);else for(let e=0;e<n.length;e++){i=this._isThereChildColumns(n[e].data)?this._calcColumnWidthFromChildren(n[e].data):this._getColumnWidth(n[e].data);i+=t;this._setColumnWidth(n[e].data,i);this._updateCellWidth(n[e].data);if(i>(o=Math.max(this.getColumnWidth(n[e].data,"min"),this._getMinColumnWidthFromChildren(n[e].data))))this._resizeChildColumns(n[e].data,t)}}}_updateWidthByFactor(e,t){let i=this._getColumnWidth(e);this._isColumnFixed(e,"right")?i-=t:i+=t;i=Math.max(0,i);this._setColumnWidth(e,i);this._updateCellWidth(e)}_windowMouseMove(e){if(this._isEnabled){if(1!==e.which){this._clearDragDropSettings(!0);this._resetReorderColumnSettings()}if(1===e.which){let t=this._commonService.getShiftPos(),i={x:e.pageX-t.x,y:e.pageY-t.y};if(this._isColumnResizing){let e=0;if(this._resizeColumn){let t=0;if(this._isAutoSizeColumnsActive){let l=null,s=i.x-this._columnStartPos.x;if(s<0){if((l=this._getPrevFlatColumn(this._resizeColumn,this._resizeColumn[this._columnFields.fixed],!0))){let e=this._getColumnWidth(l)+s,i=this._getColumnWidth(l,"min");if(e>i){this._setColumnWidth(l,e);this._updateCellWidth(l);this._updateChildColumnsWidth(l,e,s);t=this._getColumnWidth(this._resizeColumn)-s;this._setColumnWidth(this._resizeColumn,t);this._updateCellWidth(this._resizeColumn);this._updateChildColumnsWidth(this._resizeColumn,t,-s)}else{this._setColumnWidth(l,i);this._updateCellWidth(l)}}}else if((t=(t=this._getColumnWidth(this._resizeColumn)-s)>(e=this._getColumnWidth(this._resizeColumn,"min"))?t:e)>e){this._setColumnWidth(this._resizeColumn,t);this._updateCellWidth(this._resizeColumn);this._updateChildColumnsWidth(this._resizeColumn,t,-s);if((l=this._getPrevFlatColumn(this._resizeColumn,this._resizeColumn[this._columnFields.fixed],!0))){let e=this._getColumnWidth(l)+s;this._setColumnWidth(l,e);this._updateCellWidth(l);this._updateChildColumnsWidth(l,e,s)}}}else{let e=i.x-this._columnStartPos.x;t=this._getColumnWidth(this._resizeColumn);this._isColumnFixed(this._resizeColumn,"right")?t-=e:t+=e;t=t>0?t:0;this._setColumnWidth(this._resizeColumn,t);this._updateCellWidth(this._resizeColumn);this._updateChildColumnsWidth(this._resizeColumn,t,e)}this._updateScrollSize();this.update()}this._columnStartPos=i}else if(this._isFormResizing){let e=!1,t=this._formEditorRect.width;if(this._startFormPos.x<i.x&&t+this._startFormPos.x-i.x>175){t+=this._startFormPos.x-i.x;e=!0}else if(this._startFormPos.x>i.x&&t+this._startFormPos.x-i.x<3*this._clientRect.width/4){t+=this._startFormPos.x-i.x;e=!0}this._startFormPos=i;if(e){this._formEditorRect.width=t;this.update()}}}}}_windowClick(e){if(this._isEnabled&&this._isColumnResizing){this._isColumnResizing=!1;this._invokeEvent("columnSizeChanged",{column:this._resizeColumn});if(null!==this._resizeColumn&&"left"===this._resizeColumn[this._columnFields.fixed])this._currentFixedColWidth=this._resizeColumn[this._columnFields.width];this._updateRange()}this._removeDropMark();this._removeDragHost();this._ctrlCursor="default";this._resetReorderColumnSettings();this._clickedCell=null;this._hoverColumn=null;this._resizeColumnIndex=-1;this._changeCursor();this._isCtrlDragEntered=!1;this._isScrollActive=!1;if(this._isEnabled)this.refresh()}_checkForSelectionChange(){if(this._currentSelectedRows.length>0){let e=this.getFullList(),t=[];this._currentSelectedRows.forEach(i=>{if(0===e.filter(e=>this._commonService.isEqual(e[this._rowFields.id],i[this._rowFields.id])).length)t.push(i)});if(t.length>0){let e=[];t.forEach(t=>{t[this._rowFields.selected]=!1;e.push(this._currentSelectedRows.indexOf(t))});if(this._currentSelectedRow&&t.filter(e=>this._commonService.isEqual(this._currentSelectedRow[this._rowFields.id],e[this._rowFields.id])).length>0)this._currentSelectedRow=null;for(let t=e.length-1;t>=0;t--)this._currentSelectedRows.splice(e[t],1)}}}_getDefaultRowTemplate(e,t){let i=null,l=this.rowTemplate;if(l){let s=l(e.data,t.data);if(s)i=new TemplateResult(s.strings,s.values,"html",defaultTemplateProcessor)}if(!i)i=html`<span class="iui-editor-label" style=${styleMap({display:t.display})}>${t.displayValue}</span>`;return i}_getRowIndent(e,t){let i=this._columnPadding.left;if(this._isExpandBoxAllowed(t))i+=e.indent;return i}_isExpandBoxAllowed(e,t){return e?this._getColumnIndex(e)===this._expandColIndex:!1}_updateScrollSize(){let e=this;e._updateLeftBlockSize();e._updateRightBlockSize();e._allColWidth=0;for(let t=0;t<e._currentColumnList.normal.length;t++)e._allColWidth+=e._getColumnWidth(e._currentColumnList.normal[t].data)+e._columnPadding.left+e._columnPadding.right+6;e._scrollSize={width:e._allColWidth-e._clientRect.width+e._leftBlockSize.width+e._rightBlockSize.width,height:e._avgRowHeight*e._currentRowList.length-e._clientRect.height+e._currentHeaderHeight+e._currentFilterHeight+e._currentFooterHeight+e._avgRowHeight};if(e.isVerScrollVisible())e._scrollSize.width+=16;if(e.isHorScrollVisible())e._scrollSize.height+=16;e._scrollSize.width=e._scrollSize.width>0?e._scrollSize.width:0;e._scrollSize.height=e._scrollSize.height>0?e._scrollSize.height:0;e._maxScrollPos={x:e._scrollSize.width,y:e._scrollSize.height};if(e._currentScrollPos.x>e._maxScrollPos.x)e._changeHorizontalScrollPos(e._maxScrollPos.x);if(e._currentScrollPos.y>e._maxScrollPos.y)e._changeVerticalScrollPos(e._maxScrollPos.y);e._scrollBarSize={width:e.isVerScrollVisible()?e._clientRect.width-20:e._clientRect.width-4,height:e.isHorScrollVisible()?e._clientRect.height-20:e._clientRect.height-4};if(e._paginatorHeight>0)e._scrollBarSize.height+=1;e._scrollLargeChange={x:e._scrollBarSize.width,y:e._scrollBarSize.height-e._currentHeaderHeight-e._currentFilterHeight-e._currentFooterHeight};e._contentLeftPos=e._initialContentLeftPos-e._leftBlockSize.width;e._updateEditorFormRect();e._blockHoverRect={height:e._avgRowHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(0===e._scrollSize.width&&!e._isThereFixedColumns("right"))e._blockHoverRect.width=e._allColWidth+e._leftBlockSize.width-2;else if(e.isVerScrollVisible())e._blockHoverRect.width-=17;let t={height:e._avgRowHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(0===e._scrollSize.width&&!e._isThereFixedColumns("right")){e._blockHoverRect.width=e._allColWidth+e._leftBlockSize.width-2;t.width=e._blockHoverRect.width}else if(e.isVerScrollVisible()){e._blockHoverRect.width-=17;t.width-=17}e._blockSelectRect.forEach(e=>{e.width=t.width;e.height=t.height});if(e._currentEditMode===IntegralUIEditMode.Batch||e._isInlineEditorVisible||e._currentEditMode===IntegralUIEditMode.Inline){let t=e._getEditorSaveColumn();if(t){let i=e._getAllColumnWidth();if(i<e._clientRect.width&&"right"===t[e._columnFields.fixed])e.updateLayout();else if(i>=e._clientRect.width&&"right"!==t[e._columnFields.fixed])e.updateLayout()}}}_onCtrlMouseEnter(e){if(this._isEnabled&&1===e.which&&this._cloneElem)this._cloneElem.style.display="block"}_onCtrlMouseLeave(e){if(this._isEnabled&&1===e.which&&this._cloneElem)this._cloneElem.style.display="none";this._stopScrollTimer()}currentPage(e){if(this._currentPageNumber!==e&&e>=1&&e<=this.getMaxPages()){this._currentPageNumber=e;this._updateCurrentLayout()}return this._currentPageNumber}getMaxPages(){return this._currentPaging.maxPages>1?this._currentPaging.maxPages:this._pageList?this._pageList.length:0}firstPage(){if(1!==this._currentPageNumber){this._currentPageNumber=1;this._updateCurrentLayout()}}lastPage(){let e=this.getMaxPages();if(this._currentPageNumber!==e){this._currentPageNumber=e;this._updateCurrentLayout()}}nextPage(){if(this._currentPageNumber<this.getMaxPages()){this._currentPageNumber++;this._updateCurrentLayout()}}prevPage(){if(this._currentPageNumber>1){this._currentPageNumber--;this._updateCurrentLayout()}}_resetPageNumber(){this._currentPageNumber=1}_updatePageNumber(){let e=this.getMaxPages();if(this._currentPageNumber>e)if(0===e)this._resetPageNumber();else this._currentPageNumber=e}_updatePaging(e){if(e)this._currentPaging={enabled:this._commonService.isFieldAvailable(e.enabled,!1),maxPages:this._commonService.isFieldAvailable(e.maxPages,1),panel:this._commonService.isFieldAvailable(e.panel,!0),pageSize:this._commonService.isFieldAvailable(e.pageSize,100)};else this._currentPaging={enabled:!1,maxPages:1,panel:!0,pageSize:100};this._resetPageNumber();this.updateLayout()}_paginatorPageChanged(e){this._currentPageNumber=e.detail.value;this.scrollPos({x:0,y:0});this._updateCurrentLayout();this._invokeEvent("pageChanged",{page:this._currentPageNumber,maxPages:this.getMaxPages(),pageSize:this._currentPaging.pageSize})}_isPaginationEnabled(){return this._currentPaging.enabled&&this._currentPaging.panel}scrollPos(e){if(e){this._currentScrollPos={x:Math.max(0,Math.min(e.x,this._maxScrollPos.x)),y:Math.max(0,Math.min(e.y,this._maxScrollPos.y))};this._currentIndex=this._avgRowHeight>0?Math.floor(this._currentScrollPos.y/this._avgRowHeight):0}return{x:Math.floor(this._currentScrollPos.x),y:Math.floor(this._currentScrollPos.y)}}_changeHorizontalScrollPos(e){this._blockHoverRect.top=-9999999;this._currentScrollPos.x=Math.max(0,Math.min(e,this._maxScrollPos.x));if(this._currentScrollPos.x!==this._prevScrollPos.x){this._updateRange();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos,max:this._maxScrollPos});this._prevScrollPos.x=this._currentScrollPos.x}}_changeVerticalScrollPos(e){this._blockHoverRect.top=-9999999;this._currentScrollPos.y=Math.max(0,Math.min(e,this._maxScrollPos.y));if(this._currentScrollPos.y!==this._prevScrollPos.y){this.updateView(!0);this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos,max:this._maxScrollPos});this._prevScrollPos.y=this._currentScrollPos.y}}_gridMouseWheel(e){e.preventDefault();this._clearEditing();if(this._isEnabled){this._hoverRow=null;let t=Math.max(-1,Math.min(1,e.wheelDelta||-e.detail)),i=5;switch(this.mouseWheelSpeed){case IntegralUISpeedMode.VerySlow:i=15;break;case IntegralUISpeedMode.Slow:i=9;break;case IntegralUISpeedMode.Fast:i=3;break;case IntegralUISpeedMode.VeryFast:i=1;break;default:i=5}if(this.isVerScrollVisible()){let e=Math.floor(this._clientRect.height/i);if(this._currentMouseWheelSpeed===IntegralUISpeedMode.VerySlow&&this._avgRowHeight>0)e=this._avgRowHeight;let l=this._currentScrollPos.y+e*t*-1;this._changeVerticalScrollPos(l)}}e.stopPropagation()}isVerScrollVisible(){return this._isEnabled&&this._scrollVisibility.vertical&&this._scrollSize.height>0?!0:!1}isHorScrollVisible(){return this._isEnabled&&this._scrollVisibility.horizontal&&this._scrollSize.width>0?!0:!1}_onVerticalScrollStart(e){this._hoverRow=null;this._isScrollActive=!0}_onVerticalScrollEnd(e){this._isScrollActive=!1}_onVerticalScrollChanged(e){this._setCurrentFocusCell(null);if(this._currentScrollPos.y!==e.detail.value)this._changeVerticalScrollPos(e.detail.value)}_onHorizontalScrollStart(e){this._hoverRow=null;this._isScrollActive=!0}_onHorizontalScrollEnd(e){this._isScrollActive=!1;this.refresh()}_onHorizontalScrollChanged(e){this._setCurrentFocusCell(null);if(this._currentScrollPos.x!==e.detail.value){this._currentScrollPos.x=e.detail.value;this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos,max:this._maxScrollPos});this._updateRange();this._refreshScrollRowList("normal");this.update()}}_scrollMouseDown(e){}updateView(e){this._currentIndex=this._avgRowHeight>0?Math.floor(this._currentScrollPos.y/this._avgRowHeight):0;if(!e||this._currentIndex!==this._prevIndex){this._updateScrollRowList();this._updateSelectContentPos();this.refresh();this._prevIndex=this._currentIndex}}_processScroll(e,t,i){if(this._isEnabled)if(this.isVerScrollVisible()){let l=this._commonService.getShiftPos(),s=this._commonService.getMousePos(e);s.x-=l.x;s.y-=l.y;let r=this._commonService.getPageRect(this._elemRef),o=t?t:0,n=i?i:0,a=r.top+this._currentHeaderHeight+this._currentFilterHeight+o+25,d=r.bottom-this._currentFooterHeight-this._paginatorHeight-n-25;if(this.isHorScrollVisible())d-=16;if(s.y<a&&this._currentScrollPos.y>0)this._startScrollTimer(!1);else if(s.y>d&&this._currentScrollPos.y<this._maxScrollPos.y)this._startScrollTimer(!0);else this._stopScrollTimer()}else this._stopScrollTimer()}_startScrollTimer(e,t){let i=this;i._removeDropMark();if(!i._isScrollTimerActive){i._accelerator=.5;i._scrollCount=0;i._isScrollTimerActive=!0;let l=t?t:100;i._scrollTimerID=setInterval(function(){i._scrollTimerElapsed(e)},l)}}_stopScrollTimer(){if(this._scrollTimerID){clearInterval(this._scrollTimerID);this._scrollTimerID=null}this._accelerator=.5;this._scrollCount=0;this._isScrollTimerActive=!1}_scrollTimerElapsed(e){let t=this._currentScrollPos;if(0===this._scrollCount)this._scrollCount=5;this._scrollCount+=5;this._accelerator+=.5;this._scrollCount+=Math.floor(this._accelerator);let i=this._scrollCount;if(e)if(this._currentScrollPos.y+i>this._maxScrollPos.y)this._currentScrollPos.y=this._maxScrollPos.y;else this._currentScrollPos.y+=i;else if(this._currentScrollPos.y-i<0)this._currentScrollPos.y=0;else this._currentScrollPos.y-=i;this.updateView(!0);this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos,max:this._maxScrollPos});if(t.y<=0||this._currentScrollPos.y<t.y)this._stopScrollTimer()}scrollTo(e){if(e){let t=this._getRowCurrentIndex(e);if(t>=0)this._scrollPos({x:this._currentScrollPos.x,y:this._avgRowHeight*(t+1-this._visibleRange/2)});this.updateLayout()}}findColumnById(e){return this._dataService.findObjectById(e,this._columnDataKey)}findRowById(e){return this._dataService.findObjectById(e,this._rowDataKey)}findRowByText(e){return this._dataService.findObjectByText(e,this._rowDataKey)}clearSelection(){this._clearPrevSelection();this._currentSelectedRow=null;this._updateSelectContentPos();this.refresh()}_processColumnSelection(e,t,i){let l=this;if(t){if(!1===t[l._columnFields.canSelect])return;let e=!0;if(l._currentSelectedColumn)e=!l._commonService.isEqual(l._currentSelectedColumn[l._columnFields.id],t[l._columnFields.id]);let i={cancel:!1,obj:t};l._invokeEvent("beforeSelect",i);if(e&&!0!==i.cancel){if(l._currentSelectedColumn){l._currentSelectedColumn[l._columnFields.selected]=!1;l.refresh(l._currentSelectedColumn)}l._currentSelectedColumn=t;t[l._columnFields.selected]=!0;l.refresh(t);l._callAfterSelectEvent(t)}}else return l._currentSelectedColumn}_clearPrevSelection(e){for(let t=0;t<this._currentSelectedRows.length;t++){let i=this._currentSelectedRows[t];if(e&&!this._commonService.isEqual(i[this._rowFields.id],e[this._rowFields.id]))i[this._rowFields.selected]=!1;else if(!e)i[this._rowFields.selected]=!1}this._currentSelectedRows.length=0;if(e&&this.isRowEnabled(e))this._currentSelectedRows.push(e)}_isCtrlKeyPressed(e){return e&&(e.ctrlKey||e.metaKey)}_isRowInSelectionList(e){let t=!1,i=this._currentSelectedRows;if(e&&i)for(let l=0;l<i.length;l++)if(this._commonService.isEqual(i[l][this._rowFields.id],e[this._rowFields.id])){t=!0;break}return t}_isShiftKeyPressed(e){return e&&e.shiftKey}_processRowSelection(e,t,i){let l=this;if(t){if(l._currentSelectionMode===IntegralUISelectionMode.None||!1===t[l._rowFields.canSelect])return;let s=l._currentSelectedRows.length>0;if(!l.isRowEnabled(t)){l._clearPrevSelection();l._currentSelectedRow=null;l.refresh();if(s)l._invokeEvent("selectionChanged",{obj:this._currentSelectedRow})}else{let r=l._currentSelectedRow,o=!0;if(r)o=this._isCtrlKeyPressed(e)||!this._commonService.isEqual(r[l._rowFields.id],t[l._rowFields.id])||!1===r[l._rowFields.selected];let n={cancel:!1,obj:t};l._invokeEvent("beforeSelect",n);if(!0!==n.cancel){let n=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(o){if(l._currentSelectionMode===IntegralUISelectionMode.MultiExtended)o=!l._isRowInSelectionList(t)||!n||this._isShiftKeyPressed(e);if(o)if(l._currentSelectionMode===IntegralUISelectionMode.One)l._clearPrevSelection();else if(e&&e.shiftKey)l._clearPrevSelection();else if(!n&&l._currentSelectionMode!==IntegralUISelectionMode.MultiSimple&&(1===l._currentSelectedRows.length||!l._isRowInSelectionList(t)))l._clearPrevSelection();l._currentSelectedRow=t;if(e&&e.shiftKey&&l._currentSelectionMode!==IntegralUISelectionMode.One){if(!l._shiftFirstSelectedRow)l._shiftFirstSelectedRow=r;let e=l._getRowCurrentIndex(l._shiftFirstSelectedRow),i=l._getRowCurrentIndex(t);if(e>i){let t=e;e=i;i=t}if(l._commonService.isIndexInRange(e,l._currentRowList)&&l._commonService.isIndexInRange(i,l._currentRowList))for(let t=e;t<=i;t++){let e=l._currentRowList[t].data;if(!1!==e[l._rowFields.canSelect]){e[l._rowFields.selected]=!0;l._currentSelectedRows.push(e)}}}else if(n||l.selectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[l._rowFields.selected]||"undefined"===t[l._rowFields.selected]?!1:t[l._rowFields.selected];t[l._rowFields.selected]=!e;if(!t[l._rowFields.selected])l._currentSelectedRows=l._currentSelectedRows.filter(function(e){return e!==t});else if(!l._isRowInSelectionList(t))l._currentSelectedRows.push(t);l._shiftFirstSelectedRow=null}else{t[l._rowFields.selected]=!0;if(!l._isRowInSelectionList(t))l._currentSelectedRows.push(t);l._shiftFirstSelectedRow=null}l._callAfterSelectEvent(t);l.refresh()}else if(n||l._currentSelectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[l._rowFields.selected]||"undefined"===t[l._rowFields.selected]?!1:t[l._rowFields.selected];if(i&&"undefined"!==i)e=i;t[l._rowFields.selected]=!e;if(!t[l._rowFields.selected])l._currentSelectedRows=l._currentSelectedRows.filter(function(e){return e!==t});else if(!l._isRowInSelectionList(t))l._currentSelectedRows.push(t);l._shiftFirstSelectedRow=null;l._callAfterSelectEvent(t);l.refresh()}else if(!n&&!(l._currentSelectionMode&IntegralUISelectionMode.MultiSimple)&&(1===l._currentSelectedRows.length||!l._isRowInSelectionList(t))){l._shiftFirstSelectedRow=null;l._clearPrevSelection(t);l.refresh();if(s)l._invokeEvent("selectionChanged",{obj:this._currentSelectedRow})}}}this._updateSelectContentPos()}}selectRows(e){if(e&&Array.isArray(e)){this._currentSelectedRows.map(e=>e[this._rowFields.selected]=!1);this._currentSelectedRows.length=0;for(let t=0;t<e.length;t++){e[t][this._rowFields.selected]=!0;this._currentSelectedRows.push(e[t])}if(e.length>0){this._currentSelectedRow=e[e.length-1];this._callAfterSelectEvent(this._currentSelectedRow)}else this._currentSelectedRow=null;this.updateLayout()}}_updateRowSelection(e,t){let i=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(this._currentSelectionMode===IntegralUISelectionMode.MultiExtended&&!1!==t[this._rowFields.canSelect]&&this._currentSelectedRows.length>0&&!e.shiftKey&&!i&&1===e.which){let e=this._currentSelectedRows.length;this._clearPrevSelection();this._currentSelectedRow=t;t[this._rowFields.selected]=!0;this._currentSelectedRows.push(t);if(e>1)this._callAfterSelectEvent(t);this.refresh()}}_rowMouseDown(e,t){if(this._isEnabled){this._isRowClicked=!0;this._processRowSelection(e,t.data);if(this._prevClickedObj)this._prevClickedObj.isClicked=!1;t.isClicked=!0;t.clickPos=this._commonService.getClientPos(e,this._elemRef);t.clickPos.x-=this._leftBlockSize.width;this._prevClickedObj=t;this._updateSelectContentPos()}}_rowMouseUp(e,t){if(this._isEnabled&&this._isRowClicked){this._updateRowSelection(e,t.data);this._updateSelectContentPos()}this._isRowClicked=!1}sort(e,t,i){this._sortColumn=e;this._sortComparer=i;this._currentSorting=t;this.updateLayout();this._invokeEvent("change",{type:"sorting"})}_getCellIndexInCollection(e,t,i){let l=-1;if(e)for(let s=0;s<e.length;s++)if(void 0===e[s][this._cellFields.cid]){l=t;break}else if(e[s][this._cellFields.cid]===i){l=s;break}return l}_isSortingAllowed(){return this._currentSorting===IntegralUISortOrder.Ascending||this._currentSorting===IntegralUISortOrder.Descending}_isSortingColumn(e){if(e&&!this._isThereChildColumns(e))return this._sortColumn&&e[this._columnFields.id]===this._sortColumn[this._columnFields.id]?!0:!1;else return!1}_applySorting(e){let t=this;if(e){if(t._sortColumn&&!1===t._sortColumn[t._columnFields.visible])return;let i=t._getColumnCurrentIndex(t._sortColumn),l=i>=0?i:t._expandColIndex,s=this._getSideName(t._sortColumn?t._sortColumn[t._columnFields.fixed]:void 0),r=t._flatCompleteColumnList[s];if(l<r.length){let i=r[l].data[t._columnFields.id];if(t._sortColumn&&t._sortColumn[t._columnFields.comparer])e.sort(t._sortColumn[t._columnFields.comparer]);else if(t._sortComparer)e.sort(t._sortComparer);else if(t._isSortingAllowed())e.sort(function(e,s){let r=null,o=null;if(e[t._rowFields.cells]){let s=t._getCellIndexInCollection(e[t._rowFields.cells],l,i);if(s>=0){if(void 0===(r=e[t._rowFields.cells][s][t._cellFields.value]))r=e[t._rowFields.cells][s][t._cellFields.text];if(t._commonService.isObject(r))r=r.value?r.value:r.text}}if(s[t._rowFields.cells]){let e=t._getCellIndexInCollection(s[t._rowFields.cells],l,i);if(e>=0){if(void 0===(o=s[t._rowFields.cells][e][t._cellFields.value]))o=s[t._rowFields.cells][e][t._cellFields.text];if(t._commonService.isObject(o))o=o.value?o.value:o.text}}r=void 0!==r?r:null;o=void 0!==o?o:null;switch(t._currentSorting){case IntegralUISortOrder.Ascending:if(r<o)return-1;else if(r>o)return 1;break;case IntegralUISortOrder.Descending:if(r>o)return-1;else if(r<o)return 1;break;default:return 0}return 0})}}}_getColumnInlineStyle(e){let t={header:"",footer:""};if(e)t={header:this._commonService.isFieldAvailable(e.header,""),footer:this._commonService.isFieldAvailable(e.footer,"")};return t}_getControlStyle(){let e={cursor:this._ctrlCursor};if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_getEditorFormClass(){return this._editorFormClass}_updateEditorFormClass(){this._editorFormClass={[this._generalClassName+"-form"]:!0};if(this._isFormActive)this._editorFormClass[this._generalClassName+"-form-active"]=!0}_updateColumnStyle(e){if(e){e.style={header:{},filter:{},footer:{},expandBox:{},sorting:{}};e.inlineStyle=this._getColumnInlineStyle(e.data[this._columnFields.style]);e.style.header[this._columnHeaderClassName]=!0;e.style.header[this._defaultStyle.column.header.normal]=!0;if(!this._isScrollActive)if(e.data===this._currentSelectedColumn)e.style.header[this._defaultStyle.column.header.selected]=!0;else if(e.data===this._hoverColumn)e.style.header[this._defaultStyle.column.header.hovered]=!0;e.style.filter[this._columnFilterClassName]=!0;e.style.filter[this._defaultStyle.column.filter.normal]=!0;e.style.footer[this._columnFooterClassName]=!0;e.style.footer[this._defaultStyle.column.footer.normal]=!0;if(!this._isScrollActive)if(e.data===this._currentSelectedColumn){e.style.filter[this._defaultStyle.column.filter.selected]=!0;e.style.footer[this._defaultStyle.column.footer.selected]=!0}else if(e.data===this._hoverColumn){e.style.filter[this._defaultStyle.column.filter.hovered]=!0;e.style.footer[this._defaultStyle.column.footer.hovered]=!0}if("left"!==e.data[this._columnFields.fixed]&&!e.data[this._columnFields.isEnd]&&this._defaultStyle.column.expandBox){e.style.expandBox[this._defaultStyle.column.expandBox.general]=!0;if(this._isColumnExpanded(e.data))e.style.expandBox[this._defaultStyle.column.expandBox.collapsed]=!0;else e.style.expandBox[this._defaultStyle.column.expandBox.expanded]=!0}switch(this._currentGridLines){case IntegralUIGridLines.None:e.style.header[this._defaultStyle.gridLines.none]=!0;e.style.filter[this._defaultStyle.gridLines.none]=!0;e.style.footer[this._defaultStyle.gridLines.none]=!0;break;case IntegralUIGridLines.Horizontal:e.style.header[this._defaultStyle.gridLines.horizontal]=!0;e.style.filter[this._defaultStyle.gridLines.horizontal]=!0;e.style.footer[this._defaultStyle.gridLines.horizontal]=!0;break;case IntegralUIGridLines.Vertical:e.style.header[this._defaultStyle.gridLines.vertical]=!0;e.style.filter[this._defaultStyle.gridLines.vertical]=!0;e.style.footer[this._defaultStyle.gridLines.vertical]=!0;break;default:e.style.header[this._defaultStyle.gridLines.both]=!0;e.style.filter[this._defaultStyle.gridLines.both]=!0;e.style.footer[this._defaultStyle.gridLines.both]=!0}if(this._isSortingAllowed()&&this._isSortingColumn(e.data))switch(this._currentSorting){case IntegralUISortOrder.Ascending:e.style.sorting[this._defaultStyle.column.sorting.normal.ascending]=!0;e.style.sorting[this._defaultStyle.column.sorting.selected.ascending]=!0;break;case IntegralUISortOrder.Descending:e.style.sorting[this._defaultStyle.column.sorting.normal.descending]=!0;e.style.sorting[this._defaultStyle.column.sorting.selected.descending]=!0;break;default:this._defaultFunc()}}}_updateRowStyle(e){if(e&&!e.isEmpty){e.style={cell:{},expandBox:{},row:{}};e.inlineStyle=e.data[this._rowFields.style];e.style.row[this._rowClassName]=!0;e.style.row[this._defaultStyle.row.general.normal]=!0;e.style.cell[this._cellClassName]=!0;e.style.cell[this._defaultStyle.row.cell.normal]=!0;if(e.data[this._rowFields.deleted]){e.style.row[this._generalClassName+"-row-deleted"]=!0;e.style.cell[this._generalClassName+"-cell-deleted"]=!0}else if(!this.isRowEnabled(e.data)){e.style.row[this._defaultStyle.row.general.disabled]=!0;e.style.cell[this._defaultStyle.row.cell.disabled]=!0}else if(this.isRowSelected(e.data)){e.style.row[this._defaultStyle.row.general.selected]=!0;e.style.cell[this._defaultStyle.row.cell.selected]=!0}else if(this.isRowHovered(e.data)){e.style.row[this._defaultStyle.row.general.hovered]=!0;e.style.cell[this._defaultStyle.row.cell.hovered]=!0}switch(this._currentGridLines){case IntegralUIGridLines.None:e.style.cell[this._defaultStyle.gridLines.none]=!0;break;case IntegralUIGridLines.Horizontal:e.style.cell[this._defaultStyle.gridLines.horizontal]=!0;break;case IntegralUIGridLines.Vertical:e.style.cell[this._defaultStyle.gridLines.vertical]=!0;break;default:e.style.cell[this._defaultStyle.gridLines.both]=!0}if(this._isThereChildRows||e.data[this._rowFields.hasChildren])e.style.expandBox[this._defaultStyle.row.expandBox.general]=!0;if(this._rowHasChildren(e.data)||this._isThereVisibleChildren(e.data))if(this._isRowLoading(e.data))e.style.expandBox[this._defaultStyle.row.expandBox.load]=!0;else if(!1!==e.data[this._rowFields.expanded])e.style.expandBox[this._defaultStyle.row.expandBox.collapsed]=!0;else e.style.expandBox[this._defaultStyle.row.expandBox.expanded]=!0;e.cells.forEach(t=>{t.style={content:{[this._cellClassName+"-content"]:!0}};if(this._isKeyboardFocusAllowed&&t.tabIndex>=0&&this._currentFocusCell&&t.data===this._currentFocusCell)t.style.content[this._cellClassName+"-content-focused"]=!0;if(!e.data[this._rowFields.deleted]&&t.data[this._cellFields.dataChanged]&&this._currentEditMode===IntegralUIEditMode.Batch)t.style.content[this._generalClassName+"-cell-value-changed"]=!0})}}_updateRowStyleByIndex(e){for(let t=0;t<3;t++){let i="";switch(t){case 1:i="left";break;case 2:i="right";break;default:i="normal"}if(this._commonService.isIndexInRange(e,this._scrollRowList[i]))this._updateRowStyle(this._scrollRowList[i][e])}}_getContentTemplate(e,t){let i=null;switch(t){case"hover":i=this.rowHoverTemplate;break;case"select":i=this.rowSelectTemplate;break;default:i=null}if(i){let t=i(e);return new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}return html``}_getRowEditorTemplate(e){if(e.isEditAllowed&&!e.isEmpty){let t=this._generalClassName+"-editing";if(e.isEditorActive)t+=" "+this._generalClassName+"-editing-active";return html`<span class="${t}"></span>`}return html``}_getRowEditorSaveTemplate(e){if(this._currentEditMode===IntegralUIEditMode.Batch)if(e.data[this._rowFields.deleted])return html`                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._batchEditorCancel(e)}" @touchstart="${()=>this._batchEditorCancel(e)}" @keydown="${t=>this._batchEditorKeyDown(t,e,"cancel")}">${this._editingFields.cancel}</iui-button>                 `;else if(this._isDataChanged(e.data))return html`                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._batchEditorRemove(e)}" @touchstart="${()=>this._batchEditorRemove(e)}" @keydown="${t=>this._batchEditorKeyDown(t,e,"remove")}">${this._editingFields.remove}</iui-button>                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._batchEditorCancel(e)}" @touchstart="${()=>this._batchEditorCancel(e)}" @keydown="${t=>this._batchEditorKeyDown(t,e,"cancel")}">${this._editingFields.cancel}</iui-button>                 `;else return html`                         <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._batchEditorRemove(e)}" @touchstart="${()=>this._batchEditorRemove(e)}" @keydown="${t=>this._batchEditorKeyDown(t,e,"remove")}">${this._editingFields.remove}</iui-button>                     `;else if(e.data===this._currentEditingRow)return html`                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._inlineEditorSave(e)}" @touchstart="${()=>this._inlineEditorSave(e)}" @keydown="${t=>this._inlineEditorKeyDown(t,e,"save")}">${this._editingFields.save}</iui-button>                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._inlineEditorCancel(e)}" @touchstart="${()=>this._inlineEditorCancel(e)}" @keydown="${t=>this._inlineEditorKeyDown(t,e,"cancel")}">${this._editingFields.cancel}</iui-button>                 `;else return html`                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._inlineEditorEdit(e)}" @touchstart="${()=>this._inlineEditorEdit(e)}" @keydown="${t=>this._inlineEditorKeyDown(t,e,"edit")}">${this._editingFields.edit}</iui-button>                     <iui-button .allowAnimation="${this._isAnimationAllowed}" .colorScheme="${this._currentColorScheme}" .theme="${this._currentTheme}" @mouseup="${()=>this._inlineEditorRemove(e)}" @touchstart="${()=>this._inlineEditorRemove(e)}" @keydown="${t=>this._inlineEditorKeyDown(t,e,"remove")}">${this._editingFields.remove}</iui-button>                 `}_columnTouchStart(e,t){if(this._isEnabled)this._processColumnSelection(e,t.data)}_rowTouchStart(e,t){if(this._isEnabled)this._processRowSelection(e,t.data)}_ctrlTouchStart(e){e.preventDefault();if(this._isEnabled){let t=this._commonService.getTouchData(e);if(t&&t.length>0)this._touchStartPos={x:t[0].pageX,y:t[0].pageY}}}_ctrlTouchEnd(e){let t=this;if(t._isEnabled){let i=t._commonService.getTouchData(e);if(i&&i.length>0)t._touchEndPos={x:i[0].pageX,y:i[0].pageY};let l={dx:t._touchEndPos.x-t._touchStartPos.x,dy:t._touchEndPos.y-t._touchStartPos.y},s=!1,r=!1,o=t._touchStartPos,n={x:t._currentScrollPos.x,y:t._currentScrollPos.y},a=setInterval(function(){let e=t._currentScrollPos;if(l.dx<-20){o.x-=30;if(o.x>t._touchEndPos.x)e.x+=30;else{e.x=n.x-l.dx;s=!0}}else if(l.dx>20){o.x+=30;if(o.x<t._touchEndPos.x)e.x-=30;else{e.x=n.x-l.dx;s=!0}}else s=!0;if(l.dy<-20){o.y-=25;if(o.y>t._touchEndPos.y)e.y+=25;else{e.y=n.y-l.dy;r=!0}}else if(l.dy>20){o.y+=25;if(o.y<t._touchEndPos.y)e.y-=25;else{e.y=n.y-l.dy;r=!0}}else r=!0;t.scrollPos(e);if(n.x!==e.x){t._updateRange();t._refreshScrollRowList("normal");t.update()}if(n.y!==e.y)t.updateView();if(s&&r){if(n.x!==t._currentScrollPos.x||n.y!==t._currentScrollPos.y)t._invokeEvent("scrollPosChanged",{value:t._currentScrollPos,max:this._maxScrollPos});clearInterval(a)}},5);t._touchStartPos=t._touchEndPos}}_processUpdateLayout(){return new Promise(e=>{e()})}refresh(){this._updateControlClass();this._updateEditorFormClass();for(let e=0;e<3;e++){let t="";switch(e){case 1:t="left";break;case 2:t="right";break;default:t="normal"}this._scrollColumnList[t].forEach(e=>e.columns.forEach(e=>this._updateColumnStyle(e)));this._scrollFooterList[t].forEach(e=>this._updateColumnStyle(e));this._scrollRowList[t].forEach(e=>this._updateRowStyle(e))}this.update()}resolve(e){this._isProcessAllowed=!0;if(this._commonService.isString(e))switch(e.toLowerCase()){case"dragdrop":this._drop(this._dragDropService.getData());break;default:this._defaultFunc()}}resumeLayout(){this._isUpdateAllowed=!0;this.updateLayout()}suspendLayout(){this._isUpdateAllowed=!1}_updateCurrentLayout(e,t){let i=this;i._resetLayoutTimer();if(i._currentPaging.enabled){i._updatePageList();i._updatePageNumber()}i._updateCurrentRowList(!0);i._updateRange(t);if(e)i.updateFullList();i._updateScrollSize();i._updateAllColumnWidth();i._updateScrollSize();i.update();i._updateTimer=setTimeout(function(){i._updateBlockSize();i._updateSelectContentPos();i.update();clearTimeout(i._updateTimer)},1)}async updateLayout(e){this._ut();if(!this._tCmp)this._at();this._updateReferences();await this._processUpdateLayout(e);this.update()}}export default IntegralUIBaseGrid;