/*
  filename: integralui.base.list.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import IntegralUIDragDropService from"../services/integralui.dragdrop.service.js";import IntegralUIFilterService from"../services/integralui.filter.service.js";import{IntegralUIContentVisibility,IntegralUISpeedMode,IntegralUIOrientation,IntegralUISelectionMode,IntegralUISortOrder,IntegralUIMoveDirection,IntegralUIObjectState}from"./integralui.enums.js";import IntegralUIDragWindow from"./integralui.dragwin.js";class IntegralUIBaseList extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService();this._dragDropService=IntegralUIDragDropService.getInstance();this._filterService=new IntegralUIFilterService();this._currentList=[];this._dataItems=[];this._fullList=[];this._scrollItemList=[];this._dropMarkElem=null;this._dragCmp=null;this._dragHandleElem=null;this._dragHandleCmpRef=null;this._dragHandleCmp=null;this._cloneElem=null;this._cloneElemStartPos={x:0,y:0};this._isCtrlDragEntered=!1;this._isDragActive=!1;this._filterParams=null;this._ctrlCursor="default";this._currentContentVisibility=IntegralUIContentVisibility.Both;this._hoverItem=null;this._options={allowDrag:!1,allowDrop:!0,currentStyle:null,dataFields:null,selectedItem:null};this._blockHoverRect={height:0,left:0,top:-9999999,width:0};this._blockSelectRect=[];this._blockSelectHeight=0;this._hoverItemObj={data:{}};this._currentFocusObj=null;this._isKeyboardActive=!1;this._avgItemHeight=0;this._blockSize={width:0,height:0};this._contentSize={width:0,height:0};this._currentIndex=0;this._currentItemSpacing=0;this._prevIndex=0;this._isHoverTemplatePresent=!1;this._isSelectedTemplatePresent=!1;this._isUpdateActive=!1;this._prevLongestItemWidth=0;this._longestItemWidth=0;this._longestItemWidthValue="auto";this._virtualization=!0;this._visibleRange=100;this._updateTimer=null;this._isLoading=!1;this._isLoadingEnd=!1;this._loadingEndTimeout=null;this._loadIconPos={top:0,left:0};this._currentMouseWheelSpeed=IntegralUISpeedMode.Normal;this._currentScrollPos={x:0,y:0};this._maxScrollPos={x:0,y:0};this._accelerator=.5;this._isScrollActive=!1;this._isScrollTimerActive=!1;this._prevScrollPos={x:0,y:0};this._scrollBarSize={width:0,height:0};this._scrollCount=0;this._scrollLargeChange={x:0,y:0};this._scrollSize={width:0,height:0};this._scrollTimerID=null;this._horScrollOrientation=IntegralUIOrientation.Horizontal;this._currentSelection=null;this._currentSelectionMode=IntegralUISelectionMode.One;this._isItemClicked=!1;this._shiftFirstSelectedItem=null;this._removeIndex=-1;this._currentSelectedItems=[];this._currentSorting=IntegralUISortOrder.None;this._sortComparer=null;this._groupClassName="iui-baselistgroup";this._groupContentClassName=this._groupClassName+"-content";this._expandBoxClassName=this._groupClassName+"-expand-box";this._itemClassName="iui-baselistitem";this._itemContentClassName=this.itemClassName+"-content";this._refreshTimer=null;this._touchStartPos={x:0,y:0};this._touchEndPos={x:0,y:0}}connectedCallback(){super.connectedCallback();this._windowKeyDown=this._windowKeyDown.bind(this);window.addEventListener("keydown",this._windowKeyDown);this._windowKeyUp=this._windowKeyUp.bind(this);window.addEventListener("keyup",this._windowKeyUp)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("keydown",this._windowKeyDown);window.removeEventListener("keyup",this._windowKeyUp);this._resetLayoutTimer()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},group:{expandBox:{general:this._expandBoxClassName,expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},general:{disabled:this._groupClassName+"-disabled",focused:this._groupClassName+"-focused",normal:this._groupClassName,hovered:this._groupClassName+"-hovered",selected:this._groupClassName+"-selected"},content:{disabled:this._groupContentClassName+"-disabled",focused:this._groupContentClassName+"-focused",normal:this._groupContentClassName,hovered:this._groupContentClassName+"-hovered",selected:this._groupContentClassName+"-selected"}},item:{general:{disabled:this._itemClassName+"-disabled",focused:this._itemClassName+"-focused",normal:this._itemClassName,hovered:this._itemClassName+"-hovered",selected:this._itemClassName+"-selected"},content:{disabled:this._itemContentClassName+"-disabled",focused:this._itemContentClassName+"-focused",normal:this._itemContentClassName,hovered:this._itemContentClassName+"-hovered",selected:this._itemContentClassName+"-selected"}}};this._updateStyle(this.controlStyle);this._updateControlClass();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},allowFilter:{type:Boolean,attribute:"allow-filter",reflect:!0},allowFocus:{type:Boolean,attribute:"allow-focus",reflect:!0},dataFields:{type:Object,attribute:"data-fields"},focusedItem:{type:Object,attribute:"focused-item"},contentVisibility:{attribute:"content-visibility",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUIContentVisibility.None;case"hover":return IntegralUIContentVisibility.Hover;case"select":return IntegralUIContentVisibility.Select;default:return IntegralUIContentVisibility.Both}},toAttribute:e=>{switch(e){case IntegralUIContentVisibility.None:return"None";case IntegralUIContentVisibility.Hover:return"Hover";case IntegralUIContentVisibility.Select:return"Select";default:return"Both"}}},reflect:!0},items:{type:Array},itemSpacing:{type:Number,attribute:"item-spacing",reflect:!0},mouseWheelSpeed:{attribute:"mousewheel-speed",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:e=>{switch(e){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},showScroll:{type:Boolean,attribute:"show-scroll",reflect:!0},selectedItem:{type:Object,attribute:"selected-item"},selectionMode:{attribute:"selection-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUISelectionMode.None;case"multisimple":return IntegralUISelectionMode.MultiSimple;case"multiextended":return IntegralUISelectionMode.MultiExtended;default:return IntegralUISelectionMode.One}},toAttribute:e=>{switch(e){case IntegralUISelectionMode.None:return"None";case IntegralUISelectionMode.MultiSimple:return"MultiSimple";case IntegralUISelectionMode.MultiExtended:return"MultiExtended";default:return"One"}}},reflect:!0},sorting:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"ascending":return IntegralUISortOrder.Ascending;case"descending":return IntegralUISortOrder.Descending;default:return IntegralUISortOrder.None}},toAttribute:e=>{switch(e){case IntegralUISortOrder.Ascending:return"Ascending";case IntegralUISortOrder.Descending:return"Descending";default:return"None"}}},reflect:!0},virtualMode:{type:Boolean,attribute:"virtual-mode",reflect:!0}}}set allowDrag(e){if(this._options.allowDrag!==e){const t=this._options.allowDrag;this._options.allowDrag=e;this.requestUpdate("allowDrag",t);this.updateLayout()}}set allowDrop(e){if(this._options.allowDrop!==e){const t=this._options.allowDrop;this._options.allowDrop=e;this.requestUpdate("allowDrop",t);this.updateLayout()}}set allowFilter(e){if(this._options.allowFilter!==e){const t=this._options.allowFilter;this._options.allowFilter=e;this.requestUpdate("allowFilter",t);this.updateLayout()}}get allowFocus(){return this._options.allowFocus}set allowFocus(e){if(this._options.allowFocus!==e){const t=this._options.allowFocus;this._options.allowFocus=e;if(!e)this._currentFocusObj=null;this.refresh();this.requestUpdate("allowFocus",t);this.updateLayout()}}get dataFields(){return this._options.dataFields}set dataFields(e){const t=this._options.dataFields;this._updateDataFields(e);this.requestUpdate("dataFields",t)}get focusedItem(){return this._currentFocusObj?this._currentFocusObj.data:null}set focusedItem(e){let t=this.allowFocus&&!this._currentFocusObj,i=this.allowFocus&&this._currentFocusObj&&this._currentFocusObj.data!==e;if(t||i){const t=this._currentFocusObj?this._currentFocusObj.data:null;this._currentFocusObj=this._getObjFromItem(e);this._updateFocusItem();if(this.selectedItem!==e)this._processSelection(null,e);this.requestUpdate("focusedItem",t);this.refresh()}}get contentVisibility(){return this._currentContentVisibility}set contentVisibility(e){if(this._currentContentVisibility!==e){const t=this._currentContentVisibility;this._currentContentVisibility=e;this.requestUpdate("contentVisibility",t)}}get items(){return this._dataItems}set items(e){const t=this._dataItems;this._dataItems=e;this._updateData();this.requestUpdate("items",t)}get itemSpacing(){return this._currentItemSpacing}set itemSpacing(e){const t=this._currentItemSpacing;this._currentItemSpacing=e;this.requestUpdate("itemSpacing",t)}get mouseWheelSpeed(){return this._currentMouseWheelSpeed}set mouseWheelSpeed(e){if(this._currentMouseWheelSpeed!==e){const t=this._currentMouseWheelSpeed;this._currentMouseWheelSpeed=e;this.requestUpdate("mouseWheelSpeed",t)}}get showScroll(){return this._options.showScroll}set showScroll(e){const t=this._options.showScroll;this._updateShowScroll(e);this.requestUpdate("showScroll",t)}get selectedItem(){return this._currentSelection}set selectedItem(e){if(this._currentSelection!==e){const t=this._currentSelection;let i=this,s=setTimeout(function(){i._processSelection(null,e);i.requestUpdate("selectedItem",t);clearTimeout(s)},1)}}get selectionMode(){return this._currentSelectionMode}set selectionMode(e){if(this._currentSelectionMode!==e){const t=this._currentSelectionMode;this._currentSelectionMode=e;this._clearPrevSelection(this._currentSelectionMode!==IntegralUISelectionMode.None?this._currentSelection:null);let i=this,s=setTimeout(function(){i.refresh();if(i._currentSelectionMode===IntegralUISelectionMode.None){i._currentSelection=null;i._invokeEvent("selectionChanged",{item:null})}i.requestUpdate("selectionMode",t);clearTimeout(s)},1)}}get sorting(){return this._currentSorting}set sorting(e){if(this._currentSorting!==e){const t=this._currentSorting;this._currentSorting=e;this.requestUpdate("sorting",t)}}get virtualMode(){return this._virtualization}set virtualMode(e){if(this._virtualization!==e){const e=this._virtualization;this._virtualization=!0;this.requestUpdate("virtualMode",e);this.updateLayout()}}addItem(e,t){this._callEventAdd("add",e,-1,t)}clearItems(e){if(!e){this._currentSelectedItems.length=0;this._currentSelection=null}this._dataService.clear(e);this._invokeEvent("clear",{parent:e});this.updateLayout()}insertItemAt(e,t,i){this._callEventAdd("at",e,t,i)}insertItemBefore(e,t){this._callEventAdd("ref",e,-1,null,t)}insertItemAfter(e,t){this._callEventAdd("ref",e,-1,null,t,!0)}removeItem(e){return this._callEventRemove(e)}removeItemAt(e,t){return this._callEventRemove(null,e,t)}_callEventAdd(e,t,i,s,l,o){if(!0!==this._invokeEvent("itemAdding",{cancel:!1,item:t}).cancel){switch(e){case"at":this._dataService.insert(t,i,s);break;case"ref":this._dataService.insertByRef(t,l,o);break;default:this._dataService.insert(t,-1,s)}this._processItemAdd(t,s);this._invokeEvent("itemAdded",{item:t})}}_callEventRemove(e,t,i){if(!0!==this._invokeEvent("itemRemoving",{cancel:!1,item:e}).cancel){this._removeIndex=this.items?this.items.indexOf(e):-1;let s=this._dataService.removeAt(e,t,i);if(s.result){this._processItemRemoval(e,i);if(e&&e[this._options.dataFields.selected]){e[this._options.dataFields.selected]=!1;this._currentSelectedItems=this._currentSelectedItems.filter(t=>t!==e);if(this._currentSelection&&this._commonService.isEqual(this._currentSelection[this._options.dataFields.id],e[this._options.dataFields.id]))this._currentSelection=null;this._invokeEvent("selectionChanged",{item:this._currentSelection})}this._invokeEvent("itemRemoved",{item:s.obj});return!0}}return!1}_processItemAdd(e,t){}_processItemRemoval(e,t){}_itemClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("itemClick",{event:e,item:t.data})}_itemDblClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("itemDblClick",{event:e,item:t.data})}_itemRightClickEvent(e,t){if(this._isEnabled)this._invokeEvent("itemRightClick",{event:e,item:t.data})}_processLoadData(e,t,i,s){this.clearItems(t);this._updateDataFields(i);let l=[];if(e)if(s||void 0===s){let t=[];e.forEach((e,i)=>{e[this._options.dataFields.items]=[];let s=e[this._options.dataFields.pid];if(t[s]){if(!t[s][this._options.dataFields.items])t[s][this._options.dataFields.items]=[];t[e[this._options.dataFields.id]]=e;t[s][this._options.dataFields.items].push(e)}else{t[e[this._options.dataFields.id]]=e;l.push(e)}});t.length=0}else l=e;if(t){l.map(e=>e[this._options.dataFields.pid]=t[this._options.dataFields.id]);t[this._options.dataFields.items]=l}else if(this.items){this.items.length=0;l.map(e=>this.items.push(e))}this._invokeEvent("loadComplete");this.updateLayout()}_updateData(){this._dataService.init([{data:this.items}])}_updateDataFields(e){if(e)this._options.dataFields={allowDrag:e.allowDrag?e.allowDrag:"allowDrag",allowDrop:e.allowDrop?e.allowDrop:"allowDrop",allowEdit:e.allowEdit?e.allowEdit:"allowEdit",allowFocus:e.allowFocus?e.allowFocus:"allowFocus",autoCheck:e.autoCheck?e.autoCheck:"autoCheck",canSelect:e.canSelect?e.canSelect:"canSelect",checkBoxSettings:e.checkBoxSettings?e.checkBoxSettings:"checkBoxSettings",checked:e.checked?e.checked:"checked",checkState:e.checkState?e.checkState:"checkState",content:e.content?e.content:"content",contentVisibility:e.contentVisibility?e.contentVisibility:"contentVisibility",contextMenu:e.contextMenu?e.contextMenu:"contextMenu",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",group:e.group?e.group:"group",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",items:e.items?e.items:"items",name:e.name?e.name:"name",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",selected:e.selected?e.selected:"selected",statusIcon:e.statusIcon?e.statusIcon:"statusIcon",style:e.style?e.style:"style",templateObj:e.templateObj?e.templateObj:"templateObj",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.visible?e.visible:"visible"};else this._options.dataFields={allowDrag:"allowDrag",allowDrop:"allowDrop",allowEdit:"allowEdit",allowFocus:"allowFocus",autoCheck:"autoCheck",canSelect:"canSelect",checkBoxSettings:"checkBoxSettings",checked:"checked",checkState:"checkState",content:"content",contentVisibility:"contentVisibility",contextMenu:"contextMenu",enabled:"enabled",expanded:"expanded",group:"group",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",items:"items",name:"name",objects:"items",pid:"pid",selected:"selected",statusIcon:"statusIcon",style:"style",templateObj:"templateObj",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._options.dataFields)}_updateOptions(e){if(e){this._options={allowDrag:this._commonService.isFieldAvailable(e.allowDrag,!1),allowDrop:this._commonService.isFieldAvailable(e.allowDrop,!0),allowFilter:this._commonService.isFieldAvailable(e.allowFilter,!1),allowFocus:this._commonService.isFieldAvailable(e.allowFocus,!1),dataFields:null,selectedItem:this._commonService.isFieldAvailable(e.selectedItem,this._options.selectedItem?this._options.selectedItem:null)};this._updateShowScroll(e.showScroll)}else{this._options={allowDrag:!1,allowDrop:!0,allowFilter:!1,allowFocus:!1,dataFields:null,selectedItem:null};this._updateDataFields();this._updateShowScroll()}}_resetScrollItemList(){this._scrollItemList.length=0;this.update()}_updateScrollItemList(){this._resetScrollItemList()}_updateShowScroll(e){if(e)this._options.showScroll={horizontal:this._commonService.isFieldAvailable(e.horizontal,!0),vertical:this._commonService.isFieldAvailable(e.vertical,!0)};else this._options.showScroll={horizontal:!0,vertical:!0}}_addDropMark(e){this._removeDropMark();this._dragCmp=document.createElement("iui-dragwin",{is:IntegralUIDragWindow});if(this._dragCmp){this._dragCmp.colorScheme=this._currentColorScheme;this._dragCmp.customStyle=this.customStyle;this._dragCmp.resourcePath=this.resourcePath;this._dragCmp.theme=this._currentTheme;document.body.appendChild(this._dragCmp);this._dragCmp.refresh()}}_removeDropMark(){if(this._dragCmp)this._dragCmp.parentNode.removeChild(this._dragCmp);this._dragCmp=null}_callDragDropEvent(e,t,i){let s={action:t.action,cancel:!1,dragObj:t.source,dropPos:t.dropPos,event:e,isDropAllowed:t.allow,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:t.targetCtrl,targetObj:t.target};if(i)this._invokeEvent("dragDrop",s);else this._invokeEvent("dragOver",s);return s}_checkEmptySpace(e){let t=this._getContentSize(),i=this._commonService.getPageRect(this._elemRef),s=i.top+t.height,l=i.bottom,o=this._commonService.getMousePos(e),r=this._commonService.getShiftPos();o.x-=r.x;o.y-=r.y;return o.y>=s&&o.y<=l}_clearDragDropSettings(e){if(e)this._dragDropService.clearData();this._isDragActive=!1;this._removeDropMark()}_ctrlDragEnd(e){this._removeDropMark();let t=this._dragDropService.getData();if(t.targetCtrl&&t.targetCtrl.removeDropMark)t.targetCtrl.removeDropMark();this._itemDragEnd(e,null)}_ctrlDragEnter(e){if(this._isEnabled)this._processDragEnter(e)}_ctrlDragDrop(e){if(this._isEnabled)this._processDragDrop(e);this._removeDropMark();e.stopPropagation()}_ctrlDragLeave(e){if(this._isEnabled)this._processDragLeave(e)}_ctrlDragOver(e){if(this._isEnabled)this._processDragOver(e);e.stopPropagation()}_dropMark(e,t){if(!this._dragCmp&&!this._isScrollTimerActive)this._addDropMark({x:e.pageX,y:e.pageY});if(this._dragCmp){let e="none";if(this._options.allowDrop)e=t?"block":"none";this._dragCmp.display=e;this._dragCmp.refresh()}}_updateDragComponent(e){if(this._dragCmp)this._dragCmp.updatePos(e)}_isDragAllowed(e){return this._options.allowDrag?e&&(e[this._options.dataFields.allowDrag]||void 0===e[this._options.dataFields.allowDrag])?!0:!1:!1}_isDropAllowed(e,t,i){let s=this._options.allowDrop;if(s&&e&&t)if(t[this._options.dataFields.allowDrop]||void 0===t[this._options.dataFields.allowDrop]){s=!0;let l=!1;if(Array.isArray(e))for(let o=0;o<e.length;o++){l=0===i&&this._isParentOf(t,e[o])?!0:!1;if(this._commonService.isEqual(e[o][this._options.dataFields.id],t[this._options.dataFields.id])||l||this._isChildOf(t,e[o])){s=!1;break}if(!s)break}else{l=0===i&&this._isParentOf(t,e)?!0:!1;if(this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id])||l||this._isChildOf(t,e))s=!1}}else s=!1;return s}_processDragStart(e,t){this._dragDropService.clearData();if(this._isDragAllowed(t)){if(t)if(!this._isDragAllowed(t)){if(e.dataTransfer)e.dataTransfer.effectAllowed="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.effectAllowed="none"}else{let i={clone:null,source:null,sourceCtrl:this,sourceData:this.items};switch(this.selectionMode){case IntegralUISelectionMode.MultiSimple:case IntegralUISelectionMode.MultiExtended:i.clone=this._createCloneList(this._currentSelectedItems);i.source=this._currentSelectedItems;break;default:i.clone=this.cloneItem(t);i.source=t}let s={action:e.shiftKey?"copy":"move",cancel:!1,dragObj:i.source,dropPos:-1,event:e,isDropAllowed:this._options.allowDrop,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragStart",s);if(!0===s.cancel){e.preventDefault();return}else{this._isDragActive=!0;this._addDropMark({x:e.pageX,y:e.pageY});this._dropMark(e);if(e.dataTransfer){e.dataTransfer.effectAllowed="move";e.dataTransfer.setData("text",t[this._options.dataFields.id]?t[this._options.dataFields.id].toString():"")}else if(e.originalEvent&&e.originalEvent.dataTransfer){e.originalEvent.dataTransfer.effectAllowed="move";e.originalEvent.dataTransfer.setData("text",t[this._options.dataFields.id]?t[this._options.dataFields.id].toString():"")}this._dragDropService.setData(i)}}}else e.preventDefault()}_processDragEnter(e){if(!this._isCtrlDragEntered){this._isCtrlDragEntered=!0;let t=this._dragDropService.getData(),i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:this._options.allowDrop,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragEnter",i)}}_processDragLeave(e){if(this._isCtrlDragEntered){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getMousePos(e),s=this._commonService.getShiftPos();i.x-=s.x;i.y-=s.y;if(i.x<t.left||i.x>t.right||i.y<t.top||i.y>t.bottom){this._isCtrlDragEntered=!1;this._stopScrollTimer();let t=this._dragDropService.getData(),i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:!1,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:null,targetObj:null};this._invokeEvent("dragLeave",i)}this._dropMark(e)}}_processDragOver(e,t,i,s,l){e.preventDefault();this._processDragEnter(e);let o=!0;if(e.dataTransfer)o="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)o="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;if(o){let r=this._dragDropService.getData(),a=this._commonService.getShiftPos();if(t){let n=this._commonService.getMousePos(e);n.x-=a.x;n.y-=a.y;let c=this._dragDropService.getDropPos(n,i,s,l);o=this._isDropAllowed(r.source,t,c);let h={action:e.shiftKey?"copy":"move",source:r.source,dropPos:c,allow:o,sourceCtrl:r.sourceCtrl,target:t,targetCtrl:this},d=this._callDragDropEvent(e,h);if(!o||!0===d.cancel){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{let i=this._commonService.getMousePos(e),s=i.y+16,a=i.x+20,n={"iui-dragwin-icon":!0},c="";switch(d.dropPos){case 0:c="iui-dragwin-move-in";break;case 1:if("horizontal"===l)c="iui-dragwin-move-left";else c="iui-dragwin-move-up";break;case 2:if("horizontal"===l)c="iui-dragwin-move-right";else c="iui-dragwin-move-down";break;default:c=""}if(""!==c){if("copy"===d.action)c+="-copy";n[c]=!0}this._updateDragComponent({class:n,top:s,left:a,text:t[this._options.dataFields.text]});this._dropMark(e,o);this._dragDropService.setData({action:d.action,clone:r.clone,source:r.source,sourceCtrl:r.sourceCtrl,sourceData:r.sourceData,target:t,targetCtrl:this,dropPos:d.dropPos})}}else if(!this._options.allowDrop){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{o=this._checkEmptySpace(e);let t={action:e.shiftKey?"copy":"move",source:r.source,dropPos:-1,allow:o,sourceCtrl:r.sourceCtrl,target:null,targetCtrl:this},i=this._callDragDropEvent(e,t);if(!o||!0===i.cancel){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none";this._dropMark(e)}else{let t=this._commonService.getMousePos(e),s=t.y+16,l=t.x+20,a={"iui-dragwin-icon":!0,"iui-dragwin-move-end":!0};if("copy"===i.action)a["iui-dragwin-move-end-copy"]=!0;this._updateDragComponent({class:a,top:s,left:l,text:this.name?this.name:"Component"});this._dropMark(e,o);this._dragDropService.setData({action:i.action,clone:r.clone,source:r.source,sourceCtrl:r.sourceCtrl,sourceData:r.sourceData,target:null,targetCtrl:this,dropPos:i.dropPos})}}}}_processDragDrop(e,t){e.preventDefault();this._dropMark(e);let i=!0;if(e.dataTransfer)i="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)i="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;let s=this._dragDropService.getData();if(i){if(t)i=this._isDropAllowed(s.source,t,s.dropPos);else i=this._checkEmptySpace(e);if(i&&s.source){let t={action:s.action,source:s.source,dropPos:s.dropPos,allow:i,sourceCtrl:s.sourceCtrl,target:s.target,targetCtrl:this},l=this._callDragDropEvent(e,t,!0);this._dragDropService.setData({action:l.action,clone:s.clone,dropPos:l.dropPos,source:s.source,sourceCtrl:s.sourceCtrl,sourceData:s.sourceData,target:s.target,targetCtrl:this});if(!l.cancel&&this._isProcessAllowed)this._drop(this._dragDropService.getData())}else this._dragDropService.clearData();if(s.sourceCtrl&&s.sourceCtrl._clearDragDropSettings)s.sourceCtrl._clearDragDropSettings()}else this._dragDropService.clearData();this._clearHoverItem();this._clearDragDropSettings()}_drop(e){if(e&&e.sourceCtrl){let t="copy"===e.action&&e.clone?e.clone:e.source;if(Array.isArray(t)){let i=[];for(let e=0;e<t.length;e++)i.push(t[e]);if(i.length>0){for(let t=0;t<i.length;t++)this._processDataDrop(i[t],e);this._clearPrevSelection()}}else{this._processDataDrop(t,e);this._clearPrevSelection()}if(e.sourceCtrl!==e.targetCtrl&&e.sourceCtrl.updateLayout)e.sourceCtrl.updateLayout();this.updateLayout()}this._isCtrlDragEntered=!1;this._dragDropService.clearData()}_processDataDrop(e,t){let i="copy"===t.action;if("copy"!==t.action&&t.sourceCtrl&&t.sourceCtrl.removeItem)i=t.sourceCtrl.removeItem(e);if(i){if(t.dropPos>0&&t.target)e[this._options.dataFields.group]=t.target[this._options.dataFields.group];switch(t.dropPos){case 0:this.insertItemAt(e,-1,t.target);break;case 1:this.insertItemBefore(e,t.target);break;case 2:this.insertItemAfter(e,t.target);break;default:this.addItem(e)}}}_itemDragStart(e,t){this._processDragStart(e,t.data);e.stopPropagation()}_itemDragOver(e,t,i,s){if(this._isEnabled){let l=this._getItemElemList();if(l&&i>=0&&i<l.length){let o=this._commonService.getPageRect(l[i]),r={x:o.left,y:o.top,width:o.right-o.left,height:o.bottom-o.top};this._processScroll(e);if(!this._isScrollTimerActive)this._processDragOver(e,t.data,r,s)}}e.stopPropagation()}_itemDragDrop(e,t){if(this._isEnabled)this._processDragDrop(e,t.data);e.stopPropagation()}_itemDragEnd(e,t){let i=this._dragDropService.getData(),s={action:e.shiftKey?"copy":"move",dragObj:i.source,dropPos:i.dropPos,event:e,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:i.target};this._invokeEvent("dragEnd",s)}exportToJSON(e,t,i){i=i?i:null;e=e?e:this.items;let s=t?t:[this._options.dataFields.allowDrag,this._options.dataFields.allowDrop,this._options.dataFields.allowEdit,this._options.dataFields.allowFocus,this._options.dataFields.autoCheck,this._options.dataFields.canSelect,this._options.dataFields.checkBoxSettings,this._options.dataFields.checked,this._options.dataFields.checkState,this._options.dataFields.content,this._options.dataFields.contentVisibility,this._options.dataFields.contextMenu,this._options.dataFields.enabled,this._options.dataFields.fixed,this._options.dataFields.fixChildren,this._options.dataFields.group,this._options.dataFields.hasChildren,this._options.dataFields.icon,this._options.dataFields.id,this._options.dataFields.name,this._options.dataFields.selected,this._options.dataFields.showCheckBox,this._options.dataFields.statusIcon,this._options.dataFields.style,this._options.dataFields.templateObj,this._options.dataFields.text,this._options.dataFields.tooltip,this._options.dataFields.value,this._options.dataFields.visible];return JSON.stringify(e,s,i)}filter(e){this._filterParams=e;this.updateLayout();this._invokeEvent("filtered")}_clearHoverItem(){let e=this;if(e._hoverItem){let t=setTimeout(function(){let i=e._getObjFromScrollItem(e._hoverItem);e._hoverItem=null;e._updateItemStyle(i);clearTimeout(t)},25)}}cloneItem(e){return this._dataService.clone(e)}_createCloneList(e){let t=[];e.map(e=>t.push(this.cloneItem(e)));return t}_getFilterTree(e){return e?this._filterService.createTree(e.conditions,e.formula):null}_getObjFromItem(e){return this._getObjFromList(e,this._currentList)}_getObjFromList(e,t){let i=t.filter(t=>e&&t.data===e);return i.length>0?i[0]:null}_getObjFromScrollItem(e){return this._getObjFromList(e,this._scrollItemList)}_getItemCurrentIndex(e){let t=this._getObjFromItem(e);return e&&t&&this._currentList?this._currentList.indexOf(t):-1}_getItemScrollIndex(e){return e&&this._scrollItemList?this._scrollItemList.indexOf(e):-1}_getItemElem(e){let t=this._getObjFromScrollItem(e);if(t){let e=this._getItemElemList(),i=this._getItemScrollIndex(t);if(i>=0&&i<e.length)return e[i]}return null}_getItemContentElem(e){let t=this._getObjFromScrollItem(e);if(t){let e=this._getItemContentElemList(),i=this._getItemScrollIndex(t);if(i>=0&&i<e.length)return e[i]}return null}_getItemElemList(){return this._itemElems?this._itemElems:null}_getItemContentElemList(){return this._itemContentElems?this._itemContentElems:null}getList(e,t){let i=[];switch(e){case"current":i=this._currentList;break;case"selected":i=this._currentSelectedItems;break;case"virtual":i=this._scrollItemList?this._scrollItemList.map(e=>e.data):[];break;default:i=this._dataService.getList(t)}return i}getFullList(){return this._fullList}_updateCurrentList(){}updateFullList(){this._fullList.length=0;return this._fullList}getTopItem(){return!1!==this.virtualMode?this._scrollItemList.length>0?this._scrollItemList[0].data:null:null}_isChildOf(e,t){return!1}_isThereNoSelectTemplate(e){return this.contentVisibility===IntegralUIContentVisibility.Both&&(!this._isSelectedTemplatePresent||!e[this._options.dataFields.selected])}_isThereHoverTemplate(e){return this._isThereNoSelectTemplate(e)||this.contentVisibility===IntegralUIContentVisibility.Hover}_checkItemHoverVisibility(e){return void 0===e[this._options.dataFields.contentVisibility]||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Hover||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Both}_isContentAllowed(e,t){let i=this.contentVisibility===IntegralUIContentVisibility.Both;switch(t){case"hover":i=this._isThereHoverTemplate(e)&&this._checkItemHoverVisibility(e);break;case"select":{let t=i||this.contentVisibility===IntegralUIContentVisibility.Select,s=void 0===e[this._options.dataFields.contentVisibility]||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Select||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Both;i=t&&s}break;default:i=this.contentVisibility===IntegralUIContentVisibility.Both}return i}_isGroupAllowed(e){return!1===e[this._options.dataFields.visible]?!1:!0}_isIndexInRange(e){return this._currentList?e>=0&&e<this._currentList.length:!1}_isItemAllowed(e){if(!1===e[this._options.dataFields.visible])return!1;else if(!1===this._options.allowFilter)return!0;let t=!0;if(e&&this._filterParams){let i=e[this._options.dataFields.value];i=i?i:e[this._options.dataFields.text];if(this._filterParams.callback)t=this._filterParams.callback(i,e);else if(!(t=this._filterService.match(i,this._filterParams.conditions,this._filterParams.formula,this._getFilterTree(this._filterParams),this._filterParams.caseSensitive))&&this._filterParams.allowParent)t=this._filterIsThereChildren(e)}return t}_filterIsThereChildren(e){let t=!1,i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length&&!(t=this._isItemAllowed(i[e]));e++);return t}_isItemEnabled(e){return!0}isItemExpanded(e){return e?e[this._options.dataFields.expanded]||void 0===e[this._options.dataFields.expanded]?!0:!1:!0}_isItemHovered(e){return!this._isDragActive&&!this._isScrollTimerActive&&e&&e===this._hoverItem?!0:!1}_isItemSelected(e){return e&&!0===e[this._options.dataFields.selected]?!0:!1}_isParentOf(e,t){return!1}_updateItemList(){}beginLoad(){this._isLoading=!0;this.update();let e=this.shadowRoot.querySelector(".iui-loading-icon");if(e)this._loadIconPos={top:(this._clientRect.height-e.offsetHeight)/2,left:(this._clientRect.width-e.offsetWidth)/2}}endLoad(){let e=this;e._isLoading=!1;e._isLoadingEnd=!0;e.update();e._loadingEndTimeout=setTimeout(function(){e._isLoadingEnd=!1;e.update();clearTimeout(e._loadingEndTimeout)},400)}_getLastItemIndex(){let e=this._dataService.getList();return e?e.length-1:-1}getPrevItem(e){let t=null;if(e){let i=this._dataService.getList(),s=i.indexOf(e);if((s=s>0?s-1:-1)>=0)t=i[s]}return t}getNextItem(e){let t=null;if(e){let i=this._dataService.getList(),s=i.indexOf(e);if((s=s<i.length-1?s+1:-1)>=0)t=i[s]}return t}moveItem(e,t,i,s){if(e){this._isUpdateAllowed=!1;let l=-1;switch(t){case IntegralUIMoveDirection.At:l=s;break;case IntegralUIMoveDirection.Down:i=this.getNextItem(e);break;case IntegralUIMoveDirection.First:l=0;break;case IntegralUIMoveDirection.Last:l=this._getLastItemIndex();break;case IntegralUIMoveDirection.Up:i=this.getPrevItem(e);break;default:l=-1}if(Array.isArray(e)){if(e.length>0){if(this._getItemCurrentIndex(e[0])<=this._getItemCurrentIndex(e[e.length-1]))for(let s=0;s<e.length;s++)this._moveItemAt(e[s],i,t,l);else for(let s=e.length-1;s>=0;s--)this._moveItemAt(e[s],i,t,l)}}else this._moveItemAt(e,i,t,l);this._isUpdateAllowed=!0;this.updateLayout();this._invokeEvent("itemMoved",{item:e})}}_moveItemAt(e,t,i,s){if(this.removeItem(e))if(i===IntegralUIMoveDirection.First||i===IntegralUIMoveDirection.Right||i===IntegralUIMoveDirection.Last||i===IntegralUIMoveDirection.At)this.insertItemAt(e,s,t);else if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)this.insertItemBefore(e,t);else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Down)this.insertItemAfter(e,t)}_getSelectBlockRect(e){let t={left:0,top:"-9999999px",height:0,width:0};if(e<this._blockSelectRect.length)t={left:this._blockSelectRect[e].left+"px",top:this._blockSelectRect[e].top+"px",height:this._blockSelectRect[e].height+"px",width:this._blockSelectRect[e].width+"px"};return t}_hoverBlockMouseMove(e){if(this._isEnabled&&!this._isScrollActive&&!this._hoverItem)this._itemMouseEnter(e,this._hoverItemObj)}_hoverBlockMouseLeave(e){if(this._isEnabled&&!this._isScrollActive)this._itemMouseLeave(e,this._hoverItemObj)}_itemMouseEnter(e,t){if(this._isEnabled&&!this._isScrollActive){this._hoverItem=t.data;this._hoverItemObj=t;this._updateItemStyle(t);this.update();this._invokeEvent("itemHover",{item:t.data})}}_itemMouseMove(e,t){if(this._isEnabled&&!this._isScrollActive){this._hoverItem=t.data;this._updateItemStyle(t);let e=this._getItemScrollIndex(t),i=this._getItemElemList();if(i&&e>=0&&e<i.length){let t=this._commonService.getPageRect(this._elemRef),s=this._commonService.getPageRect(i[e]);this._blockHoverRect.top=s.top-t.top-1;this._blockHoverRect.width=this._clientRect.width-2;if(this.isVerScrollVisible())this._blockHoverRect.width-=16;this.update()}this._invokeEvent("itemHover",{item:t.data})}}_itemMouseLeave(e,t){if(this._isEnabled&&!this._isScrollActive){this._hoverItem=null;this._updateItemStyle(t);this.update()}}_itemGotFocus(e){if(this._isEnabled&&!this._isScrollActive)this.focusedItem=e.data}_itemLostFocus(e){this.focusedItem=null;this.refresh()}_itemKeyDown(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyDown",i);switch(e.keyCode){case 9:break;case 13:this._invokeEvent("beforeEdit",i);break;case 27:break;case 33:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processPageUpKey(t)}break;case 34:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processPageDownKey(t)}break;case 35:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processEndKey(t)}break;case 36:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processHomeKey(t)}break;case 37:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processLeftArrowKey(t)}break;case 32:break;case 38:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processUpArrowKey(t)}break;case 39:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processRightArrowKey(t)}break;case 40:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processDownArrowKey(t)}break;default:this._defaultFunc()}}}_itemKeyPress(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyPress",i)}}_itemKeyUp(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyUp",i)}}_updateFocusItem(){if(this._options.allowFocus&&this._currentFocusObj){let e=this._getItemContentElem(this._currentFocusObj.data);if(e)e.focus()}}_processDownArrowKey(e,t){let i=this._getDownItem(e);if(i){this._currentFocusObj=i;let e=this,s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1);if(this._isLastItem(i))this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+2*this._avgItemHeight});this.refresh()}return i}_processEndKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._maxScrollPos.y});let e=this;setTimeout(function(){i=e._scrollItemList[e._scrollItemList.length-1];e._currentFocusObj=i;let s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1)},1)}return i}_processHomeKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:0});let e=this;setTimeout(function(){i=e._scrollItemList[0];e._currentFocusObj=i;let s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1)},1)}return i}_processLeftArrowKey(e,t){return null}_processPageDownKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this._avgItemHeight*(this._scrollItemList.length-1)});let s=this;setTimeout(function(){let l=e.index>=0&&e.index<s._scrollItemList.length?e.index:s._scrollItemList.length-1;if(s._currentScrollPos.y===s._maxScrollPos.y)l=s._scrollItemList.length-1;i=s._scrollItemList[l];s._currentFocusObj=i;let o=setTimeout(function(){s._processSelection(t,i.data);clearTimeout(o)},1)},1)}return i}_processPageUpKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this._avgItemHeight*(this._scrollItemList.length-1)});let s=this;setTimeout(function(){let l=e.index>=0&&e.index<s._scrollItemList.length?e.index:0;if(0===s._currentScrollPos.y)l=0;i=s._scrollItemList[l];s._currentFocusObj=i;let o=setTimeout(function(){s._processSelection(t,i.data);clearTimeout(o)},1)},1)}return i}_processRightArrowKey(e,t){return null}_processUpArrowKey(e,t){let i=this._getUpItem(e);if(i){this._currentFocusObj=i;let e=this,s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1);if(this._isFirstItem(i))this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this._avgItemHeight})}return i}_getDownItem(e){let t=e.index>=0&&e.index<this._scrollItemList.length-1?e.index+1:-1;return t>=0?this._scrollItemList[t]:null}_getUpItem(e){let t=e.index>0?e.index-1:-1;return t>=0?this._scrollItemList[t]:null}_isFirstItem(e){return 0===e.index?!0:!1}_isLastItem(e){return e.index===this._scrollItemList.length-2?!0:!1}moveFocus(e,t){if(!this._options.allowFocus)return null;let i=null,s=this._getObjFromScrollItem(e);if(s)switch(t){case"down":i=this._processDownArrowKey(s);break;case"end":i=this._processEndKey(s);break;case"home":i=this._processHomeKey(s);break;case"left":i=this._processLeftArrowKey(s);break;case"pagedown":i=this._processPageDownKey(s);break;case"pageup":i=this._processPageUpKey(s);break;case"right":i=this._processRightArrowKey(s);break;case"up":i=this._processUpArrowKey(s);break;default:this._defaultFunc()}return i?i.data:null}_windowKeyDown(e){if(this._isEnabled&&this._isKeyboardActive)e.preventDefault()}_windowKeyUp(e){this._isKeyboardActive=!1}_checkForSelectionChange(){if(this._currentSelectedItems.length>0){let e=this.getFullList(),t=[];this._currentSelectedItems.forEach(i=>{if(0===e.filter(e=>this._commonService.isEqual(e[this._options.dataFields.id],i[this._options.dataFields.id])).length)t.push(i)});if(t.length>0){let e=[];t.forEach(t=>{t[this._options.dataFields.selected]=!1;e.push(this._currentSelectedItems.indexOf(t))});if(this._currentSelection&&t.filter(e=>this._commonService.isEqual(this._currentSelection[this._options.dataFields.id],e[this._options.dataFields.id])).length>0)this._currentSelection=null;for(let t=e.length-1;t>=0;t--)this._currentSelectedItems.splice(e[t],1);this._invokeEvent("selectionChanged",{item:this._currentSelection})}}}_getContentSize(){return{width:0,height:0}}_updateBlockSize(){this._blockSize={width:0,height:0}}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}suspendLayout(){this._isUpdateAllowed=!1}resumeLayout(){this._isUpdateAllowed=!0;this.updateLayout()}async shouldUpdate(e){e.forEach((e,t)=>{});if(e.has("items"))await this.updateLayout();if(this._elemRef){this._clientRect={width:this._elemRef.clientWidth-2,height:this._elemRef.clientHeight-2};if(this._clientRect.width!==this._prevClientRect.width){this.updateLayout();this._prevClientRect.width=this._clientRect.width}else if(this._clientRect.height!==this._prevClientRect.height){this.updateLayout();this._prevClientRect.height=this._clientRect.height}}return!0}_updateCheckState(){}_updateCurrentLayout(e){}_updateItemElems(){this._itemElems=this.shadowRoot.querySelectorAll("li[data-item]");this._itemContentElems=this.shadowRoot.querySelectorAll("div[data-item-content]")}async updateLayout(){this._ut();if(!this._tCmp)this._at();await this._processUpdateLayout();await this._processUpdateLayout();this._updateHoverContentPos();this._updateSelectContentPos();this.update();this._invokeEvent("updateComplete")}_processUpdateLayout(){let e=this;return new Promise(t=>{e._isUpdateActive=!0;if(e._isUpdateAllowed){e._resetLayoutTimer();e._updateTimer=setTimeout(function(){e._updateCurrentList();e.updateFullList();e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};e._updateScrollItemList();e.update();let i=setTimeout(function(){e._updateItemElems();e._updateVisibleRange();setTimeout(function(){e._updateItemElems();e._updateBlockSize();e._checkForSelectionChange();e._avgItemHeight=0;let i=e._getItemElemList();if(i&&i.length>0){let t=0;for(let e=0;e<i.length;e++)t+=i[e].offsetHeight;e._avgItemHeight=Math.floor(t/i.length)}e._updateCheckState();e._updateScrollSize();e._updateVisibleRange();e._updateScrollItemList();e.refresh();let s=setTimeout(function(){e._updateBlockSize();e._isUpdateActive=!1;e._updateItemElems();clearTimeout(s);t()},1)},1);clearTimeout(i)},1);clearTimeout(e._updateTimer)},1)}})}_updateScrollSize(){let e=this;e._contentSize={width:e._clientRect.width-2,height:e._clientRect.height-2};e._scrollSize={width:0,height:e._avgItemHeight*e._currentList.length-e._clientRect.height+e._avgItemHeight};if(e.isVerScrollVisible()){e._contentSize.width-=18;if(e._scrollSize.width>0)e._scrollSize.width+=16}if(e.isHorScrollVisible())e._scrollSize.height+=16;e._scrollSize.width=e._scrollSize.width>0?e._scrollSize.width:0;e._scrollSize.height=e._scrollSize.height>0?e._scrollSize.height:0;e._maxScrollPos={x:e._scrollSize.width,y:e._scrollSize.height};if(e._currentScrollPos.x>e._maxScrollPos.x)e._changeHorizontalScrollPos(e._maxScrollPos.x);if(e._currentScrollPos.y>e._maxScrollPos.y)e._changeVerticalScrollPos(e._maxScrollPos.y);e._scrollBarSize={width:e.isVerScrollVisible()?e._clientRect.width-18:e._clientRect.width-4,height:e.isHorScrollVisible()?e._clientRect.height-18:e._clientRect.height-4};e._scrollLargeChange={x:e._scrollBarSize.width,y:e._scrollBarSize.height};e._blockHoverRect={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};let t={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(e.isVerScrollVisible()){e._blockHoverRect.width-=16;t.width-=16}e._blockSelectRect.forEach(e=>{e.width=t.width;e.height=t.height})}_getTemplateContentHeightAdjustment(){return 0}_updateHoverContentPos(){let e=this;e._blockHoverRect={height:e._avgItemHeight-this._getTemplateContentHeightAdjustment()-2,left:0,top:-9999999,width:e._clientRect.width-2};if(e._hoverItem&&e._isHoverTemplatePresent){let t=e._getObjFromScrollItem(e._hoverItem),i=e._getItemScrollIndex(t),s=this._getItemElemList();if(s&&i>=0&&i<s.length){let t=this._commonService.getPageRect(this._elemRef),l=this._commonService.getPageRect(s[i]);this._blockHoverRect.top=l.top-t.top-1;if(e.isVerScrollVisible())this._blockHoverRect.width-=16;this.update()}}}_updateSelectContentPos(){let e=this;e._blockSelectRect.length=0;if(e._isSelectedTemplatePresent){let t=e._commonService.getPageRect(e._elemRef),i=e._getItemElemList();e._blockSelectHeight=e._avgItemHeight-e._getTemplateContentHeightAdjustment()-2;e._currentSelectedItems.forEach(s=>{let l=e._getObjFromScrollItem(s),o=e._getItemScrollIndex(l),r={height:e._blockSelectHeight,left:0,top:-9999999,width:e._clientRect.width-2};if(e.isVerScrollVisible())r.width-=16;let a=e._commonService.getPageRect(i[o]);if(i&&o>=0&&o<i.length)r.top=a.top-t.top-1;else r.top=-9999999;e._blockSelectRect.push(r)})}}_updateVisibleRange(){this._visibleRange=1;let e=this._getItemElemList();if(e&&e.length>0){let t=0;for(let i=0;i<e.length;i++)t+=e[i].offsetHeight;let i=Math.floor(t/e.length);if(i>0)this._visibleRange=Math.floor(this._clientRect.height/i)+1}}updateView(){this._currentIndex=this._avgItemHeight>0?Math.floor(this._currentScrollPos.y/this._avgItemHeight):0;if(this._currentIndex!==this._prevIndex){this._updateScrollItemList();this._updateBlockSize();this._prevIndex=this._currentIndex;this.update();this._updateItemElems()}else this.update();this._updateHoverContentPos();this._updateSelectContentPos()}_updateCloneElemPos(e){if(1===e.which)if(this._cloneElem){this._cloneElem.style.top=e.pageY-this._cloneElemStartPos.y+"px";this._cloneElem.style.left=e.pageX-this._cloneElemStartPos.x+"px"}}_onCtrlMouseEnter(e){if(this._isEnabled&&1===e.which&&this._cloneElem)this._cloneElem.style.display="block";if(this._isEnabled)this.state|=IntegralUIObjectState.Hovered;this._ctrlCursor="default"}_onCtrlMouseLeave(e){if(this._isEnabled&&1===e.which&&this._cloneElem)this._cloneElem.style.display="none";this.state&=~IntegralUIObjectState.Hovered;this._blockHoverRect.top=-9999999;this.update();this._stopScrollTimer()}_onCtrlMouseMove(e){if(!this._hoverItem){this._blockHoverRect.top=-9999999;this.update()}}_itemMouseDown(e,t){if(this._isEnabled){this._isItemClicked=!0;if(this._options.allowFocus&&1===e.which)this._currentFocusObj=t;if("group"===t.data.type&&1===e.which)this.toggle(t.data);else this._processSelection(e,t.data);if(this._prevClickedObj)this._prevClickedObj.isClicked=!1;t.isClicked=!0;t.clickPos=this._commonService.getClientPos(e,this._elemRef);this._prevClickedObj=t}e.stopPropagation()}_itemMouseUp(e,t){if(this._isEnabled&&this._isItemClicked)this._updateSelection(e,t.data);this._isItemClicked=!1}_onScroll(e){if(e.target)if(!this.virtualMode)this.scrollPos({x:e.target.scrollLeft,y:e.target.scrollTop});else{e.target.scrollTop=0;e.target.scrollLeft=0}}scrollPos(e){if(e){this._currentScrollPos={x:Math.max(0,Math.min(e.x,this._maxScrollPos.x)),y:Math.max(0,Math.min(e.y,this._maxScrollPos.y))};this.updateView();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}return{x:Math.floor(this._currentScrollPos.x),y:Math.floor(this._currentScrollPos.y)}}_changeHorizontalScrollPos(e){this._currentScrollPos.x=Math.max(0,Math.min(e,this._maxScrollPos.x));if(this._currentScrollPos.x!==this._prevScrollPos.x){this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this._prevScrollPos.x=this._currentScrollPos.x;this.update()}}_changeVerticalScrollPos(e){this._currentScrollPos.y=Math.max(0,Math.min(e,this._maxScrollPos.y));if(this._currentScrollPos.y!==this._prevScrollPos.y){this.updateView();this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this._prevScrollPos.y=this._currentScrollPos.y}}_processMouseWheel(e,t){if(this._isEnabled){this._hoverItem=null;let i=Math.max(-1,Math.min(1,e.wheelDelta||-e.detail)),s=5;switch(this._mouseWheelSpeed){case IntegralUISpeedMode.VerySlow:s=15;break;case IntegralUISpeedMode.Slow:s=9;break;case IntegralUISpeedMode.Fast:s=3;break;case IntegralUISpeedMode.VeryFast:s=1;break;default:s=5}if(!1!==this.virtualMode){e.preventDefault();if(this.isVerScrollVisible()){let e=Math.floor(this._clientRect.height/s);if(this._mouseWheelSpeed===IntegralUISpeedMode.VerySlow&&this._avgItemHeight>0)e=this._avgItemHeight;let t=this._currentScrollPos.y+e*i*-1;if(i>0&&t<=this._avgItemHeight)t=0;this._changeVerticalScrollPos(t)}else if(t&&this.isHorScrollVisible()){let e=Math.floor(this._clientRect.width/s),t=this._currentScrollPos.x+e*i*-1;this._changeHorizontalScrollPos(t)}e.stopPropagation()}}}isVerScrollVisible(){return this._isEnabled&&this._options.showScroll.vertical&&this._scrollSize.height>0?!0:!1}isHorScrollVisible(){return this._isEnabled&&this._options.showScroll.horizontal&&this._scrollSize.width>0?!0:!1}isScrolling(){return this._isScrollActive}_onVerticalScrollStart(e){this._hoverItem=null;this._isScrollActive=!0}_onVerticalScrollEnd(e){this._isScrollActive=!1}_onVerticalScrollChanged(e){this._changeVerticalScrollPos(e.detail.value)}_onHorizontalScrollStart(e){this._hoverItem=null;this._isScrollActive=!0}_onHorizontalScrollEnd(e){this._isScrollActive=!1}_onHorizontalScrollChanged(e){this._currentScrollPos.x=e.detail.value;this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this.update()}_scrollMouseEnter(e){this._blockHoverRect.top=-9999999;this.update()}_processScroll(e){if(this.isVerScrollVisible()){let t=this._commonService.getShiftPos(),i=this._commonService.getMousePos(e);i.x-=t.x;i.y-=t.y;let s=this._commonService.getPageRect(this._elemRef),l=s.top+25,o=s.bottom-25;if(this.isHorScrollVisible())o-=16;if(i.y<l&&this._currentScrollPos.y>0)this._startScrollTimer(!1);else if(i.y>o&&this._currentScrollPos.y<this._maxScrollPos.y)this._startScrollTimer(!0);else this._stopScrollTimer()}else this._stopScrollTimer()}_startScrollTimer(e,t){let i=this;i._removeDropMark();if(!i._isScrollTimerActive){i._accelerator=.5;i._scrollCount=0;i._isScrollTimerActive=!0;let s=t?t:100;if(!i._scrollTimerID)i._scrollTimerID=setInterval(function(){i._scrollTimerElapsed(e)},s)}}_stopScrollTimer(){if(this._scrollTimerID){clearInterval(this._scrollTimerID);this._scrollTimerID=null}this._accelerator=.5;this._scrollCount=0;this._isScrollTimerActive=!1}_scrollTimerElapsed(e){let t=this._currentScrollPos;if(0===this._scrollCount)this._scrollCount=5;this._scrollCount+=5;this._accelerator+=.5;this._scrollCount+=Math.floor(this._accelerator);let i=this._scrollCount;if(e)if(this._currentScrollPos.y+i>this._maxScrollPos.y)this._currentScrollPos.y=this._maxScrollPos.y;else this._currentScrollPos.y+=i;else if(this._currentScrollPos.y-i<0)this._currentScrollPos.y=0;else this._currentScrollPos.y-=i;if(t.y<=0||this._currentScrollPos.y<t.y)this._stopScrollTimer();this.update()}scrollTo(e){if(!1!==this.virtualMode&&e){let t=this._getItemCurrentIndex(e);if(t>=0)this.scrollPos({x:this._currentScrollPos.x,y:this._avgItemHeight*(t+1-Math.floor(this._visibleRange/2))});this.updateLayout()}}findItemById(e){return this._dataService.findObjectById(e)}findItemByText(e){return this._dataService.findObjectByText(e)}_callAfterSelectEvent(e){let t={item:e};this._invokeEvent("afterSelect",t);this._invokeEvent("selectionChanged",t)}clearSelection(){this._clearPrevSelection();this._currentSelection=null;this._updateSelectContentPos();this.refresh()}_clearComponentSelection(){this._itemList.forEach(e=>e.state&=~IntegralUIObjectState.Selected)}_clearPrevSelection(e){for(let t=0;t<this._currentSelectedItems.length;t++)if(e&&!this._commonService.isEqual(this._currentSelectedItems[t][this._options.dataFields.id],e[this._options.dataFields.id]))this._currentSelectedItems[t][this._options.dataFields.selected]=!1;else if(!e)this._currentSelectedItems[t][this._options.dataFields.selected]=!1;this._currentSelectedItems.length=0;if(e&&this._isItemEnabled(e))this._currentSelectedItems.push(e)}_isItemInSelectionList(e){let t=!1,i=this._currentSelectedItems;if(e&&i)for(let s=0;s<i.length;s++)if(this._commonService.isEqual(i[s][this._options.dataFields.id],e[this._options.dataFields.id])){t=!0;break}return t}_isCtrlKeyPressed(e){return e&&(e.ctrlKey||e.metaKey)}_isShiftKeyPressed(e){return e&&e.shiftKey}_processSelection(e,t,i){let s=this,l=!0;if(t){if(s.selectionMode===IntegralUISelectionMode.None||"group"===t.type||!1===t[s._options.dataFields.canSelect])return;let o=s._currentSelectedItems.length>0;if(!s._isItemEnabled(t)){s._clearPrevSelection();s.refresh();if(o)this._invokeEvent("selectionChanged",{item:null})}else{let r=s._currentSelection,a=!0;if(r)a=this._isCtrlKeyPressed(e)||!this._commonService.isEqual(r[s._options.dataFields.id],t[s._options.dataFields.id])||!1===r[s._options.dataFields.selected];let n={cancel:!1,item:t};s._invokeEvent("beforeSelect",n);l=!0===n.cancel?!1:!0;if(!0!==n.cancel){let l=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(a){if(s.selectionMode===IntegralUISelectionMode.MultiExtended)a=!s._isItemInSelectionList(t)||!l||this._isShiftKeyPressed(e);if(a)if(s.selectionMode===IntegralUISelectionMode.One)s._clearPrevSelection();else if(e&&e.shiftKey)s._clearPrevSelection();else if(!l&&s.selectionMode!==IntegralUISelectionMode.MultiSimple&&(1===s._currentSelectedItems.length||!s._isItemInSelectionList(t)))s._clearPrevSelection();s._currentSelection=t;if(e&&e.shiftKey&&s.selectionMode!==IntegralUISelectionMode.One){if(!s._shiftFirstSelectedItem)s._shiftFirstSelectedItem=r;let e=s._getItemCurrentIndex(s._shiftFirstSelectedItem),i=s._getItemCurrentIndex(t);if(e>i){let t=e;e=i;i=t}if(s._isIndexInRange(e)&&s._isIndexInRange(i))for(let t=e;t<=i;t++)if("group"!==s._currentList[t].data.type&&!1!==s._currentList[t].data[s._options.dataFields.canSelect]){s._currentList[t].data[s._options.dataFields.selected]=!0;s._currentSelectedItems.push(s._currentList[t].data)}}else if(l||s.selectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[s._options.dataFields.selected]||"undefined"===t[s._options.dataFields.selected]?!1:t[s._options.dataFields.selected];t[s._options.dataFields.selected]=!e;if(!t[s._options.dataFields.selected])s._currentSelectedItems=s._currentSelectedItems.filter(function(e){return e!==t});else if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null}else{t[s._options.dataFields.selected]=!0;if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null}s._callAfterSelectEvent(t);s.refresh()}else if(l||s.selectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[s._options.dataFields.selected]||"undefined"===t[s._options.dataFields.selected]?!1:t[s._options.dataFields.selected];if(i&&"undefined"!==i)e=i;t[s._options.dataFields.selected]=!e;if(!t[s._options.dataFields.selected])s._currentSelectedItems=s._currentSelectedItems.filter(function(e){return e!==t});else if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null;s._callAfterSelectEvent(t);s.refresh()}else if(!l&&!(s.selectionMode&IntegralUISelectionMode.MultiSimple)&&(1===s._currentSelectedItems.length||!s._isItemInSelectionList(t))){s._shiftFirstSelectedItem=null;s._clearPrevSelection(t);s.refresh();if(a&&o)s._invokeEvent("selectionChanged",{item:null})}s._updateSelectContentPos()}}}return l}selectItems(e){if(e&&Array.isArray(e)){this._currentSelectedItems.map(e=>e[this._options.dataFields.selected]=!1);this._currentSelectedItems.length=0;for(let t=0;t<e.length;t++){e[t][this._options.dataFields.selected]=!0;this._currentSelectedItems.push(e[t])}if(e.length>0){this._currentSelection=e[e.length-1];this._callAfterSelectEvent(this._currentSelection)}else this._currentSelection=null;this.refresh()}}_updateSelection(e,t){let i=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(this.selectionMode===IntegralUISelectionMode.MultiExtended&&!1!==t[this._options.dataFields.canSelect]&&this._currentSelectedItems.length>0&&!e.shiftKey&&!i&&1===e.which){let e=this._currentSelectedItems.length;this._clearPrevSelection();t[this._options.dataFields.selected]=!0;this._currentSelectedItems.push(t);this._updateSelectContentPos();if(e>1)this._callAfterSelectEvent(t);this.refresh()}}_applySorting(e){let t=this;if(e)if(t._sortComparer)e.sort(t._sortComparer);else if(t._isSortingAllowed())e.sort(function(e,i){let s=null,l=null;if(!(s=e[t._options.dataFields.value]))s=e[t._options.dataFields.text];if(t._commonService.isObject(s))s=s.value?s.value:s.text;if(!(l=i[t._options.dataFields.value]))l=i[t._options.dataFields.text];if(t._commonService.isObject(l))l=l.value?l.value:l.text;s=void 0!==s?s:null;l=void 0!==l?l:null;switch(t._currentSorting){case IntegralUISortOrder.Ascending:if(s<l)return-1;else if(s>l)return 1;break;case IntegralUISortOrder.Descending:if(s>l)return-1;else if(s<l)return 1;break;default:return 0}return 0})}_isSortingAllowed(){return this._currentSorting===IntegralUISortOrder.Ascending||this._currentSorting===IntegralUISortOrder.Descending}sort(e,t){this._currentSorting=e;this._sortComparer=t?t:null;this.updateLayout();this._invokeEvent("sorted")}_getItemInlineStyle(e){return e.data[this._options.dataFields.style]||{}}_updateItemStyle(e){if(e){e.style={expandBox:{},general:{},content:{}};e.inlineStyle=this._getItemInlineStyle(e);if("group"===e.data.type){e.style.general[this._groupClassName]=!0;e.style.general[this._options.currentStyle.group.general.normal]=!0;e.style.content[this._groupContentClassName]=!0;e.style.content[this._options.currentStyle.group.content.normal]=!0;if(!this._isItemEnabled(e.data)){e.style.general[this._options.currentStyle.group.general.disabled]=!0;e.style.content[this._options.currentStyle.group.content.disabled]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data){e.style.general[this._options.currentStyle.group.general.focused]=!0;e.style.content[this._options.currentStyle.group.content.focused]=!0}e.style.expandBox[this._options.currentStyle.group.expandBox.general]=!0;if(!1!==e.data[this._options.dataFields.expanded])e.style.expandBox[this._options.currentStyle.group.expandBox.expanded]=!0;else e.style.expandBox[this._options.currentStyle.group.expandBox.collapsed]=!0}else{e.style.general[this._itemClassName]=!0;e.style.general[this._options.currentStyle.item.general.normal]=!0;e.style.content[this._itemContentClassName]=!0;e.style.content[this._options.currentStyle.item.content.normal]=!0;if(!this._isItemEnabled(e.data)){e.style.general[this._options.currentStyle.item.general.disabled]=!0;e.style.content[this._options.currentStyle.item.content.disabled]=!0}else if(this._isItemSelected(e.data)){e.style.general[this._options.currentStyle.item.general.selected]=!0;e.style.content[this._options.currentStyle.item.content.selected]=!0}else if(this._isItemHovered(e.data)){e.style.general[this._options.currentStyle.item.general.hovered]=!0;e.style.content[this._options.currentStyle.item.content.hovered]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data){e.style.general[this._options.currentStyle.item.general.focused]=!0;e.style.content[this._options.currentStyle.item.content.focused]=!0}}}}_getItemStyle(e){if(e)return{general:this._getItemGeneralStyle(e.general),content:this._getItemContentStyle(e.content)};else return this._getDefaultItemStyle()}_getItemGeneralStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._itemClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._itemClassName+"-focused"),normal:this._commonService.isFieldAvailable(e.normal,this._itemClassName),hovered:this._commonService.isFieldAvailable(e.hovered,this._itemClassName+"-hovered"),selected:this._commonService.isFieldAvailable(e.selected,this._itemClassName+"-selected")};else return this._getDefaultItemGeneralStyle()}_getItemContentStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._itemContentClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._itemContentClassName+"-focused"),normal:this._commonService.isFieldAvailable(e.normal,this._itemContentClassName),hovered:this._commonService.isFieldAvailable(e.hovered,this._itemContentClassName+"-hovered"),selected:this._commonService.isFieldAvailable(e.selected,this._itemContentClassName+"-selected")};else return this._getDefaultItemContentStyle()}_getDefaultListStyle(){return{general:this._getDefaultGeneralStyle(),group:this._getDefaultGroupStyle(),item:this._getDefaultItemStyle()}}_getDefaultGroupStyle(){return{expandBox:this._getDefaultGroupExpandBoxStyle(),general:this._getDefaultGroupGeneralStyle(),content:this._getDefaultGroupContentStyle()}}_getDefaultGroupExpandBoxStyle(){return{general:this._defaultStyle.group.expandBox.general,expanded:this._defaultStyle.group.expandBox.expanded,collapsed:this._defaultStyle.group.expandBox.collapsed}}_getDefaultGroupGeneralStyle(){return{disabled:this._defaultStyle.group.general.disabled,focused:this._defaultStyle.group.general.focused,normal:this._defaultStyle.group.general.normal,hovered:this._defaultStyle.group.general.hovered,selected:this._defaultStyle.group.general.selected}}_getDefaultGroupContentStyle(){return{disabled:this._defaultStyle.group.content.disabled,focused:this._defaultStyle.group.content.focused,normal:this._defaultStyle.group.content.normal,hovered:this._defaultStyle.group.content.hovered,selected:this._defaultStyle.group.content.selected}}_getDefaultItemStyle(){return{general:this._getDefaultItemGeneralStyle(),content:this._getDefaultItemContentStyle()}}_getDefaultItemGeneralStyle(){return{disabled:this._defaultStyle.item.general.disabled,focused:this._defaultStyle.item.general.focused,normal:this._defaultStyle.item.general.normal,hovered:this._defaultStyle.item.general.hovered,selected:this._defaultStyle.item.general.selected}}_getDefaultItemContentStyle(){return{disabled:this._defaultStyle.item.content.disabled,focused:this._defaultStyle.item.content.focused,normal:this._defaultStyle.item.content.normal,hovered:this._defaultStyle.item.content.hovered,selected:this._defaultStyle.item.content.selected}}_updateStyle(e){this._options.currentStyle=this._getDefaultListStyle()}_getItemTemplate(e,t){let i=null;if("group"===e.type)i=this.itemTemplate;else switch(t){case"hover":i=this.itemHoverTemplate;break;case"select":i=this.itemSelectTemplate;break;default:i=this.itemTemplate}if(i){let t=i(e);return new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}else{let t={},i=this._commonService.isString(e[this._options.dataFields.icon])?e[this._options.dataFields.icon].split(" "):[];i.map(e=>t[e]=!0);return html`                 ${i.length>0?html`<span class=${classMap(t)}></span>`:html``}                 ${e[this._options.dataFields.iconUrl]?html`<img style=${styleMap({verticalAlign:"middle"})} src="${e[this._options.dataFields.iconUrl]} />`:html``}                 <span class="iui-item-label" >${e[this._options.dataFields.text]}</span>             `}}_itemTouchStart(e,t){if(this._isEnabled){if(this._options.allowFocus&&1===e.which)this._currentFocusObj=t;this._processSelection(e,t.data)}}_itemTouchMove(e,t){}_itemTouchEnd(e,t){}_ctrlTouchStart(e){e.preventDefault();if(this._isEnabled){let t=this._commonService.getTouchData(e);if(t&&t.length>0)this._touchStartPos={x:t[0].pageX,y:t[0].pageY}}}_ctrlTouchEnd(e){let t=this;if(t._isEnabled){let i=t._commonService.getTouchData(e);if(i&&i.length>0)t._touchEndPos={x:i[0].pageX,y:i[0].pageY};let s={dx:t._touchEndPos.x-t._touchStartPos.x,dy:t._touchEndPos.y-t._touchStartPos.y},l=!1,o=!1,r=t._touchStartPos,a={x:t._currentScrollPos.x,y:t._currentScrollPos.y},n=setInterval(function(){let e=t._currentScrollPos;if(s.dx<-20){r.x-=30;if(r.x>t._touchEndPos.x)e.x+=30;else{e.x=a.x-s.dx;l=!0}}else if(s.dx>20){r.x+=30;if(r.x<t._touchEndPos.x)e.x-=30;else{e.x=a.x-s.dx;l=!0}}else l=!0;if(s.dy<-20){r.y-=25;if(r.y>t._touchEndPos.y)e.y+=25;else{e.y=a.y-s.dy;o=!0}}else if(s.dy>20){r.y+=25;if(r.y<t._touchEndPos.y)e.y-=25;else{e.y=a.y-s.dy;o=!0}}else o=!0;t.scrollPos(e);if(l&&o)clearInterval(n)},5);t._touchStartPos=t._touchEndPos}}resolve(e){this._isProcessAllowed=!0;if(this._commonService.isString(e))switch(e.toLowerCase()){case"dragdrop":this._drop(this._dragDropService.getData());break;default:this._defaultFunc()}}}export default IntegralUIBaseList;