/*
  filename: integralui.dockarea.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDragDropService from"../services/integralui.dragdrop.service.js";import{IntegralUIDockStyle,IntegralUIDockPermission,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiDockAreaDefaultStyle}from"../styles/default/integralui.dockarea.style.js";import{iuiDockAreaOfficeStyle}from"../styles/themes/office/integralui.dockarea.office.js";import{iuiDockAreaDarkStyle}from"../styles/color-schemes/dark/integralui.dockarea.dark.js";import{iuiDockAreaLightStyle}from"../styles/color-schemes/light/integralui.dockarea.light.js";class IntegralUIDockArea extends IntegralUIBase{_init(){super._init();this._dragDropService=IntegralUIDragDropService.getInstance();this._panelList=[];this._checkDistance=50;this._dropPos=-1;this._targetDock=IntegralUIDockStyle.None;this._targetSize={};this._dockArea=[];this._dockStyle={top:0,left:0,width:0,height:0};this._minTargetSize=100;this._updateTimer=null;this._isDockingActive=!1;this._generalClassName="iui-dockarea";this._dropAreaClassName="iui-dockarea-drop";this._currentDockOptions={display:"block"};this._currentControlStyleSettings=iuiDockAreaDefaultStyle;this._initStyle();this._resizeObserver=new ResizeObserver(t=>{if(t&&t.length>0&&t[0].contentRect){let t=!1;if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;t=!0}if(this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;t=!0}if(t)this.updateLayout()}})}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._rt();if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null;this._resetLayoutTimer()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{}}_ctrlDragDrop(t){if(this._isEnabled)this._processDragDrop(t);t.stopPropagation()}_ctrlDragLeave(t){this._isDockingActive=!1;this.update()}_ctrlDragOver(t){if(this._isEnabled)this._processDragOver(t);t.stopPropagation()}_checkTopHit(t,e,i){let h={top:i.y,right:i.x+i.width,bottom:i.y+Math.min(this._checkDistance,i.height/8)+10*t,left:i.x};return this._commonService.checkHit(e.x,e.y,h)}_checkBottomHit(t,e,i){let h={top:i.y+i.height-(Math.min(this._checkDistance,i.height/8)+10*t),right:i.x+i.width,bottom:i.y+i.height,left:i.x};return this._commonService.checkHit(e.x,e.y,h)}_checkLeftHit(t,e,i){let h={top:i.y,right:i.x+Math.min(this._checkDistance,i.width/8)+10*t,bottom:i.y+i.height,left:i.x};return this._commonService.checkHit(e.x,e.y,h)}_checkRightHit(t,e,i){let h={top:i.y,right:i.x+i.width,bottom:i.y+i.height,left:i.x+i.width-(Math.min(this._checkDistance,i.width/8)+10*t)};return this._commonService.checkHit(e.x,e.y,h)}_checkFillHit(t,e){let i={top:e.y,right:e.x+e.width,bottom:e.y+e.height,left:e.x};return this._commonService.checkHit(t.x,t.y,i)}_isDockAllowed(t,e){let i=t&IntegralUIDockPermission.All;switch(e){case"top":return i||t&IntegralUIDockPermission.Top;case"right":return i||t&IntegralUIDockPermission.Right;case"bottom":return i||t&IntegralUIDockPermission.Bottom;case"left":return i||t&IntegralUIDockPermission.Left;default:return i||t&IntegralUIDockPermission.Fill}}_processDragOver(t){t.preventDefault();this._isDockingActive=!1;let e=!0;if(t.dataTransfer)e="none"===t.dataTransfer.effectAllowed?!1:!0;else if(t.originalEvent&&t.originalEvent.dataTransfer)e="none"===t.originalEvent.dataTransfer.effectAllowed?!1:!0;let i=this._dragDropService.getData();if(e&&i.source){let e=this._panelList.indexOf(i.source),h=e>=0?this._panelList[e]:null;if(h){let i={width:0===h.size.width?this._minTargetSize:h.size.width,height:0===h.size.height?this._minTargetSize:h.size.height},s=this._commonService.getShiftPos(),r=this._commonService.getMousePos(t);r.x-=s.x;r.y-=s.y;let o=this._isAreaFilled();this.dropPos=-1;for(let t=0;t<this._dockArea.length;t++){let s=this._dockArea[t].client,l=this._dockArea[t].page;if(this._isDockAllowed(h.allowDock,"top")&&this._checkTopHit(t,r,l)){this._dockStyle={top:s.y,left:s.x,width:s.width,height:i.height};this._dropPos=t>e?t-1:t;this._isDockingActive=!0;this._targetDock=IntegralUIDockStyle.Top;this._targetSize={height:i.height};break}else if(this._isDockAllowed(h.allowDock,"bottom")&&this._checkBottomHit(t,r,l)){this._dockStyle={top:s.y+s.height-i.height,left:s.x,width:s.width,height:i.height};this._dropPos=t>e?t-1:t;this._isDockingActive=!0;this._targetDock=IntegralUIDockStyle.Bottom;this._targetSize={height:i.height};break}else if(this._isDockAllowed(h.allowDock,"left")&&this._checkLeftHit(t,r,l)){this._dockStyle={top:s.y,left:s.x,width:i.width,height:s.height};this._dropPos=t>e?t-1:t;this._isDockingActive=!0;this._targetDock=IntegralUIDockStyle.Left;this._targetSize={width:i.width};break}else if(this._isDockAllowed(h.allowDock,"right")&&this._checkRightHit(t,r,l)){this._dockStyle={top:s.y,left:s.x+s.width-i.width,width:i.width,height:s.height};this._dropPos=t>e?t-1:t;this._isDockingActive=!0;this._targetDock=IntegralUIDockStyle.Right;this._targetSize={width:i.width};break}else if(!o&&t===this._dockArea.length-1&&this._isDockAllowed(h.allowDock,"fill")&&this._checkFillHit(r,l)){this._dockStyle={top:s.y,left:s.x,width:s.width,height:s.height};this._dropPos=t>0?t-1:t;this._isDockingActive=!0;this._targetDock=IntegralUIDockStyle.Fill;break}}}}this.update()}_processDragDrop(t){if(this._isDockingActive&&this._dropPos>=0){let t=this._dragDropService.getData();if(t.source){let e=this._panelList.indexOf(t.source);if(e>=0){this._panelList[e].dock=this._targetDock;this._panelList[e].size=this._targetSize;this._commonService.moveObject(e,this._dropPos,this._panelList);this.update();t.source.refresh()}}}this._isDockingActive=!1;this.updateLayout()}getFillArea(){return this._dockArea.length>0?this._dockArea[this._dockArea.length-1]:{client:{x:0,y:0,width:0,height:0},page:{x:0,y:0,width:0,height:0}}}_isAreaFilled(){return this._panelList.filter(t=>t.dock===IntegralUIDockStyle.Fill).length>0}_processUpdateLayout(){let t=this;t._dockArea.length=0;return new Promise(e=>{if(t._isUpdateAllowed){t._resetLayoutTimer();t._updateTimer=setTimeout(function(){if(t._elemRef){t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight};let i={x:0,y:0,width:t._clientRect.width,height:t._clientRect.height},h=t._commonService.getPageRect(t._elemRef),s={x:h.x,y:h.y,width:h.width,height:h.height};t._dockArea.push({client:Object.assign({},i),page:Object.assign({},s)});t._panelList.filter(t=>t.dock!==IntegralUIDockStyle.None).forEach((e,h)=>{let r=e.getElemRef(),o=t._commonService.getPadding(r),l={width:0===e.size.width?t._minTargetSize:e.size.width,height:0===e.size.height?t._minTargetSize:e.size.height};l.width=Math.min(l.width,s.width);l.height=Math.min(l.height,s.height);let c={position:"absolute",top:i.y,left:i.x};switch(e.dock){case IntegralUIDockStyle.Bottom:c.top=i.y+i.height-l.height;c.width=i.width-(o.left+o.right);c.height=l.height-(o.top+o.bottom);i.height-=l.height;s.height-=l.height;break;case IntegralUIDockStyle.Fill:c.width=i.width;c.height=i.height;i.x+=l.width;i.y+=l.height;i.width-=l.width;i.height-=l.height;s.x+=l.width;s.y+=l.height;s.width-=l.width;s.height-=l.height;break;case IntegralUIDockStyle.Left:c.width=l.width-(o.left+o.right);c.height=i.height-(o.top+o.bottom);i.x+=l.width;i.width-=l.width;s.x+=l.width;s.width-=l.width;break;case IntegralUIDockStyle.Right:c.left=i.x+i.width-l.width;c.width=l.width-(o.left+o.right);c.height=i.height-(o.top+o.bottom);i.width-=l.width;s.width-=l.width;break;case IntegralUIDockStyle.Top:c.width=i.width-(o.left+o.right);c.height=l.height-(o.top+o.bottom);i.y+=l.height;i.height-=l.height;s.y+=l.height;s.height-=l.height;break;default:t._defaultFunc();break;}e._updateDockOptions(c);if(e.dock!==IntegralUIDockStyle.Fill)t._dockArea.push({client:Object.assign({},i),page:Object.assign({},s)})});t.update();e()}clearTimeout(t._updateTimer)},1)}})}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}async updateLayout(){this._ut();if(!this._tCmp)this._at();await this._processUpdateLayout();this.update();this._invokeEvent("updateComplete")}_ctrlMouseDown(t){}_getDockAreaStyle(){return{display:this._isDockingActive?"block":"none",left:this._dockStyle.left+"px",opacity:.4,pointerEvents:"none",position:"absolute",width:this._dockStyle.width+"px",height:this._dockStyle.height+"px",top:this._dockStyle.top+"px",zIndex:"9999999"}}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiDockAreaDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiDockAreaLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiDockAreaOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(t){this._updateReferences();this.updateLayout()}_refreshPanelList(){let t=this;setTimeout(function(){let e=t.shadowRoot.querySelector("slot").assignedNodes();t._panelList=e.filter(t=>"iui-dockpanel"===t.nodeName.toLowerCase());t._panelList.filter(t=>t.dock===IntegralUIDockStyle.None).forEach(t=>t.setStyle({display:"none"}));let i=t._panelList.filter(t=>t.dock===IntegralUIDockStyle.Fill);i.forEach((t,e)=>{if(e>0)t.setStyle({display:"none"})});i=i.length>0?[i[0]]:[];t._panelList=t._panelList.filter(t=>t.dock!==IntegralUIDockStyle.None&&t.dock!==IntegralUIDockStyle.Fill).concat(i);t._panelList.forEach(e=>e.setParent(t));t.updateLayout()},100)}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="dockarea" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @dragleave="${t=>this._ctrlDragLeave(t)}" @dragover="${t=>this._ctrlDragOver(t)}" @drop="${t=>this._ctrlDragDrop(t)}">                 <slot @slotchange="${t=>this._slotChange(t)}"></slot>                 <div class="${this._dropAreaClassName}" style=${styleMap(this._getDockAreaStyle())}></div>             </div>         `}_slotChange(t){this._refreshPanelList()}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiDockAreaDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=dockarea]");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-dockarea",IntegralUIDockArea);export default IntegralUIDockArea;