/*
  filename: integralui.listbar.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUISpeedMode,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiListBarDefaultStyle}from"../styles/default/integralui.listbar.style.js";import{iuiListBarOfficeStyle}from"../styles/themes/office/integralui.listbar.office.js";import{iuiListBarDarkStyle}from"../styles/color-schemes/dark/integralui.listbar.dark.js";import{iuiListBarLightStyle}from"../styles/color-schemes/light/integralui.listbar.light.js";class IntegralUIListBar extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService();this._dataGroups=[];this._numGroups=0;this._currentMouseWheelSpeed=IntegralUISpeedMode.Normal;this._blockMarginTop=0;this._currentScrollPos={x:0,y:0};this._maxScrollPos={x:0,y:0};this._groupList=[];this._currentControlStyleSettings=iuiListBarDefaultStyle;this._initScrollPos=0;this._isScrollActive=!1;this._isScrollVisible=!1;this._scrollCount=0;this._scrollTimer=null;this._stopScrolling=!1;this._currentSelection=null;this._currentSelectedIndex=-1;this._selectedComponent=null;this._prevComponent=null;this._removeIndex=-1;this._initStyle()}connectedCallback(){}disconnectedCallback(){this._rt()}_initStyle(){this._generalClassName="iui-listbar";this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"}};this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,s){super.attributeChangedCallback(e,t,s)}static get properties(){return{groups:{type:Array},mouseWheelSpeed:{attribute:"mousewheel-speed",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:e=>{switch(e){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},selectedGroup:{type:Object,attribute:"selected-group"},selectedIndex:{type:Number,attribute:"selected-index"}}}get groups(){return this._dataGroups}set groups(e){const t=this._dataGroups;this._dataGroups=e;this._updateData();this.requestUpdate("groups",t)}get mouseWheelSpeed(){return this._currentMouseWheelSpeed}set mouseWheelSpeed(e){if(this._currentMouseWheelSpeed!==e){const t=this._currentMouseWheelSpeed;this._currentMouseWheelSpeed=e;this.requestUpdate("mouseWheelSpeed",t)}}get selectedGroup(){return this._currentSelection}set selectedGroup(e){if(this._currentSelection!==e){const t=this._currentSelection;this._currentSelection=e;this.selectGroup(e);this.requestUpdate("selectedGroup",t)}}get selectedIndex(){return this._currentSelectedIndex}set selectedIndex(e){if(this._currentSelectedIndex!==e){const t=this._currentSelectedIndex;this._currentSelectedIndex=e;this._selectComponentByIndex(e);this.requestUpdate("selectedIndex",t)}}clearGroups(){this._dataService.clear();this._invokeEvent("clear")}addGroup(e){this._callEventAdd("add",e)}insertGroupAt(e,t){this._callEventAdd("at",e,t)}insertGroupBefore(e,t){this._callEventAdd("ref",e,-1,t)}insertGroupAfter(e,t){this._callEventAdd("ref",e,-1,t,!0)}removeGroup(e){this._callEventRemove(e)}removeGroupAt(e){if(this.groups&&e>=0&&e<this.groups.length)this._callEventRemove(this.groups[e])}_callEventAdd(e,t,s,r,i){let l={cancel:!1,group:t};this._invokeEvent("groupAdding",l);if(!0!==l.cancel){switch(e){case"at":this._dataService.insert(t,s);break;case"ref":this._dataService.insertByRef(t,r,i);break;default:this._dataService.insert(t)}this._invokeEvent("groupAdded",{group:t});this._refreshGroupParent();if(!this._selectedComponent)this._selectComponentByIndex(0)}}_callEventRemove(e){let t={cancel:!1,group:e};this._invokeEvent("groupRemoving",t);if(!0!==t.cancel){this.removeIndex=this.groups?this.groups.indexOf(e):-1;this._dataService.removeAt(e);this._invokeEvent("groupRemoved",{group:e});this._refreshGroupParent()}}_updateData(){this._dataService.init([{data:this.groups}])}_closeGroups(e){this._groupList.forEach(function(t,s){if(t!==e){t.selected=!1;t.collapse()}})}_toggleGroups(){let e=this;if(!e._selectedComponent)return;let t=setTimeout(function(){let s=0,r=0,i=0,l=e._selectedComponent.getContentHeight();if(e._selectedComponent.expanded){if(e._prevComponent)s=e._prevComponent.getContentHeight();let t=setInterval(function(){if(r<l){r+=i=0===i?1:i+2;s=(s-=i)>0?s:0;e._selectedComponent.setContentHeight(r+"px");if(e._prevComponent)e._prevComponent.setContentHeight(s+"px")}else{e._selectedComponent.setContentHeight("auto");if(e._prevComponent){e._prevComponent.setContentHeight("0");e._prevComponent.expanded=!1;e.invokeCtrlEvent("AFTER_COLLAPSE",e._prevComponent)}e.invokeCtrlEvent("AFTER_EXPAND",e._selectedComponent);clearInterval(t)}},15)}else{e._selectedComponent.setContentHeight("0");if(e._prevComponent)e._prevComponent.setContentHeight("auto")}clearInterval(t)},100)}_getGroupCurrentIndex(e){return e&&this._groupList?this._groupList.indexOf(e):-1}_getGroupDataIndex(e){if(e){let t=this._getGroupCurrentIndex(e);if(this.groups&&t>=0&&t<this.groups.length)return t}return-1}_getGroupData(e){return this.groups&&e>=0&&e<this.groups.length?this.groups[e]:null}_getGroupIndex(e){return e&&this.groups?this.groups.indexOf(e):-1}_getComponentData(e){if(e)if(e.data)return e.data;else{let t=this._getGroupDataIndex(e);if(this.groups&&t>=0&&t<this.groups.length)return this.groups[t]}return null}invokeCtrlEvent(e,t,s){let r=!0,i=this._getComponentData(t),l={cancel:!1,group:i};switch(e){case"AFTER_COLLAPSE":this._invokeEvent("afterCollapse",{group:i});break;case"AFTER_EXPAND":this._invokeEvent("afterExpand",{group:i});if(!s)this._closeGroups(t);break;case"BEFORE_COLLAPSE":this._invokeEvent("beforeCollapse",l);r=!l.cancel;break;case"BEFORE_EXPAND":this._invokeEvent("beforeExpand",l);r=!l.cancel;break;default:r=!0}return r}invokeCtrlMethod(e,t){let s=!0;switch(e){case"SELECT_GROUP":s=this._selectComponent(t);break;default:s=!0}return s}_isIndexInRange(e){return this._groupList?e>=0&&e<this._groupList.length:!1}updateLayout(){let e=this;e._ut();if(!e._tCmp)e._at();e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};let t=setTimeout(function(){if(e._contentElem){e._isScrollVisible=e._elemRef.offsetHeight<e._contentElem.offsetHeight;e.update();e._maxScrollPos={x:0,y:e._isScrollVisible?e._elemRef.offsetHeight-e._contentElem.offsetHeight-(e._buttonUpElem.offsetHeight+e._buttonDownElem.offsetHeight)-2:0};e._initScrollPos=e._isScrollVisible?e._buttonUpElem.offsetHeight:0;if(!e._isScrollVisible)e._currentScrollPos.y=0;e.update()}clearTimeout(t)},1)}_scrollUpPressed(){if(this._isEnabled)this._startScroll(!1)}_scrollUpReleased(){if(this._isEnabled)this._stopScroll()}_scrollDownPressed(){if(this._isEnabled)this._startScroll(!0)}_scrollDownReleased(){if(this._isEnabled)this._stopScroll()}_startScroll(e){let t=this;if(t._scrollTimer)clearInterval(t._scrollTimer);t._scrollCount=0;t._isScrollActive=!0;t._scrollTimer=setInterval(function(){t._scrollTimerElapsed(e)},100)}_stopScroll(){if(this._scrollTimer)clearInterval(this._scrollTimer);this._isScrollActive=!1}_scrollTimerElapsed(e){if(0===this._scrollCount)this._scrollCount=1;this._scrollCount+=5;this._stopScrolling=!1;this._processScroll(e);if(this._stopScrolling)this._stopScroll()}_processScroll(e){if(e)if(this._currentScrollPos.y-this._scrollCount>this._maxScrollPos.y)this._currentScrollPos.y-=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos.y=this._maxScrollPos.y}else if(this._currentScrollPos.y+this._scrollCount<0)this._currentScrollPos.y+=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos.y=0}this.update()}_listMouseWheel(e){if(this._isEnabled){e.preventDefault();let t=Math.max(-1,Math.min(1,e.wheelDelta||-e.detail)),s=5;switch(this.mouseWheelSpeed){case IntegralUISpeedMode.VerySlow:s=15;break;case IntegralUISpeedMode.Slow:s=9;break;case IntegralUISpeedMode.Fast:s=3;break;case IntegralUISpeedMode.VeryFast:s=1;break;default:s=5}let r=Math.floor(this._clientRect.height/s);this.scrollPos({x:0,y:this._currentScrollPos.y-r*t*-1})}}scrollPos(e){this._currentScrollPos={x:0,y:Math.max(0,Math.min(e.y,this._maxScrollPos.y))};this.update()}clearSelection(){this._clearCmpSelection()}_clearCmpSelection(e){this._groupList.forEach(function(t,s){if(t!==e){t.selected=!1;t.clearSelection()}})}_selectComponent(e){let t=this._getComponentData(e),s={cancel:!1,group:t};this._invokeEvent("beforeSelect",s);if(!0!==s.cancel)if(e&&e!==this._selectedComponent){let s=this._getGroupCurrentIndex(e);this._currentSelectedIndex=s;if(this.groups&&s>=0&&s<this.groups.length)this._currentSelection=this.groups[s];this._prevComponent=this._selectedComponent;this._selectedComponent=e;this._clearCmpSelection(e);e.selected=!0;e.expanded=!0;this._invokeEvent("afterSelect",{group:t});this._invokeEvent("selectionChanged",{index:s,group:this._getGroupData(this._getGroupDataIndex(e))});return!0}return!1}_selectComponentByIndex(e){let t=this,s=setTimeout(function(){if(t._isIndexInRange(e))t._selectComponent(t._groupList[e]);clearTimeout(s)},100)}selectGroup(e){if(this.groups){this._currentSelectedIndex=this.groups.indexOf(e);this._selectComponentByIndex(this._currentSelectedIndex)}}_getControlStyle(){let e={};if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiListBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this._updateReferences();this.updateLayout()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this.update();this._updateReferences()}_refreshGroupParent(){let e=this;setTimeout(function(){e._contentSlotElem=e.shadowRoot.querySelector("slot").assignedNodes();e._groupList=e._contentSlotElem.filter(e=>"iui-listgroup"===e.nodeName.toLowerCase());e._groupList.forEach(t=>{t.setParent(e)})},10)}render(){return html`             <style> 				${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle} 			</style>             <div data-ctrl="listbar" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${e=>this._listMouseWheel(e)}" @mousewheel="${e=>this._listMouseWheel(e)}">                 <div id="buttonUp" class="iui-listbar-button-up" style=${styleMap({display:this._isScrollVisible?"block":"none"})} @mousedown="${e=>this._scrollUpPressed()}" @mouseup="${e=>this._scrollUpReleased()}">                     <span class="iui-listbar-button-up-icon" style=${styleMap({display:0!==this._currentScrollPos.y?"inline-block":"none"})}></span>                 </div>                 <div id="content" class="iui-listbar-content" style=${styleMap({"margin-top":this._currentScrollPos.y+this._initScrollPos-1+"px"})}> 					<slot @slotchange="${e=>this._slotChange(e)}"></slot>                 </div>                 <div id="buttonDown" class="iui-listbar-button-down" style=${styleMap({display:this._isScrollVisible?"block":"none"})} @mousedown="${e=>this._scrollDownPressed()}" @mouseup="${e=>this._scrollDownReleased()}">                     <span class="iui-listbar-button-down-icon" style=${styleMap({display:this._currentScrollPos.y!==this._maxScrollPos.y?"inline-block":"none"})}></span>                 </div>             </div>         `}_slotChange(e){this._refreshGroupParent();this.updateLayout()}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiListBarDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._buttonUpElem=this.shadowRoot.querySelector("#buttonUp");this._buttonDownElem=this.shadowRoot.querySelector("#buttonDown");this._contentElem=this.shadowRoot.querySelector("#content");this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=listbar]");this._refreshGroupParent()}}window.customElements.define("iui-listbar",IntegralUIListBar);export default IntegralUIListBar;