/*
  filename: integralui.listbox.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBaseList from"./integralui.base.list.js";import"./integralui.scrollbar.js";import{IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiBaseDefaultStyle}from"../styles/default/integralui.style.js";import{iuiListBoxDefaultStyle}from"../styles/default/integralui.listbox.style.js";import{iuiListBoxOfficeStyle}from"../styles/themes/office/integralui.listbox.office.js";import{iuiListBoxDarkStyle}from"../styles/color-schemes/dark/integralui.listbox.dark.js";import{iuiListBoxLightStyle}from"../styles/color-schemes/light/integralui.listbox.light.js";import{iuiListItemDefaultStyle}from"../styles/default/integralui.listitem.style.js";import{iuiListItemOfficeStyle}from"../styles/themes/office/integralui.listitem.office.js";import{iuiListItemDarkStyle}from"../styles/color-schemes/dark/integralui.listitem.dark.js";import{iuiListItemLightStyle}from"../styles/color-schemes/light/integralui.listitem.light.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";class IntegralUIListBox extends IntegralUIBaseList{_init(){super._init();this._currentGroupList=[];this._dataGroups=[];this._isExpandBoxVisible=!0;this._isGroupingEnabled=!1;this._currentBaseStyleSettings=iuiBaseDefaultStyle;this._currentControlStyleSettings=iuiListBoxDefaultStyle;this._currentItemColorSchemeSettings=css``;this._currentItemStyleSettings=iuiListItemDefaultStyle;this._currentItemThemeSettings=css``;this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._generalClassName="iui-listbox";this._groupClassName="iui-listgroup";this._groupContentClassName=this._groupClassName+"-content";this._expandBoxClassName=this._groupClassName+"-expand-box";this._itemClassName="iui-listitem";this._itemContentClassName=this._itemClassName+"-content";this._updateOptions();this._initStyle();this._updateData()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._removeDropMark();if(this._updateTimer)clearTimeout(this._updateTimer);this._rt()}attributeChangedCallback(t,e,s){super.attributeChangedCallback(t,e,s)}static get properties(){return{groups:{type:Array},showExpandBox:{type:Boolean,attribute:"show-expandbox",reflect:!0},showGroups:{type:Boolean,attribute:"show-groups",reflect:!0}}}get groups(){return this._dataGroups}set groups(t){const e=this._dataGroups;this._dataGroups=t;this.requestUpdate("groups",e)}get showExpandBox(){return this._isExpandBoxVisible}set showExpandBox(t){if(this._isExpandBoxVisible!==t){const e=this._isExpandBoxVisible;this._isExpandBoxVisible=t;this.requestUpdate("showExpandBox",e);this.updateLayout()}}get showGroups(){return this._isGroupingEnabled}set showGroups(t){if(this._isGroupingEnabled!==t){const e=this._isGroupingEnabled;this._isGroupingEnabled=t;this.requestUpdate("showGroups",e);this.updateLayout()}}_addItemToCurrentList(t,e){t.type=e?"group":"item";if(!t[this._options.dataFields.id])t[this._options.dataFields.id]=this._commonService.getUniqueId();if(e?!0:this._isItemAllowed(t))this._currentList.push({data:t})}loadData(t,e){this._processLoadData(t,null,e)}_updateCurrentList(){this._currentList.length=0;this._currentGroupList.length=0;let t=this._dataService.getList();if(t){this._applySorting(t);if(this._isGroupingEnabled){this._dataGroups.forEach(t=>{if(this._commonService.isObject(t))this._currentGroupList.push(t);else this._currentGroupList.push({name:t})});this._applySorting(this._currentGroupList);this._currentGroupList.filter(t=>this._isGroupAllowed(t)).forEach(e=>{let s=t.filter(t=>t[this._options.dataFields.group]===e[this._options.dataFields.name]);if(s.length>0){this._addItemToCurrentList(e,!0);if(this.isItemExpanded(e))s.map(t=>this._addItemToCurrentList(t))}})}else t.map(t=>this._addItemToCurrentList(t))}}_updateScrollItemList(){this._resetScrollItemList();this._scrollItemList.length=0;this.update();let t=1;for(let e=this._currentIndex;e<this._currentList.length&&e<this._currentIndex+this._visibleRange;e++,t++){let s=this._currentList[e],i={clickPos:{x:0,y:0},data:s.data,index:e-this._currentIndex,inlineStyle:this._getItemInlineStyle(s),style:{},tabIndex:t};this._updateItemStyle(i);this._scrollItemList.push(i)}}_expandBoxMouseDown(t,e){if(this._isEnabled&&1===t.which)this.toggle(e);t.stopPropagation()}_expandBoxTouchStart(t,e){if(this._isEnabled)this.toggle(e);t.stopPropagation()}collapse(t){this.toggle(t,!1)}expand(t){this.toggle(t,!0)}toggle(t,e){if(t){if(e&&!1!==t[this._options.dataFields.expanded])return;else if(!1===e&&!1===t[this._options.dataFields.expanded])return;let s=void 0!==e?e:!1!==t[this._options.dataFields.expanded]?!0:!1,i=void 0!==e?e:!s;if(i!==t[this._options.dataFields.expanded]){t[this._options.dataFields.expanded]=i;this._updateCurrentLayout(!1)}}else{this._currentGroupList.forEach(t=>t[this._options.dataFields.expanded]=e);this._updateCurrentLayout(!1)}this.update()}_updateBlockSize(){this._blockSize={width:this._contentElem.offsetWidth,height:this._contentElem.offsetHeight}}_getContentSize(){return this._contentElem?{width:this._contentElem.offsetWidth,height:this._contentElem.offsetHeight}:{width:0,height:0}}_processUpdateLayout(){let t=this;return new Promise(e=>{if(t._isUpdateAllowed){t._resetLayoutTimer();t.updateTimer=setTimeout(function(){t._updateCurrentList();t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight};t._updateScrollItemList();t.update();let s=setTimeout(function(){t._updateItemElems();t._updateBlockSize();t._avgItemHeight=0;let i=t._getItemElemList();if(i&&i.length>0){let e=0;for(let t=0;t<i.length;t++)e+=i[t].offsetHeight;t._avgItemHeight=Math.floor(e/i.length)}t._updateScrollSize();t._updateVisibleRange();t._updateScrollItemList();t.refresh();t._invokeEvent("updateComplete");t._updateItemElems();clearTimeout(s);e()},1);clearTimeout(t.updateTimer)},1)}})}_updateCurrentLayout(t){let e=this;if(e._isUpdateAllowed){e._resetLayoutTimer();e._updateCurrentList();e._updateScrollItemList();e._updateScrollSize();e._updateTimer=setTimeout(function(){e._updateBlockSize();e.update();e._updateItemElems();e._updateHoverContentPos();e._updateSelectContentPos();e.update();clearTimeout(e._updateTimer)},1)}}_getControlStyle(){let t={cursor:this._ctrlCursor,overflow:this.virtualMode?"hidden":"auto"};if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";return t}_resetRefresh(){if(this._refreshTimer)clearTimeout(this._refreshTimer);this._refreshTimer=null}refresh(t){this._resetRefresh();if(!1!==this.virtualMode){this._updateControlClass();this._scrollItemList.map(t=>this._updateItemStyle(t))}this.update();this._updateReferences()}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentItemColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListBoxDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListBoxLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListItemLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentItemColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentItemThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiListBoxOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiListItemOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentItemThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}firstUpdated(t){let e=this;e._updateReferences();setTimeout(function(){e._isHoverTemplatePresent=e.itemHoverTemplate?!0:!1;e._isSelectedTemplatePresent=e.itemSelectTemplate?!0:!1;e.updateLayout()},1)}updated(t){t.forEach((t,e)=>{});this._updateFocusItem()}_getLayoutTemplate(t,e){if("group"===t.data.type)return html`                 <div class=${classMap(t.style.general)} @dblclick="${e=>this._itemDblClickEvent(e,t)}" @mousedown="${e=>this._itemMouseDown(e,t)}" @touchstart="${e=>this._itemTouchStart(e,t)}">                     <div data-item-content class=${classMap(t.style.content)} tabindex="${t.tabIndex}" @focus="${e=>this._itemGotFocus(t)}" @blur="${e=>this._itemLostFocus(t)}" @keydown="${e=>this._itemKeyDown(e,t)}" @keypress="${e=>this._itemKeyPress(e,t)}" @keyup="${e=>this._itemKeyUp(e,t)}">                         ${this.showExpandBox?html`<span class=${classMap(t.style.expandBox)} @mousedown="${e=>this._expandBoxMouseDown(e,t.data)}" @touchstart="${e=>this._expandBoxTouchStart(e,t.data)}"></span>`:html``}                         <div style="display:inline-block">                             ${this._getItemTemplate(t.data)}                         </div>                     </div>                 </div>             `;else return html`                 <div class=${classMap(t.style.general)} @click="${e=>this._itemClickEvent(e,t)}" @dblclick="${e=>this._itemDblClickEvent(e,t)}" @contextmenu="${e=>this._itemRightClickEvent(e,t)}" @mousedown="${e=>this._itemMouseDown(e,t)}" @mousemove="${e=>this._itemMouseMove(e,t)}" @mouseup="${e=>this._itemMouseUp(e,t)}" draggable="true" @dragstart="${e=>this._itemDragStart(e,t)}" @dragover="${s=>this._itemDragOver(s,t,e,!0)}" @drop="${e=>this._itemDragDrop(e,t)}" @touchstart="${e=>this._itemTouchStart(e,t)}" @touchmove="${e=>this._itemTouchMove(e,t)}" @touchend="${e=>this._itemTouchEnd(e,t)}">                     <div data-item-content class=${classMap(t.style.content)} tabindex="${t.tabIndex}" @focus="${e=>this._itemGotFocus(t)}" @blur="${e=>this._itemLostFocus(t)}" @keydown="${e=>this._itemKeyDown(e,t)}" @keypress="${e=>this._itemKeyPress(e,t)}" @keyup="${e=>this._itemKeyUp(e,t)}">                         ${this._getItemTemplate(t.data)}                     </div>                 </div>             `}render(){return html`             <style>                 ${iuiScrollBarStyle}                 ${this._currentBaseStyleSettings}                 ${this._currentScrollStyleSettings}                 ${this._currentControlStyleSettings}                 ${this._currentItemStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentItemThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentItemColorSchemeSettings}                 ${this._currentScrollColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="listbox" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${t=>this._processMouseWheel(t)}" @mousewheel="${t=>this._processMouseWheel(t)}" @mouseenter="${t=>this._onCtrlMouseEnter(t)}" @mouseleave="${t=>this._onCtrlMouseLeave(t)}" @mousemove="${t=>this._onCtrlMouseMove(t)}" @dragenter="${t=>this._ctrlDragEnter(t)}" @dragleave="${t=>this._ctrlDragLeave(t)}" @dragover="${t=>this._ctrlDragOver(t)}" @drop="${t=>this._ctrlDragDrop(t)}" @dragend="${t=>this._ctrlDragEnd(t)}" @scroll="${t=>this._onScroll(t)}">                 <div class=${classMap({"iui-base-loading":this._isLoading?!0:!1,"iui-base-loading-end":this._isLoadingEnd?!0:!1})}>                     <ul id="content" @touchstart="${t=>this._ctrlTouchStart(t)}" @touchend="${t=>this._ctrlTouchEnd(t)}" style=${styleMap({width:this._contentSize.width+"px",height:this._contentSize.height+"px",margin:0,padding:0})}>                         ${this._scrollItemList.map((t,e)=>html`                             <li data-item class=${classMap({"iui-listitem-animate":this.allowAnimation,"iui-listitem-animate-enter-suspended":this.allowAnimation&&t.data===this._hoverItem})} style=${styleMap(t.inlineStyle)} @mouseenter="${e=>this._itemMouseEnter(e,t)}" @mouseleave="${e=>this._itemMouseLeave(e,t)}">                                 ${this._getLayoutTemplate(t,e)}                             </li>                         `)}                     </ul>                     ${this._isHoverTemplatePresent&&!this._isUpdateActive&&this._hoverItemObj&&this._isContentAllowed(this._hoverItemObj.data,"hover")?html`<div class="iui-listbox-block iui-listbox-block-hover" style=${styleMap({left:this._blockHoverRect.left+"px",top:this._blockHoverRect.top+"px",height:this._blockHoverRect.height+"px",width:this._blockHoverRect.width+"px"})}>                                 <div style=${styleMap({height:this._blockHoverRect.height+"px"})} @mousemove="${t=>this._hoverBlockMouseMove(t)}" @mouseleave="${t=>this._hoverBlockMouseLeave(t)}">                                     ${this._getItemTemplate(this._hoverItemObj.data,"hover")}                                 </div>                             </div>`:html``}                     ${this._isSelectedTemplatePresent&&!this._isUpdateActive?this._currentSelectedItems.map((t,e)=>html`<span>                                 ${this._isContentAllowed(t,"select")?html`<div class="iui-listbox-block iui-listbox-block-select" style=${styleMap(this._getSelectBlockRect(e))}>                                         <div style=${styleMap({height:this._blockSelectHeight+"px"})}>                                             ${this._getItemTemplate(t,"select")}                                         </div>                                     </div>`:html``}                                 </span>`):html``}                     ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .value="${this._currentScrollPos.y}" .max="${this._maxScrollPos.y}" .largeChange="${this._scrollLargeChange.y}" .height="${this._scrollBarSize.height}" .theme="${this._currentTheme}" @mouseenter="${t=>this._scrollMouseEnter(t)}" @valueChanged="${t=>this._onVerticalScrollChanged(t)}" @scrollStart="${t=>this._onVerticalScrollStart(t)}" @scrollEnd="${t=>this._onVerticalScrollEnd(t)}"></iui-scrollbar>`:html``}                     ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" orientation="Horizontal" .value="${this._currentScrollPos.x}" .max="${this._maxScrollPos.x}" .width="${this._scrollBarSize.width}" .theme="${this._currentTheme}" @mouseenter="${t=>this._scrollMouseEnter(t)}" @valueChanged="${t=>this._onHorizontalScrollChanged(t)}" @scrollStart="${t=>this._onHorizontalScrollStart(t)}" @scrollEnd="${t=>this._onHorizontalScrollEnd(t)}"></iui-scrollbar>`:html``}                     ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class="iui-scrollbar-corner" style="position:absolute;right:0;bottom:0;width:16px;height:16px;"></div>`:html``}                 </div>                 ${this._isLoading?html`<div class="iui-loading-icon" style=${styleMap({top:this._loadIconPos.top+"px",left:this._loadIconPos.left+"px"})}></div>`:html``}             </div>         `}_updateControlStyleSettings(t){this._currentBaseStyleSettings=css``;this._currentBaseStyleSettings.cssText=this._commonService.replaceAll(iuiBaseDefaultStyle.cssText,"../../icons",t);this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiListBoxDefaultStyle.cssText,"../../icons",t);this._currentItemStyleSettings=css``;this._currentItemStyleSettings.cssText=this._commonService.replaceAll(iuiListItemDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=listbox]");this._contentElem=this.shadowRoot.querySelector("#content")}}window.customElements.define("iui-listbox",IntegralUIListBox);export default IntegralUIListBox;