/*
  filename: integralui.listview.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBaseList from"./integralui.base.list.js";import{IntegralUIScrollMode,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import"./integralui.scrollbar.js";import{iuiBaseDefaultStyle}from"../styles/default/integralui.style.js";import{iuiListViewDefaultStyle}from"../styles/default/integralui.listview.style.js";import{iuiListViewOfficeStyle}from"../styles/themes/office/integralui.listview.office.js";import{iuiListViewDarkStyle}from"../styles/color-schemes/dark/integralui.listview.dark.js";import{iuiListViewLightStyle}from"../styles/color-schemes/light/integralui.listview.light.js";import{iuiListItemDefaultStyle}from"../styles/default/integralui.listitem.style.js";import{iuiListItemOfficeStyle}from"../styles/themes/office/integralui.listitem.office.js";import{iuiListItemDarkStyle}from"../styles/color-schemes/dark/integralui.listitem.dark.js";import{iuiListItemLightStyle}from"../styles/color-schemes/light/integralui.listitem.light.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";class IntegralUIListView extends IntegralUIBaseList{_init(){super._init();this._clientSpace={width:0,height:0};this._contentPos={top:0,left:0};this._currentItemSize={width:0,height:0};this._itemsPerColumn=0;this._itemsPerRow=0;this._numColumns=0;this._numRows=0;this._currentScrollMode=IntegralUIScrollMode.Horizontal;this._overflowSettings={horizontal:"auto",vertical:"auto"};this._currentBaseStyleSettings=iuiBaseDefaultStyle;this._currentControlStyleSettings=iuiListViewDefaultStyle;this._currentItemColorSchemeSettings=css``;this._currentItemStyleSettings=iuiListItemDefaultStyle;this._currentItemThemeSettings=css``;this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._generalClassName="iui-listview";this._itemClassName="iui-listitem";this._itemContentClassName=this._itemClassName+"-content";this._updateOptions();this._initStyle();this._updateData()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._removeDropMark();this._resetLayoutTimer();this._rt()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{itemSize:{type:Object,attribute:"item-size"},scrollMode:{attribute:"scroll-mode",converter:{fromAttribute:t=>"horizontal"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIScrollMode.Horizontal:IntegralUIScrollMode.Vertical,toAttribute:(t,e)=>t===IntegralUIScrollMode.Horizontal?"Horizontal":"Vertical"},reflect:!0}}}get itemSize(){return this._currentItemSize}set itemSize(t){if(t){const e=this._currentItemSize;this._currentItemSize={width:t.width>0?t.width+4:0,height:t.height>0?t.height+4:0};this.requestUpdate("itemSize",e);this.updateLayout()}}get scrollMode(){return this._currentScrollMode}set scrollMode(t){if(this._currentScrollMode!==t){const e=this._currentScrollMode;this._currentScrollMode=t;this._contentPos={top:0,left:0};this._currentIndex=0;this._currentScrollPos={x:0,y:0};this.requestUpdate("scrollMode",e);this.updateLayout()}}_updateOverflowSettings(){if(!1!==this.virtualMode)this._overflowSettings={horizontal:"hidden",vertical:"hidden"};else if(this._currentScrollMode===IntegralUIScrollMode.Horizontal)this._overflowSettings={horizontal:"auto",vertical:"hidden"};else this._overflowSettings={horizontal:"hidden",vertical:"auto"}}_itemDragOver(t,e,i,s){if(this._isEnabled){let l=this._getItemElemList();if(l&&i>=0&&i<l.length){let r=this._commonService.getPageRect(l[i]),o={x:r.left,y:r.top,width:r.right-r.left,height:r.bottom-r.top};this._processDragOver(t,e.data,o,s,this._currentScrollMode===IntegralUIScrollMode.Horizontal?"vertical":"horizontal")}}t.stopPropagation()}_addItemToCurrentList(t){t.type="item";if(!t[this._options.dataFields.id])t[this._options.dataFields.id]=this._commonService.getUniqueId();if(this._isItemAllowed(t))this._currentList.push({data:t})}loadData(t,e){this._processLoadData(t,null,e)}_updateCurrentList(){this._currentList.length=0;let t=this._dataService.getList();if(t){this._applySorting(t);t.map(t=>this._addItemToCurrentList(t))}}_updateScrollItemList(){this._resetScrollItemList();this._scrollItemList.length=0;this.update();let t={x:0,y:0},e=1;for(let i=this._currentIndex;i<this._currentList.length&&i<this._currentIndex+this._visibleRange;i++,e++){let s=this._currentList[i],l={clickPos:{x:0,y:0},data:s.data,index:i-this._currentIndex,position:{x:0,y:0},inlineStyle:this._getItemInlineStyle(s),style:{},tabIndex:e};if(this.scrollMode===IntegralUIScrollMode.Horizontal){if(t.y+this._currentItemSize.height>this._clientSpace.height)t={x:t.x+this._currentItemSize.width,y:0};l.position={x:t.x,y:t.y};t.y+=this._currentItemSize.height}else{if(t.x+this._currentItemSize.width>this._clientSpace.width)t={x:0,y:t.y+this._currentItemSize.height};l.position={x:t.x,y:t.y};t.x+=this._currentItemSize.width}this._updateItemStyle(l);this._scrollItemList.push(l)}}_isDropPosHorizontal(){return this._currentScrollMode===IntegralUIScrollMode.Horizontal?!1:!0}_processDownArrowKey(t,e){let i=this._getDownItem(t);if(i){this._currentFocusObj=i;let t=this,s=setTimeout(function(){t._processSelection(e,i.data);clearTimeout(s)},1),l=Math.floor(this._visibleRange/2);if(t.scrollMode===IntegralUIScrollMode.Horizontal){if(i.index>=l-this._itemsPerColumn)this.scrollPos({x:this._currentScrollPos.x+this.itemSize.width,y:this._currentScrollPos.y})}else if(i.index>=l-this._itemsPerRow)this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this.itemSize.height})}return i}_processEndKey(t,e){let i=null,s=this;if(s._scrollItemList.length>0){if(s.scrollMode===IntegralUIScrollMode.Horizontal)s.scrollPos({x:s._maxScrollPos.x,y:s._currentScrollPos.y});else s.scrollPos({x:s._currentScrollPos.x,y:s._maxScrollPos.y});setTimeout(function(){i=s._scrollItemList[s._scrollItemList.length-1];s._currentFocusObj=i;let t=setTimeout(function(){s._processSelection(e,i.data);clearTimeout(t)},1)},1)}return i}_processHomeKey(t,e){let i=null,s=this;if(s._scrollItemList.length>0){if(s.scrollMode===IntegralUIScrollMode.Horizontal)s.scrollPos({x:0,y:s._currentScrollPos.y});else s.scrollPos({x:s._currentScrollPos.x,y:0});setTimeout(function(){i=s._scrollItemList[0];s._currentFocusObj=i;let t=setTimeout(function(){s._processSelection(e,i.data);clearTimeout(t)},1)},1)}return i}_processLeftArrowKey(t,e){let i=this._getLeftItem(t);if(i){this._currentFocusObj=i;let t=this,s=setTimeout(function(){t._processSelection(e,i.data);clearTimeout(s)},1);if(t.scrollMode===IntegralUIScrollMode.Horizontal){if(i.index<this._itemsPerColumn)this.scrollPos({x:this._currentScrollPos.x-this.itemSize.width,y:this._currentScrollPos.y})}else if(i.index<this._itemsPerRow)this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this.itemSize.height})}return i}_processPageDownKey(t,e){let i=null,s=this;if(s._scrollItemList.length>0){let l=0;if(s.scrollMode===IntegralUIScrollMode.Horizontal){l=Math.floor((s._visibleRange-2*s._itemsPerColumn)/2);if(s._itemsPerColumn>0)s.scrollPos({x:s._currentScrollPos.x+Math.floor(l*s.itemSize.width/s._itemsPerColumn),y:s._currentScrollPos.y})}else{l=Math.floor((s._visibleRange-2*s._itemsPerRow)/2);if(s._itemsPerRow>0)s.scrollPos({x:s._currentScrollPos.x,y:s._currentScrollPos.y+Math.floor(l*s.itemSize.height/s._itemsPerRow)})}setTimeout(function(){let l=t.index>=0&&t.index<s._scrollItemList.length?t.index:s._scrollItemList.length-1;l=s.scrollMode===IntegralUIScrollMode.Horizontal?s._currentScrollPos.x===s._maxScrollPos.x?s._scrollItemList.length-1:l:s._currentScrollPos.y===s._maxScrollPos.y?s._scrollItemList.length-1:l;i=s._scrollItemList[l];s._currentFocusObj=i;let r=setTimeout(function(){s._processSelection(e,i.data);clearTimeout(r)},1)},1)}return i}_processPageUpKey(t,e){let i=null,s=this;if(s._scrollItemList.length>0){let l=0;if(s.scrollMode===IntegralUIScrollMode.Horizontal){l=Math.floor((this._visibleRange-2*this._itemsPerColumn)/2);if(s.itemsPerColumn>0)s.scrollPos({x:s._currentScrollPos.x-Math.floor(l*s.itemSize.width/this._itemsPerColumn),y:s._currentScrollPos.y})}else{l=Math.floor((this._visibleRange-2*this._itemsPerRow)/2);if(s._itemsPerRow>0)s.scrollPos({x:s._currentScrollPos.x,y:s._currentScrollPos.y-Math.floor(l*s.itemSize.height/this._itemsPerRow)})}setTimeout(function(){let l=t.index>=0&&t.index<s._scrollItemList.length?t.index:0;l=s.scrollMode===IntegralUIScrollMode.Horizontal?0===s._currentScrollPos.x?0:l:0===s._currentScrollPos.y?0:l;i=s._scrollItemList[l];s._currentFocusObj=i;let r=setTimeout(function(){s._processSelection(e,i.data);clearTimeout(r)},1)},1)}return i}_processRightArrowKey(t,e){let i=this._getRightItem(t);if(i){this._currentFocusObj=i;let t=this,s=setTimeout(function(){t._processSelection(e,i.data);clearTimeout(s)},1),l=Math.floor(this._visibleRange/2);if(t.scrollMode===IntegralUIScrollMode.Horizontal){if(i.index>=l-this._itemsPerColumn)this.scrollPos({x:this._currentScrollPos.x+this.itemSize.width,y:this._currentScrollPos.y})}else if(i.index>=l-this._itemsPerRow)this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this.itemSize.height})}return i}_processUpArrowKey(t,e){let i=this._getUpItem(t);if(i){this._currentFocusObj=i;let t=this,s=setTimeout(function(){t._processSelection(e,i.data);clearTimeout(s)},1);if(t.scrollMode===IntegralUIScrollMode.Horizontal){if(i.index<this._itemsPerColumn)this.scrollPos({x:this._currentScrollPos.x-this.itemSize.width,y:this._currentScrollPos.y})}else if(i.index<this._itemsPerRow)this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this.itemSize.height})}return i}_getDownItem(t){let e=t.index>=0&&t.index<this._scrollItemList.length-1?t.index+1:-1;if(this.scrollMode!==IntegralUIScrollMode.Horizontal)e=(e=t.index+this._itemsPerRow)>=0&&e<this._scrollItemList.length?e:-1;return e>=0?this._scrollItemList[e]:null}_getLeftItem(t){let e=t.index-this._itemsPerColumn;e=e>=0&&e<this._scrollItemList.length?e:-1;if(this.scrollMode!==IntegralUIScrollMode.Horizontal)e=t.index>0?t.index-1:-1;return e>=0&&e<this._scrollItemList.length?this._scrollItemList[e]:null}_getRightItem(t){let e=t.index+this._itemsPerColumn;e=e>=0&&e<this._scrollItemList.length?e:-1;if(this.scrollMode!==IntegralUIScrollMode.Horizontal)e=t.index>=0&&t.index<this._scrollItemList.length-1?t.index+1:-1;return e>=0&&e<this._scrollItemList.length?this._scrollItemList[e]:null}_getUpItem(t){let e=t.index>0?t.index-1:-1;if(this.scrollMode!==IntegralUIScrollMode.Horizontal)e=(e=t.index-this._itemsPerRow)>=0&&e<this._scrollItemList.length?e:-1;return e>=0?this._scrollItemList[e]:null}_itemMouseDown(t,e){if(this._isEnabled){this._isItemClicked=!0;if(this._options.allowFocus&&1===t.which)this._currentFocusObj=e;this._processSelection(t,e.data);if(this._prevClickedObj)this._prevClickedObj.isClicked=!1;e.isClicked=!0;let i=this._commonService.getShiftPos(),s=this._commonService.getMousePos(t);s.x-=i.x;s.y-=i.y;let l=this._commonService.getPageRect(this._elemRef);e.clickPos.x=Math.abs(s.x-l.left-e.position.x);this._prevClickedObj=e}t.stopPropagation()}_getContentSize(){return this.contentElem?{width:this.contentElem.offsetWidth,height:this.contentElem.offsetHeight}:{width:0,height:0}}_processUpdateLayout(){let t=this;return new Promise(e=>{if(t._isUpdateAllowed){t._updateOverflowSettings();t._resetLayoutTimer();t._updateTimer=setTimeout(function(){t._updateCurrentList();if(0===t._currentList.length)t._currentScrollPos={x:0,y:0};t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight};t._updateScrollItemList();t.update();let i=setTimeout(function(){t._updateItemElems();t._updateBlockSize();t._avgItemHeight=t.itemSize.height;t._animateItemSize={width:t.itemSize.width,height:t.itemSize.height};t._updateScrollSize();t._updateVisibleRange();t._updateScrollItemList();t.refresh();t._invokeEvent("updateComplete");t._updateItemElems();clearTimeout(i);e()},1);clearTimeout(t._updateTimer)},1)}})}_updateScrollSize(){let t=this;t._contentSize={width:t._clientRect.width,height:t._clientRect.height};if(this._currentScrollMode===IntegralUIScrollMode.Horizontal){this._itemsPerColumn=Math.floor(this._clientRect.height/this.itemSize.height);let e=this._itemsPerColumn>0?this._currentList.length/this._itemsPerColumn:0;this._numColumns=Math.floor(e);if(this._numColumns<e)this._numColumns++;let i=this._numColumns*this.itemSize.width-t._clientRect.width+2;if(i>0){this._itemsPerColumn=Math.floor((this._clientRect.height-16)/this.itemSize.height);e=this._itemsPerColumn>0?this._currentList.length/this._itemsPerColumn:0;this._numColumns=Math.floor(e);if(this._numColumns<e)this._numColumns++;i=this._numColumns*this.itemSize.width-t._clientRect.width+2}t._scrollSize.width=i;t._contentSize.width+=this.itemSize.width}else{this._itemsPerRow=Math.floor(this._clientSpace.width/this.itemSize.width);let e=this._itemsPerRow>0?this._currentList.length/this._itemsPerRow:0;this._numRows=Math.floor(e);if(this._numRows<e)this._numRows++;let i=this._numRows*this.itemSize.height-t._clientRect.height+2;if(i>0){this._itemsPerRow=Math.floor((this._clientRect.width-16)/this.itemSize.width);e=this._itemsPerRow>0?this._currentList.length/this._itemsPerRow:0;this._numRows=Math.floor(e);if(this._numRows<e)this._numRows++;i=this._numRows*this.itemSize.height-t._clientRect.height+2}t._scrollSize.height=i;t._contentSize.height+=this.itemSize.height}if(t.isVerScrollVisible()){t._contentSize.width-=18;if(t._scrollSize.width>0)t._scrollSize.width+=16}if(t.isHorScrollVisible())t._scrollSize.height+=16;t._scrollSize.width=t._scrollSize.width>0?t._scrollSize.width:0;t._scrollSize.height=t._scrollSize.height>0?t._scrollSize.height:0;t._maxScrollPos={x:t._scrollSize.width,y:t._scrollSize.height};if(t._currentScrollPos.x>t._maxScrollPos.x)t._changeHorizontalScrollPos(t._maxScrollPos.x);if(t._currentScrollPos.y>t._maxScrollPos.y)t._changeVerticalScrollPos(t._maxScrollPos.y);t._scrollBarSize={width:t.isVerScrollVisible()?t._clientRect.width-20:t._clientRect.width-4,height:t.isHorScrollVisible()?t._clientRect.height-20:t._clientRect.height-4};t._scrollLargeChange={x:t._scrollBarSize.width,y:t._scrollBarSize.height};t._clientSpace={width:t._clientRect.width,height:t._clientRect.height};if(t.isHorScrollVisible())t._clientSpace.height-=16;if(t.isVerScrollVisible())t._clientSpace.width-=16}_updateVisibleRange(){this._visibleRange=1;let t=this._getItemElemList();if(t&&t.length>0)if(this._currentScrollMode===IntegralUIScrollMode.Horizontal)this._visibleRange=2*Math.floor(this._clientSpace.height/this.itemSize.height)*(Math.floor(this._clientSpace.width/this.itemSize.width)+1);else this._visibleRange=2*(Math.floor(this._clientSpace.height/this.itemSize.height)+1)*Math.floor(this._clientSpace.width/this.itemSize.width)}_changeHorizontalScrollPos(t){this._currentScrollPos.x=Math.max(0,Math.min(t,this._maxScrollPos.x));if(this._currentScrollPos.x!==this.prevScrollPos.x){this.updateView();this.scrollPosChanged.emit({value:this.scrollPos()});this.prevScrollPos.x=this._currentScrollPos.x}}isVerScrollVisible(){if(!this.virtualMode||this._currentScrollMode===IntegralUIScrollMode.Horizontal)return!1;else return this._isEnabled&&this._scrollSize.height>0?!0:!1}isHorScrollVisible(){if(!this.virtualMode||this._currentScrollMode===IntegralUIScrollMode.Vertical)return!1;else return this._isEnabled&&this._scrollSize.width>0?!0:!1}_onHorizontalScrollChanged(t){this._changeHorizontalScrollPos(t.value)}updateView(){if(this._currentScrollMode===IntegralUIScrollMode.Horizontal){let t=Math.floor(this._clientSpace.height/this.itemSize.height),e=Math.floor(this._currentScrollPos.x/this.itemSize.width);this._contentPos.left=this._currentScrollPos.x-e*this.itemSize.width;this._currentIndex=e*t}else{let t=Math.floor(this._clientSpace.width/this.itemSize.width),e=Math.floor(this._currentScrollPos.y/this.itemSize.height);this._contentPos.top=this._currentScrollPos.y-e*this.itemSize.height;this._currentIndex=e*t}if(this._currentIndex!==this.prevIndex){this._updateScrollItemList();this._prevIndex=this._currentIndex;this.update();this._updateItemElems()}}_listViewMouseWheel(t){if(this._isEnabled)this._processMouseWheel(t,this.scrollMode===IntegralUIScrollMode.Horizontal)}scrollTo(t){if(!1!==this.virtualMode&&t){let e=this._getItemCurrentIndex(t);if(e>=0){let t=0;if(this._currentScrollMode===IntegralUIScrollMode.Horizontal){if(this._itemsPerColumn>0&&this.itemSize.width>0){t=this.itemSize.width*(e/this._itemsPerColumn-Math.floor(this._clientSpace.width/this.itemSize.width)+1);this.scrollPos({x:t,y:this._currentScrollPos.y})}}else if(this._itemsPerRow>0&&this.itemSize.height>0){t=this.itemSize.height*(e/this._itemsPerRow-Math.floor(this._clientSpace.height/this.itemSize.height)+1);this.scrollPos({x:this._currentScrollPos.x,y:t})}this.updateLayout()}}}clearSelection(){super.clearSelection()}_getControlStyle(){let t={cursor:this._ctrlCursor,"overflow-x":this._overflowSettings.horizontal,"overflow-y":this._overflowSettings.vertical};if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";return t}_getDefaultListStyle(){return{general:this._getDefaultGeneralStyle(),item:this._getDefaultItemStyle()}}_getItemInlineStyle(t){let e=t.data[this._options.dataFields.style]||{};e.position="absolute";if(t.position){e.top=t.position.y+"px";e.left=t.position.x+"px"}e.width=this._currentItemSize.width-4+"px";e.height=this._currentItemSize.height-4+"px";return e}_resetRefresh(){if(this._refreshTimer)clearTimeout(this._refreshTimer);this._refreshTimer=null}refresh(t){this._resetRefresh();if(!1!==this.virtualMode){this._updateControlClass();this._scrollItemList.map(t=>this._updateItemStyle(t))}this.update();this._updateReferences()}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentItemColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListViewDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListViewLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiListItemLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentItemColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentItemThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiListViewOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiListItemOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentItemThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}firstUpdated(t){this._updateReferences();this.updateLayout()}updated(t){t.forEach((t,e)=>{});this._updateFocusItem()}render(){return html`             <style>                 ${iuiScrollBarStyle}                 ${this._currentBaseStyleSettings}                 ${this._currentScrollStyleSettings}                 ${this._currentControlStyleSettings}                 ${this._currentItemStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentItemThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentItemColorSchemeSettings}                 ${this._currentScrollColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="listview" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${t=>this._listViewMouseWheel(t)}" @mousewheel="${t=>this._listViewMouseWheel(t)}" @mouseenter="${t=>this._onCtrlMouseEnter(t)}" @mouseleave="${t=>this._onCtrlMouseLeave(t)}" @dragenter="${t=>this._ctrlDragEnter(t)}" @dragleave="${t=>this._ctrlDragLeave(t)}" @dragover="${t=>this._ctrlDragOver(t)}" @drop="${t=>this._ctrlDragDrop(t)}" @dragend="${t=>this._ctrlDragEnd(t)}" @scroll="${t=>this._onScroll(t)}">                 <div class=${classMap({"iui-base-loading":this._isLoading?!0:!1,"iui-base-loading-end":this._isLoadingEnd?!0:!1})}>                     <ul id="content" @touchstart="${t=>this._ctrlTouchStart(t)}" @touchend="${t=>this._ctrlTouchEnd(t)}" style=${styleMap({left:-this._contentPos.left+"px",top:-this._contentPos.top+"px",width:this._contentSize.width+"px",height:this._contentSize.height+"px",position:"absolute",margin:0,padding:0})}>                         ${this._scrollItemList.map((t,e)=>html`                             <li data-item class=${classMap({"iui-listitem-general":!this.allowAnimation,"iui-listitem-animate":this.allowAnimation,"iui-listitem-animate-enter-suspended":this.allowAnimation&&t.data===this._hoverItem})} @mouseenter="${e=>this._itemMouseEnter(e,t)}" @mouseleave="${e=>this._itemMouseLeave(e,t)}" style=${styleMap(t.inlineStyle)}">                                 <div class=${classMap(t.style.general)} style=${styleMap({width:t.inlineStyle.width,height:t.inlineStyle.height})} @click="${e=>this._itemClickEvent(e,t)}" @dblclick="${e=>this._itemDblClickEvent(e,t)}" @contextmenu="${e=>this._itemRightClickEvent(e,t)}" @mousedown="${e=>this._itemMouseDown(e,t)}" @mouseup="${e=>this._itemMouseUp(e,t)}" draggable="true" @dragstart="${e=>this._itemDragStart(e,t)}" @dragover="${i=>this._itemDragOver(i,t,e,!0)}" @drop="${e=>this._itemDragDrop(e,t)}" @touchstart="${e=>this._itemTouchStart(e,t)}" @touchmove="${e=>this._itemTouchMove(e,t)}" @touchend="${e=>this._itemTouchEnd(e,t)}">                                     <div data-item-content class=${classMap(t.style.content)} tabindex="${t.tabIndex}" @focus="${e=>this._itemGotFocus(t)}" @blur="${e=>this._itemLostFocus(t)}" @keydown="${e=>this._itemKeyDown(e,t)}" @keypress="${e=>this._itemKeyPress(e,t)}" @keyup="${e=>this._itemKeyUp(e,t)}">                                         ${this._getItemTemplate(t.data)}                                     </div>                                 </div>                             </li>                         `)}                     </ul>                     ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .value="${this._currentScrollPos.y}" .max="${this._maxScrollPos.y}" .largeChange="${this._scrollLargeChange.y}" .height="${this._scrollBarSize.height}" .theme="${this._currentTheme}" @mouseenter="${t=>this._scrollMouseEnter(t)}" @valueChanged="${t=>this._onVerticalScrollChanged(t)}" @scrollStart="${t=>this._onVerticalScrollStart(t)}" @scrollEnd="${t=>this._onVerticalScrollEnd(t)}"></iui-scrollbar>`:html``}                     ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" orientation="Horizontal" .value="${this._currentScrollPos.x}" .max="${this._maxScrollPos.x}" .width="${this._scrollBarSize.width}" .theme="${this._currentTheme}" @mouseenter="${t=>this._scrollMouseEnter(t)}" @valueChanged="${t=>this._onHorizontalScrollChanged(t)}" @scrollStart="${t=>this._onHorizontalScrollStart(t)}" @scrollEnd="${t=>this._onHorizontalScrollEnd(t)}"></iui-scrollbar>`:html``}                     ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class="iui-scrollbar-corner" style="position:absolute;right:0;bottom:0;width:16px;height:16px;"></div>`:html``}                 </div>                 ${this._isLoading?html`<div class="iui-loading-icon" style=${styleMap({top:this._loadIconPos.top+"px",left:this._loadIconPos.left+"px"})}></div>`:html``}             </div>         `}_updateControlStyleSettings(t){this._currentBaseStyleSettings=css``;this._currentBaseStyleSettings.cssText=this._commonService.replaceAll(iuiBaseDefaultStyle.cssText,"../../icons",t);this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiListViewDefaultStyle.cssText,"../../icons",t);this._currentItemStyleSettings=css``;this._currentItemStyleSettings.cssText=this._commonService.replaceAll(iuiListItemDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=listview]");this._contentElem=this.shadowRoot.querySelector("#content")}}window.customElements.define("iui-listview",IntegralUIListView);export default IntegralUIListView;