/*
  filename: integralui.menu.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIColorScheme,IntegralUITheme,IntegralUIOrientation}from"./integralui.enums.js";import"./integralui.menuitem.js";import{iuiMenuDefaultStyle}from"../styles/default/integralui.menu.style.js";import{iuiMenuOfficeStyle}from"../styles/themes/office/integralui.menu.office.js";import{iuiMenuDarkStyle}from"../styles/color-schemes/dark/integralui.menu.dark.js";import{iuiMenuLightStyle}from"../styles/color-schemes/light/integralui.menu.light.js";class IntegralUIMenu extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService();this._dataItems=[];this._menuItems=[];this._currentControlStyleSettings=iuiMenuDefaultStyle;this._generalClassName="iui-menu";this._initStyle();this._updateData()}connectedCallback(){}disconnectedCallback(){this._rt()}attributeChangedCallback(e,t,s){super.attributeChangedCallback(e,t,s)}static get properties(){return{items:{type:Array}}}get items(){return this._dataItems}set items(e){const t=this._dataItems;this._dataItems=e;this._updateData();this.requestUpdate("items",t)}_updateData(){this._dataService.init([{data:this._dataItems}])}_getItemFromComponent(e){if(e&&e.data)return e.data;if(this.items){this.itemList=this.contentList.toArray();let t=this.itemList.indexOf(e);if(t>=0&&t<this.items.length)return this.items[t]}return null}getItemParent(e){return this._dataService.getParent(e)}_getOffset(){return this._elemRef?{left:this._elemRef.offsetLeft,top:this._elemRef.offsetTop,width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}:{left:0,top:0,width:0,height:0}}invokeCtrlMethod(e,t){switch(e){case"MENU_CLICK":this._invokeEvent("menuClick",{event:t.event,item:t.item});break;default:this._defaultFunc()}}async updateLayout(){this._ut();if(!this._tCmp)this._at();await this._processUpdateLayout();this.update()}_processUpdateLayout(){let e=this;e.update();return new Promise(t=>{e._updateReferences();if(e._menuItems)e._menuItems.forEach(e=>e.refresh());t()})}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiMenuOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_getItemTemplate(e){if(this.itemTemplate){let t=this.itemTemplate(e);return new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}else{let t={},s=this._commonService.isString(e.icon)?e.icon.split(" "):[];s.map(e=>t[e]=!0);return html`                 ${s.length>0?html`<span class=${classMap(t)}></span>`:html``}                 ${e.iconUrl?html`<img style=${styleMap({verticalAlign:"middle"})} src="${e.iconUrl} />`:html``}                 <span class="iui-item-label" >${e.text}</span>             `}}firstUpdated(e){this._updateReferences();this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="menu" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 <ul id="content" class="iui-menu-block">                     ${this._dataItems.map(e=>html`                         <iui-menuitem .allowAnimation="${this.allowAnimation}" .colorScheme="${this._currentColorScheme}" .customStyle="${this.customStyle}" .data="${e}" .items="${e.items}" .enabled="${e.enabled}" .icon="${e.icon}" .iconUrl="${e.iconUrl}" .level="0" .orientation="${IntegralUIOrientation.Horizontal}" .resourcePath="${this.resourcePath}" .text="${e.text}" .templateRef="${this._getItemTemplate(e)}" .theme="${this.theme}"></iui-menuitem>                     `)}                 </ul>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiMenuDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=menu]");this._contentElem=this.shadowRoot.querySelector("#content");if(this._contentElem){this._menuItems=this._contentElem.querySelectorAll("iui-menuitem");if(this._menuItems)this._menuItems.forEach(e=>{e.setParent(this);e.setOffset(this._getOffset())})}}}window.customElements.define("iui-menu",IntegralUIMenu);export default IntegralUIMenu;