/*
  filename: integralui.panel.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiPanelDefaultStyle}from"../styles/default/integralui.panel.style.js";import{iuiPanelDarkStyle}from"../styles/color-schemes/dark/integralui.panel.dark.js";import{iuiPanelLightStyle}from"../styles/color-schemes/light/integralui.panel.light.js";const iuiPanelOfficeStyle=css` `;class IntegralUIPanel extends IntegralUIBase{_init(){super._init();this._isDraggable=!1;this._contentMargin={top:0,left:0};this._currentContentAlignment={horizontal:"left",vertical:"top"};this._generalClassName="iui-panel";this._currentControlStyleSettings=iuiPanelDefaultStyle;this._initStyle();this.updateLayout();this._resizeObserver=new ResizeObserver(t=>{if(t&&t.length>0&&t[0].contentRect){let e=!1;this._clientRect={width:t[0].contentRect.width,height:t[0].contentRect.height};if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;e=!0}if(this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;e=!0}if(e)this.updateLayout()}})}connectedCallback(){}disconnectedCallback(){if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},contentAlignment:{type:Object,attribute:"content-alignment"}}}get allowDrag(){return this._isDraggable}set allowDrag(t){if(this._isDraggable!==t){const e=this._isDraggable;this._isDraggable=t;this.requestUpdate("allowDrag",e);this.update()}}get contentAlignment(){return this._currentContentAlignment}set contentAlignment(t){if(t){let e=!1;const i=this._currentContentAlignment;if(void 0!==t.horizontal&&this._currentContentAlignment.horizontal!==t.horizontal){this._currentContentAlignment.horizontal=t.horizontal;e=!0}if(void 0!==t.vertical&&this._currentContentAlignment.vertical!==t.vertical){this._currentContentAlignment.vertical=t.vertical;e=!0}if(e){this.requestUpdate("contentAlignment",i);this.updateLayout()}}}_processUpdateLayout(){let t=this;return new Promise(e=>{if(t._isUpdateAllowed)setTimeout(function(){t._updateReferences();t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight};switch(t._currentContentAlignment.vertical){case"middle":t._contentMargin.top=Math.max(0,(t._clientRect.height-t._contentElem.offsetHeight)/2);break;case"bottom":t._contentMargin.top=Math.max(0,t._clientRect.height-t._contentElem.offsetHeight);break;default:t._contentMargin.top=0}e()},1)})}async updateLayout(){await this._processUpdateLayout();this.update()}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPanelDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPanelLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiPanelOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(t){this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="panel" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} draggable="${this._isDraggable?!0:!1}">                 <div id="content" style=${styleMap({marginTop:this._contentMargin.top+"px",marginLeft:this._contentMargin.left+"px"})}>                     <slot></slot>                 </div>             </div>         `}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiPanelDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=panel]");this._contentElem=this.shadowRoot.querySelector("#content");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-panel",IntegralUIPanel);export default IntegralUIPanel;