/*
  filename: integralui.pivotgrid.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html,T as TemplateResult,a as defaultTemplateProcessor}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import{IntegralUISortOrder,IntegralUIVisibility,IntegralUIEditorType,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import IntegralUIBaseGrid from"./integralui.base.grid.js";import{iuiBaseDefaultStyle}from"../styles/default/integralui.style.js";import{iuiPivotGridDefaultStyle}from"../styles/default/integralui.pivotgrid.style.js";import{iuiPivotGridOfficeStyle}from"../styles/themes/office/integralui.pivotgrid.office.js";import{iuiPivotGridDarkStyle}from"../styles/color-schemes/dark/integralui.pivotgrid.dark.js";import{iuiPivotGridLightStyle}from"../styles/color-schemes/light/integralui.pivotgrid.light.js";import{iuiEditorsDefaultStyle}from"../styles/default/integralui.editors.style.js";import{iuiSortingDefaultStyle}from"../styles/default/integralui.sorting.style.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";import"./integralui.paginator.js";class IntegralUIPivotGrid extends IntegralUIBaseGrid{_init(){super._init();this._columnExpandList=[];this._ctrlData=[];this._dataFilters=[];this._dataValues=[];this._rowExpandList=[];this._valueFilters=[];this._currentColumnData=[];this._currentRowData=[];this._currentFilteredData=[];this._currentFooterData=[];this._isExpandBoxVisible=!0;this._isTotalVisible=!0;this._currentBaseStyleSettings=iuiBaseDefaultStyle;this._currentControlStyleSettings=iuiPivotGridDefaultStyle;this._currentEditorStyleSettings=iuiEditorsDefaultStyle;this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._currentSortStyleSettings=iuiSortingDefaultStyle;this._generalClassName="iui-pivotgrid";this._columnClassName=this._generalClassName+"-column";this._columnHeaderClassName=this._columnClassName+"-header";this._columnFilterClassName=this._columnClassName+"-filter";this._columnBodyClassName=this._columnClassName+"-body";this._columnFooterClassName=this._columnClassName+"-footer";this._rowClassName=this._generalClassName+"-row";this._cellBorderClassName="iui-pivotgrid-lines-both";this._cellClassName=this._rowClassName+"-cell";this._expandBoxClassName=this._generalClassName+"-expand-box";this._gridLinesClassName=this._generalClassName+"-lines";this._sortingClassName="iui-sort";this._initStyle();this._updateData();this._resizeObserver=new ResizeObserver(e=>{if(e&&e.length>0&&e[0].contentRect){let e=!1;if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;e=!0}if(this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;e=!0}if(e)this.updateLayout(!0)}})}connectedCallback(){super.connectedCallback();this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowClick=this._windowClick.bind(this);window.addEventListener("click",this._windowClick)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("click",this._windowClick);if(this._loadingEndTimeout)clearTimeout(this._loadingEndTimeout);if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null;this._resetLayoutTimer();this._rt()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},column:{header:{cell:this._columnHeaderClassName+"-cell",disabled:this._columnHeaderClassName+"-disabled",normal:this._columnHeaderClassName,hovered:this._columnHeaderClassName+"-hovered",selected:this._columnHeaderClassName+"-selected"},filter:{cell:this._columnFilterClassName+"-cell",disabled:this._columnFilterClassName+"-disabled",normal:this._columnFilterClassName,hovered:this._columnFilterClassName+"-hovered",selected:this._columnFilterClassName+"-selected"},body:{cell:this._columnBodyClassName+"-cell",disabled:this._columnBodyClassName+"-disabled",normal:this._columnBodyClassName,hovered:this._columnBodyClassName+"-hovered",selected:this._columnBodyClassName+"-selected"},footer:{cell:this._columnFooterClassName+"-cell",disabled:this._columnFooterClassName+"-disabled",normal:this._columnFooterClassName,hovered:this._columnFooterClassName+"-hovered",selected:this._columnFooterClassName+"-selected"},expandBox:{general:this._expandBoxClassName,load:this._expandBoxClassName+"-load",expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},sorting:{normal:{ascending:this._sortingClassName+"-ascending",descending:this._sortingClassName+"-descending"},selected:{ascending:this._sortingClassName+"-ascending-selected",descending:this._sortingClassName+"-descending-selected"}}},row:{general:{disabled:this._rowClassName+"-disabled",focused:this._rowClassName+"-focused",normal:this._rowClassName,hovered:this._rowClassName+"-hovered",selected:this._rowClassName+"-selected"},expandBox:{general:this._expandBoxClassName,load:this._expandBoxClassName+"-load",expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},cell:{disabled:this._cellClassName+"-disabled",focused:this._cellClassName+"-focused",normal:this._cellClassName,hovered:this._cellClassName+"-hovered",selected:this._cellClassName+"-selected"}},gridLines:{none:this._gridLinesClassName+"-none",horizontal:this._gridLinesClassName+"-horizontal",vertical:this._gridLinesClassName+"-vertical",both:this._gridLinesClassName+"-both"}};this._updateStyle(this.controlStyle);this._updateControlClass();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{data:{type:Array},filters:{type:Array},showExpandBox:{type:Boolean,attribute:"show-expandbox",reflect:!0},showTotal:{type:Boolean,attribute:"show-total",reflect:!0},values:{type:Array}}}get columns(){return this._dataColumns}set columns(e){const t=this._dataColumns;this._dataColumns=e;this._columnExpandList.length=0;this._updateData();this.requestUpdate("columns",t)}get data(){return this._ctrlData}set data(e){if(this._ctrlData!==e){const t=this._ctrlData;this._ctrlData=e;this.updateLayout();this.requestUpdate("data",t)}}get filters(){return this._dataFilters}set filters(e){if(e&&Array.isArray(e)){const t=this._dataFilters;this._dataFilters=e;this.updateLayout();this.requestUpdate("filters",t)}}get rows(){return this._dataRows}set rows(e){const t=this._dataRows;this._dataRows=e;this._updateData();this.requestUpdate("rows",t)}get showExpandBox(){return this._isExpandBoxVisible}set showExpandBox(e){const t=this._isExpandBoxVisible;this._isExpandBoxVisible=e;this.updateLayout();this.requestUpdate("showExpandBox",t)}get showTotal(){return this._isTotalVisible}set showTotal(e){const t=this._isTotalVisible;this._isTotalVisible=e;this.updateLayout();this.requestUpdate("showTotal",t)}get values(){return this._dataValues}set values(e){if(e&&Array.isArray(e)){const t=this._dataValues;this._dataValues=e;this.updateLayout();this.requestUpdate("values",t)}}_getFilteredData(e){let t=[...e];this._valueFilters=this._dataFilters.filter(e=>this._commonService.getObjFromByName(this._dataValues,"name",e.measure));this._dataFilters.forEach(e=>{if(!this._commonService.getObjFromByName(this._dataValues,"name",e.measure))t=t.filter(t=>{let i=this._filterService.createTree(e.conditions,e.formula);return this._filterService.match(t[e.name],e.conditions,e.formula,i,e.caseSensitive)})});return t}_getSortedColumnData(e,t){let i=this._dataColumns[t][this._columnFields.name],l=this._dataColumns[t][this._columnFields.sorting];if(l)e.sort(this._sortBy(i,l));return e}_getSortedRowData(e,t){let i=this._dataRows[t][this._rowFields.name],l=this._dataRows[t][this._rowFields.sorting];if(l)e.sort(this._sortBy(i,l));return e}loadData(e,t){this._processLoadData(e,null,t)}_sortBy(e,t){return function(i,l){let s=i[e],o=l[e];s=void 0!==s?s:null;o=void 0!==o?o:null;switch(t){case IntegralUISortOrder.Ascending:if(s<o)return-1;else if(s>o)return 1;break;case IntegralUISortOrder.Descending:if(s>o)return-1;else if(s<o)return 1;break;default:return 0}return 0}}_checkColumnsFromData(e,t,i){let l=[];if(i<this._dataColumns.length){let s=this._dataColumns[i][this._columnFields.name],o=this._getFilteredData(t);o.forEach(t=>{if(!this._checkObj(l,[this._columnFields.headerText],t[s])){let a={[this._columnFields.columns]:[],[this._columnFields.name]:t[s]},r=o.filter(e=>e[s]===t[s]);this._checkColumnsFromData(e,r,i+1);l.push(a)}})}e=Math.max(e,l.length)}_createColumnsFromData(e,t,i){let l=[];if(t<this._dataColumns.length){let s=this._dataColumns[t][this._columnFields.name],o=this._dataColumns[t][this._columnFields.expanded],a=this._dataColumns[t][this._columnFields.width],r=this._dataColumns[t][this._columnFields.contentAlignment],n=this._dataColumns[t][this._columnFields.footerAlignment],h=this._dataColumns[t][this._columnFields.headerAlignment],d=this._dataColumns[t][this._columnFields.format],c=this._getFilteredData(e),u=this._getSortedColumnData(c,t);c.forEach(e=>{if(!this._checkObj(l,[this._columnFields.headerText],e[s])){let c={[this._columnFields.id]:i+"_"+e[s],[this._columnFields.columns]:[],[this._columnFields.contentAlignment]:r,[this._columnFields.footerAlignment]:n,[this._columnFields.format]:d,[this._columnFields.headerAlignment]:h,[this._columnFields.headerText]:e[s],[this._columnFields.isEnd]:t===this._dataColumns.length-1,[this._columnFields.name]:e[s],[this._columnFields.width]:a};c[this._columnFields.expanded]=this._isColumnExpandTriggered(c[this._columnFields.id])?this._getColumnExpandValue(c[this._columnFields.id]):o;let m=u.filter(t=>t[s]===e[s]);if(this._isColumnExpanded(c))c[this._columnFields.columns]=this._createColumnsFromData(m,t+1,c[this._columnFields.id]);else if(this._dataValues.length>1)c[this._columnFields.columns]=this._createColumnsFromValues(c[this._columnFields.id]);l.push(c)}})}else if(this._dataColumns.length>0){if(this._dataValues.length>1)l=this._createColumnsFromValues(i)}else l=this._createColumnsFromValues(i);return l}_createColumnsFromValues(e){let t=[];this._dataValues.forEach(i=>{t.push({[this._columnFields.id]:e+"_"+i[this._columnFields.name],[this._columnFields.contentAlignment]:i[this._columnFields.contentAlignment],[this._columnFields.footerAlignment]:i[this._columnFields.footerAlignment],[this._columnFields.format]:i[this._columnFields.format],[this._columnFields.headerAlignment]:i[this._columnFields.headerAlignment],[this._columnFields.headerText]:i[this._columnFields.name],[this._columnFields.isEnd]:!0,[this._columnFields.name]:i[this._columnFields.name],[this._columnFields.width]:i[this._columnFields.width]})});return t}_createTotalColumnsFromValues(e){let t=[];this._dataValues.forEach(i=>{t.push({[this._columnFields.id]:e+"_"+i[this._columnFields.name],[this._columnFields.contentAlignment]:i[this._columnFields.contentAlignment],[this._columnFields.footerAlignment]:i[this._columnFields.footerAlignment],[this._columnFields.format]:i[this._columnFields.format],[this._columnFields.headerAlignment]:i[this._columnFields.headerAlignment],[this._columnFields.headerText]:1===this._dataValues.length?"Total":"Total "+i[this._columnFields.name],[this._columnFields.isEnd]:!0,[this._columnFields.name]:i[this._columnFields.name],isTotal:!0,[this._columnFields.width]:i[this._columnFields.width]})});return t}_getColumnData(){this._currentColumnData.length=0;this._currentColumnData=this._createColumnsFromData(this._ctrlData,0,"GRP",[]);if(this._dataColumns.length>0||this._dataValues.length>0)this._currentColumnData.unshift({[this._columnFields.id]:"GRP_TopCorner",[this._columnFields.headerText]:"",[this._columnFields.fixed]:"left"});if(this._isTotalVisible)this._currentColumnData=this._currentColumnData.concat(this._createTotalColumnsFromValues("GRP_Total"));return this._currentColumnData}_isColumnExpandTriggered(e){return this._commonService.getObjFromListById(this._columnExpandList,e)?!0:!1}_getColumnExpandValue(e){let t=this._commonService.getObjFromListById(this._columnExpandList,e);return t?t[this._columnFields.expanded]:!0}_updateColumnExpandValue(e,t){let i=this._commonService.getObjFromListById(this._columnExpandList,e);if(i)i[this._columnFields.expanded]=t;else this._columnExpandList.push({id:e,expanded:t})}_checkObj(e,t,i){return e.filter(e=>e[t]===i).length>0?!0:!1}_getRowCellDisplay(e){return e.colIndex===this._expandColIndex?"inline-block":"block"}_calcAVG(e,t){let i=0,l=0;e.forEach(e=>{l+=e[t];i++});return i>0?l/i:0}_calcSUM(e,t){let i=0;e.forEach(e=>i+=e[t]);return i}_calcCellValueByFormula(e,t){let i=this._dataValues.filter(e=>e[this._columnFields.name]===t);if(i.length>0)if(this._commonService.isFunc(i[0].formula))return i[0].formula(e,t);else switch(i[0].formula){case"AVG":return this._calcAVG(e,t);default:return this._calcSUM(e,t)}}_createCellsByColumns(e,t,i,l,s,o,a){if(a<this._dataColumns.length){if(this._isColumnExpanded(i)&&this._isThereChildColumns(i)&&a<this._dataColumns.length-1)i[this._columnFields.columns].forEach((i,l)=>{let r=this._dataColumns[a+1][this._columnFields.name];this._createCellsByColumns(e,t,i,l,s.concat([{name:r,value:i[this._columnFields.headerText]}]),o,a+1)});else if(this._dataValues.length>1&&i[this._columnFields.columns])i[this._columnFields.columns].forEach(i=>{let l={[this._cellFields.cid]:i[this._columnFields.id],[this._cellFields.colName]:i[this._columnFields.name],[this._cellFields.value]:this._getCellValueFromData(i[this._columnFields.id],t,s,o,i[this._columnFields.headerText])};e.push(l)});else if(this._dataValues.length>0){let l={[this._cellFields.cid]:i[this._columnFields.id],[this._cellFields.colName]:i[this._columnFields.name],[this._cellFields.value]:i.isTotal?this._getCellValueFromData(i[this._columnFields.id],t,[],o,i[this._columnFields.name]):this._getCellValueFromData(i[this._columnFields.id],t,s,o,this._dataValues[0][this._columnFields.name])};e.push(l)}}else if(this._dataValues.length>0&&l<this._dataValues.length){let a={[this._cellFields.cid]:i[this._columnFields.id],[this._cellFields.colName]:i[this._columnFields.name],[this._cellFields.value]:this._getCellValueFromData(i[this._columnFields.id],t,s,o,this._dataValues[l][this._columnFields.name])};e.push(a)}}_createRowsFromData(e,t,i){let l=[],s=[];if(this._currentColumnList.left.length>0&&this._currentColumnList.normal.length>0&&t<this._dataRows.length){if(this._currentFixedColWidth>0)this._currentColumnList.left[0].data[this._columnFields.width]=this._currentFixedColWidth;else this._currentColumnList.left[0].data[this._columnFields.width]=this._dataRows.length>0?this._dataRows[0].width:100;let o=this._dataRows[t][this._rowFields.name],a=this._dataRows[t][this._rowFields.expanded],r=this._getSortedRowData(e,t);r.forEach(e=>{if(!this._checkObj(l,[this._rowFields.text],e[o])){let n={[this._rowFields.id]:i+"_"+e[o],[this._rowFields.text]:e[o],[this._rowFields.cells]:[{[this._cellFields.cid]:this._currentColumnList.left[0].data[this._columnFields.id],[this._cellFields.text]:e[o]}],[this._rowFields.rows]:[],type:t+1<this._dataRows.length?"group":"row"};n[this._rowFields.expanded]=this._isRowExpandTriggered(n[this._rowFields.id])?this._getRowExpandValue(n[this._rowFields.id]):a;let h=r.filter(t=>t[o]===e[o]),d=this._createRowsFromData(h,t+1,n[this._rowFields.id]);n[this._rowFields.rows]=d.children;let c=h.filter(e=>d.exclude.indexOf(e)<0);if(0!==n[this._rowFields.rows].length||t>=this._dataRows.length-1){if(this._filterCheck(c,o)){this._currentColumnList.normal.map(e=>e.data).forEach((t,i)=>{this._createCellsByColumns(n[this._rowFields.cells],c,t,i,this._dataColumns.length>0?[{name:this._dataColumns[0][this._columnFields.name],value:t[this._columnFields.headerText]}]:[],[{name:o,value:e[o]}],0);n.dataList=c});l.push(n)}else{s=s.concat(c);this._removeRowFromFooterData(n)}}}})}return{children:l,exclude:s}}_createGroupExpandList(){this._rowExpandList.length=0;let e=this.getFullList();for(let t=0;t<e.length;t++)if("group"===e[t].type)this._rowExpandList.push({id:e[t][this._rowFields.id],expanded:this._isRowExpanded(e[t])})}_filterCheck(e,t){let i=!0;if(this._valueFilters.length>0){let l=0;for(;i&&l<this._valueFilters.length;){let s=this._valueFilters[l];if(s.name===t){let t=this._calcCellValueByFormula(e,s.measure),l=this._filterService.createTree(s.conditions,s.formula);i=this._filterService.match(t,s.conditions,s.formula,l,s.caseSensitive)}l++}}return i}_getCellValueFromData(e,t,i,l,s){let o=t.filter(e=>{let t=e[l[0].name]===l[0].value;if(t)for(let l=0;l<i.length;l++)if(e[i[l].name]!==i[l].value){t=!1;break}return t});this._updateFooterData(e,o,s);return this._calcCellValueByFormula(o,s)}getColumnById(e){let t=null,i=0;for(;!t&&i<3;){let l="";switch(i){case 1:l="left";break;case 2:l="right";break;default:l="normal"}let s=this._getCurrentColumnList(l);for(let i=0;i<s.length;i++)if(s[i][this._columnFields.id]===e){t=s[i];break}i++}return t}_getRowData(){return this._currentRowData}_removeFooterData(e,t){let i=this._currentFooterData.filter(t=>t.id===e);if(i.length>0)i[0].data=i[0].data.filter(e=>t.indexOf(e)<0)}_removeRowFromFooterData(e){if(e[this._rowFields.rows])e[this._rowFields.rows].forEach(e=>{this._removeRowFromFooterData(e)});e[this._rowFields.cells].forEach(t=>{this._removeFooterData(t[this._cellFields.cid],e.dataList)})}_updateFooterData(e,t,i){let l=this._currentFooterData.filter(t=>t.id===e);if(l.length>0){let e=t.filter(e=>l[0].data.indexOf(e)<0);l[0].data=l[0].data.concat(e);l[0].valueKey=i}else this._currentFooterData.push({id:e,data:t,valueKey:i})}_updateFooterValues(){this._currentFooterData.forEach(e=>{let t=this.getColumnById(e.id);if(t)t[this._columnFields.footerValue]=this._calcCellValueByFormula(e.data,e.valueKey)})}updateFullList(){this._fullList.length=0;let e=this._getRowData();if(e)for(let t=0;t<e.length;t++)this._addChildRows(e[t],0,null,!0);this._createGroupExpandList();return this._fullList}_updateGroupList(){this._currentRowData.length=0;this._currentFilteredData.length=0;this._currentFooterData.length=0;this._currentFilteredData=this._getFilteredData(this._ctrlData);this._currentRowData=this._createRowsFromData(this._currentFilteredData,0,"GRP").children;this._updateFooterValues()}_isRowExpandTriggered(e){return this._commonService.getObjFromListById(this._rowExpandList,e)?!0:!1}_getRowExpandValue(e){let t=this._commonService.getObjFromListById(this._rowExpandList,e);return t?t[this._rowFields.expanded]:!0}_updateRowExpandValue(e,t){let i=this._commonService.getObjFromListById(this._rowExpandList,e);if(i)i[this._rowFields.expanded]=t;else this._rowExpandList.push({id:e,expanded:t})}_columnExpandBoxMouseDown(e,t){if(this._isEnabled){if(1===e.which&&!this._isExpandBoxTouched)this._columnToggle(t.data);this._isExpandBoxTouched=!1}e.stopPropagation()}_columnExpandBoxMouseUp(e,t){this._isExpandBoxTouched=!1;e.stopPropagation()}_columnExpandBoxTouchStart(e,t){if(this._isEnabled){this._isExpandBoxTouched=!0;this._columnToggle(t.data)}e.stopPropagation()}_columnToggle(e){let t=!1!==e[this._columnFields.expanded]?!0:!1;e[this._columnFields.expanded]=!t;this._updateColumnExpandValue(e[this._columnFields.id],e[this._columnFields.expanded]);this.updateLayout()}_convertToCSV(e){let t="";for(let i=0;i<e.length;i++){let l="",s=e[i];if(s.length>0){for(let e=0;e<s.length;e++)l+=s[e].text+",";l=l.slice(0,-1);l+="\r\n"}t+=l}return t}_createCSVColumnList(e,t,i,l){if(t)t.forEach(t=>{let s={cid:t[this._columnFields.id],text:void 0!==t[this._columnFields.headerText]?t[this._columnFields.headerText].toString():""};e[i].push(s);if("normal"===l)if(t.isTotal)for(let i=1;i<this._maxColumnLevels;i++)e[i].push({cid:t[this._columnFields.id],text:""});else if(this._isColumnExpanded(t)){if(this._isThereChildColumns(t)){let l=this._getNumChildColumns(t);for(let t=0;t<l-1;t++)e[i].push({text:""})}this._createCSVColumnList(e,t[this._columnFields.columns],i+1,l)}else if(this._isThereChildColumns(t)){let s=this._getNumChildColumns(t);for(let t=i;t<this._maxColumnLevels-1;t++){let l=t===i?s-1:s;for(let i=0;i<l;i++)e[t].push({text:""})}this._createCSVColumnList(e,t[this._columnFields.columns],this._maxColumnLevels-1,l)}else e[i+1].push({cid:t[this._columnFields.id],text:""});else{for(let l=0;l<this._dataRows.length-1;l++)e[i].push({cid:t[this._columnFields.id],text:""});for(let i=1;i<this._maxColumnLevels;i++)for(let l=0;l<this._dataRows.length;l++)e[i].push({cid:t[this._columnFields.id],text:""})}})}_getCellExportValue(e){let t={text:""};if(e)if(e[this._cellFields.value])if(e[this._cellFields.value]instanceof Date)t.text=e[this._cellFields.value].toLocaleDateString();else t.text=JSON.stringify(e[this._cellFields.value]);else if(e[this._cellFields.text])t.text=e[this._cellFields.text].indexOf(",")>=0?JSON.stringify(e[this._cellFields.text]):e[this._cellFields.text];return t}_getNumChildColumns(e){let t=e[this._columnFields.columns]?e[this._columnFields.columns].length:0;if(e[this._columnFields.columns])e[this._columnFields.columns].forEach(e=>{if(this._isThereChildColumns(e))t+=this._getNumChildColumns(e)-1});return t}exportToCSV(){let e=[],t=[],i=[];for(let e=0;e<this._maxColumnLevels;e++)i.push([]);let l=this._currentColumnList.left.map(e=>e.data);this._createCSVColumnList(i,l,0,"left");l=this._currentColumnList.normal.map(e=>e.data);this._createCSVColumnList(i,l,0,"normal");e=e.concat(i);let s=this.getFullList(),o=i[i.length-1];for(let i=0;i<s.length;i++){let l=s[i];t=[];for(let e=0;e<o.length;e++){let i=this.getCellByColumnId(l[this._rowFields.cells],o[e].cid),s=this._getCellExportValue(i);if(0===e&&"row"===l.type)for(let e=0;e<this._dataRows.length-1;e++)t.push({text:""});t.push(s);if(0===e&&"group"===l.type)for(let e=0;e<this._dataRows.length-1;e++)t.push({text:""});if(0===e&&this._dataRows.length>1)e=this._dataRows.length-1}e.push(t)}e.push([{text:""}]);t=[];for(let e=0;e<o.length;e++){let i=this.getColumnById(o[e].cid);if(0===e)t.push({text:"Total"});else t.push({text:void 0!==i[this._columnFields.footerValue]?JSON.stringify(i[this._columnFields.footerValue]):""})}e.push(t);return this._convertToCSV(e)}exportToJSON(e,t,i){return'[\n{ "columns": '+this._exportColumnsToJSON(e,i)+' },\n{ "rows": '+this._exportRowsToJSON(t,i)+" }\n]"}_exportColumnsToJSON(e,t){t=t?t:null;let i=e?e:[this._columnFields.allowDrag,this._columnFields.allowDrop,this._columnFields.allowFilter,this._columnFields.allowGrouping,this._columnFields.allowResize,this._columnFields.canSelect,this._columnFields.cellTemplateUrl,this._columnFields.columns,this._columnFields.contentAlignment,this._columnFields.contextMenu,this._columnFields.editorType,this._columnFields.editorSettings,this._columnFields.editorTemplate,this._columnFields.filterParams,this._columnFields.fixed,this._columnFields.fixedWidth,this._columnFields.footerAlignment,this._columnFields.footerContent,this._columnFields.footerText,this._columnFields.footerTooltip,this._columnFields.footerValue,this._columnFields.groupText,this._columnFields.headerAlignment,this._columnFields.headerContent,this._columnFields.headerText,this._columnFields.headerTooltip,this._columnFields.headerValue,this._columnFields.icon,this._columnFields.id,this._columnFields.minWidth,this._columnFields.maxWidth,this._columnFields.pid,this._columnFields.selected,this._columnFields.sorting,this._columnFields.style,this._columnFields.visible,this._columnFields.width];return JSON.stringify(this._currentColumnData,i,t)}_exportRowsToJSON(e,t){t=t?t:null;let i=e?e:[this._rowFields.allowCellFocus,this._rowFields.allowDrag,this._rowFields.allowDrop,this._rowFields.allowEdit,this._rowFields.allowFocus,this._rowFields.autoCheck,this._rowFields.canSelect,this._rowFields.cells,this._rowFields.checked,this._rowFields.checkState,this._rowFields.content,this._rowFields.contentVisibility,this._rowFields.contextMenu,this._rowFields.gid,this._rowFields.enabled,this._rowFields.expanded,this._rowFields.fixed,this._rowFields.hasChildren,this._rowFields.icon,this._rowFields.id,this._rowFields.pid,this._rowFields.rows,this._rowFields.selected,this._rowFields.sorting,this._rowFields.statusIcon,this._rowFields.style,this._rowFields.text,this._rowFields.tooltip,this._rowFields.value,this._rowFields.visible,this._cellFields.allowDrag,this._cellFields.allowEdit,this._cellFields.cid,this._cellFields.colName,this._cellFields.content,this._cellFields.contextMenu,this._cellFields.editorSettings,this._cellFields.enabled,this._cellFields.isGroup,this._cellFields.rid,this._cellFields.selected,this._cellFields.style,this._cellFields.tag,this._cellFields.text,this._cellFields.tooltip,this._cellFields.value,this._cellFields.valueID,this._cellFields.valueType];return JSON.stringify(this._currentRowData,i,t)}_getColumnExpandBoxLayout(e){return!e.data[this._columnFields.isEnd]?html`<span class=${classMap(e.style.expandBox)} @mousedown="${t=>this._columnExpandBoxMouseDown(t,e)}" @mouseup="${t=>this._columnExpandBoxMouseUp(t,e)}" @touchstart="${t=>this._columnExpandBoxTouchStart(t,e)}"></span>`:html``}_getExpandBoxLayout(e,t){if(this._isExpandBoxVisible&&t.expandBoxAllowed)if(t.allowEdit&&t.data===this._currentEditingCell)return html``;else return html`<span class=${classMap(e.style.expandBox)} @mousedown="${t=>this._expandBoxMouseDown(t,e)}" @mouseup="${t=>this._expandBoxMouseUp(t,e)}" @touchstart="${t=>this._expandBoxTouchStart(t,e)}"></span>`;return html``}_getFooterLayout(e){if(this._isFooterVisible){let t="footer",i="footer-cell-elem",l="iui-pivotgrid-block",s={bottom:this._getBlockBottomPos()+"px"},o=this._isThereFixedColumns(e);switch(e){case"left":t="footer-left";i="footer-left-cell-elem";l+=" iui-pivotgrid-block-bottom-left";s.left=0;break;case"right":t="footer-right";i="footer-right-cell-elem";l+=" iui-pivotgrid-block-bottom-right";s.right=this._getBlockRightPos()+"px";break;default:l+=" iui-pivotgrid-block-bottom";s.left=-this._contentLeftPos+"px"}if(o)return html`                     <div id="${t}" class="${l}" style=${styleMap(s)}>                         <table cellpadding="0" cellspacing="0">                             <tr id="footer-row" style="position:relative;">                                 ${this._scrollFooterList[e].map(e=>html`                                     <td id="${i}" class=${classMap(e.style.footer)} style=${styleMap({height:e.inlineStyle.footer})} @mouseenter="${t=>this._footerMouseEnter(t,e)}">                                         <div style=${styleMap({height:e.footerHeight,"text-align":this._getColumnAlignment(e.data,!0),width:this._getColumnWidth(e.data)+"px"})}">                                             ${this._getColumnFooterTemplate(e)}                                         </div>                                     </td>                                 `)}                             </tr>                         </table>                     </div>`}return html``}_getHeaderLayout(e){if(this._isHeaderVisible){let t="header",i="header-cell-elem",l="iui-pivotgrid-block",s={},o=this._isThereFixedColumns(e);switch(e){case"left":t="header-left";i="header-left-cell-elem";l+=" iui-pivotgrid-block-top-left";s={left:0};break;case"right":t="header-right";i="header-right-cell-elem";l+=" iui-pivotgrid-block-top-right";s={right:this._getBlockRightPos()+"px"};break;default:l+=" iui-pivotgrid-block-top";s={left:-this._contentLeftPos+"px"}}if(o)return html`                     <div id="${t}" class="${l}" style=${styleMap(s)}>                         <table cellpadding="0" cellspacing="0">                             ${this._scrollColumnList[e].map(t=>html`                                 <tr id="header-row" style="position:relative;">                                     ${t.columns.map(e=>html`                                         <td id="${i}" data-cid="${e.data[this._columnFields.id]}" style="pointer-events:all" colspan="${e.colSpan}" rowspan="${e.rowSpan}" class=${classMap(e.style.header)} @mousemove="${t=>this._columnMouseMove(t,e)}" @mousedown="${t=>this._columnMouseDown(t,e)}" @mouseup="${t=>this._columnMouseUp(t,e)}" @mouseenter="${t=>this._columnMouseEnter(t,e)}" @mouseleave="${t=>this._columnMouseLeave(t,e)}" @click="${t=>this._columnClickEvent(t,e)}" @dblclick="${t=>this._columnDblClickEvent(t,e)}" @contextmenu="${t=>this._columnRightClickEvent(t,e)}" @touchstart="${t=>this._columnTouchStart(t,e)}">                                             <div style=${styleMap({height:e.headerHeight,"text-align":this._getColumnAlignment(e.data),width:this._getColumnWidth(e.data)+"px"})}">                                                 ${this._getColumnExpandBoxLayout(e)}                                                 ${this._isSortingColumn(e.data)?html`<span class=${classMap(e.style.sorting)} ></span>`:html``}                                                 ${this._getColumnHeaderTemplate(e)}                                             </div>                                         </td>                                     `)}                                     ${"right"!==e?html`<td id="header-left-cell-end" rowspan="1" style=${styleMap({height:this._providedHeaderHeight>0?this._providedHeaderHeight+"px":"auto",padding:"8px",pointerEvents:"none",opacity:0})}>_</td>`:html``}                                 </tr>                             `)}                         </table>                     </div>`}return html``}_getRowCellTemplate(e,t){let i=html``;if(t.editorType){let l=!1;if(t.editorVisibility&IntegralUIVisibility.Hover&&t.editorVisibility&IntegralUIVisibility.Click)l=e.data===this._hoverRow||e.data===this._currentSelectedRow;else if(t.editorVisibility&IntegralUIVisibility.None)l=!1;else if(t.editorVisibility&IntegralUIVisibility.Hover)l=e.data===this._hoverRow;else if(t.editorVisibility&IntegralUIVisibility.Click)l=e.data===this._currentSelectedRow;else l=!0;l=l&&!1!==t.data[this._cellFields.allowEdit];let s=t.editorSettings;switch(t.editorType){case IntegralUIEditorType.CheckBox:if(!t.isDataEmpty)i=html`                             <div style=${styleMap({textAlign:"center"})}>                                 <span class=${classMap(t.editorClass||{})}></span>                             </div>`;break;case IntegralUIEditorType.Date:if(l){let l=css`                             .iui-datepicker {                                 background: transparent;                                 margin: var(--datepicker-margin, 0);                             }                             .iui-datepicker:focus {                                 outline: none !important;                             }                             .iui-datepicker-header {                                 border: 0;                                 padding: var(--datepicker-header-padding, 0);                             }                             .iui-header-expand-box-arrow {                                 margin: var(--header-expand-box-margin, 2px);                             }                             .iui-header-label {                                 padding: var(--header-label-padding, 0);                             }                         `,o=this._getEditorAdjustment(t,{top:6,left:-6,width:11});i=html`                             <iui-datepicker                                  .allowAnimation="${!0===s.allowAnimation}"                                  .animationSpeed="${s.animationSpeed}"                                 .colorScheme="${this._currentColorScheme}"                                 .customStyle="${[l,this.customStyle]}"                                  .dropDownAdjustment="${o}"                                 .calendarSize="${s.calendarSize}"                                 .enabled="${t.isEditorEnabled}"                                 .firstDayOfWeek="${s.firstDayOfWeek}"                                 .format=${s.format}                                  .formatOptions=${s.formatOptions}                                  .locales=${s.locales}                                  .resourcePath="${this._currentResourcePath}"                                  .selectedDate=${t.editorValueObject}                                  .theme="${this._currentTheme}"                                  @blur="${i=>this._editorLostFocus(i,e,t)}"                                 @dateChanged="${i=>this._editorValueChanged(i,e,t)}"                                 @opened="${i=>this._cellMouseDown(i.detail.event,e,t)}"                             ></iui-datepicker>`}else i=html`<span class="iui-editor-label" style=${styleMap({display:t.display})}>${t.editorValue}</span>`;break;case IntegralUIEditorType.DropList:if(l){let l=css`                             .iui-select {                                 background: transparent;                                 margin: var(--select-margin, 0);                             }                             .iui-select:focus {                                 outline: none !important;                             }                             .iui-select-header {                                 border: 0;                                 padding: var(--select-header-padding, 0);                             }                             .iui-header-expand-box-arrow {                                 margin: var(--header-expand-box-margin, 2px);                             }                             .iui-header-label {                                 padding: var(--header-label-padding, 0);                             }                         `,o=this._getEditorAdjustment(t,{top:6,left:-6,width:11});i=html`                             <iui-select                                  .allowAnimation="${!0===s.allowAnimation}"                                  .colorScheme="${this._currentColorScheme}"                                 .customStyle="${[l,this.customStyle]}"                                  .dropDownAdjustment="${o}"                                 .dropDownSize="${s.dropDownSize}"                                 .enabled="${t.isEditorEnabled}"                                 .maxDropDownItems="${s.maxDropDownItems}"                                 .items=${t.editorList}                                  .resourcePath="${this._currentResourcePath}"                                  .selectedItem=${t.editorValueObject}                                  .theme="${this._currentTheme}"                                  @afterSelect="${i=>this._editorValueChanged(i,e,t)}"                                 @lostFocus="${i=>this._editorLostFocus(i,e,t)}"                                 @opened="${i=>this._cellMouseDown(i.detail.event,e,t)}"                             ></iui-select>`}else if(t.editorValueObject)i=html`<span class="iui-editor-label" style=${styleMap({display:t.display})}>${t.editorValueObject.text}</span>`;else i=html`<span class="iui-editor-label" style=${styleMap({display:t.display})}>${t.editorValue}</span>`;break;case IntegralUIEditorType.Numeric:if(l){i=html`                             <iui-numeric                                  .customStyle="${[css`                             .iui-numeric {                                 background: transparent;                                 margin: var(--numeric-margin, -1px 0 0 0);                             }                             .iui-numeric-inbound-value, .iui-numeric-leftright-value, .iui-numeric-updown-value {                                 border: 0;                             }                             .iui-numeric input {                                 background: transparent;                             }                         `,this.customStyle]}"                                  .buttonAlign="${s.buttonAlign}"                                 .colorScheme="${this._currentColorScheme}"                                 .decimals="${s.decimals}"                                 .enabled="${t.isEditorEnabled}"                                 .displayMode="${s.displayMode}"                                 .max="${s.max}"                                 .min="${s.min}"                                 .step="${s.step}"                                 .resourcePath="${this._currentResourcePath}"                                 .size="${{width:t.width}}"                                  .value=${t.editorValue}                                  .theme="${this._currentTheme}"                                  @blur="${i=>this._editorLostFocus(i,e,t)}"                                 @valueChanged="${i=>this._editorValueChanged(i,e,t)}"                             ></iui-numeric>`}else i=html`<span class="iui-editor-label" style=${styleMap({display:t.display})}>${t.displayValue}</span>`;break;case IntegralUIEditorType.Progress:i=html`                         <div class="iui-editor-progress">                             <div class="iui-editor-progress-content" style=${styleMap(this._getEditorProgressStyle(t))}></div>                         </div>`;break;case IntegralUIEditorType.Rating:if(!t.isDataEmpty){let l=css`                             .iui-rating {                                 background: var(--rating-background, transparent);                                 border: var(--rating-border, 0);                             }                             .iui-rating:focus {                                 outline: none !important;                             }                         `;i=html`                             <div class="iui-editor-rating" align="center">                                 <iui-rating                                      .enabled="${t.isEditorEnabled}"                                     .colorScheme="${this._currentColorScheme}"                                     .customStyle="${[l,this.customStyle]}"                                      .division="${s.division}"                                      .increment="${s.increment}"                                     .max="${s.max}"                                     .readOnly="${!t.allowEdit}"                                     .resourcePath="${this._currentResourcePath}"                                     .size="${{height:16}}"                                     .stepSize="${s.stepSize}"                                     .tabIndex="${t.tabIndex}"                                     .theme="${this._currentTheme}"                                      .value=${t.editorValue}                                      @blur="${i=>this._editorLostFocus(i,e,t)}"                                     @valueChanged="${i=>this._editorValueChanged(i,e,t)}"                                 ></iui-rating>                             </div>`}break;case IntegralUIEditorType.Slider:if(!t.isDataEmpty){let l=css`                             .iui-slider:focus {                                 outline: none !important;                             }                         `;i=html`                             <div class="iui-editor-slider">                                 <iui-slider                                      .enabled="${t.isEditorEnabled}"                                     .colorScheme="${this._currentColorScheme}"                                     .customStyle="${[l,this.customStyle]}"                                      .max="${s.max}"                                     .min="${s.min}"                                     .readOnly="${!t.allowEdit}"                                     .resourcePath="${this._currentResourcePath}"                                     .size="${{height:20}}"                                     .theme="${this._currentTheme}"                                      .value=${t.editorValue}                                      @blur="${i=>this._editorLostFocus(i,e,t)}"                                     @valueChanged="${i=>this._editorValueChanged(i,e,t)}"                                 ></iui-slider>                             </div>`}break;case IntegralUIEditorType.Text:if(t.allowEdit&&this._isEditorFocused&&this._currentEditingCell===t.data)i=html`                             <input                                  id="iui-editor-text"                                 class="iui-editor-text"                                 style=${styleMap({"text-align":t.align})}                                 .disabled="${!t.isEditorEnabled}"                                 tabindex="${t.tabIndex}"                                 type="${s.type||"text"}"                                 value="${null===t.editorValue?"":t.editorValue}"                                 @blur="${i=>this._editorLostFocus(i,e,t)}"                                 @keydown="${i=>this._editorKeyDown(i,e,t)}"                                 @focus="${()=>this._editorGotFocus(t)}"                             />`;else i=this._getDefaultRowTemplate(e,t);break;default:if(t.isDragDropColumn)i=e.isDragAllowed&&!e.isEmpty?html`<span class="iui-pivotgrid-handle"></span>`:html``;else i=this._getDefaultRowTemplate(e,t)}}return i}_getRowLayout(e){let t="body",i="row-cell-elem",l=0,s={},o=this._isThereFixedColumns(e),a="iui-pivotgrid-block",r="row-elem",n={};switch(e){case"left":t="body-left";i="row-left-cell-elem";l=this._fixedLeftViewIndexRange;s={left:0};a+=" iui-pivotgrid-block-left";r="row-left-elem";n={"margin-top":this._blockMarginTop+"px",height:this._leftBlockSize.height+"px",width:this._leftBlockSize.width+"px"};break;case"right":t="body-right";i="row-right-cell-elem";l=this._fixedRightViewIndexRange;a+=" iui-pivotgrid-block-right";r="row-right-elem";n={"margin-top":this._blockMarginTop+"px",height:this._rightBlockSize.height+"px",right:this._getBlockRightPos()+"px",width:this._rightBlockSize.width+"px"};break;default:l=this._numVisibleCells;s={left:-this._contentLeftPos+"px",position:"absolute"};n={"margin-top":this._blockMarginTop+"px",height:this._blockSize.height+"px"}}if(o)return html`                 <div class="${a}" style=${styleMap(n)} @scroll="${e=>this._onContentScroll(e)}">                     <table id="${t}" cellpadding="0" cellspacing="0" style=${styleMap(s)}>                         ${this._scrollRowList[e].filter((e,t)=>!e.isEmpty&&t<this._visibleRange).map((t,s)=>html`                                 <tr id="${r}" class=${classMap(t.style.row||{})} @mouseenter="${i=>this._rowMouseEnter(i,t,e)}" @mouseleave="${i=>this._rowMouseLeave(i,t,e)}" @mousedown="${e=>this._rowMouseDown(e,t)}" @mouseup="${e=>this._rowMouseUp(e,t)}" @click="${e=>this._rowClickEvent(e,t)}" @dblclick="${e=>this._rowDblClickEvent(e,t)}" @contextmenu="${e=>this._rowRightClickEvent(e,t)}" @touchstart="${e=>this._rowTouchStart(e,t)}">                                     ${t.cells.filter((e,t)=>t<l).map((e,l)=>html`                                             <td id="${i}" class=${classMap(t.style.cell||{})} @mouseenter="${t=>this._cellMouseEnter(t,e)}" @mouseleave="${e=>this._cellMouseLeave(e)}" @mousedown="${i=>this._cellMouseDown(i,t,e)}" @click="${t=>this._cellClickEvent(t,e)}" @mouseup="${i=>this._cellMouseUp(i,t,e)}" @dblclick="${t=>this._cellDblClickEvent(t,e)}" @contextmenu="${t=>this._cellRightClickEvent(t,e)}" @touchstart="${i=>this._cellTouchStart(i,t,e)}" @touchend="${i=>this._cellTouchEnd(i,t,e)}">                                                 <div class=${classMap(e.style.content)} style=${styleMap({"padding-left":e.indent+"px","text-align":e.align,width:e.width+"px",height:e.height})} tabindex="${e.tabIndex}" @focus="${i=>this._cellGotFocus(t,e)}" @blur="${i=>this._cellLostFocus(t,e)}" @keydown="${i=>this._cellKeyDown(i,t,e)}" @keypress="${i=>this._cellKeyPress(i,t,e)}" @keyup="${i=>this._cellKeyUp(i,t,e)}">                                                     ${this._getExpandBoxLayout(t,e)}                                                     ${this._getRowCellTemplate(t,e)}                                                 </div>                                             </td>                                     `)}                                 </tr>                         `)}                     </table>                 </div>`}_isExpandBoxAllowed(e,t){return e&&"left"===e[this._columnFields.fixed]&&0===t?!0:!1}_processUpdateLayout(e){let t=this;return new Promise(i=>{if(t._isUpdateAllowed){t._resetLayoutTimer();t._updateTimer=setTimeout(function(){t._paginatorHeight=t._paginatorElem?t._paginatorElem.offsetHeight:0;t._paginatorPos.top=t._elemRef.clientHeight-t._paginatorHeight+1;t._horScrollElemPos.bottom=t._paginatorHeight>0?t._paginatorHeight-2:0;t._cornerScrollElemPos.bottom=t._paginatorHeight>0?t._paginatorHeight-2:0;t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight-t._paginatorHeight};if(!e){t._updateCurrentColumnList(e);t._updateGroupList();if(t._currentPaging.enabled)t._updatePageList();t._updateCurrentRowList(e);t.updateFullList()}t._updateScrollColumnList();t._updateReferences();t._updateExpandingColumnID();if(t._getNumScrollColumns("normal")<t._getNumVisibleColumns("normal"))t._updateScrollRowListLimit("normal",t._getNumVisibleColumns("normal")-t._getNumScrollColumns("normal"));if(t._getNumScrollColumns("left")<t._getNumVisibleColumns("left"))t._updateScrollRowListLimit("left",t._getNumVisibleColumns("left")-t._getNumScrollColumns("left"));if(t._getNumScrollColumns("right")<t._getNumVisibleColumns("right"))t._updateScrollRowListLimit("right",t._getNumVisibleColumns("right")-t._getNumScrollColumns("right"));t._updateAllColumnWidth();t._updateRange();t.update();t._updateReferences();let l=setTimeout(function(){t._columnPadding={top:0,right:0,bottom:0,left:0};let e=[];if(t._columnElems.normal&&t._isHeaderVisible)e=t._columnElems.normal;else if(t._footerElems.normal&&t._isFooterVisible)e=t._footerElems.normal;else if(t._cellElems.normal)e=t._cellElems.normal;if(e&&e.length>0)t._columnPadding=t._commonService.getPadding(e[0].firstElementChild);t._currentHeaderHeight=t._getHeaderHeight();t._currentFooterHeight=t._getFooterHeight();t._updateVisibleRange();t._updateRange();t.update();let s=setTimeout(function(){t._blockMarginTop=t._currentHeaderHeight;t._updateBlockSize();t._checkForSelectionChange();if(t._rowElems){let e=t._rowElems.normal;t._avgRowHeight=0;if(e&&e.length>0){let i=0,l=0;for(let s=0;s<e.length&&s<t._currentRowList.length;s++){l+=e[s].offsetHeight;i++}if(i>0)t._avgRowHeight=Math.floor(l/i)}}t._updateScrollSize();t._updateScrollSize();t._updateSelectContentPos();t._invokeEvent("updateComplete");t._isUpdateActive=!1;t.update();clearTimeout(s);i()},1);clearTimeout(l)},1);clearTimeout(t._updateTimer)},100)}})}_updateRange(e){this._viewIndexRange={left:0,middle:999,right:999};this._updateLeftBlockSize();this._updateRightBlockSize();this._fixedLeftViewIndexRange=this._completeColumnList.left.length>0?this._completeColumnList.left[0].length:0;this._fixedRightViewIndexRange=this._completeColumnList.right.length>0?this._completeColumnList.right[0].length:0;let t=!1,i=!1,l=!1,s=this._currentScrollPos.x+this._clientRect.width-this._leftBlockSize.width-this._rightBlockSize.width,o=s+this._clientRect.width/2,a=0;if(this._completeColumnList.normal.length>0){let e=this._completeColumnList.normal[0].length;for(let r=0;r<e;r++){let e=this._completeColumnList.normal[0][r].data;a+=this._getColumnWidth(e)+this._columnPadding.left+this._columnPadding.right+6;if(!t&&a>=this._currentScrollPos.x){this._viewIndexRange.left=r;t=!0}if(!i&&a>=s){this._viewIndexRange.middle=r;i=!0}if(!l&&a>=o){this._viewIndexRange.right=r;l=!0}if(t&&l)break}if(!i)this._viewIndexRange.middle=e-1;if(!l)this._viewIndexRange.right=e-1;a=0;for(let t=0;t<e&&t<this._viewIndexRange.left;t++){let e=this._completeColumnList.normal[0][t].data;a+=this._getColumnWidth(e)+this._columnPadding.left+this._columnPadding.right+6}}this._initialContentLeftPos=this._currentScrollPos.x-a;this._contentLeftPos=this._initialContentLeftPos-this._leftBlockSize.width;let r=this._getColumnListInRange("normal");this._numVisibleCells=r.length;if(!e)this._updateScrollColumnList();this._updateScrollRowList()}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPivotGridDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPivotGridLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiPivotGridOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}_getColumnFooterTemplate(e){let t=null,i=this.footerTemplate;if(i){let l=i(e.data);if(l)t=new TemplateResult(l.strings,l.values,"html",defaultTemplateProcessor)}if(!t)t=html`                 <span class="iui-listitem-label" >${e.displayValue}</span>             `;return t}firstUpdated(e){this._updateReferences();this.updateLayout()}render(){return html`             <style>                 ${iuiScrollBarStyle}                 ${this._currentBaseStyleSettings}                 ${this._currentScrollStyleSettings}                 ${this._currentEditorStyleSettings}                 ${this._currentSortStyleSettings}                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentScrollColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="pivotgrid" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${e=>this._gridMouseWheel(e)}" @mousewheel="${e=>this._gridMouseWheel(e)}" @mousemove="${e=>this._gridMouseMove(e)}" @mouseup="${e=>this._gridMouseUp(e)}" @mouseenter="${e=>this._gridMouseEnter(e)}" @mouseleave="${e=>this._gridMouseLeave(e)}" @dragenter="${e=>this._ctrlDragEnter(e)}" @dragleave="${e=>this._ctrlDragLeave(e)}" @dragover="${e=>this._ctrlDragOver(e)}" @drop="${e=>this._ctrlDragDrop(e)}" @dragend="${e=>this._ctrlDragEnd(e)}" @scroll="${e=>this._onGridScroll(e)}" @touchstart="${e=>this._ctrlTouchStart(e)}" @touchend="${e=>this._ctrlTouchEnd(e)}">                 <div class=${classMap({"iui-base-loading":this._isLoading?!0:!1,"iui-base-loading-end":this._isLoadingEnd?!0:!1})}>                     ${this._getHeaderLayout("normal")}                     ${this._getHeaderLayout("left")}                     ${this._getHeaderLayout("right")}                     ${this._getRowLayout("normal")}                     ${this._getRowLayout("left")}                     ${this._getRowLayout("right")}                     ${this._getFooterLayout("normal")}                     ${this._getFooterLayout("left")}                     ${this._getFooterLayout("right")}                     ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .position="${{top:1}}" .value="${this._currentScrollPos.y}" .max="${this._maxScrollPos.y}" .largeChange="${this._scrollLargeChange.y}" .height="${this._scrollBarSize.height}" .theme="${this._currentTheme}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onVerticalScrollChanged(e)}" @scrollStart="${e=>this._onVerticalScrollStart(e)}" @scrollEnd="${e=>this._onVerticalScrollEnd(e)}"></iui-scrollbar>`:html``}                     ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" orientation="Horizontal" .position="${{bottom:this._horScrollElemPos.bottom}}" .value="${this._currentScrollPos.x}" .max="${this._maxScrollPos.x}" .width="${this._scrollBarSize.width}" .theme="${this._currentTheme}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onHorizontalScrollChanged(e)}" @scrollMouseDown="${e=>this._scrollMouseDown(e)}" @scrollStart="${e=>this._onHorizontalScrollStart(e)}" @scrollEnd="${e=>this._onHorizontalScrollEnd(e)}"></iui-scrollbar>`:html``}                     ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class="iui-scrollbar-corner" style=${styleMap({bottom:this._cornerScrollElemPos.bottom+"px",position:"absolute",right:"0",width:"16px",height:"16px"})}></div>`:html``}                     ${this._isPaginationEnabled()?html`<iui-paginator id="paginator" align="center" .colorScheme="${this._currentColorScheme}" style=${styleMap({position:"absolute",top:this._paginatorPos.top+"px",width:"100%"})} .maxPages="${this.getMaxPages()}" .currentPage="${this._currentPageNumber}" @mouseenter="${e=>this._paginatorMouseEnter(e)}" @pageChanged="${e=>this._paginatorPageChanged(e)}"></iui-paginator>`:html``}                 </div>                 ${this._isLoading?html`<div class="iui-loading-icon" style=${styleMap({top:this._loadIconPos.top+"px",left:this._loadIconPos.left+"px"})}></div>`:html``}             </div>         `}_updateControlStyleSettings(e){this._currentBaseStyleSettings=css``;this._currentBaseStyleSettings.cssText=this._commonService.replaceAll(iuiBaseDefaultStyle.cssText,"../../icons",e);this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiPivotGridDefaultStyle.cssText,"../../icons",e);this._currentEditorStyleSettings=css``;this._currentEditorStyleSettings.cssText=this._commonService.replaceAll(iuiEditorsDefaultStyle.cssText,"../../icons",e);this._currentSortStyleSettings=css``;this._currentSortStyleSettings.cssText=this._commonService.replaceAll(iuiSortingDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=pivotgrid]");this._headerElem={normal:this.shadowRoot.querySelector("#header"),left:this.shadowRoot.querySelector("#header-left"),right:this.shadowRoot.querySelector("#header-right")};this._hiddenLeftHeaderElem=this._headerElem.left?this._headerElem.left.querySelector("#header-left-cell-end"):null;if(this._hiddenLeftHeaderElem)this._hiddenLeftHeaderElemSize.width=this._hiddenLeftHeaderElem.offsetWidth;this._columnElems={normal:this._headerElem.normal?this._headerElem.normal.querySelectorAll("#header-cell-elem"):[],left:this._headerElem.left?this._headerElem.left.querySelectorAll("#header-left-cell-elem"):[],right:this._headerElem.right?this._headerElem.right.querySelectorAll("#header-right-cell-elem"):[]};this._bodyElem={normal:this.shadowRoot.querySelector("#body"),left:this.shadowRoot.querySelector("#body-left"),right:this.shadowRoot.querySelector("#body-right")};this._rowElems={normal:this._bodyElem.normal?this._bodyElem.normal.rows:[],left:this._bodyElem.left?this._bodyElem.left.rows:[],right:this._bodyElem.right?this._bodyElem.right.rows:[]};this._cellElems={normal:this._bodyElem.normal?this._bodyElem.normal.querySelectorAll("#row-cell-elem"):[],left:this._bodyElem.left?this._bodyElem.left.querySelectorAll("#row-left-cell-elem"):[],right:this._bodyElem.right?this._bodyElem.right.querySelectorAll("#row-right-cell-elem"):[]};this._footerElem={normal:this.shadowRoot.querySelector("#footer"),left:this.shadowRoot.querySelector("#footer-left"),right:this.shadowRoot.querySelector("#footer-right")};this._footerElems={normal:this._footerElem.normal?this._footerElem.normal.querySelectorAll("#footer-cell-elem"):[],left:this._footerElem.left?this._footerElem.left.querySelectorAll("#footer-left-cell-elem"):[],right:this._footerElem.right?this._footerElem.right.querySelectorAll("#footer-right-cell-elem"):[]};this._paginatorElem=this.shadowRoot.querySelector("#paginator");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-pivotgrid",IntegralUIPivotGrid);export default IntegralUIPivotGrid;