/*
  filename: integralui.progressbar.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBaseValue from"./integralui.base.value.js";import{IntegralUIOrientation,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiProgressBarDefaultStyle}from"../styles/default/integralui.progressbar.style.js";import{iuiProgressBarOfficeStyle}from"../styles/themes/office/integralui.progressbar.office.js";import{iuiProgressBarDarkStyle}from"../styles/color-schemes/dark/integralui.progressbar.dark.js";import{iuiProgressBarLightStyle}from"../styles/color-schemes/light/integralui.progressbar.light.js";class IntegralUIProgressBar extends IntegralUIBaseValue{_init(){super._init();this._currentValue=0;this._ctrlPadding={top:0,right:0,bottom:0,left:0};this._currentOrientation=IntegralUIOrientation.Horizontal;this._contentSize={width:0,height:0};this._fadingSize={width:0,height:0};this._currentControlStyleSettings=iuiProgressBarDefaultStyle;this._generalClassName="iui-progressbar";this._contentClassName=this._generalClassName+"-content";this._contentInterval=null;this._delayTimeout=null;this._fadingInterval=null;this._initStyle()}connectedCallback(){}disconnectedCallback(){this._removeContentInterval();this._removeDelayTimeout();this._removeFadingInterval()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{orientation:{converter:{fromAttribute:t=>"horizontal"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(t,e)=>t===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0}}}get orientation(){return this._currentOrientation}set orientation(t){if(this._currentOrientation!==t){const e=this._currentOrientation;this._currentOrientation=t;this.requestUpdate("orientation",e);this.updateLayout()}}_animateProgress(){let t=this,e=t._currentOrientation===IntegralUIOrientation.Horizontal?t._currentValue<100?Math.floor(t._clientRect.width*t._currentValue/100):t._clientRect.width:t._currentValue<100?Math.floor(t._clientRect.height*t._currentValue/100):t._clientRect.height;if(t.allowAnimation){t._removeContentInterval();t._contentInterval=setInterval(function(){if(t._currentOrientation===IntegralUIOrientation.Horizontal)if(t._contentSize.width<e){t._contentSize.width+=3;t.update()}else{t._contentSize.width=e;t.update();clearInterval(t._contentInterval)}else if(t._contentSize.height<e){t._contentSize.height+=3;t.update()}else{t._contentSize.height=e;t.update();clearInterval(t._contentInterval)}},1);t._removeDelayTimeout();t._delayTimeout=setTimeout(function(){t._removeFadingInterval();t._fadingInterval=setInterval(function(){if(t._currentOrientation===IntegralUIOrientation.Horizontal)if(t._fadingSize.width>e){t._fadingSize.width-=3;t.update()}else{t._fadingSize.width=e;t.update();clearInterval(t._fadingInterval)}else if(t._fadingSize.height>e){t._fadingSize.height-=3;t.update()}else{t._fadingSize.height=e;t.update();clearInterval(t._fadingInterval)}},1);clearTimeout(t._delayTimeout)},500)}else{if(t._currentOrientation===IntegralUIOrientation.Horizontal)t._contentSize.width=e;else t._contentSize.height=e;t.update()}}_removeContentInterval(){if(this._contentInterval)clearInterval(this._contentInterval)}_removeDelayTimeout(){if(this._delayTimeout)clearTimeout(this._delayTimeout)}_removeFadingInterval(){if(this._fadingInterval)clearInterval(this._fadingInterval)}_processUpdateLayout(){let t=this;return new Promise(e=>{let i=setTimeout(function(){t._ctrlPadding=t._commonService.getPadding(t._elemRef);t._clientRect={width:t._elemRef.clientWidth-(t._ctrlPadding.left+t._ctrlPadding.right),height:t._elemRef.clientHeight-(t._ctrlPadding.top+t._ctrlPadding.bottom)};t._animateProgress();clearTimeout(i);e()},1)})}_getProgressStyle(){let t={"z-index":2};if(this._currentOrientation===IntegralUIOrientation.Horizontal)t.width=this._contentSize.width+"px";else{t.position="absolute";t.bottom="-1px";t.height=this._contentSize.height+"px"}return t}_getProgressFadingStyle(){let t={opacity:"0.25",position:"absolute","z-index":1};if(this._currentOrientation===IntegralUIOrientation.Horizontal){t.left=this._ctrlPadding.left+"px";t.top=this._ctrlPadding.top+"px";t.width=this._fadingSize.width+"px"}else{t.left=this._ctrlPadding.left+"px";t.bottom=this._ctrlPadding.bottom-1+"px";t.height=this._fadingSize.height+"px"}return t}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiProgressBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiProgressBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiProgressBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(t){this._updateReferences();this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="progressbar" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} draggable="true" @dragstart="${t=>this._preventDragStart(t)}">                 <div class=${classMap(this._getContentClass())} style=${styleMap(this._getProgressStyle())}></div>                 ${this.allowAnimation?html`<div class=${classMap(this._getContentClass())} style=${styleMap(this._getProgressFadingStyle())}></div>`:html``}             </div>         `}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiProgressBarDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=progressbar]")}}window.customElements.define("iui-progressbar",IntegralUIProgressBar);export default IntegralUIProgressBar;