/*
  filename: integralui.tab.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIAnimationType,IntegralUIObjectState,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiTabDefaultStyle}from"../styles/default/integralui.tab.style.js";import{iuiTabOfficeStyle}from"../styles/themes/office/integralui.tab.office.js";import{iuiTabDarkStyle}from"../styles/color-schemes/dark/integralui.tab.dark.js";import{iuiTabLightStyle}from"../styles/color-schemes/light/integralui.tab.light.js";class IntegralUITab extends IntegralUIBase{_init(){super._init();this._currentAnimation=IntegralUIAnimationType.Fade;this._isDragAllowed=!1;this._isDropAllowed=!0;this._contentOverflow="auto";this._currentIcon="";this._currentText="";this._isContentHidden=!0;this._parentCtrl=null;this._isSelected=!1;this._topPos=0;this._leftPos=0;this._elemWidth="0";this._elemHeight="0";this._elemOrder=0;this._elemBorderColor="gray";this._contentOpacity=1;this._contentClass={};this._contentClassName="";this._headerClassName=""}connectedCallback(){}disconnectedCallback(){}_initContent(){let e=this,t=setTimeout(function(){if(e._contentSlotElem)e._maxBlockHeight=e._contentSlotElem.offsetHeight;clearTimeout(t)},100)}_initStyle(){this._generalClassName="iui-tab";this._headerClassName=this._generalClassName+"-header";this._contentClassName=this._generalClassName+"-content";this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},header:{disabled:this._headerClassName+"-disabled",focused:this._headerClassName+"-focused",normal:this._headerClassName,hovered:this._headerClassName+"-hovered",selected:this._headerClassName+"-selected"},content:{disabled:this._contentClassName+"-disabled",focused:this._contentClassName+"-focused",normal:this._contentClassName,hovered:this._contentClassName+"-hovered",selected:this._contentClassName+"-selected"}};this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}setParent(e){this._parentCtrl=e}attributeChangedCallback(e,t,s){super.attributeChangedCallback(e,t,s)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},animation:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"fade":return IntegralUIAnimationType.Fade;case"slide":return IntegralUIAnimationType.Slide;default:return IntegralUIAnimationType.None}},toAttribute:e=>{switch(e){case IntegralUIAnimationType.Fade:return"Fade";case IntegralUIAnimationType.Slide:return"Slide";default:return"None"}}},reflect:!0},icon:{type:String,reflect:!0},selected:{type:Boolean,reflect:!0},text:{type:String,reflect:!0}}}get allowDrag(){return this._isDragAllowed}set allowDrag(e){if(this._isDragAllowed!==e){const t=this._isDragAllowed;this._isDragAllowed=e;this.requestUpdate("allowDrag",t)}}get allowDrop(){return this._isDropAllowed}set allowDrop(e){if(this._isDropAllowed!==e){const t=this._isDropAllowed;this._isDropAllowed=e;this.requestUpdate("allowDrop",t)}}get animation(){return this._currentAnimation}set animation(e){if(this._currentAnimation!==e){const t=this._currentAnimation;this._currentAnimation=e;this.requestUpdate("animation",t)}}get icon(){return this._currentIcon}set icon(e){if(this._currentIcon!==e){const t=this._currentIcon;this._currentIcon=e;this.requestUpdate("icon",t)}}get selected(){return this._isSelected}set selected(e){if(this._isSelected!==e){if(e){this.state&=~IntegralUIObjectState.Hovered;this.state|=IntegralUIObjectState.Selected}else this.state&=~IntegralUIObjectState.Selected;const t=this._isSelected;this._isSelected=e;this._elemOrder=e?2:0;this._isContentHidden=!1===e?!0:!1;this.requestUpdate("selected",t);this.update()}}get text(){return this._currentText}set text(e){if(this._currentText!==e){const t=this._currentText;this._currentText=e;this.requestUpdate("text",t);this.update()}}processStateChanged(){this._updateContentClass()}getSize(e){let t={width:0,height:0};if(e)t={width:e.offsetWidth,height:e.offsetHeight};return t}updateLayout(e,t,s){this._topPos=e.top;this._leftPos=e.left;let i={top:0,right:0,bottom:0,left:0};if(this._elemRef)i=this._commonService.getPadding(this._elemRef);this._elemWidth=t.width-(i.left+i.right)+"px";if("auto"===t.height)this._elemHeight="auto";else this._elemHeight=t.height-(i.top+i.bottom)+"px";this._isContentHidden=s;this.update()}updateOpacity(e){this._contentOpacity=e;this.update()}updatePos(e){this._topPos=void 0!==e.top?e.top:this._topPos;this._leftPos=void 0!==e.left?e.left:this._leftPos;this.update()}updateSize(e){let t={top:0,right:0,bottom:0,left:0};if(this._elemRef)t=this._commonService.getPadding(this._elemRef);this._elemWidth=e.width-(t.left+t.right)+"px";if("auto"===e.height)this._elemHeight="auto";else this._elemHeight=e.height-(t.top+t.bottom)+"px";this.update()}updateVisibility(e){this._isContentHidden=e;this.update()}updateContentOverflow(e){this._contentOverflow=e;this.update()}getLayoutParams(){let e={size:{width:0,height:0},padding:{top:0,right:0,bottom:0,left:0}};if(this._elemRef){let t=this._elemRef.children[0];e.size=this._getSize(t);e.padding=this._commonService.getPadding(t)}return e}_updateContentClass(){this._contentClass={};this._contentClass[this._contentClassName]=!0;this._contentClass[this._options.currentStyle.content.normal]=!0;if(this.state&IntegralUIObjectState.Disabled)this._contentClass[this._options.currentStyle.content.disabled]=!0;else if(this.state&IntegralUIObjectState.Focused)this._contentClass[this._options.currentStyle.content.focused]=!0;else if(this.state&IntegralUIObjectState.Selected)this._contentClass[this._options.currentStyle.content.selected]=!0;else if(this.state&IntegralUIObjectState.Hovered)this._contentClass[this._options.currentStyle.content.hovered]=!0}_getContentClass(){return this._contentClass}_getContentStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._contentClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._contentClassName+"-focused"),hovered:this._commonService.isFieldAvailable(e.hovered,this._contentClassName+"-hovered"),normal:this._commonService.isFieldAvailable(e.normal,this._contentClassName),selected:this._commonService.isFieldAvailable(e.selected,this._contentClassName+"-selected")};else return{disabled:this._defaultStyle.content.disabled,focused:this._defaultStyle.content.focused,hovered:this._defaultStyle.content.hovered,normal:this._defaultStyle.content.normal,selected:this._defaultStyle.content.selected}}_getHeaderStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._headerClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._headerClassName+"-focused"),hovered:this._commonService.isFieldAvailable(e.hovered,this._headerClassName+"-hovered"),normal:this._commonService.isFieldAvailable(e.normal,this._headerClassName),selected:this._commonService.isFieldAvailable(e.selected,this._headerClassName+"-selected")};else return{disabled:this._defaultStyle.header.disabled,focused:this._defaultStyle.header.focused,hovered:this._defaultStyle.header.hovered,normal:this._defaultStyle.header.normal,selected:this._defaultStyle.header.selected}}_updateStyle(e){if(e)this._options.currentStyle={general:this._getGeneralStyle(e.general),header:this._getHeaderStyle(e.header),content:this._getContentStyle(e.content)};else this._options.currentStyle={general:{disabled:this._defaultStyle.general.disabled,focused:this._defaultStyle.general.focused,hovered:this._defaultStyle.general.hovered,normal:this._defaultStyle.general.normal,selected:this._defaultStyle.general.selected},header:{disabled:this._defaultStyle.header.disabled,focused:this._defaultStyle.header.focused,hovered:this._defaultStyle.header.hovered,normal:this._defaultStyle.header.normal,selected:this._defaultStyle.header.selected},content:{disabled:this._defaultStyle.content.disabled,focused:this._defaultStyle.content.focused,hovered:this._defaultStyle.content.hovered,normal:this._defaultStyle.content.normal,selected:this._defaultStyle.content.selected}}}_getCurrentTabStyle(){return this._options.currentStyle}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTabOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this._updateReferences();this._initContent()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateContentClass();this.update();this._updateReferences()}render(){return html`             <style>                 ${iuiTabDefaultStyle}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings} 				${this._currentCustomStyle}             </style>             <div data-ctrl="tab" class=${classMap(this._getContentClass())}" style=${styleMap({overflow:this._contentOverflow,top:this._topPos+"px",left:this._leftPos+"px",width:this._elemWidth,height:this._elemHeight,opacity:this._contentOpacity})}" .hidden="${this._isContentHidden&&this.animation!==IntegralUIAnimationType.Slide}">                 <div id="tab-content">                     <slot></slot>                 </div>             </div>         `}_updateReferences(){this._contentElem=this.shadowRoot.querySelector("#tab-content");this._contentSlotElem=this.shadowRoot.querySelector("slot").assignedNodes()[1];this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=tab]")}}window.customElements.define("iui-tab",IntegralUITab);export default IntegralUITab;