/*
  filename: integralui.tabstrip.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIAnimationType,IntegralUISpeedMode,IntegralUITabStripPlacement,IntegralUITabDisplayMode,IntegralUITabScrollMode,IntegralUIObjectState,IntegralUIMoveDirection,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiTabDefaultStyle}from"../styles/default/integralui.tab.style.js";import{iuiTabDarkStyle}from"../styles/color-schemes/dark/integralui.tab.dark.js";import{iuiTabOfficeStyle}from"../styles/themes/office/integralui.tab.office.js";import{iuiTabLightStyle}from"../styles/color-schemes/light/integralui.tab.light.js";import{iuiTabStripDefaultStyle}from"../styles/default/integralui.tabstrip.style.js";import{iuiTabStripDarkStyle}from"../styles/color-schemes/dark/integralui.tabstrip.dark.js";import{iuiTabStripOfficeStyle}from"../styles/themes/office/integralui.tabstrip.office.js";import{iuiTabStripLightStyle}from"../styles/color-schemes/light/integralui.tabstrip.light.js";class IntegralUITabStrip extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService();this._animationTimer=null;this._currentAnimation=IntegralUIAnimationType.Fade;this._currentAnimationSpeed=IntegralUISpeedMode.Normal;this._currentTabs=[];this._dataTabs=[];this._numTabs=0;this._tabList=[];this._reorderTab=null;this._tabReorderActive=!1;this._reorderTabPos={top:0,left:0};this._reorderTabStartPos={top:0,left:0};this._reorderTabCurrentPos={top:0,left:0};this._reorderTabPrevPos={top:0,left:0};this._startTabReorder=!1;this._reorderTabIndex=-1;this._reorderNewTabIndex=-1;this._orgHeaderList=[];this._orgReorderTabIndex=-1;this._ctrlCursor="default";this._currentTabSpacing=0;this._isDragAllowed=!1;this._isDropAllowed=!0;this._autoSizeValue=!1;this._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._contentBlockPos={top:0,left:0};this._contentBlockSize={width:0,height:0};this._clientRect={width:0,height:0};this._currentTabPlacement=IntegralUITabStripPlacement.Top;this._currentDisplayMode=IntegralUITabDisplayMode.AutoSized;this._emptyTabSpace=0;this._orgTabHeaderSpace=[];this._reorderTabRect={left:0,top:0};this._scrollBlockSize={width:0,height:0};this._scrollButtonSize={width:0,height:0};this._selTabLinePos={top:0,left:0};this._selTabLineSize={width:0,height:0};this._tabHeaderRect=[];this._tabPos={top:0,left:0};this._tabSize={width:0,height:0};this._tabstripPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._tabStripSize={width:0,height:0};this._toolbarPos={top:"0",bottom:"auto"};this._updateTimer=null;this._currentControlStyleSettings=iuiTabStripDefaultStyle;this._currentTabColorSchemeSettings=css``;this._currentTabStyleSettings=iuiTabDefaultStyle;this._currentScrollMode=IntegralUITabScrollMode.None;this._isScrollActive=!1;this._isScrollAllowed=!1;this._scrollCount=0;this._currentScrollPos=0;this._scrollTimer=null;this._stopScrolling=!0;this._maxScrollPos=0;this._currentSelection=null;this._currentSelectedIndex=-1;this._selectedComponent=null;this._prevComponent=null;this._removeIndex=-1;this._currentTabThemeSettings=css``;this._generalClassName="iui-tabstrip";this._tabHeaderClassName="iui-tab-header"}connectedCallback(){this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("mouseup",this._windowMouseUp);if(this._scrollTimer)clearInterval(this._scrollTimer);this._removeAnimationTimer();this._rt()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},animation:{converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"fade":return IntegralUIAnimationType.Fade;case"slide":return IntegralUIAnimationType.Slide;default:return IntegralUIAnimationType.None}},toAttribute:t=>{switch(t){case IntegralUIAnimationType.Fade:return"Fade";case IntegralUIAnimationType.Slide:return"Slide";default:return"None"}}},reflect:!0},animationSpeed:{attribute:"animation-speed",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:t=>{switch(t){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},autoSize:{type:Boolean,attribute:"auto-size",reflect:!0},displayMode:{attribute:"display-mode",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"compressed":return IntegralUITabDisplayMode.Compressed;case"justified":return IntegralUITabDisplayMode.Justified;default:return IntegralUITabDisplayMode.AutoSized}},toAttribute:t=>{switch(t){case IntegralUIAnimationType.Compressed:return"Compressed";case IntegralUIAnimationType.Justified:return"Justified";default:return"AutoSized"}}},reflect:!0},scrollMode:{attribute:"scroll-mode",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"inbound":return IntegralUITabScrollMode.InBound;case"outbound":return IntegralUITabScrollMode.OutBound;default:return IntegralUITabScrollMode.None}},toAttribute:t=>{switch(t){case IntegralUITabScrollMode.InBound:return"InBound";case IntegralUITabScrollMode.OutBound:return"OutBound";default:return"None"}}},reflect:!0},selectedIndex:{type:Number,attribute:"selected-index"},selectedTab:{type:Object,attribute:"selected-tab"},tabs:{type:Array},tabSpacing:{type:Number,attribute:"tab-spacing",reflect:!0},tabStripPlacement:{attribute:"tabstrip-placement",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"bottom":return IntegralUITabStripPlacement.Bottom;case"left":return IntegralUITabStripPlacement.Left;case"right":return IntegralUITabStripPlacement.Right;default:return IntegralUITabStripPlacement.Top}},toAttribute:t=>{switch(t){case IntegralUITabStripPlacement.Bottom:return"Bottom";case IntegralUITabStripPlacement.Left:return"Left";case IntegralUITabStripPlacement.Right:return"Right";default:return"Top"}}},reflect:!0}}}get allowDrag(){return this._isDragAllowed}set allowDrag(t){if(this._isDragAllowed!==t){const e=this._isDragAllowed;this._isDragAllowed=t;this.requestUpdate("allowDrag",e)}}get allowDrop(){return this._isDropAllowed}set allowDrop(t){if(this._isDropAllowed!==t){const e=this._isDropAllowed;this._isDropAllowed=t;this.requestUpdate("allowDrop",e)}}get animation(){return this._currentAnimation}set animation(t){if(this._currentAnimation!==t){const e=this._currentAnimation;this._currentAnimation=t;this.requestUpdate("animation",e);this.updateLayout()}}get animationSpeed(){return this._currentAnimationSpeed}set animationSpeed(t){if(this._currentAnimationSpeed!==t){const e=this._currentAnimationSpeed;this._currentAnimationSpeed=t;this.requestUpdate("animationSpeed",e)}}get autoSize(){return this._autoSizeValue}set autoSize(t){if(this._autoSizeValue!==t){const e=this._autoSizeValue;this._autoSizeValue=t;this.requestUpdate("autoSize",e);this.updateLayout()}}get displayMode(){return this._currentDisplayMode}set displayMode(t){if(this._autoSizeValue!==t){const e=this._currentDisplayMode;this._currentDisplayMode=t;this.requestUpdate("displayMode",e);this.updateLayout()}}get scrollMode(){return this._currentScrollMode}set scrollMode(t){if(this._currentScrollMode!==t){const e=this._currentScrollMode;this._currentScrollMode=t;this.scrollPos(0);this.requestUpdate("scrollMode",e);this.updateLayout()}}get selectedIndex(){return this._currentSelectedIndex}set selectedIndex(t){if(this._currentSelectedIndex!==t){const e=this._currentSelectedIndex;this._currentSelectedIndex=t;this._selectComponentByIndex(t);this.requestUpdate("selectedIndex",e)}}get selectedTab(){return this._currentSelection}set selectedTab(t){if(this._currentSelection!==t){const e=this._currentSelection;this._currentSelection=t;this.selectTab(t);this.requestUpdate("selectedTab",e)}}get tabSpacing(){return this._currentTabSpacing}set tabSpacing(t){if(this._currentTabSpacing!==t){const e=this._currentTabSpacing;this._currentTabSpacing=t;this.requestUpdate("tabSpacing",e)}}get tabStripPlacement(){return this._currentTabPlacement}set tabStripPlacement(t){if(this._currentTabPlacement!==t){const e=this._currentTabPlacement;this._currentTabPlacement=t;this.scrollPos(0);this.requestUpdate("tabStripPlacement",e);this.updateLayout()}}addTab(t){this._callEventAdd("add",t)}clearTabs(){this._dataService.clear();this._invokeEvent("clear")}insertTabAt(t,e){this._callEventAdd("at",t,e)}insertTabBefore(t,e){this._callEventAdd("ref",t,-1,e)}insertTabAfter(t,e){this._callEventAdd("ref",t,-1,e,!0)}removeTab(t){return this._callEventRemove(t)}removeTabAt(t){if(this._currentTabs&&t>=0&&t<this._currentTabs.length)return this._callEventRemove(this._currentTabs[t]);else return!1}_callEventAdd(t,e,i,r,a){let o={cancel:!1,tab:e};this._invokeEvent("tabAdding",o);if(!0!==o.cancel){switch(t){case"at":this._dataService.insert(e,i);break;case"ref":this._dataService.insertByRef(e,r,a);break;default:this._dataService.insert(e)}this._invokeEvent("tabAdded",{tab:e});this._refreshTabParent();if(!this._selectedComponent)this._selectComponentByIndex(0)}}_callEventRemove(t){let e={cancel:!1,tab:t};this._invokeEvent("tabRemoving",e);if(!0!==e.cancel){this._removeIndex=this._currentTabs?this._currentTabs.indexOf(t):-1;this._dataService.removeAt(t);this._invokeEvent("tabRemoved",{tab:t});this._refreshTabParent();return!0}return!1}_animate(){switch(this.animation){case IntegralUIAnimationType.Fade:if(this.allowAnimation)this._fadeTabContent();break;case IntegralUIAnimationType.Slide:if(this.allowAnimation&&this._prevComponent&&this._selectedComponent)if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)this._slideTabContentVertical();else this._slideTabContentHorizontal();else{let t=this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right?!0:!1,e=t?this._clientRect.height:this._clientRect.width;if(this._prevComponent){this._prevComponent.updatePos(t?{top:-e}:{left:-e});this._prevComponent.updateOpacity(0);this._prevComponent.updateContentOverflow()}if(this._selectedComponent){this._selectedComponent.updatePos(t?{top:0}:{left:0});this._selectedComponent.updateOpacity(1);this._selectedComponent.updateContentOverflow()}let i=this._getTabCurrentIndex(this._selectedComponent);this._updateTabLine(i)}break;default:this._defaultFunc()}}_fadeTabContent(){let t=this;t._removeAnimationTimer();let e=0,i=1/t._getAnimationFactor();if(t._prevComponent){t._prevComponent.updateOpacity(1);t._prevComponent.updateVisibility(!1)}if(t._selectedComponent){t._selectedComponent.updateOpacity(0);t._selectedComponent.updateVisibility(!1)}t._animationTimer=setInterval(function(){if(e<1){e+=i;if(t._prevComponent)t._prevComponent.updateOpacity(1-e);if(t._selectedComponent)t._selectedComponent.updateOpacity(e)}else{e=1;if(t._prevComponent){t._prevComponent.updateOpacity(0);t._prevComponent.updateVisibility(!0)}if(t._selectedComponent)t._selectedComponent.updateOpacity(1);t._removeAnimationTimer()}},15)}_getAnimationFactor(){let t=15;switch(this.animationSpeed){case IntegralUISpeedMode.VerySlow:t=25;break;case IntegralUISpeedMode.Slow:t=20;break;case IntegralUISpeedMode.Fast:t=10;break;case IntegralUISpeedMode.VeryFast:t=5;break;default:t=15}return t}_removeAnimationTimer(){if(this._animationTimer)clearInterval(this._animationTimer)}_slideTabContentHorizontal(){let t=this;t._removeAnimationTimer();let e=t._clientRect.width;if(e<=0){if(t._prevComponent){t._prevComponent.updatePos({left:-9999999});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}}else{let i=0,r=t._getAnimationFactor(),a=e/r,o=t._getTabCurrentIndex(t._selectedComponent)<t._getTabCurrentIndex(t._prevComponent)?"backward":"forward";if("forward"===o){if(t._prevComponent){t._prevComponent.updatePos({left:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({left:e});t._selectedComponent.updateOpacity(0)}}else{if(t._prevComponent){t._prevComponent.updatePos({left:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({left:-e});t._selectedComponent.updateOpacity(0)}}let l=t._getTabCurrentIndex(t._prevComponent),s=t._getTabCurrentIndex(t._selectedComponent),n=t._commonService.isIndexInRange(l,t._tabHeaderRect),c=t._commonService.isIndexInRange(s,t._tabHeaderRect),h=n&&c?t._tabHeaderRect[s].left-t._tabHeaderRect[l].left:0,d=n&&c?t._tabHeaderRect[s].width-t._tabHeaderRect[l].width:0,p=h/r,_=d/r;t._animationTimer=setInterval(function(){if("forward"===o)if(i>-e){i-=a;if(t._prevComponent){t._prevComponent.updatePos({left:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({left:e+i});t._selectedComponent.updateOpacity(1-Math.abs((e+i)/e))}t._selTabLinePos.left+=p;t._selTabLineSize.width+=_;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({left:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(s);t.update();t._removeAnimationTimer()}else if(i<e){i+=a;if(t._prevComponent){t._prevComponent.updatePos({left:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({left:-e+i});t._selectedComponent.updateOpacity(1-Math.abs((-e+i)/e))}t._selTabLinePos.left+=p;t._selTabLineSize.width+=_;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({left:e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(s);t.update();t._removeAnimationTimer()}},15)}}_slideTabContentVertical(){let t=this;t._removeAnimationTimer();let e=t._clientRect.height;if(e<=0){if(t._prevComponent){t._prevComponent.updatePos({top:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}}else{let i=0,r=t._getAnimationFactor(),a=e/r,o=t._getTabCurrentIndex(t._selectedComponent)<t._getTabCurrentIndex(t._prevComponent)?"backward":"forward";if("forward"===o){if(t._prevComponent){t._prevComponent.updatePos({top:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({top:e});t._selectedComponent.updateOpacity(0)}}else{if(t._prevComponent){t._prevComponent.updatePos({top:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({top:-e});t._selectedComponent.updateOpacity(0)}}let l=t._getTabCurrentIndex(t._prevComponent),s=t._getTabCurrentIndex(t._selectedComponent),n=t._commonService.isIndexInRange(l,t._tabHeaderRect),c=t._commonService.isIndexInRange(s,t._tabHeaderRect),h=n&&c?t._tabHeaderRect[s].top-t._tabHeaderRect[l].top:c?t._tabHeaderRect[s].height:0,d=n&&c?t._tabHeaderRect[s].height-t._tabHeaderRect[l].height:0,p=h/r,_=d/r;t._animationTimer=setInterval(function(){if("forward"===o)if(i>-e){i-=a;if(t._prevComponent){t._prevComponent.updatePos({top:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({top:e+i});t._selectedComponent.updateOpacity(1-Math.abs((e+i)/e))}t._selTabLinePos.top+=p;t._selTabLineSize.height+=_;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({top:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(s);t.update();t._removeAnimationTimer()}else if(i<e){i+=a;if(t._prevComponent){t._prevComponent.updatePos({top:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({top:-e+i});t._selectedComponent.updateOpacity(1-Math.abs((-e+i)/e))}t._selTabLinePos.top+=p;t._selTabLineSize.height+=_;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({top:e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(s);t.update();t._removeAnimationTimer()}},15)}}_updateData(){this._dataService.init([{data:this._currentTabs}])}_getComponentData(t){if(t)if(t.data)return t.data;else{let e=this._getTabDataIndex(t);return this._currentTabs[e]}return null}_getTabCurrentIndex(t){return t&&this._tabList?this._tabList.indexOf(t):-1}_getTabDataIndex(t){if(t){let e=this._getTabCurrentIndex(t);return this._commonService.isIndexInRange(e,this._currentTabs)?e:-1}return-1}_getTabData(t){return this._currentTabs&&t>=0&&t<this._currentTabs.length?this._currentTabs[t]:null}_getTabIndex(t){return t&&this._currentTabs?this._currentTabs.indexOf(t):-1}_getTabHeaders(){this._tabHeaders=this.shadowRoot.querySelectorAll("li[data-header]");return this._tabHeaders}_calcEmptyTabSpace(){let t=this,e=t._getTabHeaders();if(e&&e.length>0){let i=0;e.forEach(function(e,r){e.style.width="auto";e.style.height="auto";if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)i+=e.offsetHeight+t.tabSpacing-1;else i+=e.offsetWidth+t.tabSpacing-1});if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)t._emptyTabSpace=t._clientRect.height+1-i;else t._emptyTabSpace=t._clientRect.width+1-i;t._emptyTabSpace=Math.max(0,t._emptyTabSpace/e.length)}}_resetLayout(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}async updateLayout(){this._ut();if(!this._tCmp)this._at();this._updateTabList();this.update();await this._updateTabLayout();await this._updateTabLayout();this._updateSelection();this.update()}_updateTabLine(t){if(t>=0&&t<this._tabHeaderRect.length)switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:this._selTabLinePos={top:this._tabHeaderRect[t].top-this._currentScrollPos,left:0};this._selTabLineSize={width:2,height:this._tabHeaderRect[t].height};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.top+=this._scrollButtonSize.height+4;break;case IntegralUITabStripPlacement.Bottom:this._selTabLinePos={top:0,left:this._tabHeaderRect[t].left-this._currentScrollPos};this._selTabLineSize={width:this._tabHeaderRect[t].width,height:2};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.left+=this._scrollButtonSize.width+2;break;case IntegralUITabStripPlacement.Left:this._selTabLinePos={top:this._tabHeaderRect[t].top-this._currentScrollPos,left:this._contentBlockPos.left-2};this._selTabLineSize={width:2,height:this._tabHeaderRect[t].height};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.top+=this._scrollButtonSize.height+4;break;default:this._selTabLinePos={top:this._contentBlockPos.top-1,left:this._tabHeaderRect[t].left-this._currentScrollPos};this._selTabLineSize={width:this._tabHeaderRect[t].width,height:2};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.left+=this._scrollButtonSize.width+2}}_updateTabLayout(){return new Promise(t=>{let e=this;e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};let i=e._toolbarLeftElem?e._commonService.getMargin(e._toolbarLeftElem):{top:0,right:0,bottom:0,left:0},r=e._toolbarRightElem?e._commonService.getMargin(e._toolbarRightElem):{top:0,right:0,bottom:0,left:0};e._tabStripSize={width:e._toolbarLeftElem&&e._toolbarRightElem?e._clientRect.width-2-(e._toolbarLeftElem.offsetWidth+i.left+i.right)-(e._toolbarRightElem.offsetWidth+r.left+r.right):e._clientRect.width,height:e._clientRect.height};e._scrollBlockSize=e._scrollInBoundElem?{width:e._scrollInBoundElem.offsetWidth,height:e._scrollInBoundElem.offsetHeight}:{width:0,height:0};e._scrollButtonSize=e._scrollButtonElem?{width:e._scrollButtonElem.offsetWidth,height:e._scrollButtonElem.offsetHeight}:{width:0,height:0};let a=e._getTabHeaders();if(a){let t={x:0,y:0},o={width:0,height:0},l={top:0,left:0},s={width:0,height:0};e._tabSize={width:0,height:0};e._tabHeaderRect.length=0;e._orgTabHeaderSpace.length=0;let n=e._commonService.getBorderWidth(e._elemRef),c=e._commonService.getBorderWidth(e._contentElem);if(a&&a.length>0){e._calcEmptyTabSpace();a.forEach(function(i,r){i.style.width="auto";i.style.height="auto";let a=e._commonService.getPadding(i),l=e._commonService.getBorderWidth(i);o={width:i.offsetWidth,height:i.offsetHeight};e._orgTabHeaderSpace.push({border:l,padding:a,size:o});if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified)if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)o.height+=e._emptyTabSpace;else o.width+=e._emptyTabSpace;if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)o.width+=5;let s={top:0,left:t.x,width:o.width,height:o.height};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._tabstripPos={top:-e._currentScrollPos+"px",right:"0",bottom:"auto",left:"auto"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.top=e._scrollButtonSize.height+4-e._currentScrollPos+"px";i.style.top=t.y+"px";i.style.right="0";i.style.bottom="auto";i.style.left="auto";if(e._tabSize.width<o.width)e._tabSize.width=o.width;break;case IntegralUITabStripPlacement.Bottom:e._tabstripPos={top:"auto",right:"auto",bottom:"0",left:-e._currentScrollPos+"px"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.left=e._scrollButtonSize.width+2-e._currentScrollPos+"px";i.style.top="auto";i.style.right="auto";i.style.bottom="0";i.style.left=t.x+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0)i.style.width=i.offsetWidth-(a.left+a.right)-(l.left+l.right)+e._emptyTabSpace+"px";if(e._tabSize.height<o.height)e._tabSize.height=o.height;break;case IntegralUITabStripPlacement.Left:e._tabstripPos={top:-e._currentScrollPos+"px",right:"auto",bottom:"auto",left:"0"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.top=e._scrollButtonSize.height+4-e._currentScrollPos+"px";i.style.top=t.y+"px";i.style.right="auto";i.style.bottom="auto";i.style.left="0";if(e._tabSize.width<o.width)e._tabSize.width=o.width;break;default:e._tabstripPos={top:"0",right:"auto",bottom:"auto",left:-e._currentScrollPos+"px"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.left=e._scrollButtonSize.width+2-e._currentScrollPos+"px";i.style.top="0";i.style.right="auto";i.style.bottom="auto";i.style.left=t.x+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0)i.style.width=i.offsetWidth-(a.left+a.right)-(l.left+l.right)+e._emptyTabSpace+"px";if(e._tabSize.height<o.height)e._tabSize.height=o.height}if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)s.top=t.y;e._tabHeaderRect.push(s);let n=e.tabSpacing;t.x+=o.width+n-1;t.y+=o.height+n-1});let i=e._toolbarLeftElem&&e._toolbarRightElem?Math.max(e._toolbarLeftElem.offsetHeight,e._toolbarRightElem.offsetHeight)+1:0;e.tabPos={top:i>e._tabSize.height?i-e._tabSize.height:0,left:0};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._blockPos={top:"0",right:"0",bottom:"auto",left:"auto"};e._tabStripSize.width=e._tabSize.width;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(n.left+n.right),height:e._elemRef.clientHeight-(n.top+n.bottom)};break;case IntegralUITabStripPlacement.Bottom:e._blockPos={top:"auto",right:"auto",bottom:"0",left:e.toolbarLeftElem?e.toolbarLeftElem.offsetWidth+"px":"0"};e._tabStripSize.height=i>e._tabSize.height?i:e._tabSize.height;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(n.left+n.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(n.top+n.bottom)};e._toolbarPos={top:"auto",bottom:"0"};break;case IntegralUITabStripPlacement.Left:e._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};e._tabStripSize.width=e._tabSize.width;e._contentBlockPos={top:0,left:e._tabStripSize.width};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(n.left+n.right),height:e._elemRef.clientHeight-(n.top+n.bottom)};break;default:e._blockPos={top:"0",right:"auto",bottom:"auto",left:e._toolbarLeftElem?e._toolbarLeftElem.offsetWidth+"px":"0"};e._tabStripSize.height=i>e._tabSize.height?i:e._tabSize.height;e._contentBlockPos={top:e._tabStripSize.height-1,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(n.left+n.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(n.top+n.bottom-1)};e._toolbarPos={top:"0",bottom:"auto"}}e._contentBlockSize.width-=c.left+c.right;e._contentBlockSize.height-=c.top+c.bottom}a.forEach(function(t,i){let r=e._commonService.getPadding(t);switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.style.width=e._tabSize.width-(r.left+r.right)-1+"px";l={top:e.animation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};s={width:e._elemRef.clientWidth-(n.left+n.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(n.top+n.bottom)};break;case IntegralUITabStripPlacement.Bottom:t.style.bottom=e._tabPos.top+"px";t.style.height=e._tabSize.height-(r.top+r.bottom)+"px";l={top:0,left:e.animation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};s={width:e._elemRef.clientWidth-(n.left+n.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(n.top+n.bottom-1)};break;case IntegralUITabStripPlacement.Left:t.style.width=e._tabSize.width-(r.left+r.right)-1+"px";l={top:e.animation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};s={width:e._elemRef.clientWidth-(n.left+n.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(n.top+n.bottom)};break;default:t.style.top=e._tabPos.top+"px";l={top:0,left:e.animation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};s={width:e._elemRef.clientWidth-(n.left+n.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(n.top+n.bottom-1)};if(e.autoSizeValue)s.height="auto"}});if(e._tabList&&e._tabList.length>0)e._tabList.forEach(function(t){t.animation=e.animation;t.updateLayout(l,s,e.animation===IntegralUIAnimationType.Slide?!1:!0)});e._maxScrollPos=0;if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){e._maxScrollPos+=t.y-e.tabSpacing+1-e._clientRect.height;if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._maxScrollPos+=2*(e._scrollButtonSize.height+4);else e._maxScrollPos+=e._scrollBlockSize.height;if(e._maxScrollPos<=0)e._currentScrollPos=0}else{e._maxScrollPos+=t.x-e.tabSpacing+1-e._clientRect.width;e._maxScrollPos+=e._toolbarLeftElem?e._toolbarLeftElem.offsetWidth+i.left+i.right:0;e._maxScrollPos+=e._toolbarRightElem?e._toolbarRightElem.offsetWidth+r.left+r.right:0;if(e._maxScrollPos>0)if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._maxScrollPos+=2*(e._scrollButtonSize.width+2);else{let t=e._scrollInBoundElem?e._commonService.getPadding(e._scrollInBoundElem):{top:0,right:0,bottom:0,left:0};e._maxScrollPos+=e._scrollBlockSize.width+t.left+t.right}else e._currentScrollPos=0}e._maxScrollPos=Math.max(e._maxScrollPos,0);e._isScrollAllowed=e._maxScrollPos>0&&e._currentScrollMode!==IntegralUITabScrollMode.None;if(!e._isScrollAllowed)if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)e._tabstripPos.top=-e._currentScrollPos+"px";else e._tabstripPos.left=-e._currentScrollPos+"px";if(e._selectedComponent){e._selectedComponent.updatePos({left:0,top:0});e._selectedComponent.updateOpacity(1);e._selectedComponent.updateVisibility(!1)}let h=e._getTabCurrentIndex(e._selectedComponent);e._updateTabLine(h)}t()})}_updateTabHeaders(){let t=this,e={x:0,y:0},i={width:0,height:0};t._tabHeaderRect.length=0;let r=t._getTabHeaders();if(r&&r.length>0)r.forEach(function(r,a){i={width:r.offsetWidth,height:r.offsetHeight};if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified)if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)i.height+=t._emptyTabSpace;else i.width+=t._emptyTabSpace;let o=t._commonService.getPadding(r),l=t._commonService.getBorderWidth(r),s={top:0,left:e.x,width:i.width,height:i.height};switch(t._currentTabPlacement){case IntegralUITabStripPlacement.Right:r.style.top=e.y+"px";r.style.right="0";r.style.bottom="auto";r.style.left="auto";break;case IntegralUITabStripPlacement.Bottom:r.style.top="auto";r.style.right="auto";r.style.bottom="0";r.style.left=e.x+"px";if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified&&t._emptyTabSpace>0)r.style.width=r.offsetWidth-(o.left+o.right)-(l.left+l.right)+t._emptyTabSpace+"px";break;case IntegralUITabStripPlacement.Left:r.style.top=e.y+"px";r.style.right="auto";r.style.bottom="auto";r.style.left="0";break;default:r.style.top="0";r.style.right="auto";r.style.bottom="auto";r.style.left=e.x+"px";if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified&&t._emptyTabSpace>0)r.style.width=r.offsetWidth-(o.left+o.right)-(l.left+l.right)+t._emptyTabSpace+"px"}if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)s.top=e.y;t._tabHeaderRect.push(s);let n=t.tabSpacing;e.x+=i.width+n-1;e.y+=i.height+n-1})}_tabMouseDown(t,e){if(this._isEnabled)switch(t.which){case 1:this._selectComponent(e);if(this.allowDrag&&e.allowDrag){this._startTabReorder=!0;this._reorderTabStartPos={top:t.pageY+this._currentScrollPos,left:t.pageX+this._currentScrollPos};this._reorderTabPrevPos=this._reorderTabStartPos}break;case 2:this._selectComponent(e);break;default:this._defaultFunc()}}_tabMouseMove(t,e){if(this._isEnabled&&1===t.which)if(this._startTabReorder){this._reorderTabCurrentPos={top:t.pageY,left:t.pageX};let i={dx:Math.abs(this._reorderTabCurrentPos.left+this._currentScrollPos-this._reorderTabStartPos.left),dy:Math.abs(this._reorderTabCurrentPos.top+this._currentScrollPos-this._reorderTabStartPos.top)};if(!this._tabReorderActive&&(i.dx>3||i.dy>3)){this._tabReorderActive=!0;this._reorderTab=e;this._ctrlCursor="move";this._orgHeaderList=this._getTabHeaders();this._orgReorderTabIndex=this._tabList.indexOf(this._reorderTab);if(this._orgReorderTabIndex<this._orgHeaderList.length)this._reorderTabRect=this._commonService.getPageRect(this._orgHeaderList[this._orgReorderTabIndex]);this._updateReorderDirection();this._updateReorderTabPos();this.update()}}}_tabEnter(t,e){if(this._isEnabled&&!e.selected){e.state|=IntegralUIObjectState.Hovered;this.update()}}_tabLeave(t,e){if(this._isEnabled&&!e.selected){e.state&=~IntegralUIObjectState.Hovered;this.update()}}_updateReorderTabPos(){if(this._reorderTab){let t={width:0,height:0},e={width:0,height:0};this._reorderTabIndex=this._tabList.indexOf(this._reorderTab);this._reorderNewTabIndex=this._reorderTabIndex;let i=this._commonService.getPageRect(this._elemRef),r=this._orgHeaderList,a=0;for(a=0;a<r.length&&a<this._orgReorderTabIndex;a++){e={width:r[a].offsetWidth,height:r[a].offsetHeight};if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)t.height+=e.height+this.tabSpacing-1;else t.width+=e.width+this.tabSpacing-1}let o={width:0,height:0};if(a<r.length&&a===this._orgReorderTabIndex){o={width:r[a].offsetWidth,height:r[a].offsetHeight};let t=0;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound&&this._isScrollAllowed)if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)t=this._scrollButtonSize.height+4;else t=this._scrollButtonSize.width+2;if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right){this._reorderTabPos.top=this._reorderTabCurrentPos.top-i.top-(this._reorderTabStartPos.top-this._reorderTabRect.top)+t;this._reorderTabPos.top=Math.max(0,Math.min(this._reorderTabPos.top,this._clientRect.height-o.height))}else{this._reorderTabPos.left=this._reorderTabCurrentPos.left-i.left-(this._reorderTabStartPos.left-this._reorderTabRect.left)+t;this._reorderTabPos.left=Math.max(0,Math.min(this._reorderTabPos.left,this._clientRect.width-o.width))}}t={width:0,height:0};let l=this._commonService.getPageRect(this._elemRef);for(let i=0;i<this._currentTabs.length;i++)if(i<r.length){e={width:r[i].offsetWidth,height:r[i].offsetHeight};let a=!1;if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right){t.height+=e.height;a=this._reorderTabCurrentPos.top-l.top<t.height-this._currentScrollPos?!0:!1}else{t.width+=e.width;a=this._reorderTabCurrentPos.left-l.left<t.width-this._currentScrollPos?!0:!1}if(a)if(this._reorderDirection>=0){if(i>=this._reorderTabIndex){this._reorderNewTabIndex=i;break}}else if(i<=this._reorderTabIndex){this._reorderNewTabIndex=i;break}}if(this._reorderTabIndex!==this._reorderNewTabIndex){this._commonService.moveObject(this._reorderTabIndex,this._reorderNewTabIndex,this._tabList);this.update();this._updateTabHeaders()}this._updateReorderDirection();this._reorderTabPrevPos=this._reorderTabCurrentPos}}_updateReorderDirection(){if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)this._reorderDirection=this._reorderTabCurrentPos.top>this._reorderTabPrevPos.top?1:-1;else this._reorderDirection=this._reorderTabCurrentPos.left>this._reorderTabPrevPos.left?1:-1}_resetReorderTabSettings(){this._reorderTab=null;this._tabReorderActive=!1;this._startTabReorder=!1;this._ctrlCursor="default";this._reorderTabStartPos={top:0,left:0};this._reorderTabCurrentPos={top:0,left:0};this._reorderTabPos={top:0,left:0}}_getTabOpacity(t){if(this._tabReorderActive&&t===this._reorderTab)return 0;else return 1}_windowMouseMove(t){if(this._isEnabled&&1===t.which)if(this._tabReorderActive&&this._reorderTab){this._reorderTabCurrentPos.left=t.pageX;this._updateReorderTabPos();this._processDragScroll(t);this.update()}}_windowMouseUp(t){let e=this;if(1===t.which){if(e._reorderTab&&e._reorderNewTabIndex>=0&&e._reorderNewTabIndex<e._tabList.length)if(e._orgReorderTabIndex!==e._reorderNewTabIndex){this._currentTabs=this._tabList.map(t=>t.data);this._updateData();let t={index:this._tabList.indexOf(this._reorderTab),list:this._currentTabs,tab:this._getComponentData(this._reorderTab)};e._currentSelectedIndex=t.index;t.index=e._currentSelectedIndex;t.list=e._currentTabs;e._invokeEvent("tabOrderChanged",t);e.updateLayout()}this._resetReorderTabSettings();this.update()}else this._resetReorderTabSettings()}_getLastTabIndex(){let t=this._dataService.getList();return t?t.length-1:-1}_getPrevTab(t){let e=null;if(t){let i=this._dataService.getList(),r=i.indexOf(t);if((r=r>0?r-1:-1)>=0)e=i[r]}return e}_getNextTab(t){let e=null;if(t){let i=this._dataService.getList(),r=i.indexOf(t);if((r=r<i.length-1?r+1:-1)>=0)e=i[r]}return e}_moveTab(t,e,i,r){if(t){let a=-1;switch(e){case IntegralUIMoveDirection.At:a=r;break;case IntegralUIMoveDirection.Down:i=this._getNextTab(t);break;case IntegralUIMoveDirection.First:a=0;break;case IntegralUIMoveDirection.Last:a=this._getLastTabIndex();break;case IntegralUIMoveDirection.Left:i=this._getPrevTab(t);break;case IntegralUIMoveDirection.Right:i=this._getNextTab(t);break;case IntegralUIMoveDirection.Up:i=this._getPrevTab(t);break;default:a=-1}this._moveTabAt(t,i,e,a);this._currentTabs=this._dataService.getList();this.selectTab(t);this.updateLayout();this._invokeEvent("change",{type:"move-tab"});this._scrollTo(t)}}_moveTabAt(t,e,i,r){if(this._removeTab(t))if(i===IntegralUIMoveDirection.First||i===IntegralUIMoveDirection.Right||i===IntegralUIMoveDirection.Last||i===IntegralUIMoveDirection.At)this._insertTabAt(t,r);else if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)this._insertTabBefore(t,e);else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Down)this._insertTabAfter(t,e)}scrollPos(t){if(void 0!==t){this._currentScrollPos=Math.max(0,Math.min(t,this._maxScrollPos));this.updateLayout();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}return Math.floor(this._currentScrollPos)}_startScroll(t){let e=this;if(e._scrollTimer)clearInterval(e._scrollTimer);e._scrollCount=0;e._isScrollActive=!0;e._scrollTimer=setInterval(function(){e._scrollTimerElapsed(t)},100)}_stopScroll(){if(this._scrollTimer)clearInterval(this._scrollTimer);this._isScrollActive=!1}_processScroll(t){if(t)if(this._currentScrollPos+this._scrollCount<this._maxScrollPos)this._currentScrollPos+=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos=this._maxScrollPos}else if(this._currentScrollPos-this._scrollCount>0)this._currentScrollPos-=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos=0}this._scrollTabs();let e=this._getTabCurrentIndex(this._selectedComponent);this._updateTabLine(e);this.update();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}_processDragScroll(t){if(this._isEnabled){let e=this._commonService.getShiftPos(),i=this._commonService.getMousePos(t);i.x-=e.x;i.y-=e.y;let r=this._commonService.getPageRect(this._elemRef),a={top:r.top+10,right:r.right-10,bottom:r.bottom-10,left:r.left+10};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound){a.top+=this._scrollButtonSize.height+4;a.right-=this._scrollButtonSize.width+2;a.bottom-=this._scrollButtonSize.height+4;a.left+=this._scrollButtonSize.width+2}else{a.right-=this._scrollBlockSize.width;a.bottom-=this._scrollBlockSize.height}if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)if(i.y<a.top)this._startScroll();else if(i.y>a.bottom)this._startScroll(!0);else this._stopScroll();else if(i.x<a.left)this._startScroll();else if(i.x>a.right)this._startScroll(!0);else this._stopScroll()}}_scrollTimerElapsed(t){if(0===this._scrollCount)this._scrollCount=1;this._scrollCount+=5;this._stopScrolling=!1;this._processScroll(t);if(this._stopScrolling){clearInterval(this._scrollTimer);this._isScrollActive=!1}}_scrollTabs(){let t={top:0,right:0,bottom:0,left:0};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.top=-this._currentScrollPos;t.right=0;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.top+=this._scrollButtonSize.height+4;this._tabstripPos={top:t.top+"px",right:"0",bottom:"auto",left:"auto"};break;case IntegralUITabStripPlacement.Bottom:t.bottom=0;t.left=-this._currentScrollPos;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.left+=this._scrollButtonSize.width+2;this._tabstripPos={top:"auto",right:"auto",bottom:"0",left:t.left+"px"};break;case IntegralUITabStripPlacement.Left:t.top=-this._currentScrollPos;t.left=0;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.top+=this._scrollButtonSize.height+4;this._tabstripPos={top:t.top+"px",right:"auto",bottom:"auto",left:"0"};break;default:t.top=0;t.left=-this._currentScrollPos;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.left+=this._scrollButtonSize.width+2;this._tabstripPos={top:"0",right:"auto",bottom:"auto",left:t.left+"px"}}}_scrollButtonMouseDown(t,e){this._startScroll(e);t.stopPropagation()}_scrollButtonMouseUp(t){this._stopScroll();t.stopPropagation()}scrollTo(t){if(t){let e=this._getTabIndex(t),i=this._getTabHeaders();if(i&&i.length>0){let t=0;for(let r=0;r<e&&r<i.length;r++)switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Left:case IntegralUITabStripPlacement.Right:t+=i[r].offsetHeight+this.tabSpacing;break;default:t+=i[r].offsetWidth+this.tabSpacing}this.scrollPos(Math.min(t,this._maxScrollPos));this.updateLayout()}}}_clearSelection(t){this._tabList.forEach(function(e,i){if(e!==t)e.selected=!1})}_selectComponent(t,e){let i=this;if(t&&t!==i._selectedComponent){let r=i._getTabCurrentIndex(t),a=i._getComponentData(t),o={cancel:!1,index:r,tab:a};i._invokeEvent("beforeSelect",o);if(!0!==o.cancel){i._currentSelectedIndex=r;if(i._currentTabs&&r>=0&&r<i._currentTabs.length)i._currentSelection=i._currentTabs[r];i._prevComponent=i._selectedComponent;i._selectedComponent=t;i._clearSelection(t);t.selected=!0;if(i._currentDisplayMode===IntegralUITabDisplayMode.Compressed&&this._currentTabPlacement!==IntegralUITabStripPlacement.Left&&this._currentTabPlacement!==IntegralUITabStripPlacement.Right){i._updateTabHeaders();setTimeout(function(){i._animate()},10)}else i._animate();if(!e){i._invokeEvent("afterSelect",{index:r,tab:a});i._invokeEvent("selectionChanged",{index:r,tab:a})}i.update();return!0}}return!1}_selectComponentByIndex(t,e){let i=this;setTimeout(function(){if(i._commonService.isIndexInRange(t,i._tabList))i._selectComponent(i._tabList[t],e)},1)}selectTab(t,e){if(this._currentTabs){if(0===this._currentTabs.length)this._updateTabList();this._currentSelectedIndex=this._currentTabs.indexOf(t);this._selectComponentByIndex(this._currentSelectedIndex,e)}}_updateSelection(){if(this._currentSelection&&this._currentTabs)this._selectComponentByIndex(this._findTabIndexByID(this._currentSelection.id));else if(this._currentSelectedIndex>=0)this._selectComponentByIndex(this._currentSelectedIndex);else this._selectComponentByIndex(0)}_findTabIndexByID(t){let e=this._currentTabs.filter(e=>e.id===t);return e.length>0?this._currentTabs.indexOf(e[0]):-1}_getScrollBlockClass(){let t={};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t["iui-tabstrip-scroll-outbound"]=!0;else t["iui-tabstrip-scroll-inbound"]=!0;switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t["iui-tabstrip-scroll-border-left"]=!0;break;case IntegralUITabStripPlacement.Bottom:t["iui-tabstrip-scroll-border-top"]=!0;break;case IntegralUITabStripPlacement.Left:t["iui-tabstrip-scroll-border-right"]=!0;break;default:t["iui-tabstrip-scroll-border-bottom"]=!0}return t}_getScrollInBoundStyle(){let t={top:"auto",right:"auto",bottom:"auto",left:"auto",opacity:"1",padding:"0",width:"auto",height:"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.bottom="0px";t.right="0";t.padding="2px 0 0 0";t.width=this._tabStripSize.width+"px";break;case IntegralUITabStripPlacement.Bottom:t.right="0px";t.bottom="0";t.padding="0 0 0 2px";t.height=this._tabStripSize.height+1+"px";break;case IntegralUITabStripPlacement.Left:t.bottom="0px";t.left="0";t.padding="2px 0 0 0";t.width=this._tabStripSize.width+"px";break;default:t.right="0px";t.top="0";t.padding="0 0 0 2px";t.height=this._tabStripSize.height-1+"px"}if(0===this._maxScrollPos)t.opacity="0.4";if(!this._isScrollAllowed){t.opacity="0";t["pointer-events"]="none"}return t}_getScrollInBoundButtonStyle(t){let e={"margin-left":"auto","margin-top":"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:e["margin-left"]="2px";break;case IntegralUITabStripPlacement.Bottom:e["margin-top"]="2px";break;case IntegralUITabStripPlacement.Left:e["margin-left"]=this._tabStripSize.width-this._scrollButtonSize.width-2+"px";break;default:e["margin-top"]=this._tabStripSize.height-this._scrollButtonSize.height-2+"px"}return e}_getScrollOutBoundStyle(t){let e={top:"auto",right:"auto",bottom:"auto",left:"auto",opacity:"1",padding:"0",width:"auto",height:"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(1===t){e.top="0";e.padding="0  0 2px 0"}else{e.bottom="0";e.padding="2px 0 0 0"}e.right="0";e.width=this._tabStripSize.width+"px";break;case IntegralUITabStripPlacement.Bottom:if(1===t){e.left="0";e.padding="0 2px 0 0"}else{e.right="0";e.padding="0 0 0 2px"}e.bottom="0";e.height=this._tabStripSize.height+1+"px";break;case IntegralUITabStripPlacement.Left:if(1===t){e.top="0";e.padding="0  0 2px 0"}else{e.bottom="0";e.padding="2px 0 0 0"}e.left="0";e.width=this._tabStripSize.width+"px";break;default:if(1===t){e.left="0";e.padding="0 2px 0 0"}else{e.right="0";e.padding="0 0 0 2px"}e.top="0";e.height=this._tabStripSize.height-1+"px"}if(0===this._maxScrollPos)e.opacity="0.4";if(!this._isScrollAllowed){e.opacity="0";e["pointer-events"]="none"}return e}_getControlStyle(){let t={cursor:this._ctrlCursor};if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";return t}_getTabHeaderClass(t,e){let i=t._getCurrentTabStyle(),r={};r[i.header.normal]=!0;if(t.state&IntegralUIObjectState.Disabled)r[i.header.disabled]=!0;else if(t.state&IntegralUIObjectState.Focused)r[i.header.focused]=!0;else if(t.state&IntegralUIObjectState.Selected){r[i.header.selected]=!0;switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:r["iui-tab-selected-right"]=!0;break;case IntegralUITabStripPlacement.Bottom:r["iui-tab-selected-bottom"]=!0;break;case IntegralUITabStripPlacement.Left:r["iui-tab-selected-left"]=!0;break;default:r["iui-tab-selected-top"]=!0}}else if(t.state&IntegralUIObjectState.Hovered)r[i.header.hovered]=!0;return r}_getReorderTabStyle(){let t={position:"absolute","pointer-events":"none","z-index":999};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.top=this._reorderTabPos.top+"px";t.right=0;t.bottom="auto";t.left="auto";t.width=this._tabSize.width-1+"px";break;case IntegralUITabStripPlacement.Left:t.top=this._reorderTabPos.top+"px";t.right="auto";t.bottom="auto";t.left=0;t.width=this._tabSize.width-1+"px";break;default:t.top=0;t.right="auto";t.bottom="auto";t.left=this._reorderTabPos.left+"px";t.height="auto"}if(this._currentTabPlacement===IntegralUITabStripPlacement.Top||this._currentTabPlacement===IntegralUITabStripPlacement.Bottom)if(this._currentDisplayMode===IntegralUITabDisplayMode.Justified&&this._emptyTabSpace>0&&this._orgReorderTabIndex>=0&&this._orgReorderTabIndex<this._orgTabHeaderSpace.length){let e=this._orgTabHeaderSpace[this._orgReorderTabIndex];t.width=e.size.width-(e.padding.left+e.padding.right)-(e.border.left+e.border.right)+"px"}return t}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentTabColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabStripDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabStripLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentTabColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentTabThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTabStripOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabThemeSettings.cssText=this._commonService.replaceAll(iuiTabOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentTabThemeSettings.cssText=""}}_getTabTemplate(t){let e=this.tabTemplate;if(e){let i=e(t);return new TemplateResult(i.strings,i.values,"html",defaultTemplateProcessor)}else return html` 				${t.icon?html`<span class=${classMap(this._getTabIcon(t.icon))}></span>`:html``} 				${t.text?html`<span class="iui-tab-label">${t.text}</span>`:html``} 			`}_tabTouchStart(t,e){if(this._isEnabled)this._selectComponent(e)}firstUpdated(t){this._updateReferences();this._refreshTabParent()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this.update();this._updateReferences()}_refreshTabParent(){let t=this;setTimeout(function(){t._contentSlotElem=t._contentElem.querySelector("slot").assignedNodes();t._updateTabList();t._tabList.map(e=>e.setParent(t));t.updateLayout()},10)}_getTabIcon(t){let e={};if(this._commonService.isString(t)){t.split(" ").map(t=>e[t]=!0)}return e}render(){return html`             <style> 				${this._currentControlStyleSettings} 				${this._currentTabStyleSettings}                 ${this._currentThemeSettings} 				${this._currentTabThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentTabColorSchemeSettings}                 ${this._currentCustomStyle}             </style> 			<div data-ctrl="tabstrip" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}> 				${this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom?html` 						<div id="toolbarLeft" class="iui-tabstrip-left-toolbar" style=${styleMap({top:this._toolbarPos.top,bottom:this._toolbarPos.bottom})}> 							<slot name="toolbar-left"></slot> 						</div>`:html``} 				<div id="tabstrip" class="iui-tabstrip-block" style=${styleMap({top:this._blockPos.top,right:this._blockPos.right,bottom:this._blockPos.bottom,left:this._blockPos.left,width:this._tabStripSize.width+"px",height:this._tabStripSize.height+"px"})}> 					${this._currentScrollMode===IntegralUITabScrollMode.OutBound?html` 						<div id="scrollInBound" class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollOutBoundStyle(1))}> 							<div id="scrollButton" class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-up":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-left":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div> 						</div>`:html``} 					<ul id="tabBlock" style=${styleMap({top:this._tabstripPos.top,right:this._tabstripPos.right,bottom:this._tabstripPos.bottom,left:this._tabstripPos.left})}> 						${this._tabList.map(t=>html` 							<li data-header class=${classMap(this._getTabHeaderClass(t))} style=${styleMap({opacity:this._getTabOpacity(t),"z-index":t._elemOrder})} @mouseenter="${e=>this._tabEnter(e,t)}" @mouseleave="${e=>this._tabLeave(e,t)}" @mousedown="${e=>this._tabMouseDown(e,t)}" @mousemove="${e=>this._tabMouseMove(e,t)}" @touchstart="${e=>this._tabTouchStart(e,t)}"> 								${this._getTabTemplate(t)} 							</li> 						`)} 					</ul> 					${this._reorderTab?html` 							<li class=${classMap(this._getTabHeaderClass(this._reorderTab,!0))} style=${styleMap(this._getReorderTabStyle())}> 								<div style=${styleMap({opacity:"0.5"})}> 									${this._getTabTemplate(this._reorderTab)} 								</div> 							</li>`:html``} 					${this._currentScrollMode===IntegralUITabScrollMode.InBound?html` 							<div id="scrollInBound" class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollInBoundStyle())}> 								<div id="scrollButton" class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-up":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-left":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div> 								<div class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-down":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-right":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t,!0)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div> 							</div>`:html``} 					${this._currentScrollMode===IntegralUITabScrollMode.OutBound?html` 							<div class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollOutBoundStyle())}> 								<div class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-down":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-right":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t,!0)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div> 							</div>`:html``} 					${this.animation===IntegralUIAnimationType.Slide&&!this._reorderTab?html`<div class="iui-tabstrip-line" style=${styleMap({top:this._selTabLinePos.top+"px",left:this._selTabLinePos.left+"px",height:this._selTabLineSize.height+"px",width:this._selTabLineSize.width+"px"})}></div>`:html``} 				</div> 				<div id="content" class="iui-tabstrip-content" style=${styleMap({top:this._contentBlockPos.top+"px",left:this._contentBlockPos.left+"px",width:this._contentBlockSize.width+"px",height:this._contentBlockSize.height+"px"})}> 					<slot @slotchange="${t=>this._slotChange(t)}"></slot> 				</div> 				${this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom?html` 						<div id="toolbarRight" class="iui-tabstrip-right-toolbar" style=${styleMap({top:this._toolbarPos.top,bottom:this._toolbarPos.bottom})}> 							<slot name="toolbar-right"></slot> 						</div>`:html``} 			</div>         `}updated(t){}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiTabStripDefaultStyle.cssText,"../../icons",t);this._currentTabStyleSettings=css``;this._currentTabStyleSettings.cssText=this._commonService.replaceAll(iuiTabDefaultStyle.cssText,"../../icons",t)}_updateTabList(){this._contentSlotElem=this._contentElem.querySelector("slot").assignedNodes();this._tabList=this._contentSlotElem?this._contentSlotElem.filter(t=>"iui-tab"===t.nodeName.toLowerCase()):[];this._currentTabs=this._tabList.map(t=>t.data);this._updateData()}_slotChange(t){this._updateReferences();this.updateLayout()}_updateReferences(){this._contentElem=this.shadowRoot.querySelector("#content");this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=tabstrip]");this._scrollInBoundElem=this.shadowRoot.querySelector("#scrollInBound");this._scrollButtonElem=this.shadowRoot.querySelector("#scrollButton");this._tabBlock=this.shadowRoot.querySelector("#tabBlock")}}window.customElements.define("iui-tabstrip",IntegralUITabStrip);export default IntegralUITabStrip;