/*
  filename: integralui.treeview.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import{IntegralUICheckMode,IntegralUIItemDisplayMode,IntegralUICheckState,IntegralUIMoveDirection,IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import IntegralUIBaseList from"./integralui.base.list.js";import"./integralui.scrollbar.js";import{iuiBaseDefaultStyle}from"../styles/default/integralui.style.js";import{iuiTreeViewDefaultStyle}from"../styles/default/integralui.treeview.style.js";import{iuiTreeViewOfficeStyle}from"../styles/themes/office/integralui.treeview.office.js";import{iuiTreeViewDarkStyle}from"../styles/color-schemes/dark/integralui.treeview.dark.js";import{iuiTreeViewLightStyle}from"../styles/color-schemes/light/integralui.treeview.light.js";import{iuiTreeItemDefaultStyle}from"../styles/default/integralui.treeitem.style.js";import{iuiTreeItemOfficeStyle}from"../styles/themes/office/integralui.treeitem.office.js";import{iuiTreeItemDarkStyle}from"../styles/color-schemes/dark/integralui.treeitem.dark.js";import{iuiTreeItemLightStyle}from"../styles/color-schemes/light/integralui.treeitem.light.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";class IntegralUITreeView extends IntegralUIBaseList{_init(){super._init();this._isCheckBoxVisible=!1;this._currentCheckMode=IntegralUICheckMode.TwoState;this._isThereChildItems=!1;this._expandTimeout=null;this._expandItem=null;this._isAutoExpanded=!1;this._currentItemDisplay=IntegralUIItemDisplayMode.Full;this._isExpandBoxVisible=!0;this._isLongestInProcess=!1;this._longestObj={data:null,width:0};this._currentBaseStyleSettings=iuiBaseDefaultStyle;this._currentControlStyleSettings=iuiTreeViewDefaultStyle;this._currentItemColorSchemeSettings=css``;this._currentItemStyleSettings=iuiTreeItemDefaultStyle;this._currentItemThemeSettings=css``;this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._generalClassName="iui-treeview";this._itemClassName="iui-treeitem";this._itemContentClassName=this._itemClassName+"-content";this._expandBoxClassName=this._itemClassName+"-expand-box";this._isExpandBoxTouched=!1;this._updateOptions();this._initStyle();this._updateData()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._removeDropMark();if(this._expandTimeout)clearTimeout(this._expandTimeout);if(this._loadingEndTimeout)clearTimeout(this._loadingEndTimeout);this._resetLayoutTimer();this._rt()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},item:{general:{disabled:this._itemClassName+"-disabled",focused:this._itemClassName+"-focused",normal:this._itemClassName,hovered:this._itemClassName+"-hovered",selected:this._itemClassName+"-selected"},expandBox:{general:this._expandBoxClassName,load:this._expandBoxClassName+"-load",expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},content:{disabled:this._itemContentClassName+"-disabled",focused:this._itemContentClassName+"-focused",normal:this._itemContentClassName,hovered:this._itemContentClassName+"-hovered",selected:this._itemContentClassName+"-selected"}}};this._updateStyle(this.controlStyle);this._updateControlClass();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{autoExpand:{type:Boolean,attribute:"auto-expand",reflect:!0},checkBoxes:{type:Boolean,attribute:"check-boxes",reflect:!1},checkMode:{attribute:"check-mode",converter:{fromAttribute:e=>"twostate"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUICheckMode.TwoState:IntegralUICheckMode.ThreeState,toAttribute:(e,t)=>e===IntegralUICheckMode.TwoState?"twostate":"threestate"},reflect:!0},compactMode:{type:Boolean,attribute:"compact-mode",reflect:!0},indent:{type:Number,reflect:!0},itemDisplay:{attribute:"item-display",converter:{fromAttribute:e=>"partial"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIItemDisplayMode.Partial:IntegralUIItemDisplayMode.Full,toAttribute:(e,t)=>e===IntegralUIItemDisplayMode.Partial?"Partial":"Full"},reflect:!0},showExpandBox:{type:Boolean,attribute:"show-expandbox",reflect:!0}}}get autoExpand(){return this._isAutoExpanded}set autoExpand(e){if(this._isAutoExpanded!==e){const t=this._isAutoExpanded;this._isAutoExpanded=e;this.requestUpdate("autoExpand",t)}}get checkBoxes(){return this._isCheckBoxVisible}set checkBoxes(e){if(this._isCheckBoxVisible!==e){const t=this._isCheckBoxVisible;this._isCheckBoxVisible=e;this.requestUpdate("checkBoxes",t);this.updateLayout()}}get checkMode(){return this._currentCheckMode}set checkMode(e){if(this._currentCheckMode!==e){const t=this._currentCheckMode;this._currentCheckMode=e;this.requestUpdate("checkMode",t);this.updateLayout()}}get compactMode(){return this._currentCompactMode}set compactMode(e){if(this._currentCompactMode!==e){const t=this._currentCompactMode;this._currentCompactMode=e;this.requestUpdate("compactMode",t);this.updateLayout()}}get indent(){return this._options.indent}set indent(e){if(this._options.indent!==e){const t=this._options.indent;this._options.indent=e;this.requestUpdate("indent",t);this.updateLayout()}}get itemDisplay(){return this._currentItemDisplay}set itemDisplay(e){if(this._currentItemDisplay!==e){const t=this._currentItemDisplay;this._currentItemDisplay=e;this.requestUpdate("itemDisplay",t);this.updateLayout()}}get showExpandBox(){return this._isExpandBoxVisible}set showExpandBox(e){if(this._isExpandBoxVisible!==e){const t=this._isExpandBoxVisible;this._isExpandBoxVisible=e;this.requestUpdate("showExpandBox",t);this.updateLayout()}}_itemDblClickEvent(e,t){if(this._isEnabled){let i={cancel:!1,event:e,item:t.data};this._invokeEvent("itemDblClick",i);if(!0!==i.cancel)this.toggle(t.data)}}_checkItem(e,t){if(t){let e=this._getItemCheckValue(t);e=void 0===e||e===IntegralUICheckState.Indeterminate||e===IntegralUICheckState.Unchecked?IntegralUICheckState.Checked:IntegralUICheckState.Unchecked;this._updateCheckValue(t,e);this._updateChildItemCheckValue(t);this._updateParentItemCheckValue(t);this.refresh();this._invokeEvent("checkStateChanged",{item:t,checked:t[this._options.dataFields.checked],checkState:t[this._options.dataFields.checkState]})}e.stopPropagation()}_getItemCheckValue(e){if(e)if(this._currentCheckMode===IntegralUICheckMode.ThreeState)return e[this._options.dataFields.checkState];else return!0===e[this._options.dataFields.checked]?IntegralUICheckState.Checked:IntegralUICheckState.Unchecked;return IntegralUICheckState.Unchecked}_updateCheckValue(e,t){if(e){e[this._options.dataFields.checkState]=t;e[this._options.dataFields.checked]=t===IntegralUICheckState.Checked?!0:!1}}_updateChildItemCheckValue(e){if(e&&e[this._options.dataFields.items])for(let t=0;t<e[this._options.dataFields.items].length;t++){let i=this._getItemCheckValue(e);if(i===IntegralUICheckState.Checked)this._updateCheckValue(e.items[t],IntegralUICheckState.Checked);else if(i===IntegralUICheckState.Unchecked)this._updateCheckValue(e.items[t],IntegralUICheckState.Unchecked);this._updateChildItemCheckValue(e.items[t])}}_updateParentItemCheckValue(e){let t=this.getItemParent(e);for(;t;){let e=t[this._options.dataFields.items];if(e){let i=0,s=0;for(let t=0;t<e.length;t++){let l=this._getItemCheckValue(e[t]);if(l===IntegralUICheckState.Checked)i++;else if(l===IntegralUICheckState.Indeterminate)s++}let l=IntegralUICheckState.Unchecked;if(i===e.length)l=IntegralUICheckState.Checked;else if(i>0||s>0)l=IntegralUICheckState.Indeterminate;this._updateCheckValue(t,l)}t=this.getItemParent(t)}}_updateCheckState(){if(this._currentCheckMode===IntegralUICheckMode.ThreeState)this._updateChildrenCheckState(this._dataService.getList())}_updateChildrenCheckState(e){if(e)e.forEach(e=>{this._updateChildItemCheckValue(e);this._updateParentItemCheckValue(e);this._updateChildrenCheckState(e[this._options.dataFields.items])})}_updateData(){this._dataService.init([{data:this.items,fields:this._options.dataFields}]);this.updateLayout()}_updateOptions(e){if(e){this._options={allowDrag:this._commonService.isFieldAvailable(e.allowDrag,!1),allowDrop:this._commonService.isFieldAvailable(e.allowDrop,!0),compactMode:this._commonService.isFieldAvailable(e.compactMode,!1),dataFields:null,indent:this._commonService.isFieldAvailable(e.indent,15),loadItems:[],selectedItem:this._commonService.isFieldAvailable(e.selectedItem,this._options.selectedItem?this._options.selectedItem:null)};this._updateShowScroll(e.showScroll)}else{this._options={allowDrag:!1,allowDrop:!0,compactMode:!1,dataFields:null,indent:15,loadItems:[],selectedItem:null};this._updateDataFields();this._updateShowScroll()}}_updateDataFields(e){if(e)this._options.dataFields={allowDrag:e.allowDrag?e.allowDrag:"allowDrag",allowDrop:e.allowDrop?e.allowDrop:"allowDrop",allowEdit:e.allowEdit?e.allowEdit:"allowEdit",allowFocus:e.allowFocus?e.allowFocus:"allowFocus",autoCheck:e.autoCheck?e.autoCheck:"autoCheck",canSelect:e.canSelect?e.canSelect:"canSelect",checkBoxSettings:e.checkBoxSettings?e.checkBoxSettings:"checkBoxSettings",checked:e.checked?e.checked:"checked",checkState:e.checkState?e.checkState:"checkState",content:e.content?e.content:"content",contentVisibility:e.contentVisibility?e.contentVisibility:"contentVisibility",contextMenu:e.contextMenu?e.contextMenu:"contextMenu",data:e.data?e.data:"data",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",isRoot:e.isRoot?e.id:"isRoot",items:e.items?e.items:"items",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",selected:e.selected?e.selected:"selected",statusIcon:e.statusIcon?e.statusIcon:"statusIcon",style:e.style?e.style:"style",templateObj:e.templateObj?e.templateObj:"templateObj",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.value?e.visible:"visible"};else this._options.dataFields={allowDrag:"allowDrag",allowDrop:"allowDrop",allowEdit:"allowEdit",allowFocus:"allowFocus",autoCheck:"autoCheck",checkBoxSettings:"checkBoxSettings",canSelect:"canSelect",checked:"checked",checkState:"checkState",content:"content",contentVisibility:"contentVisibility",contextMenu:"contextMenu",data:"data",enabled:"enabled",expanded:"expanded",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",isRoot:"isRoot",items:"items",objects:"items",pid:"pid",selected:"selected",statusIcon:"statusIcon",style:"style",templateObj:"templateObj",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._options.dataFields)}_updateCurrentList(){this._currentList.length=0;this._isThereChildItems=!1;let e=this._dataService.getList();if(!0===this._options.compactMode)e=this._createCompactList(e);if(e){this._applySorting(e);e.forEach(e=>this._addChildItems(e,0,null,!1))}}_addChildItems(e,t,i,s,l){let a=!0;if(!e[this._options.dataFields.items])return a=this._addItemToCurrentList(e,t,i,s,l);if(this._addItemToCurrentList(e,t,i,s,l)){a=!0;let i=0;if(s||this.isItemExpanded(e)){let l=e[this._options.dataFields.items];if(l){this._applySorting(l);l.forEach(l=>{if(this._addChildItems(l,t+this._options.indent,e[this._options.dataFields.id],s,e))i++})}}if(!s&&!this._isThereChildItems&&(i>0||this._isThereItems(e)))this._isThereChildItems=!0}return a}_addItemToCurrentList(e,t,i,s,l){e.type="item";if(!e[this._options.dataFields.id])e[this._options.dataFields.id]=this._commonService.getUniqueId();if(i)e[this._options.dataFields.pid]=i;let a=this._isItemAllowed(e);if(a)if(s)this._fullList.push(e);else this._currentList.push({data:e,indent:t});return a}_isThereItems(e){return!this.isItemExpanded(e)&&e[this._options.dataFields.items]&&e[this._options.dataFields.items].length>0&&this._isThereVisibleChildren(e)}_resetVisiblity(e){if(e)e.forEach(e=>{e[this._options.dataFields.visible]=!0;this._resetVisiblity(e[this._options.dataFields.items])})}_collapseChildren(e){if(e)e.forEach(e=>{e[this._options.dataFields.expanded]=!1;this._collapseChildren(e[this._options.dataFields.items])})}_createCompactList(e){this._resetVisiblity(e);if(this.selectedItem){let t=this.selectedItem,i=this.getItemParent(this.selectedItem),s=i,l=this.selectedItem;this._collapseChildren(l[this._options.dataFields.items]);if(i)for(;i;){this._updateChildren(i,l);let e=this.getItemParent(i);if(!e)t=i;l=i;i=e}e.forEach(e=>{if(!this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id]))e[this._options.dataFields.visible]=s&&this.isItemExpanded(t)?!1:this.isItemExpanded(l)&&this._isThereVisibleChildren(this.selectedItem)?!1:!0})}return e}_updateChildren(e,t){e[this._options.dataFields.items].forEach(e=>{if(!this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id])){e[this._options.dataFields.expanded]=!1;e[this._options.dataFields.visible]=this.isItemExpanded(t)&&this._isThereVisibleChildren(t)?!1:!0}})}loadData(e,t,i,s){this._processLoadData(e,t,i,s)}_updateScrollItemList(){this._resetScrollItemList();this._scrollItemList.length=0;this.update();let e=1;for(let t=this._currentIndex;t<this._currentList.length&&t<this._currentIndex+this._visibleRange;t++,e++){let i=this._currentList[t],s={data:i.data,indent:i.indent,index:t-this._currentIndex,inlineStyle:this._getItemInlineStyle(i),style:{},tabIndex:e};this._updateItemStyle(s);this._scrollItemList.push(s)}}_checkForChildren(e){let t=!1,i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length;e++)if(this._isItemAllowed(i[e])){t=!0;break}return t}_updateIsThereChildItems(){let e=!1,t=this._dataService.getList();if(t)for(let i=0;i<t.length&&!(e=this._checkForChildren(t[i]));i++);this.isThereChildItems=e}_processItemAdd(e,t){if(this._isUpdateAllowed)this._updateIsThereChildItems()}_processItemRemoval(e,t){if(this._isUpdateAllowed)this._updateIsThereChildItems()}_expandOnDelay(e){let t=this;if(!1!==t._isAutoExpanded){if(t._expandItem!==e){if(t._expandTimeout)clearTimeout(t._expandTimeout);t._expandTimeout=setTimeout(function(){if(t._expandTimeout)t.expand(e);clearTimeout(t._expandTimeout)},500)}t._expandItem=e}}_itemDragOver(e,t,i,s){if(this._isEnabled){let l=this._getItemElemList();if(l&&i>=0&&i<l.length){let a=this._commonService.getPageRect(l[i]),o={x:a.left,y:a.top,width:a.right-a.left,height:a.bottom-a.top};this._expandOnDelay(t.data);this._processScroll(e);if(!this.isScrollTimerActive)this._processDragOver(e,t.data,o,s)}}e.stopPropagation()}_itemDragDrop(e,t){if(this._isEnabled){this._expandItem=null;if(this._expandTimeout)clearTimeout(this._expandTimeout);this._processDragDrop(e,t.data)}e.stopPropagation()}collapse(e){this.toggle(e,!1)}expand(e){this.toggle(e,!0)}_expandBoxMouseDown(e,t){if(this._isEnabled){if(1===e.which&&!this._isExpandBoxTouched)this.toggle(t);this._isExpandBoxTouched=!1}e.stopPropagation()}_expandBoxMouseUp(e){this._isExpandBoxTouched=!1;e.stopPropagation()}_expandBoxTouchStart(e,t){if(this._isEnabled){this._isExpandBoxTouched=!0;this.toggle(t)}e.stopPropagation()}_expandBoxTouchEnd(e,t){}toggle(e,t){if(e){if(!e[this._options.dataFields.hasChildren]&&(!e[this._options.dataFields.items]||0===e[this._options.dataFields.items].length))return;else if(t&&!1!==e[this._options.dataFields.expanded])return;else if(!1===t&&!1===e[this._options.dataFields.expanded])return;let i=void 0!==t?t:!1!==e[this._options.dataFields.expanded]?!0:!1,s=void 0!==t?t:!i,l={cancel:!1,item:e};if(void 0!==t)if(t)this._invokeEvent("beforeExpand",l);else this._invokeEvent("beforeCollapse",l);else if(i)this._invokeEvent("beforeCollapse",l);else this._invokeEvent("beforeExpand",l);if(!0!==l.cancel){if(s!==e[this._options.dataFields.expanded]){e[this._options.dataFields.expanded]=s;if(!0===this._options.compactMode)this._processSelection(null,e);this._updateCurrentLayout(!1)}if(this.isItemExpanded(e))this._invokeEvent("afterExpand",{item:e});else this._invokeEvent("afterCollapse",{item:e})}}else{this.getFullList().forEach(e=>e[this._options.dataFields.expanded]=t);this._updateCurrentLayout(!1)}this.update()}exportToJSON(e,t,i,s){i=i?i:null;e=e?e:!1===s?this.items:this.getFullList();let l=t?t:[this._options.dataFields.allowDrag,this._options.dataFields.allowDrop,this._options.dataFields.allowEdit,this._options.dataFields.allowFocus,this._options.dataFields.autoCheck,this._options.dataFields.canSelect,this._options.dataFields.checkBoxSettings,this._options.dataFields.checked,this._options.dataFields.checkState,this._options.dataFields.content,this._options.dataFields.contextMenu,this._options.dataFields.contentVisibility,this._options.dataFields.enabled,this._options.dataFields.expanded,this._options.dataFields.fixed,this._options.dataFields.fixChildren,this._options.dataFields.hasChildren,this._options.dataFields.icon,this._options.dataFields.id,this._options.dataFields.pid,this._options.dataFields.selected,this._options.dataFields.showCheckBox,this._options.dataFields.statusIcon,this._options.dataFields.style,this._options.dataFields.templateObj,this._options.dataFields.text,this._options.dataFields.tooltip,this._options.dataFields.value,this._options.dataFields.visible];if(!1===s)l.push(this._options.dataFields.items);return JSON.stringify(e,l,i)}_getCheckedItems(){return this._fullList.filter(e=>!0===e[this._options.dataFields.checked])}_getDisplayMode(){return this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&!this._isHoverTemplatePresent&&!this._isSelectedTemplatePresent?IntegralUIItemDisplayMode.Partial:IntegralUIItemDisplayMode.Full}updateFullList(){this._fullList.length=0;let e=this._dataService.getList();if(e)e.forEach(e=>this._addChildItems(e,0,null,!0));return this._fullList}getItemLevel(e){let t=0,i=this.getItemParent(e);for(;i;){t++;i=this.getItemParent(i)}return t}getItemParent(e){return this._dataService.getParent(e)}getList(e,t){let i=[];switch(e){case"checked":i=this._getCheckedItems();break;case"current":i=this._currentList;break;case"selected":i=this._currentSelectedItems;break;case"virtual":i=this._scrollItemList?this._scrollItemList.map(e=>e.data):[];break;default:i=this._dataService.getList(t)}return i}_isChildOf(e,t){let i=!1;if(e&&t){let s=t[this._options.dataFields.items];if(s&&s.length>0)for(let t=0;t<s.length;t++){if(this._commonService.isEqual(e[this._options.dataFields.id],s[t][this._options.dataFields.id])){i=!0;break}else i=this._isChildOf(e,s[t]);if(i)break}}return i}_isParentOf(e,t){let i=this._dataService.getParent(t);if(e&&t&&i&&this._commonService.isEqual(e[this._options.dataFields.id],i[this._options.dataFields.id]))return!0;else return!1}isThereChildren(){return this._isThereChildItems}_isThereVisibleChildren(e){let t=!1;if(e){let i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length;e++)if(this._isItemAllowed(i[e])){t=!0;break}}return t}_getItemRealIndex(e){let t=this._dataService.getList();return t?t.indexOf(e):-1}getPrevItem(e){let t=null;if(e){let i=this._dataService.getList(),s=this.getItemParent(e);if(s)i=s[this._options.dataFields.items];let l=i.indexOf(e);if((l=l>0?l-1:-1)>=0)t=i[l]}return t}getNextItem(e){let t=null;if(e){let i=this._dataService.getList(),s=this.getItemParent(e);if(s)i=s[this._options.dataFields.items];let l=i.indexOf(e);if((l=l<i.length-1?l+1:-1)>=0)t=i[l]}return t}moveItem(e,t,i,s){if(e){this._isUpdateAllowed=!1;let l=-1;switch(t){case IntegralUIMoveDirection.At:l=s;break;case IntegralUIMoveDirection.Down:i=this.getNextItem(e);break;case IntegralUIMoveDirection.First:l=0;break;case IntegralUIMoveDirection.Last:l=this._getLastItemIndex();break;case IntegralUIMoveDirection.Left:i=this.getItemParent(e);break;case IntegralUIMoveDirection.Right:case IntegralUIMoveDirection.Up:i=this.getPrevItem(e);break;default:l=-1}if(Array.isArray(e)){let s=[];for(let t=0;t<e.length;t++){let i=!1,l=this.getItemParent(e[t]);for(;l;){if(e.indexOf(l)>=0){i=!0;break}l=this.getItemParent(l)}if(!i)s.push(e[t])}if(s.length>0){if(this._getItemCurrentIndex(s[0])<=this._getItemCurrentIndex(s[s.length-1]))for(let e=0;e<s.length;e++)this.moveItemAt(s[e],i,t,l);else for(let e=s.length-1;e>=0;e--)this.moveItemAt(s[e],i,t,l)}}else this.moveItemAt(e,i,t,l);this._isUpdateAllowed=!0;this._updateCurrentLayout(!0);this._invokeEvent("itemMoved",{item:e})}}_processLeftArrowKey(e,t){this.collapse(e.data);return null}_processRightArrowKey(e,t){this.expand(e.data);return null}_getTemplateContentHeightAdjustment(){return this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?4:0}_updateBlockSize(){if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial){if(!1!==this.virtualMode)this._updateLongestItem()}else{this._blockSize={width:this._scrollBarSize.width+2,height:this._scrollBarSize.height+2};this._longestItemWidthValue=this._getFullItemWidth()}}_isItemInCurrentList(e){let t=!1;if(e)for(let i=0;i<this._currentList.length;i++)if(this._currentList[i].data.id===e.id){t=!0;break}return t}_getFullItemWidth(){if(!this._isLongestInProcess&&this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&(this._isHoverTemplatePresent||this._isSelectedTemplatePresent))return this._longestItemWidth+"px";else return"auto"}_updateLongestItem(){let e=this;e._isLongestInProcess=!0;e._prevLongestItemWidth=e._longestObj&&e._isItemInCurrentList(e._longestObj.data)?e._longestObj.width:0;setTimeout(function(){if(e._longestObj&&!e._isItemInCurrentList(e._longestObj.data))e._longestObj={data:null,width:0};let t=e._getItemContentElemList();if(t){e._calcLongestItem(t);if(e._prevLongestItemWidth<e._clientRect.width)e._prevLongestItemWidth=e._clientRect.width}let i=e._commonService.getPadding(e._elemRef);e._blockSize.width=e._longestObj.width+(i.left+i.right);e._isLongestInProcess=!1;e._longestItemWidth=e._prevLongestItemWidth;e._longestItemWidthValue=e._getFullItemWidth();e._updateScrollSize()},1)}_calcLongestItem(e,t){let i=0;for(let s=0;s<e.length;s++)if(s<this._scrollItemList.length){let l=this._scrollItemList[s].data,a=this._getObjFromItem(l);if(a){let l=e[s].offsetWidth+a.indent;if(!t&&this._longestObj.data===a.data){this._calcLongestItem(e,!0);break}if(i<l&&l>=this._longestObj.width){i=l;this._longestObj={data:a.data,width:i};this._prevLongestItemWidth=i}}}}_updateCurrentLayout(e){let t=this;if(t._isUpdateAllowed){t._resetLayoutTimer();t._updateCurrentList();if(e)t.updateFullList();t._updateScrollItemList();if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&!1!==this._virtualMode)t._updateLongestItem();else t._updateScrollSize();t._updateTimer=setTimeout(function(){t._updateBlockSize();t.update();t._updateItemElems();t._updateHoverContentPos();t._updateSelectContentPos();t.update();clearTimeout(t._updateTimer)},1)}}_updateScrollSize(){this._contentSize={width:this._clientRect.width-2,height:this._clientRect.height-2};this._scrollSize={width:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?this._blockSize.width-this._clientRect.width-2:0,height:this._avgItemHeight*this._currentList.length-this._clientRect.height+this._avgItemHeight};if(this.isVerScrollVisible())this._contentSize.width-=18;if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&this._scrollSize.width>=-6){if(this.isVerScrollVisible())this._scrollSize.width+=16;if(this._isHoverTemplatePresent||this._isSelectedTemplatePresent)this._scrollSize.width+=4}if(this.isHorScrollVisible())this._scrollSize.height+=16;this._scrollSize.width=this._scrollSize.width>0?this._scrollSize.width:0;this._scrollSize.height=this._scrollSize.height>0?this._scrollSize.height:0;this._maxScrollPos={x:this._scrollSize.width,y:this._scrollSize.height};if(this._currentScrollPos.x>this._maxScrollPos.x)this._changeHorizontalScrollPos(this._maxScrollPos.x);if(this._currentScrollPos.y>this._maxScrollPos.y)this._changeVerticalScrollPos(this._maxScrollPos.y);this._scrollBarSize={width:this.isVerScrollVisible()?this._clientRect.width-18:this._clientRect.width-2,height:this.isHorScrollVisible()?this._clientRect.height-18:this._clientRect.height-2};this._scrollLargeChange={x:this._scrollBarSize.width,y:this._scrollBarSize.height};this._blockHoverRect.width=this._clientRect.width-2;let e={height:this._avgItemHeight-2,left:0,top:-9999999,width:this._clientRect.width-2};if(this.isVerScrollVisible()){this._blockHoverRect.width-=16;e.width-=16}this._blockSelectRect.forEach(t=>{t.width=e.width;t.height=e.height})}beginLoad(e){if(e){if(this._options.loadItems.indexOf(e)<0)this._options.loadItems.push(e)}else{this._isLoading=!0;this.update();let e=this.shadowRoot.querySelector(".iui-loading-icon");if(e)this._loadIconPos={top:(this._clientRect.height-e.offsetHeight)/2,left:(this._clientRect.width-e.offsetWidth)/2}}this.update()}endLoad(e){let t=this;if(e){let i=t._options.loadItems.indexOf(e);if(i>=0)t._options.loadItems.splice(i,1);t._updateCurrentLayout(!0)}else{t._options.loadItems.length=0;t._isLoading=!1;t._isLoadingEnd=!0;t.refresh();t._loadingEndTimeout=setTimeout(function(){t._isLoadingEnd=!1;t.update();clearTimeout(t._loadingEndTimeout)},400)}}_isItemLoading(e){return this._options.loadItems.indexOf(e)>=0?!0:!1}scrollTo(e){if(!1!==this.virtualMode&&e){this.suspendLayout();let t=this.getItemParent(e);for(;null!==t;){this.expand(t);t=this.getItemParent(t)}this.resumeLayout();let i=this,s=setTimeout(function(){let t=i._getItemCurrentIndex(e);if(t>=0){i.scrollPos({x:i._currentScrollPos.x,y:i._avgItemHeight*(t-Math.floor(i._visibleRange/2))});i.updateLayout()}clearTimeout(s)},150)}}_callAfterSelectEvent(e){let t={item:e};this._invokeEvent("afterSelect",t);this._invokeEvent("selectionChanged",t);if(!0===this._options.compactMode){if(this.getItemParent(e))e[this._options.dataFields.expanded]=!0;this.updateLayout()}}_getControlStyle(){let e={cursor:this._ctrlCursor,overflow:this.virtualMode?"hidden":"auto"};if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_getBlockStyle(){let e={};if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial)e={width:this._blockSize.width+"px"};return e}_getItemInlineStyle(e){return e.data[this._options.dataFields.style]||{}}_getItemInlineContentStyle(e){let t={};t["padding-left"]=e.indent+"px";return t}_isThereNoItems(e){return e[this._options.dataFields.items]&&0===e[this._options.dataFields.items].length}_itemHasChildren(e){return e[this._options.dataFields.hasChildren]&&(this._isThereVisibleChildren(e)||!e[this._options.dataFields.items]||this._isThereNoItems(e))}_updateItemStyle(e){if(e){e.style={general:{},expandBox:{},content:{}};e.inlineStyle=this._getItemInlineStyle(e);e.style.general[this._itemClassName]=!0;e.style.general[this._options.currentStyle.item.general.normal]=!0;e.style.content[this._itemContentClassName]=!0;e.style.content[this._options.currentStyle.item.content.normal]=!0;if(this._getDisplayMode()===IntegralUIItemDisplayMode.Partial){e.style.content["iui-treeitem-content-block"]=!0;if(!this._isItemEnabled(e.data))e.style.content[this._options.currentStyle.item.content.disabled]=!0;else if(this._isItemSelected(e.data))e.style.content[this._options.currentStyle.item.content.selected]=!0;else if(this._isItemHovered(e.data))e.style.content[this._options.currentStyle.item.content.hovered]=!0}else{e.style.general["iui-treeitem-block"]=!0;if(!this._isItemEnabled(e.data))e.style.general[this._options.currentStyle.item.general.disabled]=!0;else if(this._isItemSelected(e.data))e.style.general[this._options.currentStyle.item.general.selected]=!0;else if(this._isItemHovered(e.data))e.style.general[this._options.currentStyle.item.general.hovered]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data)e.style.content[this._options.currentStyle.item.content.focused]=!0;if(this._isThereChildItems||e.data[this._options.dataFields.hasChildren])e.style.expandBox[this._options.currentStyle.item.expandBox.general]=!0;if(this._itemHasChildren(e.data)||this._isThereVisibleChildren(e.data))if(this._isItemLoading(e.data))e.style.expandBox[this._options.currentStyle.item.expandBox.load]=!0;else if(!1!==e.data[this._options.dataFields.expanded])e.style.expandBox[this._options.currentStyle.item.expandBox.expanded]=!0;else e.style.expandBox[this._options.currentStyle.item.expandBox.collapsed]=!0}}_getCheckBoxClass(e){let t={"iui-treeitem-checkbox":!0};if(this._currentCheckMode===IntegralUICheckMode.ThreeState)switch(e[this._options.dataFields.checkState]){case IntegralUICheckState.Indeterminate:t["iui-treeitem-checkbox-indeterminate"]=!0;break;case IntegralUICheckState.Checked:t["iui-treeitem-checkbox-checked"]=!0;break;default:this._defaultFunc()}else if(e[this._options.dataFields.checked])t["iui-treeitem-checkbox-checked"]=!0;return t}_getItemStyle(e){if(e)return{general:this._getItemGeneralStyle(e.general),expandBox:this._getItemExpandBoxStyle(e.expandBox),content:this._getItemContentStyle(e.content)};else return this._getDefaultItemStyle()}_getItemExpandBoxStyle(e){if(this._commonService.isString(e))return e;else if(e)return{general:this._commonService.isFieldAvailable(e.disabled,this._expandBoxClassName),load:this._commonService.isFieldAvailable(e.focused,this._expandBoxClassName+"-load"),expanded:this._commonService.isFieldAvailable(e.normal,this._expandBoxClassName+"-open"),collapsed:this._commonService.isFieldAvailable(e.hovered,this._expandBoxClassName+"-close")};else return this._getDefaultItemExpandBoxStyle()}_getDefaultItemStyle(){return{general:this._getDefaultItemGeneralStyle(),expandBox:this._getDefaultItemExpandBoxStyle(),content:this._getDefaultItemContentStyle()}}_getDefaultItemExpandBoxStyle(){return{general:this._defaultStyle.item.expandBox.general,load:this._defaultStyle.item.expandBox.load,expanded:this._defaultStyle.item.expandBox.expanded,collapsed:this._defaultStyle.item.expandBox.collapsed}}_getDefaultListStyle(){return{general:this._getDefaultGeneralStyle(),item:this._getDefaultItemStyle()}}refresh(){this._updateControlClass();this._scrollItemList.forEach(e=>this._updateItemStyle(e));this.update();this._updateReferences()}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;this._currentItemColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentItemColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;this._currentItemThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewOfficeStyle.cssText,"../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemOfficeStyle.cssText,"../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../icons",this._currentResourcePath);break;case IntegralUITheme.Dark:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentItemThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}_getItemTemplate(e,t){let i=null;switch(t){case"hover":i=this.itemHoverTemplate;break;case"select":i=this.itemSelectTemplate;break;default:i=this.itemTemplate}if(i){let t=i(e);return new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}else{let t={},i=this._commonService.isString(e[this._options.dataFields.icon])?e[this._options.dataFields.icon].split(" "):[];i.map(e=>t[e]=!0);return html`                 ${i.length>0?html`<span class=${classMap(t)}></span>`:html``}                 ${e[this._options.dataFields.iconUrl]?html`<img style=${styleMap({verticalAlign:"middle"})} src="${e[this._options.dataFields.iconUrl]} />`:html``}                 <span class="iui-item-label" >${e[this._options.dataFields.text]}</span>             `}}render(){return html`                 <style>                     ${iuiScrollBarStyle}                     ${this._currentBaseStyleSettings}                     ${this._currentScrollStyleSettings}                     ${this._currentControlStyleSettings}                     ${this._currentItemStyleSettings}                     ${this._currentThemeSettings}                     ${this._currentItemThemeSettings}                     ${this._currentColorSchemeSettings}                     ${this._currentItemColorSchemeSettings}                     ${this._currentScrollColorSchemeSettings}                     ${this._currentCustomStyle}                 </style>                 <div data-ctrl="treeview" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${e=>this._processMouseWheel(e)}" @mousewheel="${e=>this._processMouseWheel(e)}" @mouseenter="${e=>this._onCtrlMouseEnter(e)}" @mouseleave="${e=>this._onCtrlMouseLeave(e)}" @mousemove="${e=>this._onCtrlMouseMove(e)}" @dragenter="${e=>this._ctrlDragEnter(e)}" @dragleave="${e=>this._ctrlDragLeave(e)}" @dragover="${e=>this._ctrlDragOver(e)}" @drop="${e=>this._ctrlDragDrop(e)}" @dragend="${e=>this._ctrlDragEnd(e)}" @scroll="${e=>this._onScroll(e)}">                     <div class=${classMap({"iui-base-loading":this._isLoading?!0:!1,"iui-base-loading-end":this._isLoadingEnd?!0:!1})}>                         <ul style=${styleMap({width:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"9999px":this._blockSize.width+"px",height:this._contentSize.height+"px",margin:0,padding:0,"margin-left":-this._currentScrollPos.x+"px"})} @touchstart="${e=>this._ctrlTouchStart(e)}" @touchend="${e=>this._ctrlTouchEnd(e)}">                             ${this._scrollItemList.map((e,t)=>html`                                 <li data-item style=${styleMap(e.inlineStyle)}>                                     <div class=${classMap(e.style.general)} style=${styleMap({display:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"inline-block":"block",width:this._longestItemWidthValue})} @mouseenter="${t=>this._itemMouseEnter(t,e)}" @mousemove="${t=>this._itemMouseMove(t,e)}" @mouseleave="${t=>this._itemMouseLeave(t,e)}">                                         <div style=${styleMap({"padding-left":e.indent+"px"})} draggable="true" @mousedown="${t=>this._itemMouseDown(t,e)}" @mouseup="${t=>this._itemMouseUp(t,e)}" @dragstart="${t=>this._itemDragStart(t,e)}" @dragover="${i=>this._itemDragOver(i,e,t)}" @drop="${t=>this._itemDragDrop(t,e)}" @touchstart="${t=>this._itemTouchStart(t,e)}" @touchmove="${t=>this._itemTouchMove(t,e)}" @touchend="${t=>this._itemTouchEnd(t,e)}">                                             <div data-item-content class=${classMap(e.style.content)} style=${styleMap({display:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"inline-block":"block"})} tabindex="${e.tabIndex}" @focus="${()=>this._itemGotFocus(e)}" @blur="${()=>this._itemLostFocus(e)}" @keydown="${t=>this._itemKeyDown(t,e)}" @keypress="${t=>this._itemKeyPress(t,e)}" @keyup="${t=>this._itemKeyUp(t,e)}">                                                 ${this.showExpandBox?html`<span class=${classMap(e.style.expandBox)} @mousedown="${t=>this._expandBoxMouseDown(t,e.data)}" @mouseup="${e=>this._expandBoxMouseUp(e)}" @touchstart="${t=>this._expandBoxTouchStart(t,e.data)}" @touchend="${t=>this._expandBoxTouchEnd(t,e.data)}"></span>`:html``}                                                 ${this._isCheckBoxVisible?html`<span class=${classMap(this._getCheckBoxClass(e.data))} @mousedown="${t=>this._checkItem(t,e.data)}" @touchstart="${t=>this._checkItem(t,e.data)}"></span>`:html``}                                                 <div style="display:inline-block" @click="${t=>this._itemClickEvent(t,e)}" @dblclick="${t=>this._itemDblClickEvent(t,e)}" @contextmenu="${t=>this._itemRightClickEvent(t,e)}">                                                     ${this._getItemTemplate(e.data)}                                                 </div>                                             </div>                                         </div>                                     </div>                                 </li>                             `)}                         </ul>                         ${this._isHoverTemplatePresent&&this._hoverItemObj&&this._isContentAllowed(this._hoverItemObj.data,"hover")?html`<div class="iui-treeview-block iui-treeview-block-hover" style=${styleMap({left:this._blockHoverRect.left+"px",top:this._blockHoverRect.top+"px",height:this._blockHoverRect.height+"px",width:this._blockHoverRect.width+"px"})}>                                     <div style=${styleMap({height:this._blockHoverRect.height+"px"})} @mousemove="${e=>this._hoverBlockMouseMove(e)}" @mouseleave="${e=>this._hoverBlockMouseLeave(e)}">                                         ${this._getItemTemplate(this._hoverItemObj.data,"hover")}                                     </div>                                 </div>`:html``}                         ${this._isSelectedTemplatePresent?this._currentSelectedItems.map((e,t)=>html`<span>                                     ${this._isContentAllowed(e,"select")?html`<div class="iui-treeview-block iui-treeview-block-select" style=${styleMap(this._getSelectBlockRect(t))}>                                             <div style=${styleMap({height:this._blockSelectHeight+"px"})}>                                                 ${this._getItemTemplate(e,"select")}                                             </div>                                         </div>`:html``}                                     </span>`):html``}                         ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .value="${this._currentScrollPos.y}" .max="${this._maxScrollPos.y}" .largeChange="${this._scrollLargeChange.y}" .height="${this._scrollBarSize.height}" .theme="${this._currentTheme}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onVerticalScrollChanged(e)}" @scrollStart="${e=>this._onVerticalScrollStart(e)}" @scrollEnd="${e=>this._onVerticalScrollEnd(e)}"></iui-scrollbar>`:html``}                         ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" orientation="Horizontal" .value="${this._currentScrollPos.x}" .max="${this._maxScrollPos.x}" .width="${this._scrollBarSize.width}" .theme="${this._currentTheme}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onHorizontalScrollChanged(e)}" @scrollStart="${e=>this._onHorizontalScrollStart(e)}" @scrollEnd="${e=>this._onHorizontalScrollEnd(e)}"></iui-scrollbar>`:html``}                         ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class="iui-scrollbar-corner" style="position:absolute;right:0;bottom:0;width:16px;height:16px;"></div>`:html``}                     </div>                     ${this._isLoading?html`<div class="iui-loading-icon" style=${styleMap({top:this._loadIconPos.top+"px",left:this._loadIconPos.left+"px"})}></div>`:html``}                 </div>             `}firstUpdated(e){let t=this;t._updateReferences();setTimeout(function(){t._isHoverTemplatePresent=t.itemHoverTemplate?!0:!1;t._isSelectedTemplatePresent=t.itemSelectTemplate?!0:!1;t.updateLayout()},1)}updated(e){e.forEach((e,t)=>{});this._updateFocusItem()}_updateControlStyleSettings(e){this._currentBaseStyleSettings=css``;this._currentBaseStyleSettings.cssText=this._commonService.replaceAll(iuiBaseDefaultStyle.cssText,"../../icons",e);this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiTreeViewDefaultStyle.cssText,"../../icons",e);this._currentItemStyleSettings=css``;this._currentItemStyleSettings.cssText=this._commonService.replaceAll(iuiTreeItemDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=treeview]")}}window.customElements.define("iui-treeview",IntegralUITreeView);export default IntegralUITreeView;