/*
  filename: react.integralui.tabstrip.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import React,{Component}from"react";import"../components/integralui.tabstrip.js";var _createClass=function(){function e(e,t){for(var r=0;r<t.length;r++){var i=t[r];i.enumerable=i.enumerable||!1;i.configurable=!0;if("value"in i)i.writable=!0;Object.defineProperty(e,i.key,i)}}return function(t,r,i){if(r)e(t.prototype,r);if(i)e(t,i);return t}}();function _classCallCheck(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function _possibleConstructorReturn(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t&&("object"===typeof t||"function"===typeof t)?t:e}function _inherits(e,t){if("function"!==typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}});if(t)Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t}var IntegralUITabStripComponent=function(e){_inherits(t,Component);function t(e){_classCallCheck(this,t);var r=_possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));r.ctrlRef=React.createRef();return r}_createClass(t,[{key:"_isCtrlDefined",value:function(){return this.ctrlRef&&this.ctrlRef.current?!0:!1}},{key:"componentDidMount",value:function(){var e=this;this._initProps();if(this._isCtrlDefined()){if(this.props.afterSelect)this.ctrlRef.current.addEventListener("afterSelect",function(t){return e.props.afterSelect(t)});if(this.props.beforeSelect)this.ctrlRef.current.addEventListener("beforeSelect",function(t){return e.props.beforeSelect(t)});if(this.props.change)this.ctrlRef.current.addEventListener("change",function(t){return e.props.change(t)});if(this.props.clear)this.ctrlRef.current.addEventListener("clear",function(){return e.props.clear()});if(this.props.enabledChanged)this.ctrlRef.current.addEventListener("enabledChanged",function(t){return e.props.enabledChanged(t)});if(this.props.tabAdded)this.ctrlRef.current.addEventListener("tabAdded",function(t){return e.props.tabAdded(t)});if(this.props.tabAdding)this.ctrlRef.current.addEventListener("tabAdding",function(t){return e.props.tabAdding(t)});if(this.props.tabOrderChanged)this.ctrlRef.current.addEventListener("tabOrderChanged",function(t){return e.props.tabOrderChanged(t)});if(this.props.tabRemoved)this.ctrlRef.current.addEventListener("tabRemoved",function(t){return e.props.tabRemoved(t)});if(this.props.tabRemoving)this.ctrlRef.current.addEventListener("tabRemoving",function(t){return e.props.tabRemoving(t)});if(this.props.scrollPosChanged)this.ctrlRef.current.addEventListener("scrollPosChanged",function(t){return e.props.scrollPosChanged(t)});if(this.props.selectionChanged)this.ctrlRef.current.addEventListener("selectionChanged",function(t){return e.props.selectionChanged(t)});if(this.props.sizeChanged)this.ctrlRef.current.addEventListener("sizeChanged",function(t){return e.props.sizeChanged(t)});if(this.props.stateChanged)this.ctrlRef.current.addEventListener("stateChanged",function(t){return e.props.stateChanged(t)})}}},{key:"_isDefined",value:function(e){return void 0!==e?!0:!1}},{key:"componentWillUnmount",value:function(){if(this._isCtrlDefined()){if(this.props.afterSelect)this.ctrlRef.current.removeEventListener("afterSelect",this.props.afterSelect);if(this.props.beforeSelect)this.ctrlRef.current.removeEventListener("beforeSelect",this.props.beforeSelect);if(this.props.change)this.ctrlRef.current.removeEventListener("change",this.props.change);if(this.props.clear)this.ctrlRef.current.removeEventListener("clear",this.props.clear);if(this.props.enabledChanged)this.ctrlRef.current.removeEventListener("enabledChanged",this.props.enabledChanged);if(this.props.tabAdded)this.ctrlRef.current.removeEventListener("tabAdded",this.props.tabAdded);if(this.props.tabAdding)this.ctrlRef.current.removeEventListener("tabAdding",this.props.tabAdding);if(this.props.tabOrderChanged)this.ctrlRef.current.removeEventListener("tabOrderChanged",this.props.tabOrderChanged);if(this.props.tabRemoved)this.ctrlRef.current.removeEventListener("tabRemoved",this.props.tabRemoved);if(this.props.tabRemoving)this.ctrlRef.current.removeEventListener("tabRemoving",this.props.tabRemoving);if(this.props.scrollPosChanged)this.ctrlRef.current.removeEventListener("scrollPosChanged",this.props.scrollPosChanged);if(this.props.selectionChanged)this.ctrlRef.current.removeEventListener("selectionChanged",this.props.selectionChanged);if(this.props.sizeChanged)this.ctrlRef.current.removeEventListener("sizeChanged",this.props.sizeChanged);if(this.props.stateChanged)this.ctrlRef.current.removeEventListener("stateChanged",this.props.stateChanged)}}},{key:"componentDidUpdate",value:function(e){this._updateData(e)}},{key:"_initProps",value:function(){if(this._isCtrlDefined()){if(this._isDefined(this.props.resourcePath))this.ctrlRef.current.resourcePath=this.props.resourcePath;if(this._isDefined(this.props.allowAnimation))this.ctrlRef.current.allowAnimation=this.props.allowAnimation;if(this._isDefined(this.props.allowUpdate))this.ctrlRef.current.allowUpdate=this.props.allowUpdate;if(this._isDefined(this.props.allowDrag))this.ctrlRef.current.allowDrag=this.props.allowDrag;if(this._isDefined(this.props.allowDrop))this.ctrlRef.current.allowDrop=this.props.allowDrop;if(this._isDefined(this.props.animation))this.ctrlRef.current.animation=this.props.animation;if(this._isDefined(this.props.animationSpeed))this.ctrlRef.current.animationSpeed=this.props.animationSpeed;if(this._isDefined(this.props.autoSize))this.ctrlRef.current.autoSize=this.props.autoSize;if(this._isDefined(this.props.colorScheme))this.ctrlRef.current.colorScheme=this.props.colorScheme;if(this._isDefined(this.props.customStyle))this.ctrlRef.current.customStyle=this.props.customStyle;if(this._isDefined(this.props.data))this.ctrlRef.current.data=this.props.data;if(this._isDefined(this.props.displayMode))this.ctrlRef.current.displayMode=this.props.displayMode;if(this._isDefined(this.props.enabled))this.ctrlRef.current.enabled=this.props.enabled;if(this._isDefined(this.props.name))this.ctrlRef.current.name=this.props.name;if(this._isDefined(this.props.scrollMode))this.ctrlRef.current.scrollMode=this.props.scrollMode;if(this._isDefined(this.props.selectedIndex))this.ctrlRef.current.selectedIndex=this.props.selectedIndex;if(this._isDefined(this.props.selectedTab))this.ctrlRef.current.selectedTab=this.props.selectedTab;if(this._isDefined(this.props.size))this.ctrlRef.current.size=this.props.size;if(this._isDefined(this.props.state))this.ctrlRef.current.state=this.props.state;if(this._isDefined(this.props.tabs))this.ctrlRef.current.tabs=this.props.tabs;if(this._isDefined(this.props.tabSpacing))this.ctrlRef.current.tabSpacing=this.props.tabSpacing;if(this._isDefined(this.props.tabStripPlacement))this.ctrlRef.current.tabStripPlacement=this.props.tabStripPlacement;if(this._isDefined(this.props.tabTemplate))this.ctrlRef.current.tabTemplate=this.props.tabTemplate;if(this._isDefined(this.props.theme))this.ctrlRef.current.theme=this.props.theme}}},{key:"_updateData",value:function(e){if(this._isCtrlDefined()){if(this.props.resourcePath!==e.resourcePath)this.ctrlRef.current.resourcePath=this.props.resourcePath;if(this.props.allowAnimation!==e.allowAnimation)this.ctrlRef.current.allowAnimation=this.props.allowAnimation;if(this.props.allowUpdate!==e.allowUpdate)this.ctrlRef.current.allowUpdate=this.props.allowUpdate;if(this.props.allowDrag!==e.allowDrag)this.ctrlRef.current.allowDrag=this.props.allowDrag;if(this.props.allowDrop!==e.allowDrop)this.ctrlRef.current.allowDrop=this.props.allowDrop;if(this.props.animation!==e.animation)this.ctrlRef.current.animation=this.props.animation;if(this.props.animationSpeed!==e.animationSpeed)this.ctrlRef.current.animationSpeed=this.props.animationSpeed;if(this.props.autoSize!==e.autoSize)this.ctrlRef.current.autoSize=this.props.autoSize;if(this.props.colorScheme!==e.colorScheme)this.ctrlRef.current.colorScheme=this.props.colorScheme;if(this.props.customStyle!==e.customStyle)this.ctrlRef.current.customStyle=this.props.customStyle;if(this.props.data!==e.data)this.ctrlRef.current.data=this.props.data;if(this.props.displayMode!==e.displayMode)this.ctrlRef.current.displayMode=this.props.displayMode;if(this.props.enabled!==e.enabled)this.ctrlRef.current.enabled=this.props.enabled;if(this.props.name!==e.name)this.ctrlRef.current.name=this.props.name;if(this.props.scrollMode!==e.scrollMode)this.ctrlRef.current.scrollMode=this.props.scrollMode;if(this.props.selectedIndex!==e.selectedIndex)this.ctrlRef.current.selectedIndex=this.props.selectedIndex;if(this.props.selectedTab!==e.selectedTab)this.ctrlRef.current.selectedTab=this.props.selectedTab;if(this.props.size!==e.size)this.ctrlRef.current.size=this.props.size;if(this.props.state!==e.state)this.ctrlRef.current.state=this.props.state;if(this._isDefined(this.props.tabs))this.ctrlRef.current.tabs=this.props.tabs;if(this.props.tabSpacing!==e.tabSpacing)this.ctrlRef.current.tabSpacing=this.props.tabSpacing;if(this.props.tabStripPlacement!==e.tabStripPlacement)this.ctrlRef.current.tabStripPlacement=this.props.tabStripPlacement;if(this._isDefined(this.props.tabTemplate))this.ctrlRef.current.tabTemplate=this.props.tabTemplate;if(this.props.theme!==e.theme)this.ctrlRef.current.theme=this.props.theme}}},{key:"addTab",value:function(e){if(this._isCtrlDefined())this.ctrlRef.current.addTab(e)}},{key:"clearTabs",value:function(){if(this._isCtrlDefined())this.ctrlRef.current.clearTabs()}},{key:"insertTabAt",value:function(e,t){if(this._isCtrlDefined())this.ctrlRef.current.insertTabAt(e,t)}},{key:"insertTabBefore",value:function(e,t){if(this._isCtrlDefined())this.ctrlRef.current.insertTabBefore(e,t)}},{key:"insertTabAfter",value:function(e,t){if(this._isCtrlDefined())this.ctrlRef.current.insertTabAfter(e,t)}},{key:"removeTab",value:function(e){return this._isCtrlDefined()?this.ctrlRef.current.removeTab(e):!1}},{key:"removeTabAt",value:function(e){return this._isCtrlDefined()?this.ctrlRef.current.removeTabAt(e):!1}},{key:"scrollPos",value:function(e){if(this._isCtrlDefined())this.ctrlRef.current.scrollPos(e)}},{key:"scrollTo",value:function(e){if(this._isCtrlDefined())this.ctrlRef.current.scrollTo(e)}},{key:"selectTab",value:function(e){if(this._isCtrlDefined())this.ctrlRef.current.selectTab(e)}},{key:"setStyle",value:function(e){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.setStyle(e)}},{key:"refresh",value:function(){if(this._isCtrlDefined())this.ctrlRef.current.refresh()}},{key:"updateLayout",value:function(){if(this._isCtrlDefined())this.ctrlRef.current.updateLayout()}},{key:"render",value:function(){return React.createElement("iui-tabstrip",{id:this.props.id,ref:this.ctrlRef},this.props.children)}}]);return t}();export default IntegralUITabStripComponent;