/*
  filename: react.integralui.window.js
  version : 22.1.0
  Copyright © 2016-2022 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import React,{Component}from"react";import"../components/integralui.window.js";var _createClass=function(){function t(t,e){for(var i=0;i<e.length;i++){var r=e[i];r.enumerable=r.enumerable||!1;r.configurable=!0;if("value"in r)r.writable=!0;Object.defineProperty(t,r.key,r)}}return function(e,i,r){if(i)t(e.prototype,i);if(r)t(e,r);return e}}();function _classCallCheck(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}function _possibleConstructorReturn(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e&&("object"===typeof e||"function"===typeof e)?e:t}function _inherits(t,e){if("function"!==typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}});if(e)Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e}var IntegralUIWindowComponent=function(t){_inherits(e,Component);function e(t){_classCallCheck(this,e);var i=_possibleConstructorReturn(this,(e.__proto__||Object.getPrototypeOf(e)).call(this,t));i.ctrlRef=React.createRef();return i}_createClass(e,[{key:"componentDidMount",value:function(){var t=this;this._initProps();if(this.ctrlRef&&this.ctrlRef.current){if(this.props.click)this.ctrlRef.current.addEventListener("click",function(e){return t.props.click(e)});if(this.props.enabledChanged)this.ctrlRef.current.addEventListener("enabledChanged",function(e){return t.props.enabledChanged(e)});if(this.props.mouseDown)this.ctrlRef.current.addEventListener("mouseDown",function(e){return t.props.mouseDown(e)});if(this.props.mouseEnter)this.ctrlRef.current.addEventListener("mouseEnter",function(e){return t.props.mouseEnter(e)});if(this.props.mouseLeave)this.ctrlRef.current.addEventListener("mouseLeave",function(e){return t.props.mouseLeave(e)});if(this.props.mouseMove)this.ctrlRef.current.addEventListener("mouseMove",function(e){return t.props.mouseMove(e)});if(this.props.mouseUp)this.ctrlRef.current.addEventListener("mouseUp",function(e){return t.props.mouseUp(e)});if(this.props.positionChanged)this.ctrlRef.current.addEventListener("positionChanged",function(e){return t.props.positionChanged(e)});if(this.props.selectedChanged)this.ctrlRef.current.addEventListener("selectedChanged",function(e){return t.props.selectedChanged(e)});if(this.props.sizeChanged)this.ctrlRef.current.addEventListener("sizeChanged",function(e){return t.props.sizeChanged(e)});if(this.props.stateChanged)this.ctrlRef.current.addEventListener("stateChanged",function(e){return t.props.stateChanged(e)});if(this.props.visibleChanged)this.ctrlRef.current.addEventListener("visibleChanged",function(e){return t.props.visibleChanged(e)})}}},{key:"componentWillUnmount",value:function(){if(this.ctrlRef&&this.ctrlRef.current){if(this.props.click)this.ctrlRef.current.removeEventListener("click",this.props.click);if(this.props.enabledChanged)this.ctrlRef.current.removeEventListener("enabledChanged",this.props.enabledChanged);if(this.props.mouseDown)this.ctrlRef.current.removeEventListener("mouseDown",this.props.mouseDown);if(this.props.mouseEnter)this.ctrlRef.current.removeEventListener("mouseEnter",this.props.mouseEnter);if(this.props.mouseLeave)this.ctrlRef.current.removeEventListener("mouseLeave",this.props.mouseLeave);if(this.props.mouseMove)this.ctrlRef.current.removeEventListener("mouseMove",this.props.mouseMove);if(this.props.mouseUp)this.ctrlRef.current.removeEventListener("mouseUp",this.props.mouseUp);if(this.props.positionChanged)this.ctrlRef.current.removeEventListener("positionChanged",this.props.positionChanged);if(this.props.selectedChanged)this.ctrlRef.current.removeEventListener("selectedChanged",this.props.selectedChanged);if(this.props.sizeChanged)this.ctrlRef.current.removeEventListener("sizeChanged",this.props.sizeChanged);if(this.props.stateChanged)this.ctrlRef.current.removeEventListener("stateChanged",this.props.stateChanged);if(this.props.visibleChanged)this.ctrlRef.current.removeEventListener("visibleChanged",this.props.visibleChanged)}}},{key:"componentDidUpdate",value:function(t){this._updateData(t)}},{key:"_initProps",value:function(){if(this.ctrlRef&&this.ctrlRef.current){if(this._isDefined(this.props.allowAnimation))this.ctrlRef.current.allowAnimation=this.props.allowAnimation;if(this._isDefined(this.props.allowUpdate))this.ctrlRef.current.allowUpdate=this.props.allowUpdate;if(this._isDefined(this.props.closeButton))this.ctrlRef.current.closeButton=this.props.closeButton;if(this._isDefined(this.props.colorScheme))this.ctrlRef.current.colorScheme=this.props.colorScheme;if(this._isDefined(this.props.customStyle))this.ctrlRef.current.customStyle=this.props.customStyle;if(this._isDefined(this.props.data))this.ctrlRef.current.data=this.props.data;if(this._isDefined(this.props.enabled))this.ctrlRef.current.enabled=this.props.enabled;if(this._isDefined(this.props.icon))this.ctrlRef.current.icon=this.props.icon;if(this._isDefined(this.props.iconUrl))this.ctrlRef.current.iconUrl=this.props.iconUrl;if(this._isDefined(this.props.maximizeButton))this.ctrlRef.current.maximizeButton=this.props.maximizeButton;if(this._isDefined(this.props.minimizeButton))this.ctrlRef.current.minimizeButton=this.props.minimizeButton;if(this._isDefined(this.props.name))this.ctrlRef.current.name=this.props.name;if(this._isDefined(this.props.maxSize))this.ctrlRef.current.maxSize=this.props.maxSize;if(this._isDefined(this.props.minSize))this.ctrlRef.current.minSize=this.props.minSize;if(this._isDefined(this.props.parentId))this.ctrlRef.current.parentId=this.props.parentId;if(this._isDefined(this.props.position))this.ctrlRef.current.position=this.props.position;if(this._isDefined(this.props.resourcePath))this.ctrlRef.current.resourcePath=this.props.resourcePath;if(this._isDefined(this.props.selected))this.ctrlRef.current.selected=this.props.selected;if(this._isDefined(this.props.size))this.ctrlRef.current.size=this.props.size;if(this._isDefined(this.props.state))this.ctrlRef.current.state=this.props.state;if(this._isDefined(this.props.text))this.ctrlRef.current.text=this.props.text;if(this._isDefined(this.props.theme))this.ctrlRef.current.theme=this.props.theme;if(this._isDefined(this.props.visible))this.ctrlRef.current.visible=this.props.visible}}},{key:"_isDefined",value:function(t){return void 0!==t?!0:!1}},{key:"_updateData",value:function(t){if(this.ctrlRef&&this.ctrlRef.current){if(this.props.allowAnimation!==t.allowAnimation)this.ctrlRef.current.allowAnimation=this.props.allowAnimation;if(this.props.allowUpdate!==t.allowUpdate)this.ctrlRef.current.allowUpdate=this.props.allowUpdate;if(this.props.closeButton!==t.closeButton)this.ctrlRef.current.closeButton=this.props.closeButton;if(this.props.colorScheme!==t.colorScheme)this.ctrlRef.current.colorScheme=this.props.colorScheme;if(this.props.customStyle!==t.customStyle)this.ctrlRef.current.customStyle=this.props.customStyle;if(this.props.data!==t.data)this.ctrlRef.current.data=this.props.data;if(this.props.enabled!==t.enabled)this.ctrlRef.current.enabled=this.props.enabled;if(this.props.icon!==t.icon)this.ctrlRef.current.icon=this.props.icon;if(this.props.iconUrl!==t.iconUrl)this.ctrlRef.current.iconUrl=this.props.iconUrl;if(this.props.maximizeButton!==t.maximizeButton)this.ctrlRef.current.maximizeButton=this.props.maximizeButton;if(this.props.minimizeButton!==t.minimizeButton)this.ctrlRef.current.minimizeButton=this.props.minimizeButton;if(this.props.maxSize!==t.maxSize)this.ctrlRef.current.maxSize=this.props.maxSize;if(this.props.minSize!==t.minSize)this.ctrlRef.current.minSize=this.props.minSize;if(this.props.name!==t.name)this.ctrlRef.current.name=this.props.name;if(this.props.parentId!==t.parentId)this.ctrlRef.current.parentId=this.props.parentId;if(this.props.position!==t.position)this.ctrlRef.current.position=this.props.position;if(this.props.resourcePath!==t.resourcePath)this.ctrlRef.current.resourcePath=this.props.resourcePath;if(this.props.selected!==t.selected)this.ctrlRef.current.selected=this.props.selected;if(this.props.size!==t.size)this.ctrlRef.current.size=this.props.size;if(this.props.state!==t.state)this.ctrlRef.current.state=this.props.state;if(this.props.text!==t.text)this.ctrlRef.current.text=this.props.text;if(this.props.theme!==t.theme)this.ctrlRef.current.theme=this.props.theme;if(this.props.visible!==t.visible)this.ctrlRef.current.visible=this.props.visible}}},{key:"maximize",value:function(){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.maximize()}},{key:"minimize",value:function(){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.minimize()}},{key:"close",value:function(t){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.close(t)}},{key:"open",value:function(){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.open()}},{key:"setStyle",value:function(t){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.setStyle(t)}},{key:"refresh",value:function(){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.refresh()}},{key:"updateLayout",value:function(){if(this.ctrlRef&&this.ctrlRef.current)this.ctrlRef.current.updateLayout()}},{key:"render",value:function(){return React.createElement("iui-window",{id:this.props.id,ref:this.ctrlRef},this.props.children)}}]);return e}();export default IntegralUIWindowComponent;